title: Communication : Les lois de Wiio
url: http://doubleboucle.fr/communication-les-lois-de-wiio/
hash_url: 0760b37d78f70268cdd102701f1fd14f

<p>En 1978, le professeur Osmo Antero Wiio énonce ses 7 lois sur la communication. Les lois de Wiio présentent sous forme humoristique une des grandes fatalités de la communication : « La Communication échoue habituellement, sauf en cas d’accident. » Même si il est tentant de les rapprocher des « lois de Murphy », l’esprit dans lequel elles ont été rédigé témoigne moins d’une conscience de l’inévitabilité de l’échec que d’un constat objectif sur la complexité des processus de communication.</p>
<p><a title="Yupi666 at en.wikipedia [GFDL (http://www.gnu.org/copyleft/fdl.html), CC-BY-SA-3.0 (http://creativecommons.org/licenses/by-sa/3.0/) or CC BY 2.5 (http://creativecommons.org/licenses/by/2.5)], from Wikimedia Commons" href="https://commons.wikimedia.org/wiki/File%3ACommunication_emisor.jpg"><img src="//upload.wikimedia.org/wikipedia/commons/b/b0/Communication_emisor.jpg" alt="Communication emisor" width="256"/></a></p>
<p>Cet article est librement traduit et adapté par mes soins sur la base de l’<a href="https://www.cs.tut.fi/~jkorpela/wiio.html">article original</a>.</p>
<h2>Les lois de Wiio</h2>
<h3>La plupart des communications sont vouées à l’échec, sauf accident</h3>
<p>Cette loi est le constat sur la base duquel s’établissent les autres lois de Wiio qui en sont une spécialisation ou un dérivé.</p>
<blockquote><p>Malgré leur caractère humoristique, ces lois constituent des observations valides sur toutes les communications humaines. Pour avoir une approche constructive de la communication, il est nécessaire d’admettre leur vérité et de se baser sur elles, plutôt que d’exercer confortablement une communication illusoire.</p></blockquote>
<p>Peut être n’est ce pas tout à fait ce que le professeur Wiio voulait dire (voir plus loin). Toujours est il que de nombreuses personnes ayant lu ces lois ne les ont considérées que comme une expression de sarcasme.</p>
<p>Ce qui différencie la communication humaine de celle des machines par exemple est la faiblesse avec laquelle nous définissons les symboles que nous utilisons pour échanger. De par leur nature subjective même, ces symboles (ou mots) prêtent à confusion.</p>
<p>Le même mot pourra être associé à des expériences radicalement différentes pour deux personnes, même si pour chacune d’elle le sens en paraitra limpide et indiscutablement objectif. De même lorsque nous utilisons  un mot, nous le faisons dans un contexte précis, avec une signification définie par convention. Si le destinataire n’a pas la même perception du contexte ou une convention différente, nous n’avons pas de moyen de savoir cela.</p>
<p>Un mot pourra être compris également suivant plusieurs niveaux d’abstraction. Lorsque nous parlons d’un ogre, parlons-nous d’une créature de légende, d’une personne réelle qui ressemble physiquement à un ogre ou d’une personne qui a un appétit dévorant, possiblement pour autre chose que de la nourriture ? L’utilisation de métaphores et d’un langage imagé multiplie les possibilités de comprendre des choses différentes.</p>
<p>Les différences de langues et de niveaux de maitrise des différentes langues peuvent être un frein au partage suffisant du référentiel nécessaire pour se comprendre. Le fait que certaines activités fassent intervenir des termes anglo-saxons que ce soit dans l’appellation d’une chose ou dans le détail de sa définition sont de nature à aboutir à des interprétations divergentes.</p>
<p>Les différences culturelles entre individus entrainent également des incompréhensions, basées cette fois-ci sur ce qu’il est par exemple normal d’attendre de telle ou telle personne ou de telle ou telle attitude ou comportement. Plus une audience est diversifiée, plus le risque d’obtenir des réactions différentes de celle que vous attendiez est élevé. La même information objective pourra être perçue par exemple comme une opinion politique détestable, un horrible blasphème ou une adorable poésie.</p>
<p>Si l’on considère tous ces éléments et que pour qu’une communication réussisse il faut qu’elle ne tombe dans aucun de ces pièges, la probabilité de l’échec est bien plus élevée que celle du succès. Si on identifie 20 possibilités d’échouer avec une probabilité d’échec de 10% pour chacune, la probabilité de succès n’est alors que de 12%.</p>
<p>Et le modèle que nous considérons jusqu’ici n’est qu’un modèle simplifié. Les choses sont bien pires si l’on considère en plus les efforts de transcription nécessaire. Pour transmettre une connaissance à quelqu’un d’autre, il nous faut transcrire cette connaissance interne en une forme transmissible, transférer cette forme au destinataire, si possible sans détérioration, et laisser le destinataire en faire la transcription inverse pour se l’approprier en tant que connaissance. Si une traduction est nécessaire (comme ici, où je traduis et adapte de l’anglais une traduction du finnois pour le texte de Wiio), les risques sont encore plus grands de commettre des erreurs.</p>
<p>La corruption d’un message ne dépend donc pas uniquement de sa composition mais aussi de toutes les étapes nécessaires à sa transmission entre les différents participants. Si l’on voulait être parfaitement compréhensible en toutes occasions, il faudrait ajouter au contenu du message initial toutes les informations nécessaires pour reconstituer celui-ci si une détérioration devait avoir lieu. Cependant, le temps dont nous disposons pour concevoir et transmettre un message ne nous permet déjà pas d’y inclure qu’une partie des informations nécessaires à sa compréhension. Un message trop long nuirait à la clarté du propos et serait difficile à exploiter dans un échange (et je m’en rends bien compte en relisant la plupart de mes écrits).</p>
<p>Et il y a au moins un autre problème qui peut entrer en ligne de compte. Le message que l’on cherche à transmettre est en général une réponse à un autre message, la demande. Si la demande est vague ou imprécise, les bonnes intentions du répondant vont probablement le pousser à fournir une réponse couvrant un maximum de terrain pour pouvoir être utile, souvent en tapant à côté.</p>
<blockquote><p>– Ahhhh! ça marche pas !!!</p>
<p>– Avez-vous essayé d’éteindre et de rallumer votre appareil ?</p></blockquote>
<p>La probabilité de répondre juste à une question est d’autant plus élevée que la question est la bonne, avec les bonnes informations et le bon niveau de détail.</p>
<h4>Si la communication peut échouer, elle échouera</h4>
<p>A ce point, il ne fait aucun doute que les obstacles à surmonter sont suffisamment nombreux pour que les chances de succès soient quasi inexistantes. Les statistiques et les probabilités sont contre nous.</p>
<h4>Si la communication ne peut pas échouer, elle échouera très probablement aussi</h4>
<p>Malgré tous les efforts que nous pouvons déployer pour s’assurer que la communication est réussie, il restera toujours suffisamment d’éléments hors de notre contrôle ou de notre conscience pour que les chances de succès soient encore très faibles.</p>
<h4>Si la communication semble avoir été faite avec succès, il y a eu méprise</h4>
<p>S’il nous semble que la communication s’est produite avec aisance et succès, il est probable qu’il y a eu méprise. Le destinataire a compris le message à <em>sa</em> façon, généralement celle qui l’arrange et qui ne suscite pas de résistance particulière. Rien n’assure qu’il s’agisse de la signification que vous souhaitiez y mettre. Dommage.</p>
<p>Dans la culture de l’Internet, il y a un adage qui dit qu’à chaque question complexe, il existe une réponse simple, compréhensible, plaisante et tout simplement fausse. Il est souvent plus agréable de recevoir une réponse simple, aussi fausse soit-elle, que de devoir intégrer une réponse complexe. De plus, la plupart des réponses fausses tardent à apparaitre comme telles, et elles ont une fâcheuse tendance pour certaines à sembler fonctionner pendant un temps assez long.</p>
<h4>Si vous êtes satisfait de votre message, la communication a certainement échoué</h4>
<p>Si la formulation de votre message vous plait, vous pouvez être sur que vous l’avez formulé à destination de vous-même et pas de vos destinataires. Vous pouvez essayer de reprendre la formulation pour prendre en compte les particularités de votre auditoire.</p>
<h3>Si un message peut être interprété de plusieurs façons, il le sera de façon à maximiser les dommages causés</h3>
<p>A ce niveau, nous sommes plus proche d’une loi de Murphy, mais elle n’en demeure pas moins valable. En ce qui concerne la gravité, il ne s’agit généralement pas de la pire option que vous aviez envisagé mais d’une encore pire encore que vous n’aviez pas envisagé. Désolé.</p>
<h3>Il y a toujours quelqu’un qui sait mieux que vous ce que vous avez voulu dire</h3>
<p>Alors qu’il est facile de reconnaitre les gens qui n’ont clairement pas compris ce que vous avez dit, reconnaitre ceux qui pensent avoir compris, abondent dans votre sens et commencent à diffuser leur idée erronée de votre avis est une toute autre paire de manche. Rester attentif aux personnes qui semblent vous avoir compris me parait donc une bonne idée.</p>
<h3>Plus nous communiquons, plus la communication empire</h3>
<p>D’ordinaire, on considère que plus on communique, plus la communication s’améliore. En réalité, plus la quantité d’informations augmente, plus le risque de se tromper augmente aussi. D’ailleurs, j’ai décidé il y a quelques temps déjà d’arrêter de reformuler sans arrêt spontanément mes propos et questionner les gens sur leur compréhension. Vous avez le droit de me rappeler cette résolution aussi souvent que nécessaire en commentaire ou sur les réseaux sociaux.</p>
<p>Ce qui fait fonctionner correctement la communication, ce n’est pas le volume d’informations mais la qualité de la donnée contenue dans cette information. Une mesure de son efficacité est dans l’analyse du rapport signal sur bruit.</p>
<h4>Plus nous communiquons, plus vite les méprises se propagent</h4>
<p>La répétition renforce les idées fausses. Répéter une information erronée ne fait qu’augmenter notre propension à la croire vraie, et nous nous retrouvons rapidement à la véhiculer à notre tour. Pour exemple, considérez les annonces de décès de personnalités sur les réseaux sociaux. Si nous voyons l’information une fois, l’erreur nous parait possible. Si nous la voyons plusieurs fois, la probabilité d’en devenir soi-même le relai augmente rapidement. Je salue au passage <a href="http://www.lemonde.fr/actualite-medias/article/2015/03/05/double-demission-a-l-afp-apres-l-annonce-erronee-de-la-mort-de-martin-bouygues_4588314_3236.html">Martin Bouygues et les gens de l’AFP</a>.</p>
<h3>Dans la communication de masse, ce qui importe n’est pas ce qui est mais ce qui semble être</h3>
<p>La communication de masse crée un monde à part. La multiplication des analyses sur les événements et les informations y crée une matière propice à la recherche d’intentions ou de messages cachés, voire de théories du complot. Au final, le phénomène généré par l’information initiale occupe souvent bien plus de place que celle-ci et évolue bien plus rapidement. On assiste sur la toile à des guerres ouvertes qui se règlent le temps de changer de fuseau horaire.</p>
<h3>L’importance d’une nouvelle est inversement proportionnelle au carré de la distance</h3>
<p>Lorsqu’un événement se produit, son importance dépend directement de la distance (physique, communautaire ou affective) que nous percevons avec cet événement. Le décès de quelques passagers français dans un avion privé en Afrique nous parait plus important que le massacre de centaines de personnes dans les mêmes régions ou le décès de centaines de passagers allemands dans les Alpes françaises.</p>
<p>Ce que l’on peut retenir de ces observations c’est que la communication est là aussi fortement impactée par le référentiel propre à chaque personne, et qu’il est donc nécessaire d’en tenir compte.</p>
<h3>Plus la situation est importante, plus vous êtes susceptible d’oublier une chose essentielle dont vous aviez conscience jusque là</h3>
<p>Cette situation se produit à la fois pour l’émetteur et le destinataire du message. Elle s’applique notamment à toutes les informations qui nous paraissent indispensables pour comprendre le sujet dont il est question et que nous considérons malgré nous comme des pré-requis déjà intégrés ou inférés sur la base du contexte présent. Un émetteur à qui une demande de clarification a été adressée arrive généralement à fournir une reformulation satisfaisante et compréhensible par le destinataire, mais bien après que la présente situation se soit terminée.</p>
<h2>Corollaires de Korpella</h2>
<h3>Si personne ne vous agresse, c’est que votre message n’est pas passé</h3>
<p>Le manque de feedback négatif est généralement considéré comme un signe que la communication a été couronnée de succès. Le fait qu’aucun retour négatif n’ait été fait ne peut en aucun cas être considéré comme un témoignage d’adhésion, il peut aussi témoigner d’un désintérêt ou d’une absence d’implication sur le sujet. La demande de clarification ou le feedback négatif, parfois agressif, qu’un émetteur peut recevoir est un signe que son message a atteint sa cible et été au moins partiellement compris, ce qui est un résultat pas si mauvais que ça.</p>
<p>La communication entre humains fonctionne par le dialogue. Les rares fois où une communication uni-directionnelle semble fonctionner (comme une page web ou un livre), c’est en général parce que l’auteur a été impliqué auparavant dans de nombreux dialogues sur le même sujet. Il a pu enrichir son point de vue de celui des autres personnes qui ont pris une part active dans ces dialogues et lui permettre de formuler un message efficace et porteur de sens pour les personnes composant son audience.</p>
<p><a href="http://doubleboucle.fr/feedback/">Le feedback n’est pas juste une façon de donner son avis sur un effort ou le produit de cet effort</a> pour témoigner son appréciation, mais c’est aussi une bonne façon de savoir quel message nous avons pu transmettre.</p>
<blockquote><p>Je ne sais ce que j’ai dit que lorsque l’on m’a répondu.</p></blockquote>
<p>La valeur du feedback n’est plus à démontrer, même le feedback formulé de façon agressive. Les chances sont mêmes élevées qu’un contenu de qualité suscite un feedback plus agressif que les autres, par envie ou autre.</p>
<p>Si vous n’avez aucun feedback, c’est que votre message n’a intéressé personne ou presque.</p>
<h3/>
<h1>Conclusion</h1>
<p>Loin de donner une vision pessimiste de la communication et des difficultés inhérentes au processus, ces lois et corollaires nous permettent d’envisager les choses sous un nouveau jour. Si nous ne pouvons communiquer avec succès, nous pouvons néanmoins travailler à augmenter la probabilité d’un succès accidentel en prêtant une attention toute particulière aux problèmes discutés ici.</p>
