title: Quel est le plus lourd : le kilo de plomb ou le kilo de plumes ?
url: https://couleur-science.eu/?d=e4a32d--quel-est-le-plus-lourd-le-kilo-de-plomb-ou-le-kilo-de-plumes
hash_url: 18548919d9b3e83698089995f0e1636d

<p><img src="https://couleur-science.eu/img/c2/plume.jpg" alt="une plume" class="imgcover"/><br/>
&#13;C’est une question classique posée aux enfants pour leur enseigner des notions rudimentaires de la science. La réponse normale est évidemment qu’ils sont <strong>tous les deux aussi lourds</strong>.</p>

<p><em>Ou pas !</em></p>

<p>Car selon ce qu’on veut dire par « lequel est le plus lourd ? », la réponse peut se discuter. Pour la définition de « lourd », je vois trois possibilités :</p>

<ul><li> lequel a la plus grande masse ?</li>&#13;<li> lequel a le plus grand poids ?</li>&#13;<li> lequel est le plus difficile à soulever ?</li></ul>

<p>Dans les trois cas, la réponse est différente !</p>

<h2>Les masses</h2>

<h3>Masse grave et inerte</h3>

<p>On définit la masse de deux manières :</p>

<ul><li> comme le coefficient de résistance à l’accélération : c’est son <em>inertie</em>, et on parle alors de la « <em>masse inerte</em> ».</li>&#13;<li> comme le coefficient de soumission à la force de gravité : une masse plus grande signifie une attraction plus grande. On parle de la masse grave (comme dans « gravité »).</li></ul>

<p>Sans qu’on ne sache encore pourquoi, la Nature a fait en sorte que la masse grave et la masse inerte soient égales. Cette égalité est appelé « <a href="https://fr.wikipedia.org/wiki/Principe_d%27%C3%A9quivalence#Le_principe_d'%C3%A9quivalence_faible">principe d’équivalence faible</a> » et est un principe fondamental en physique.</p>

<p>Tout ça est intéressant, mais on n’en a pas besoin ici, car la masse d’un kilogramme de plomb est strictement identique à la masse d’un kilogramme de plumes, par définition. Un kilogramme = un kilogramme, point.</p>

<h3>Masse comme quantité de matière</h3>

<p>Si l’on définit la masse comme une quantité de matière en revanche, on peut discuter : parle t-on d’un nombre d’atomes ? de nucléons (protons et neutrons) ?<br/>&#13;Dans un atome, 99,95 % de la masse est contenue dans le noyau et le 0,05 % restant est dans les électrons.</p>

<p>Dans ce cas, on peut compter le nombre de nucléons dans un kilogramme de plumes et le nombre de nucléons dans un kilogramme de plomb. Et là… on trouvera une différence !</p>

<p>En physique nucléaire, la masse des nucléons pesés de façon séparée est plus importante que la masse des nucléons collés ensemble !<br/>&#13;Ainsi, 4 atomes d’hydrogène (4×1 nucléon) est plus massif qu’un seul atome d’hélium (1×4 nucléons). Ceci, parce que le simple fait que les nucléons soient collés ensemble constitue une forme d’énergie : de l’énergie de cohésion nucléaire. Quand on fusionne de l’hydrogène en hélium (<a href="?d=1ae1c3--comment-fonctionne-le-soleil et toutes les étoiles">chose qui se passe dans le Soleil</a>), environ 1 % de la masse est convertie en énergie (sous forme de rayonnement, de chaleur).</p>

<p>La relation entre l’énergie libérée et la masse perdue est donnée par l’équation d’équivalence masse-énergie bien connue :</p>

<p>$$\text{Énergie} = \text{masse} \times \text{célérité de la lumière}^2$$</p>

<p>Du coup, dans l’atome de plomb qui possède entre 202 et 210 nucléons collés ensembles, la différence de masse devient significative par rapport aux atomes de carbone ou d’oxygène beaucoup plus petits constituants les plumes.</p>

<p>Notre kilogramme de plumes possède moins de nucléons que notre kilogramme de plomb. Leur masse restera identique, mais le nombre de particules diffère. Peut-on alors dire que la quantité de matière diffère aussi ?</p>

<h2>Le poids</h2>

<p>Dans le langage courant, on désigne par « le poids » la force avec laquelle la gravité terrestre tire les objets vers le bas (vers elle). La force attractive sur un objet de masse $m_1$ fixe dépend alors de la masse $m_2$ de la planète et de sa géométrie :</p>

<p>$$\text{force} = \text{G} \times \frac{\text{m}_1\times\text{m}_2}{d^2}$$</p>

<p>Si la masse de la planète ($m_2$) est constante elle aussi, alors la seule variable est la distance $d$ entre la planète (son centre, en fait) et notre plomb et plumes (là aussi, leur centres de masse).</p>

<p>Du coup, si l’on considère un kilo de plomb posé par terre sous la forme d’un cube de métal et le kilo de plumes comme un gros sac de plumes alors une partie du sac de plumes sera plus éloignée de la Terre que le cube de plomb.<br/>&#13;Cette partie sera un (tout petit peu) moins attirée vers la terre : dans cette configuration, le poids des plumes sera alors moindre que celle du plomb.</p>

<p>Si l’on veut obtenir le même poids pour les deux, il faut que le centre de masse du cube de plomb soit au même niveau que le centre de masse du sac de plumes. On peut accomplir ça en surélevant le plomb, ou bien en étalant les plumes. Toujours est-il que si vous imaginiez « <em>un kilo de plumes</em> » comme un gros sac bien volumineux, alors <strong>le kilo de plomb a un poids plus important que le kilo de plumes</strong>.</p>

<h2>Le plus dur à soulever</h2>

<p>Dans l’exemple précédent, le plomb étant un peu plus proche de la Terre, il est également plus attiré et donc plus pesant : le soulever est donc plus difficile d’un iota. Mais ce n’est pas tout.</p>

<p>Il y a autre chose à considérer : <strong>la poussée d’Archimède</strong>. En effet, même hors de l’eau, nous sommes toujours plongés dans un fluide : l’air ! <strong>L’air est un fluide</strong> et chaque objet qu’on immerge élève le niveau de l’atmosphère d’autant plus que cet objet est volumineux. L’objet subit une force de la part de l’atmosphère qui s’oppose à son immersion. Cette force (ou poussée) est nommée poussée d’Archimède et est dirigée vers le haut.</p>

<p><strong>La poussée d’Archimède est quantifiée comme la valeur du poids du volume de fluide déplacé (mais dans le sens opposé) :</strong></p>

<p>$$\vec{F}_{\text{Archimède}} = -\vec{P}_{\text{volume de fluide déplacé}}$$</p>

<p>Si l’on immerge un kilogramme de plomb, le niveau de fluide n’est que peu modifié grâce au faible volume occupé par le plomb, mais un gros tas de plumes déplace davantage de fluide. Le poids du fluide déplacé est donc plus important et la poussée d’Archimède également.</p>

<p>Il en résulte que les plumes subissent une poussée d’Archimède bien plus grande que le plomb : soulever un kilo de plumes est donc un chouiya plus facile.<br/>&#13;À noter cependant : cette différence est dans le même sans que tout à l’heure avec la différence d’attraction terrestres, mais elle a une origine différente ! La poussée d’Archimède dans l’atmosphère est une force qui vient s’ajouter à la force poids dans la liste des forces s’exerçant sur les plumes et le plomb.</p>

<p>La poussée d’Archimède est généralement ignorée. Pourtant, il est possible d’avoir des objets dont la densité est si faible que la poussée d’Archimède surpasse la force poids : un tel objet posé par Terre se soulèverait alors dans les airs.<br/>&#13;Un tel objet vous en connaissez : c’est une montgolfière, un ballon dirigeable, ou encore un ballon d’hélium.</p>

<p>On l’oublie souvent, mais la force qui soulève une montgolfière est la poussée d’Archimède, cette dernière dépendant directement des densités à la fois du fluide immergeant (l’air) que des objets immergés.</p>

<p>De plus, la densité de l’air diminue avec l’altitude (l’air étant moins comprimée à mesure qu’on s’élève), il vient un moment où la densité de l’air entourant une montgolfière est égale à la densité de la montgolfière : le ballon stagne donc à une altitude donnée. Il n’y a donc aucun risque que le ballon s’élève indéfiniment et se perde dans l’espace.</p>

<p><em>(Merci à <a href="http://secouchermoinsbete.fr/76343-l-or-pese-bien-plus-lourd-que-le-plomb?page=2#comment-632567">Hapitude</a> sur le site SCMB pour l’idée de cet article !)</em></p>

<p class="small"><a href="https://www.flickr.com/photos/gycib/2300916111/">mage d’en-tête de Gytis Cibulskis</a></p>
