title: Redesign: Wants and Needs
url: https://frankchimero.com/blog/2020/wants-and-needs/
hash_url: 3006691afcf79e8a0fa83b2f0f64e91a

<p>Let’s oversimplify for a bit to help get down some goals for the site redesign.</p>
<h3 id="the-website-spectrum">The website spectrum</h3>
<p>Websites sit on a design spectrum. On one end are applications, with their conditional logic, states, and flows—they’re software. The design challenge here is to create designs that support everything the product could contain and become. Google Maps in the browser is probably the most purely appy application I can imagine, but any design system supporting variable content and conditional states is going to be pretty appy and have exponential complexity.</p>
<p>Large systems, unknowableness, and unseeableness come together in the same carriage. When this joins up with a designer’s natural desire for control and comprehensiveness, it creates fertile ground for unwarranted impostor syndrome—playing the right game by the wrong rules. (If this line of thinking is interesting to you, give Robin Rendle’s <a href="https://www.robinrendle.com/essays/systems-mistakes-and-the-sea">Systems, Mistakes, and the Sea</a> a read.) More on this in a bit.</p>
<p>On the other end of the design spectrum are documents; sweet, modest documents with their pleasing knowableness and clear edges. They only need to achieve readability with hierarchy and layout—they’re writing and records. The design challenge is to make it look like what it is, because the content is all there in front of you. If you’re looking for a purely documenty document website, I’d nominate blog-based personal websites as the platonic example.</p>
<h3 id="hiding-in-docs">Hiding in docs</h3>
<p>I love personal sites because you can get your head around what you’re doing. Their design challenges are primarily typographic—what are the typefaces, how do we use them to express hierarchy, how is the text block set to support reading, where do those text blocks go on the page, and how does that layout change across viewports? These challenges exist in the design of apps, but the approach is haunted by hidden complexity. When designing a document, you can check and see how your choices hold up. It’s 1:1, without much need to project decisions out into the fog of complexity.</p>
<p>I’ve redesigned my site a lot in the last decade. A <em>lot</em>. Too much and too frequently, most certainly. The stated reason was to practice using new methods (trying CSS grid, taking a new typeface for a spin, and so on). But that isn’t the full story. Too often, I’d redesign because I needed to feel capable at my job, which required a design challenge that wouldn’t drive me nuts. The simplicity of redesigning my personal site became a way to hide from the crazy-making and humbling (humiliating?) complexity of systems design. The redesigns were a happy little bubble of sensibility and control, a way to practice and use technology at work without feeling trapped.</p>
<p>For better or worse, I am a document lover. All of my best intentions to try new digital tools eventually devolve to their most stable ur-forms of text files and spreadsheets. I think back to what hooked me on the web in 1996—our expectations are so often defined by our first loves. The primitive parts of me will always want websites to be editable documents with legible, marked up text on servers. I began making websites when mastery seemed so possible that people called themselves “webmasters.” Those expectations are laughable now.</p>
<p>This is the context where I fell in love with design and the web. It is a love story, but it is also a ghost story.</p>
<h3 id="carving-out-a-space">Carving out a space</h3>
<p>Still, personal websites are personal before they are anything else. You can carve out a space in whatever shape you’d like, even one of a ghost. I anticipate this personal site redesign to follow a path back to basics. Here is where I’d like to end up:</p>
<ul>
<li><strong>Good fit</strong>: Make it look like what it is—a place to write and keep records. A collection of documents. Website as filing cabinet.</li>
<li><strong>Modest elegance</strong>: Think elevated defaultness. Premium vanilla ice cream, top shelf ingredients used modestly and well. Tight focus on typography for better reading and suggestion of craft and quality. No tacky razzle-dazzle.</li>
<li><strong>Feeling of lightness</strong>: Simple design, clear patterns, shallow hierarchy. As little javascript as possible, preferably none. Clear markup, no junk. The inside of the site looks like the outside.</li>
<li><strong>Whim</strong>: Achieve all of the above without being austere or over-serious. Have some fun. Smile a bit. No black turtleneck design.</li>
</ul>
