title: TikTok and the coming of infinite media
url: http://www.roughtype.com/?p=8677
hash_url: 58add7873e65625beba4c859d40a278b

<figure class="wp-block-image"><img src="http://www.roughtype.com/wp/wp-content/plugins/jetpack/modules/lazy-images/images/1x1.trans.gif" alt="" class="wp-image-8691" data-lazy-src="https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?fit=625%2C294" data-lazy-srcset="https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?w=1656 1656w, https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?resize=300%2C141 300w, https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?resize=768%2C361 768w, https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?resize=1024%2C481 1024w, https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?resize=624%2C293 624w, https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?w=1250 1250w" data-lazy-sizes="(max-width: 625px) 100vw, 625px"/><noscript><img src="https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?fit=625%2C294" alt="" class="wp-image-8691" srcset="https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?w=1656 1656w, https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?resize=300%2C141 300w, https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?resize=768%2C361 768w, https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?resize=1024%2C481 1024w, https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?resize=624%2C293 624w, https://i2.wp.com/www.roughtype.com/wp/wp-content/uploads/2020/01/tiktok.jpg?w=1250 1250w" sizes="(max-width: 625px) 100vw, 625px"/></noscript></figure>

<p>If Instagram <a href="http://www.roughtype.com/?p=2106">showed</a> us what a world without art looks like, TikTok shows us what a world without shame looks like. The old virtues of restraint — prudence, discretion, tact — are gone. There is only one virtue: to be seen. In TikTok’s world, which more and more is our world, shamelessness has lost its negative connotations and become an asset. You may not get fifteen minutes of fame, but you will get fifteen seconds.</p>

<p>The rise of TikTok heralds something bigger, though: a reconfiguration of media. As mass media defined the twentieth century, so the twenty-first will be defined by infinite media. The media business has always aspired to endlessness, to securing an unbroken hold on the sense organs of the public. TikTok at last achieves it. More than YouTube, more than Facebook, more than Instagram, more than Twitter, TikTok reveals the sticky new atmosphere of our lives.</p>

<p>Infinite media requires endlessness on two fronts: supply and demand. Shamelessness, in this context, is best understood as a supply-side resource, a means of production. To manufacture the unlimited supply of content that an app like TikTok needs, the total productive capacity of the masses needs to be <a href="http://www.roughtype.com/?p=634">mobilized</a>. That requires not just the ready availability of media-production tools (the smartphone’s camera and microphone and its editing software) and the existence of a universal broadcast network (the internet), but also a culture that encourages and celebrates self-exposure and self-promotion. Vanity must go unchecked by modesty. The showoff, once a risible figure, must become an aspirational one.</p>

<p>On the demand side, too, TikTok achieves endlessness. It is endless horizontally, each video an infinitely looping GIF, and it is endless vertically, the videos stacked up in an infinite scroll. There is no exit from TikTok’s cinema. One college student I know, having recently downloaded the app, told me that she now finds herself watching TikToks until her iPhone battery dies. She can’t pull her eyes away from the screen, but she is still able to withstand the temptation to recharge her phone while the app’s running. Electrical failure is the last defense against infinite media.</p>

<p>TikTok’s Chinese owner, ByteDance, specializes in using machine-learning algorithms to tailor content to individual appetites. (With artificial intelligence, there is accounting for taste.) “Personalised information flows will dictate the way,” the company <a href="https://ailab.bytedance.com/">declares</a> in a vaguely Maoish aphorism in its mission statement. It doesn’t need to build exhaustive data profiles of its users as, say, Facebook does. It just watches what you watch, and how you watch it, and then feeds you whatever video has the highest calculated probability of tickling your fancy. You feel the frisson of discovery, but behind the scenes it’s just a machine pumping out widgets. “TikTok deals in the illusion, at least, of revelation,” <em>New York Times</em> critic Amanda Hess <a href="https://www.nytimes.com/interactive/2019/10/10/arts/TIK-TOK.html">writes</a>. Not to mention the illusion, at least, of egalitarianism, of communalism, of joy.</p>

<blockquote class="wp-block-quote"><p>When I tap the heart on some high school kid’s weird video, I feel a flicker of pride, as if I am supporting him in some way. But all I am really doing is demanding more.</p></blockquote>

<p>TikTok is at once a manifestation and a parody of what Stanford communication professor Fred Turner has <a href="https://www.press.uchicago.edu/ucp/books/book/chicago/D/bo10509859.html">termed</a> the “democratic surround.” From the 1940s through the 1960s, media-minded intellectuals promoted the ideal of a polyphonic multimedia experience that would be created and consumed by the public. The democratic surround would not only free the masses from centrally controlled media, with its authoritarian aura, but would raise the collective consciousness. TikTok gives us the democratic surround, but it turns out to be a pantomime. The central authority is still there, hidden behind a mask of your face.*</p>

<p>Infinite media sucks in all media, from news to entertainment to communication. Look at what’s going on in pop. Each TikTok has a soundtrack, a looping clip spinning on a wee turntable in the corner of the screen. The music business, seeing TikTok’s ability to turn songs into memes, has already developed a craving for the app’s yee yee juice. As Jia Tolentini <a href="https://www.newyorker.com/magazine/2019/09/30/how-tiktok-holds-our-attention">explains</a> in the <em>New Yorker</em>:</p>

<blockquote class="wp-block-quote"><p>Certain musical elements serve as TikTok catnip: bass-heavy transitions that can be used as punch lines; rap songs that are easy to lip-synch or include a narrative-friendly call and response. A twenty-six-year-old Australian producer named Adam Friedman, half of the duo Cookie Cutters, told me that he was now concentrating on lyrics that you could act out with your hands. “I write hooks, and I try it in the mirror—how many hand movements can I fit into fifteen seconds?” he said. “You know, goodbye, call me back, peace out, F you.”</p></blockquote>

<p>The aural hooks amplify the visual hooks, and vice versa, to saturate the sensorium. When it comes to the infinite, more is always better.</p>

<p>Boomers may struggle to make sense of TikTok, but they’ll appreciate its most obvious antecedent: the Ed Sullivan Show. Squeeze old Ed through a wormhole and give him a spin in a Vitamix, and you get TikTok. There’s Liza Minnelli singing “MacArthur Park,” then there’s a guy spinning plates on the ends of sticks, then there’s Señor Wences ventriloquizing through a hand puppet. Except it’s all us. We’re Liza, we’re the plate-spinning guy, we’re Señor Wences, we’re the puppet. We’re even Ed, flicking acts on and off the stage with the capriciousness of a pagan god.</p>

<p>Every Sunday night during the sixties the nation found itself glued to the set, engrossed in a variety show. It was an omen.</p>

<p>___________<br/>*In a recent essay, collected in the book <em>Trump and the Media</em> (reviewed <a href="https://lareviewofbooks.org/article/can-journalism-be-saved">here</a> by me), Turner argues that the democratization of media may paradoxically breed authoritarianism.<br/></p>
