title: Stream on
url: https://colly.com/articles/stream-on
hash_url: 418e55cca386afcdb4b14677c9706e5d

<p class="as-subtitle">It’s two years since I started my Stream, a channel for quickfire posts alongside my more glacial blog, and I recently posted my 250th note. That’s 250 thoughts that would otherwise have gone undocumented or evaporated elsewhere.</p>

  <figure class="as-cover-default as-grid">
    <span class="imageset"><img alt="" loading="lazy" src="https://colly.com/media/pages/articles/stream-on/920f7cf5bb-1638811162/stream-posts.jpg" srcset="https://colly.com/media/pages/articles/stream-on/920f7cf5bb-1638811162/stream-posts-600x.jpg 600w, https://colly.com/media/pages/articles/stream-on/920f7cf5bb-1638811162/stream-posts-900x.jpg 900w, https://colly.com/media/pages/articles/stream-on/920f7cf5bb-1638811162/stream-posts-1500x.jpg 1500w"></span>  </figure>
    <figcaption class="fc-cover">Each small link reflects a stream post during the first nine months of 2020.</figcaption>
  
<p>It’s not lost on me that I am writing an <a href="https://colly.com/articles">Article</a> about my <a href="https://colly.com/stream">Stream</a>. But, as you will read, this isn’t a short post, and my Articles section is here when I need more depth. I’ve given myself options.</p>
<p>It’s my good fortune to have launched my Stream a couple of months before the pandemic changed everything, and the government doubled down on being dicks because bloody hell, did I need a frictionless outlet for articulating and documenting my thoughts. Writing has been essential for focus, planning, catharsis, anger management, etc. Get it down, get it out. Writing is hard, but it’s also therapy: give order to a pile of thoughts to understand them better and move on.</p>
<h2>Why build a second channel?</h2>
<p>A primary motivation for creating my Stream was the paralysing sense that a blog post needed appropriate <em>length</em> and <em>weight</em>. Since switching to <a href="https://getkirby.com">Kirby</a>, there’s relatively little friction to posting, but there’s definite friction in evaluating a post’s <em>worth</em> to the reader. I’d think to myself, “I’d like to write something about that, but I’ll have to come up with all sorts of extra stuff and dressing, and it’ll take all afternoon.” It doesn’t help that my <a href="https://colly.com/articles">Articles overview</a> has a fancy grid design requiring articles to have both a standfirst and a cover image.</p>
<p>And so, I was increasingly aware that I was letting many interesting or essential thoughts go undocumented, allowing them to drift from memory, or exist only on social media, likely to one day evaporate. I’ve become more and more interested in the human desire to document, and it’s something I’ve always valued, so I needed to find a solution that I could entirely control and own. That solution was my Stream.</p>
<p>Many people have maintained two or more channels for some time, but typically the secondary stream is focused on briefly describing and cataloguing external links. For me, the motivation came from something newer: I started my Stream as a new trend of writing Weeknotes was spreading around the blogging community. Weeknotes is a concept with identical goals: to allow anyone with a blog to push out quick notes about interesting and often personal things without investing time and energy in composing detailed and grammatically crafted articles. </p>
<p>I loved how the Weeknotes format gained popularity and reinvigorated some bloggers, but I wanted something more than bullet points. My setup allows me to write weeknotes if I wish, but I often want to say something with a couple of paragraphs or images and contain that thing as one particular, indexed item. But, as with all such things, it truly doesn’t matter <em>how</em> you document, so long as there’s a low-friction approach. It’s all about the enjoyment of writing stuff down, cataloguing life’s minutiae and <em>owning</em> it. It’s about not losing everything to tweets.</p>
<p>For me, it’s been a revelation, and a way of thinking differently about the things I do, see, read, listen to, worry about and so on. It’s like a little frame I can hold up to something and think, “Yeah, I can (or should) make a little note about this”.</p>
<p>I can recommend building a second low-stress channel alongside your more time-consuming blog. Unless, of course, you are less uptight than me about these things and don’t care if a post needs to look good or have a leading image, and you post anything and everything of all sizes and subjects to one no-fuss bucket. If that’s you, I envy your lack of visual and curatorial concerns.</p>
<p>Oh, and I decided to include my Stream posts in my <a href="https://colly.com/articles/feed">RSS feed</a>. I know this adds a bit of noise for some, and I bet a few subscribers end up quitting when they get a single paragraph about how I’m digging <a href="https://colly.com/stream/marmite-peanut-butter">Marmite peanut butter</a>, or <a href="https://colly.com/stream/unbearable">I lose my mind</a> about something the Tories did but I won’t worry about it.</p>
<h2>Seeds and stubs</h2>
<p>I’ve occasionally tweeted about my Stream and received positive responses and questions. For example:</p>
<blockquote>
This is a top idea! The format would definitely suit me better, as I struggle to formulate some ideas in less than 200 characters, but they don’t require a full blog post. However, they can be seeds for them. Is it something that I can borrow?

</blockquote>
<blockquote>
Ooo, I love this idea of short posts of observations, creativity, and thoughts that don’t have full blog post substance (yet).

</blockquote>
<p>I love Samuel’s notion about ‘seeds’, and Laura’s “yet” is interesting. This idea of seeds is something I’d considered. A few years ago, <a href="https://craigmod.com">Craig Mod</a> and several collaborators launched a site called <a href="https://craigmod.medium.com/archiving-our-online-communities-e5868eab4d9a">Hi!</a>, a writing community focused predominantly on travel writing, Hi! allowed members to post short posts while travelling, sometimes little more than a title and a photo. The idea was that these brief posts acted as stubs that might remain as they are or act like seeds, the author returning to add further detail and colour to that post before sharing more intentionally with the community.</p>
<p>In my case, only two Stream items have been expanded and moved to my Journal — for example, one <a href="https://colly.com/articles/one-year">marking a year of pandemic living</a> seemed lengthy and important enough to become a Journal post — but I love that the option is there.  When I move a post to my Journal, URLs still work because I leave a non-indexed signpost at the original Stream URL inviting visitors to go to the newer post.  I could set up automatic redirects, but to be honest, my 18-year-old htaccess file is an absolute 808 (state).</p>
<h2>Choosing the appropriate channel</h2>
<p>Another common question relates to managing two blogging channels and deciding when to use each.</p>
<blockquote>
Have you ever had writer-y issues where you are confused whether a thing deserves a whole dang blog post or remain as a weeknote? I seem to mix the two in my brain as I’m writing if there isn’t a strict divide.

</blockquote>
<p>So, how do I decide if something goes in Articles or Stream? If what I’m writing doesn’t have a natural standfirst, or it’s short because it should be, and/or it’s inconsequential, it goes in Stream. If it’s short but big news (rare, but <a href="https://colly.com/articles/indefinite-leave-to-remain">Geri’s indefinite leave to remain</a> fits the bill), or it lends itself to depth, I’ll start an article draft knowing I’ll have as much room as I might need. It’s usually instinctive, as it was for this article about my Stream!</p>
<h2>Ongoing iteration</h2>
<p>As I’ve gone along, I’ve iterated the Stream format, learning more about what I need to share specific ideas and thoughts. I realise I need sets of photos; then I might realise some are landscape format; I might need four tall images, so I’ll devise a left-to-right row option, etc. Using Kirby has made that evolution easy.</p>
<p>I do sometimes ask myself if it’s time to change. I often wonder if I should merge my Stream and Articles into one main channel? I wonder that because, to a certain extent, the Stream has met its purpose; it’s taught me to think differently about what I write and share, made me feel that I can share more, and given me the confidence to do what I want on my site, and to do that as much or as little as necessary. <a href="https://colly.com/articles/this-used-to-be-our-playground">It’s my playground</a>, and there are no rules.</p>
<h2>Tagging = curating</h2>
<p>My favourite feature is tagging, which works incredibly well because the entire post is visible (no clicking through to read the whole thing). In some cases, tags create a multi-part article or diary, sometimes more of a photo essay or research thread. For example, the tag <a href="https://colly.com/stream/tag:garden%20project">garden project</a> neatly documents last year’s evolving garden renovation.</p>
<p>It’s also good to have an easily-accessible record of short posts about <a href="https://colly.com/stream/tag:music">music</a>, <a href="https://colly.com/stream/tag:books">books</a> or <a href="https://colly.com/stream/tag:art">art</a>. How about everything relating to <a href="https://colly.com/stream/tag:geri%20draws%20japan">my wife’s achievements</a>? And I think in years to come, I’ll appreciate scrolling through everything I wrote about <a href="https://colly.com/stream/tag:covid-19">Covid-19</a>, <a href="https://colly.com/stream/tag:politics">politics</a>, and <a href="https://colly.com/stream/tag:race">race</a> during the last couple of years.</p>
<p>I’ve managed to ensure there’s always something to post too, because, well, <em>these times</em>. I’m always making notes and tinkering with drafts in <a href="https://ulysses.app">Ulysses</a>, so there’s always something there to consider polishing and posting. Writing a little every day has been as comforting and distracting as gardening ever was.</p>
<h2>This stuff is never finished</h2>
<p>I still have lots to do to make my Stream more efficient. At some point, I’ll need to rewire Kirby so that each year’s posts are contained in separate folders before it gets weighed down and adversely affects performance.</p>
<p>I’d like to enable a method of reversing post order so that tagged memories such as the <a href="https://colly.com/stream/tag:garden%20project">garden project</a> can optionally unfold first-to-last. And although I use the same tags across both Articles and Stream, they only filter by the current channel. So, If you’re in my Stream and you click the <a href="https://colly.com/stream/tag:radiohead">Radiohead Stream tag</a>, you’re going to miss any <a href="https://colly.com/articles/tag:radiohead">Radiohead mentions and setlists</a> within Articles. My <a href="https://colly.com/archive">Archive</a> handles this much better, but even then, it’s only showing items per selected year for a limited tag set.</p>
<p>But who cares about that? Well, <em>I</em> do, but you don’t. You haven’t even read this far, but it doesn’t matter because I document my life for <em>me</em>. If others tap into it, then that’s a lovely bonus. And with that in mind, I’ll close with my favourite comment about <a href="https://colly.com/stream">my Stream</a>, from my friend Rizwana:</p>
<blockquote>
I read each Stream entry on your website. The journal-like style feels like an online version of an in-life encounter, which is lovely.

</blockquote>
<p>Thank you, Riz, and everyone else who reads anything I write. I appreciate it so, so much.</p>
<p>By the way: if you liked this, my friend Remy recently explained why <a href="https://remysharp.com/2021/11/21/why-i-write-and-when-i-dont">why he writes and why he won’t</a>. It’s a great read.</p>
