title: Worry time
url: https://amyhupe.co.uk/articles/worry-time/
hash_url: 84f3139a5d033e4a6ffc5389ba520ebe

<p>I’ve been thinking lately about how a lot of anxiety-management advice can feel quite vague. When people say things like “learn to accept your feelings”, I can grasp that in theory but struggle to know what it means in practice.</p>
<p>With that in mind, I thought I’d share a practical technique that I use when I’m feeling overwhelmed.</p>
<p>It’s an actual thing I learned in therapy, not something I made up, but I think there are variations on how to do it.</p>
<p>Here’s my version.</p>
<h2>What is worry time?</h2>
<p>Worry time is the act of setting aside time each day to let yourself worry about the things that are making you anxious.</p>
<p>For those of us who are prone to worrying and ruminating over and above what's helpful to us, it serves 2 purposes:</p>
<ol>
<li>It allows us to postpone our worries throughout the day, safe in the knowledge that we'll get a chance to think about them at the designated time.</li>
<li>It can help us to worry more “productively”, recognising what we can and can’t control and planning to take appropriate action.</li>
</ol>
<h2>Postponing worries</h2>
<p>An important part of worry time is postponing anxious thoughts that pop up throughout the day until worry time.</p>
<p>For me, this means writing them down in my bullet journal or my phone. If a lot of my anxious thoughts are on the same subject, I keep a tally of how many times they’ve come up.</p>
<p>Something I’ve learned is that it’s helpful to keep the descriptions of my anxious thoughts as brief as possible. This stops the act of postponing them becoming another way to get caught up in them.</p>
<p>For example, if I’m anxious about COVID-19, I won’t write “I’m anxious about catching COVID-19 and becoming really ill or having to isolate”. Instead I’ll write the minimum I need to remind me. For example, “COVID”.</p>
<h2>The best time to worry</h2>
<p>I’ve read that it’s good to try and do worry time at the same time each day. I think this is helpful, but not always possible.</p>
<p>Overall, I think it’s more helpful to have worry time than not to, so if I miss my designated time slot, I’ll just do it when I can.</p>
<p>The best time of day will be different for everyone. Personally, I’ve found the morning works best for me. I used to do my worry time at the end of the working day, but found that this left too much time throughout the day for my anxiety to accumulate. By the time 5pm came around, I’d feel really overwhelmed and found it hard to use the time constructively.</p>
<p>For me, having worry time in the morning means I feel I’ve “taken charge” of my anxiety before the day has started, which helps me feel more in control.</p>
<h2>My worry time process</h2>
<p>I typically allow 20 minutes for worry time, and no more than 30. I use a timer to make sure I don’t go over.</p>
<p>If I’m feeling very anxious and struggling to separate my thoughts, I’ll start with 10 minutes of <a href="https://www.verywellmind.com/journaling-a-great-tool-for-coping-with-anxiety-3144672#freewriting">free-writing</a>. This helps me to pick out themes in my thought processes an gives me a clue about what my mind is fixating on.</p>
<p>When I get to the worry time, I open up a page in my notebook or a Google Doc and use the following 3 headings to write down my thoughts.</p>
<h3>What’s on my mind</h3>
<p>Here I make a bullet list of the things I’m worried about. I try not to go into too much detail, and just include a sentence on each.</p>
<h3>What’s happening</h3>
<p>I use this section to list:</p>
<ul>
<li>external events that are impacting me</li>
<li>behaviours that are impacting my anxiety levels</li>
</ul>
<p>For example, today I’ve listed that I’ve had a busy day of meetings, that I’m recovering from a cold, and that I’ve been doom-scrolling on Twitter and news platforms.</p>
<h3>What I’ll do today</h3>
<p>Here I list 3-7 things I’m going to do to try and tackle my worries today. This is enough to make me feel like I’m making a difference, without being overwhelming.</p>
<p>Often I’ll list the same things, like 10 minutes of meditation, going out for a walk, phoning a friend or family member for a chat.</p>
<p>Sometimes I can add more specific actions, like having a day off social media, or taking some vitamin C to help shift my cold.</p>
<h2>The value of regular, time-limited worry</h2>
<p>I find worry time a really useful way of helping me to step back and view my anxiety objectively, to recognise what’s impacting it, and to identify what I can and can’t control.</p>
<p>Doing it regularly stops me from overthinking it and worrying about getting it exactly right. I know if I miss something, I’ll have another go tomorrow.</p>
<p>Like any anxiety-management technique, worry time isn’t magic, but I’ve definitely found it to be one of the more useful tools in my arsenal.</p>
<p>If you decide to give it a try, I hope it helps you too. And if you have any questions, let me know and I’ll do my best to answer them.</p>
