title: Memexes, mountain lakes, and the serendipity of old ideas
url: http://interconnected.org/home/2021/02/10/reservoirs
hash_url: 9b2e831c217bc1179c0f74c4fc363c11

<p class="measure-wide f6 f5-l lh-copy black-80">I’ve noticed that smart people keep notes, and in particular <em>use</em> their notes in a certain way, and it made me think of something I read recently about viruses.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Where do new influenza outbreaks come from? From <em>Viruses, Plagues, and History</em> (<a href="/home/2020/12/28/books">as previously discussed</a>), one possibility is that <q>newly emerging viruses have actually remained hidden and unchanged somewhere but suddenly come forth to cause an epidemic.</q> There was an H1N1 outbreak in 1977 that was genetically identical to one that was causing epidemics in the 1950s. Where had it been?</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Here’s one idea about bird flu specifically:</p>
<blockquote cite="https://uk.bookshop.org/books/viruses-plagues-and-history-past-present-and-future-9780190056780/9780190056780" class="quoteback bl bw1 pl2 b--light-red ml0 italic i" data-author="Michael B A Oldstone" data-title="Viruses, Plagues, and History">
<p class="measure-wide f6 f5-l lh-copy black-80">[Zhang and colleagues] reported preservation of influenza A viral genes in ice and water from high altitude lakes that are frequently visited by migratory birds. Could influenza virus be preserved in lake ice that melts during spring warming as a source of infecting migratory birds?</p>

</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">I am super taken by this concept of reservoirs, in this case frozen mountain lakes that are libraries of ancient viruses, in stasis, waiting for their time to come again – ready to be sipped by a briefly resting bird, perhaps after a decade, more!, and then down from the mountains into a city, and from there the world.</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure-wide f6 f5-l lh-copy black-80">I’m reminded of the European Renaissance, the beginning of the end of the “Dark Ages” that was catalysed (so the story goes) by the <a href="https://en.wikipedia.org/wiki/Transmission_of_the_Greek_Classics">transmission of the Greek Classics</a> <em>back</em> into Europe from Arab culture, where they’d been endemic for hundreds of years.</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure-wide f6 f5-l lh-copy black-80">And I’m also reminded of how writers I love and respect maintain their own reservoirs of knowledge, complete with migratory paths down from the mountains.</p>
<p class="measure-wide f6 f5-l lh-copy black-80"><strong>Cory Doctorow’s</strong> commentary on tech and society weaves the present day with historical perspective, and any public thinker would be proud to put out one of these pieces a week – but Doctorow puts out between two and four <em>every day</em> on his blog <a href="https://pluralistic.net">Pluralistic</a> and <a href="https://twitter.com/doctorow">on Twitter</a>, in addition to being a prolific author. He detailed his process recently: <a href="https://pluralistic.net/2021/01/13/two-decades/#hfbd">20 years a blogger.</a>.</p>
<blockquote cite="https://pluralistic.net/2021/01/13/two-decades/" class="quoteback bl bw1 pl2 b--light-red ml0 italic i" data-author="Cory Doctorow" data-title="Pluralistic: 13 Jan 2021">
<p class="measure-wide f6 f5-l lh-copy black-80">My composition is greatly aided both 20 years’ worth of mnemonic slurry of semi-remembered posts and the ability to search memex.craphound.com (the site where I’ve mirrored all my Boing Boing posts) easily.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">A huge, searchable database of decades of thoughts really simplifies the process of synthesis.</p>

</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">And it’s interesting, right, this accretive note-taking and the process of taking core samples through the deep time of your own ideas. I’ve built something similar, not as consistently, but for about two decades too, and I keep all my notes in plain text, and all in the same searchable database. I develop nascent ideas in part by typing in keywords, spelunking my own <a href="https://en.wikipedia.org/wiki/Memex">memex</a> for things I’ve previously spotted, connections I’ve made, turns of phrase… most of which I had forgotten, but there they are. And old ideas come back and get recombined and become fresh again. That database of notes is my greatest asset. It’s how I write here, and it’s also how I pretend to be clever when I’m working.</p>
<p class="measure-wide f6 f5-l lh-copy black-80"><em>(If I were giving a single piece of advice to any creative starting out, it would be to start noting down everything that grabs your attention, and keep all your notes in one searchable place, as data that you can carry between whatever applications are faddy at the time because two decades is longer than almost any app is maintained, and grow that corpus over time. Don’t presumptively edit, don’t put time into organising, just accrete, and when you make connections, layer them in too, until eventually the whole thing composts down and starts outgassing brand new thoughts of its own.)</em></p>
<p class="measure-wide f6 f5-l lh-copy black-80"><strong><a href="https://www.robinsloan.com">Robin Sloan</a></strong> - author, media inventor (my favourite Sloan incarnation), and <a href="https://fat.gold">olive oil/zine magnate</a> - also recently detailed his note-taking process: <a href="https://every.to/superorganizers/tasting-notes-with-robin-sloan-25629085">Tasting Notes with Robin Sloan</a>. He is serious about capturing everything, and also about using search and juxtaposition as part of his process: <q>For example, the keyword ‘empire’ would have brought me to both the entry about the man running an empire from his phone, and that one about the cymbal company founded during the Ottoman Empire.</q></p>
<blockquote cite="https://every.to/superorganizers/tasting-notes-with-robin-sloan-25629085" class="quoteback bl bw1 pl2 b--light-red ml0 italic i" data-author="Robin Sloan" data-title="Tasting Notes with Robin Sloan (Superorganizers)">
<p class="measure-wide f6 f5-l lh-copy black-80">I’ve created a system so random notes appear every time I open a browser tab.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">I like the idea of being presented and re-presented with my notations of things that were interesting to me at some point, but that in many cases I had forgotten about. The effect of surprise creates interesting and productive new connections in my brain.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">In order to do this, I’ve put some of my programming skills to work to engineer a kind of Rube Goldberg-y system: as I mentioned previously, I export my notes from nvALT into Simplenote, and just basically use that as a back-end database. That export then gets loaded into a server that I’ve set up to feed me a random note every time I open a blank browser tab.</p>

</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">The empty browser tab as a crystal clear mountain lake!</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure-wide f6 f5-l lh-copy black-80">When I wrote my <a href="/home/2020/09/10/streak">15 personal rules for blogging</a> I realise now that I had a blind spot about how I keep notes and how I browse them. Doctorow and Sloan’s observations made me see how much I rely on my notes too… and also realise how I’ve neglected building my own deliberate migratory corridors from the past to the present.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">So here’s a start. <strong><a href="/home/on-this-day">This blog now has an On This Day page</a></strong>, which lists posts made on this day since 2007 (it goes back a week too). It’s a bit spartan, and I’m not sure yet how to make best use of it…</p>
<p class="measure-wide f6 f5-l lh-copy black-80">…BUT, right now I can see</p>

<p class="measure-wide f6 f5-l lh-copy black-80">And all of those are suddenly new to me again, and spark new thoughts.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Naturally <a href="/home/on-this-day/feed">there’s an On This Day web feed too</a> so these posts appear in my newsreader each morning. Some personal serendipity to start the day.</p>
