title: Making Colophon Cards
url: https://www.baldurbjarnason.com/2021/making-colophon-cards/
hash_url: ce35c82f8b3985d20202076871f169a8

<p>There are tasks that computers are good at. And there are tasks where they aren’t. One driver of the evolution of the personal computer, laptops, mobile phones, and all forms of mobile computing has been the desire to increase their range: do more; in a smaller package. Many in tech and software are addicted to riding this wave of new capabilities, however long it will last, to work on and create new software. To extend the reach of the computers in our lives.</p>
<p>Innovation’s the word. Pushing the boundaries. You know the phrases. Usually spouted by <em>that</em> dude at the party.</p>
<p>The other side is <em>also</em> interesting. We are now in a place where we have entire genres of software that have decades of history, are backed by stacks of new and old research, have dozens of successful, well-made exemplar apps, and a broad enough conceptual space to allow for new variations on the theme.</p>
<p>In short, we have genre software and we have avant-garde software, and I’ve always been more interested in genre fiction than literary fiction.</p>
<p>One of the earliest genres of software is the Personal Knowledge or Information Manager—<a href="https://en.wikipedia.org/wiki/NLS_(computer_system)">arguably as old as the computer mouse itself</a>. Managing data is one of the tasks computers have <em>always</em> been good at, so we’ve been making software in that genre for decades.</p>
<p><a href="https://en.wikipedia.org/wiki/MORE_(application)">Outliners</a>, <a href="https://www.eastgate.com/Tinderbox/">hypertext systems</a>, <a href="https://notational.net/">note-taking apps</a>, <a href="https://www.devontechnologies.com/apps/devonthink">personal information databases</a>—we’ve been doing this for a while and, because software is inherently ephemeral, we make new iterations for every generation.</p>
<p>Sometimes, such as with Tinderbox or DEVONThink, the new iterations are new versions of the original software. Sometimes, such as with <a href="https://bear.app/">Bear</a>, <a href="https://ulysses.app/">Ulysses</a>, <a href="https://roamresearch.com/">Roam</a>, or <a href="https://obsidian.md/">Obsidian</a>, it’s a new take on the genre. Not so new that you don’t recognise it for it is, and not so innovative that it doesn’t reuse what worked for other apps, but new variations that are adapted to work well in our current computing context.</p>
<p>That isn’t even close to a comprehensive list. There’s also <a href="https://evernote.com/">Evernote</a>, <a href="https://getdrafts.com/">Drafts</a>, <a href="https://1writerapp.com/">1Writer</a>—even Apple’s Notes app has evolved to become impressively useful. And I’m still only scratching the surface.</p>
<p>These apps are also extremely diverse. There’s an increasing tendency for software, in this age of ‘flat’, to all look the same. Same design. Same aesthetic. Same icons. Same fundamental CRUD (Create, Read, Update, Delete) concept mapped onto a specific problem domain. But you’d never mistake a screenshot of Bear for one of Tinderbox or Ulysses. You’d never look at Roam and think to yourself: “huh? That looks exactly like DEVONThink.”</p>
<p>I’ve been working in or adjacent to this space for the past five years, with varying degrees of success and you can probably tell that I’m a little bit obsessed with the genre.</p>
<p>It shouldn’t come as a surprise that I’m working on my contribution to the genre.</p>
<p>I’ve wanted to build a specific take on the note-oriented personal information manager for myself for a long time.</p>
<p>This summer I applied for a grant from the Technology Development Fund at <a href="https://en.rannis.is/funding/research/technology-development-fund/nr/545">The Icelandic Centre for Research</a> to create a prototype of a notetaking app that I’m calling…</p>
<p><em><a href="https://www.colophon.cards">Colophon Cards</a></em></p>
<p>While the app itself won’t be open source (though some bits of it might be), I’ve gotten used to following the open-source ethos of working publicly and transparently.</p>
<p>So, over the next six months (or longer if I’m successful) I’m going to be documenting the process, the design, development, research, marketing, discussion with my advisers, and other details, at <a href="https://www.colophon.cards/">colophon.cards</a>.</p>
<p>As you can probably tell from the site, I began a few days ago.</p>
<ul>
<li><a href="https://www.colophon.cards/">The front page</a> is the first version of the pitch for the app and my specific approach.</li>
<li><a href="https://www.colophon.cards/notes/01-design-notes/">The first design notes</a> are a high-level sketch of how it should work.</li>
<li><a href="https://www.colophon.cards/notes/02-data-model/">The data model</a> are my first attempt at structuring it.</li>
<li><a href="https://www.colophon.cards/notes/03-sharing-model/">The sharing model</a> outlines how I envision collaboration to work.</li>
<li><a href="https://www.colophon.cards/notes/04-attachments-bookmarks/">Attachments and bookmarks</a> are about how information management works. I like this one so much that I edited it into the front page pitch, as I’m sure you can tell.</li>
<li><a href="https://www.colophon.cards/notes/05-reading-viewing/">Reading and viewing</a> outlines my take on what’s missing in the field in terms of reading features in knowledge management apps.</li>
<li><a href="https://www.colophon.cards/notes/06-business-model/">The business model</a> is a rough sketch of what I imagine the business model to be. Not because I’m anywhere <em>near</em> launching this but because you <em>can’t</em> design an app without having a sense of its business model and its margins.</li>
<li><a href="https://www.colophon.cards/notes/10-questions/">The questions that need to be answered</a> are just that. Open questions that I need to find answers to.</li>
</ul>
<p>Additionally, you can follow my work on the website and comment with an issue on <a href="https://github.com/baldurbjarnason/colophon.cards">the GitHub repository</a>. (Work on the software itself will be in a private repository.)</p>
<p>The notes I’ve been posting are rough and unedited. They are work products, not essays or marketing, those belong here on this site. You can follow Colophon Cards news by following the mailing list using the form on the site (this is a separate mailing list from the one on this site), by following its feed, or by watching the GitHub repository.</p>
<p>I’ll also make sure to post about major updates here on this site.</p>
<p>I’m enjoying the process a lot and I hope that you’ll enjoy it with me.</p>
