title: Éduquer au numérique d’accord. Mais pas n’importe lequel et pas n’importe comment
url: https://louisderrac.com/2021/11/03/eduquer-au-numerique-daccord-mais-pas-nimporte-lequel-et-pas-nimporte-comment/
hash_url: 099887889751a8432b4ab9ce7edc3bfa


<p>Le petit monde de l’éducation au numérique est en train de s’élargir. Les enseignants, médiateurs, formateurs et acteurs sociaux existants, seront bientôt rejoints par les « Conseillers numériques ». Comme l’explique <a href="https://www.conseiller-numerique.gouv.fr/">le site dédié du programme</a>, « sur une durée de deux ans, l’État finance la formation et le déploiement de 4 000 conseillers numériques France Services ». Toujours selon le site, ces conseillers accompagneront les 13 millions de français qui « subissent » la transition [numérique].</p>



<p>L’éducation au numérique monte donc en puissance. Mais vers quelle éducation se dirige-t-on ? Qui éduque-t-on, et à quel numérique ? Et surtout, cette éducation au numérique n’est-elle pas le blanc-seing qui rend progressivement légitime et tolérable une numérisation totale de la société ? </p>



<p>Cet article pose ces questions et propose un début de réflexion, mais j’espère surtout engager un échange avec les premiers concernés : la communauté des éducateur·ice·s dont je fais partie.</p>




<h2><span class="ez-toc-section" id="Avant_propos_eduquer_au_numerique"></span>Avant propos : éduquer au numérique ?<span class="ez-toc-section-end"></span></h2>



<p>Dans cet article, je parlerai d’éducation au numérique, et d’éducateurs. Par éducation, j’ai choisi d’englober l’éducation tout au long de la vie. L’éducation scolaire et périscolaire, l’enseignement supérieur, la formation d’adultes, l’accompagnement des publics par des médiateurs et acteurs sociaux, etc. J’ai conscience que ces écosystèmes sont très différents, n’impliquent pas les mêmes ministères, les mêmes acteurs, les mêmes problématiques. Mais je suis également convaincu que certaines réflexions, tensions, et questionnements les traversent de la même manière. C’est le cas de ceux que je développe dans cet article.</p>



<h2 id="h-13-millions-de-fran-ais-qui-subissent-le-num-rique-duquer-qui"><span class="ez-toc-section" id="13_millions_de_Francais_qui_%C2%AB_subissent_%C2%BB_le_numerique_eduquer_qui"></span>13 millions de Français qui « subissent » le numérique : éduquer qui ?<span class="ez-toc-section-end"></span></h2>



<p>13 millions de Français « subiraient » le numérique, d’après le site Conseillers numériques. Le fait de « subir » le numérique est d’ailleurs bien subjectif. Côté <a href="https://www.insee.fr/fr/statistiques/4241397">INSEE</a>, ce serait plus d’un français sur trois qui « manquerait de compétences numériques de base ». Pour <a href="https://emmaus-connect.org/">Emmaüs Connect</a>, qui cite le <a href="https://www.economie.gouv.fr/files/files/directions_services/cge/Barometre_numerique_2021.pdf">Baromètre du Numérique 2021</a>, 35% des Français sont « encore en grande difficulté avec le numérique ». Difficile de suivre toutes ces formules qui, si elles ont le mérite d’être percutantes, n’en sont pas moins obscures. Qu’est-ce que « subir le numérique » ? Quelles sont ces « compétences numériques de base » ? Qu’implique concrètement « être en grande difficulté avec le numérique » ?</p>



<figure class="wp-block-image size-large"><img src="https://louisderrac.com/wp-content/uploads/2021/11/Capture-de%CC%81cran-2021-11-02-a%CC%80-17.25.05-1024x580.png" alt="" class="wp-image-8640" srcset="https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.25.05-1024x580.png 1024w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.25.05-300x170.png 300w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.25.05-768x435.png 768w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.25.05-1536x869.png 1536w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.25.05-1120x634.png 1120w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.25.05-540x306.png 540w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.25.05-1080x611.png 1080w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.25.05.png 1756w" sizes="(max-width: 1024px) 100vw, 1024px"><figcaption>Graphique issu du <a href="https://www.economie.gouv.fr/files/files/directions_services/cge/Barometre_numerique_2021.pdf">Baromètre du Numérique 2021</a></figcaption></figure>



<p>Dans ce graphique du Baromètre, il est intéressant de compter l’absence d’équipement comme une forme de difficulté. A-t-on considéré qu’il pouvait s’agir d’un choix ? A-t-on posé la question ? Idem pour l’accès à Internet, pour lequel les premiers résultats de <a href="https://www.marsouin.org/article953.html">l’enquête Capacity</a> montraient d’ailleurs que la raison principale de son non-usage était… l’absence d’intérêt. Plus largement, on voit les limites de ce type d’étude, qui partent du postulat que tout le monde veut se servir des outils numériques dans son quotidien. Ainsi, on pourrait tout à fait répondre qu’on ne rencontre aucun frein particulier… parce qu’on n’utilise aucun outil numérique et qu’on s’en porte très bien. </p>



<figure class="wp-block-image size-full"><img src="https://louisderrac.com/wp-content/uploads/2021/11/Capture-de%CC%81cran-2021-11-03-a%CC%80-15.58.32.png" alt="" class="wp-image-8745" srcset="https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-03-à-15.58.32.png 868w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-03-à-15.58.32-300x169.png 300w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-03-à-15.58.32-768x434.png 768w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-03-à-15.58.32-540x305.png 540w" sizes="(max-width: 868px) 100vw, 868px"><figcaption>Les non-internautes seraient très majoritairement heureux de l’être d’après les premiers résultats de l’<a href="https://www.marsouin.org/article953.htmlhttps://www.marsouin.org/article953.html">enquête Capacity du GIS Marsouin</a></figcaption></figure>



<p>Dans <a href="https://www.insee.fr/fr/statistiques/4241397">les statistiques de l’INSEE</a>, il est aussi intéressant de regarder en détail ces plus d’un français sur trois qui manqueraient au moins d’une compétence numérique. Si dans l’ensemble, 16,5 % des français sont en situation « d’illectronisme » (un terme qui au passage, est peu apprécié sur le terrain), ils ne sont que 3% au sein des 15-45 ans, et moins de 10% chez les 45-60 ans. Du côté des compétences, alors qu’un français sur deux dans l’ensemble manque au moins de l’une d’entre elles, ils sont 19% chez les 15-30 ans et 33% chez les 30-44 ans. L’effet de l’âge est saisissant (mais pas étonnant). Sans surprise là aussi, le niveau de diplôme joue fortement sur les disparités d’équipement, d’usage et d’incapacités.</p>



<figure class="wp-block-image size-large"><img src="https://louisderrac.com/wp-content/uploads/2021/11/Capture-de%CC%81cran-2021-11-02-a%CC%80-17.30.25-1024x504.png" alt="" class="wp-image-8641" srcset="https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.30.25-1024x504.png 1024w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.30.25-300x148.png 300w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.30.25-768x378.png 768w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.30.25-1120x551.png 1120w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.30.25-540x266.png 540w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.30.25-1080x531.png 1080w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.30.25.png 1342w" sizes="(max-width: 1024px) 100vw, 1024px"></figure>



<figure class="wp-block-image size-large"><img src="https://louisderrac.com/wp-content/uploads/2021/11/Capture-de%CC%81cran-2021-11-02-a%CC%80-17.38.10-1024x224.png" alt="" class="wp-image-8643" srcset="https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.38.10-1024x224.png 1024w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.38.10-300x66.png 300w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.38.10-768x168.png 768w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.38.10-1120x245.png 1120w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.38.10-540x118.png 540w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.38.10-1080x236.png 1080w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-02-à-17.38.10.png 1352w" sizes="(max-width: 1024px) 100vw, 1024px"></figure>



<p>En fait, toutes ces formules obscures semblent parfois n’exister que pour noyer les poissons (parce qu’il y en a plusieurs). Par exemple, les personnes âgées « subissent » massivement le numérique, c’est irréfutable. Mais ce n’est pas forcément parce qu’elles n’arrivent pas à s’en saisir. C’est aussi parce qu’elles n’en voient pas l’intérêt, qu’elles ont toujours fonctionné sans et que ça leur va très bien. Donc elles ne sont pas équipées, et ne se sont jamais « formées ». Les personnes en situation de précarité subissent elles-aussi massivement le numérique. Elles ont déjà toutes les peines du monde dans une société et une administration physique, et il n’y a aucune raison de croire que le numérique leur soit aujourd’hui d’une quelconque aide. Toutes les études ont démontré que les technologies numériques avaient tendance à amplifier les inégalités existantes, toutes.</p>



<h3><span class="ez-toc-section" id="Eduquer_au_numerique_sans_se_tromper_de_priorites"></span>Éduquer au numérique sans se tromper de priorités<span class="ez-toc-section-end"></span></h3>



<p>Certain·e·s citoyen·ne·s ne souhaitent ni s’équiper, ni se former au numérique. Selon les poncifs actuels, ils continueront donc à le subir, à être en fracture numérique, à être exclus, mais n’est-ce pas d’abord un droit qu’il faut respecter ? Et si oui, ne faut-il pas commencer par arrêter de traiter de « fracturé » quelqu’un qui fait le choix de ne pas être équipé et formé ? Ensuite, la priorité sera de créer les conditions d’une société physique qui peut se passer de numérique pour vivre (pour payer, accéder à ses droits, à ses services publics et privés, etc.). Quitte à remettre démocratiquement en question une numérisation totale, dont le bénéfice/risque n’est pas si évident (ne serait-ce qu’en terme de résilience et dans un contexte d’urgence écologique).</p>



<p>Certain·e·s citoyen·ne·s seraient quant à eux tout à fait intéressé·e·s par les technologies numériques, mais leur priorité est d’abord d’améliorer leur condition sociale : leur travail, leur logement, leur santé, leurs enfants, etc. Vouloir contrer une forme d’exclusion numérique, provoquée par une inégalité sociale, par de l’éducation au numérique au lieu de s’attaquer aux racines de l’inégalité sociale n’est pas acceptable. Cela voudrait dire qu’on accepte qu’il y ait des Français en situation de précarité, tant que cette précarité est numérisée. Je pense qu’on se trompe de priorité, surtout si on intègre l’urgence climatique qui ne pourra jamais être contrée sans justice sociale.</p>



<p>La priorité de l’éducation au numérique, et ce quel que soit le public, est sans doute de doter les citoyens d’une culture commune de ce qu’on appelle aujourd’hui communément « le » numérique. Un terme qu’on sait être très polysémique. Il y a donc un travail immense d’éducation au numérique dans l’éducation nationale, dans l’enseignement supérieur, dans la formation continue des salariés, dans l’animation des citoyens par les collectivités territoriales ou les associations. Je développe cet aspect dans les parties suivantes.</p>



<h2><span class="ez-toc-section" id="GAFAM_BATX_modeles_alternatifs_eduquer_a_quoi"></span>GAFAM, BATX, modèles alternatifs : éduquer à quoi ?<span class="ez-toc-section-end"></span></h2>



<p>Quels que soient ses publics (enfants, adultes, publics dits « éloignés »), l’éducation au numérique est passée par toutes les phases et disparités compte tenu de l’hétérogénéité de ses acteurs : enseignants, éducateurs, bénévoles d’associations, médiateurs ou encore acteurs sociaux. Humains avant tout, chacun ayant un rapport propre aux technologies numériques, des opinions politiques, des niveaux d’acculturation, des goûts personnels, etc.</p>



<p>L’éducation au numérique a d’abord pris un tour de « prévention des risques ». C’était particulièrement vrai au début, quand Internet était cet objet incompris qui faisait peur au système politique et éducatif. Et c’est encore souvent vrai, surtout vis-à-vis des plus jeunes. Plus généralement, l’éducation au numérique a pris la forme d’une « éducation aux bons usages », s’attachant à former au fonctionnement des plateformes numériques dominantes. </p>



<p>C’est lorsque plusieurs plateformes numériques dominantes se sont avérées être toxiques (Facebook, YouTube, Instagram, etc.) ou exagérément hégémoniques (Google, Microsoft, Apple, Amazon), que l’éducateur a commencé à être en proie aux doutes. La succession des scandales concernant certaines plateformes numériques oblige effectivement à se poser des questions. Une éducation au numérique qui consiste uniquement à « se faire manipuler le moins possible » par des publicités ciblées est-elle encore acceptable ? Une éducation au numérique qui se contente d’expliquer en quoi les mécanismes toxiques d’un réseau social favorisent l’égo et entraine la dépression a-t-elle encore le moindre sens ? Cette éducation avait-elle du sens pour commencer ?</p>



<h3><span class="ez-toc-section" id="Muscler_leducation_au_numerique_et_la_rendre_plus_%C2%AB_militante_%C2%BB"></span>Muscler l’éducation au numérique et la rendre plus « militante »<span class="ez-toc-section-end"></span></h3>



<p>Il est temps d’introduire dans notre éducation au numérique une dimension éminemment politique, culturelle et émancipatrice. Oui, tous les choix technologiques et techniques sont d’abord des choix politiques, ils incorporent des valeurs, des croyances, des idéologies. Non, ces choix n’ont rien d’inéluctables, et des alternatives peuvent voir le jour si on leur en laisse la possibilité. Oui, le débat démocratique et les revendications citoyennes sont encore largement absents des choix technologiques. La première mission de l’éducation au numérique devrait être de donner des clés de compréhension au citoyen. Y compris pour lui permettre de faire des choix entrainant moins de numérique. L’éducation au numérique doit être fondamentalement émancipatrice. Or on n’émancipe pas quelqu’un quand on se contente de lui apprendre à payer ses impôts.</p>



<p>Il est également temps de valoriser dans notre éducation au numérique les plateformes et modèles alternatifs qui existent. Tout en expliquant les facteurs, notamment économiques, qui conduisent à l’hégémonie de plateformes et modèles dominants dont la toxicité est démontrée jour après jour. On pourrait même aller plus loin et concentrer notre éducation au numérique vers des plateformes et modèles qui respectent des critères éthiques minimum. Et boycotter purement et simplement les autres. Étant donné que les plateformes dominantes ont déjà les meilleurs UX  designers du monde à leurs côtés, ça permettrait de rééquilibrer (un tout petit peu) la balance avec les autres plateformes, souvent moins ergonomiques et plus complexe.</p>



<h2><span class="ez-toc-section" id="La_responsabilite_de_leducation_au_numerique_eduquer_pourquoi_et_pour_quoi"></span>La responsabilité de l’éducation au numérique : éduquer pourquoi et pour quoi ?<span class="ez-toc-section-end"></span></h2>



<p>Dans son oeuvre phare, la <em>Némésis médicale</em>, Ivan Illich commence par ces mots : <em>L’entreprise médicale menace la santé</em>. Comme l’école, Illich critique la médecine en tant qu’institution. Dans écologie et politique, André Gorz poursuit la même idée. Pour Illich et Gorz, l’institution de la médecine est globalement complice d’un système (capitaliste et technique) qui rend malade les gens (par le travail, la pollution, l’alimentation, etc). La médecine s’attache alors à soigner les malades pour faire tourner la machine qui sinon s’écroulerait. Le système crée des problèmes, mais d’une certaine manière, il tient parce que la médecine apporte des solutions. Sauf qu’en opérant ainsi, le système change le pansement au lieu de penser le changement.</p>



<p>Je trouve qu’il y a une analogie, lointaine certes, mais réelle avec l’institution qui se forme autour de l’éducation au numérique. Le système se numérise à grande vitesse, cela crée des cassures, des inégalités, des incompréhensions, des troubles. Alors une éducation au numérique s’institutionnalise pour réparer ce qui a été cassé, trouver des solutions aux problèmes. Mais à aucun moment, la question des causes n’est sérieusement diagnostiquée pour donner ensuite lieu à des politiques sociales. <strong>On dit que « 13 millions de Français subissent le numérique ». Mais subissent-ils le numérique, ou la numérisation de la société, qui est un choix politique délibéré ? </strong>L’enquête Capacity, à nouveau, donne des éléments de réponse. Pour 62% des non-internautes, Internet faciliterait les démarches administratives… parce qu’elles ont été numérisées, et loin devant le reste.</p>



<figure class="wp-block-image size-large"><img src="https://louisderrac.com/wp-content/uploads/2021/11/Capture-de%CC%81cran-2021-11-03-a%CC%80-16.04.01-1024x415.png" alt="" class="wp-image-8749" srcset="https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-03-à-16.04.01-1024x415.png 1024w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-03-à-16.04.01-300x122.png 300w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-03-à-16.04.01-768x311.png 768w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-03-à-16.04.01-540x219.png 540w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-03-à-16.04.01-1080x438.png 1080w, https://louisderrac.com/wp-content/uploads/2021/11/Capture-décran-2021-11-03-à-16.04.01.png 1086w" sizes="(max-width: 1024px) 100vw, 1024px"></figure>



<h3>Éduquer au numérique, mais pas n’importe lequel, pas n’importe comment, et pas pour n’importe quoi<span class="ez-toc-section-end"></span></h3>



<p>Il faut que nous réalisions que nous éducateurs, avons un rôle et une responsabilité dans ce système, dans cet actuel « non-choix de société » qui consiste à tout numériser, de nos données de santé à nos données éducatives, en passant par la justice, l’administration, et bien sûr la surveillance de masse. Individuellement, nous ne pouvons pas grand-chose face à un tel système. Collectivement, nous pouvons en revanche nous regrouper autour d’un certain nombre de principes. </p>



<p>Éduquer au numérique, d’accord. Mais pas n’importe lequel, pas n’importe comment, et pas pour n’importe quoi. Certainement pas pour une société tout numérique qui n’aura pas fait l’objet d’un vrai processus démocratique. L’éducation au numérique ne doit pas être le facilitateur accommodant d’une numérisation totale de la société. Pas plus que le blanc-seing d’une logique technosolutionniste qui consiste à vouloir traiter chaque problème politique ou social avec une solution technologique.</p>



<p>Au contraire, l’éducation au numérique pourrait et devrait traiter le numérique comme un fait social total : éminemment politique, économique et culturel. Contribuons précisément à créer les conditions d’un débat démocratique autour des technologies numériques. Éduquons les citoyens à se poser (toutes) les bonnes questions. À commencer par cette question centrale : quelle est la place que nous souhaitons accorder au numérique dans notre société ? Dans notre administration, notre démocratie, nos écoles, nos supermarchés ? Enfin, rappelons qu’il est possible d’éduquer au numérique sans utiliser d’outils numériques. Tout comme il est est possible, et même indispensable, d’éduquer au numérique des citoyens qui n’en seront peut-être jamais équipés.</p>



<p>Éducateur·ices·, j’espère que nous pourrons poursuivre ces réflexions tous ensemble. Un grand merci à mes relecteurices qui ont beaucoup apporté à la compréhension de ce texte. </p>



<h2><span class="ez-toc-section" id="Notes_additionnelles"></span>Notes additionnelles<span class="ez-toc-section-end"></span></h2>



<p><em>Au fur et à mesure des échanges et réactions à cet article, je rajouterai des notes additionnelles à cet emplacement.</em></p>



<ul><li>Avec la numérisation croissante de la société se cache un effet de bord qu’il me semble important d’avoir en tête : c’est la « course aux armements » entre cybercriminalité d’un côté, et cybersécurité de l’autre. Avec au milieu, le grand public, pour qui chaque acte numérique se complexifie. On peut donner l’exemple des identifications en deux étapes, ou les confirmations bancaires qui se font maintenant avec des clés digitales, etc. Ces opérations, qui visent à améliorer le niveau de sécurité de nos opérations numériques toujours plus nombreuses et toujours plus intimes, pourraient avoir pour corolaire de rendre une certaine forme d’inclusion numérique éternellement obsolète.</li><li>De nombreuses structures sont déjà clairement engagées dans une éducation au numérique plus « musclée » vis à vis des plateformes dominantes. D’autres ont déjà pris le parti de ne pas éduquer aux plateformes mais d’éduquer aux logiques elles-mêmes (les algorithmes, la science informatique, etc.). Elles ont beaucoup à apporter au débat par leurs retours d’expérience.</li><li>Je découvre les articles de Fabien Devilliers, médiateur numérique, qui me semblent être des témoignages essentiels. <a href="https://blogs.mediapart.fr/fabiend/blog/131220/l-inclusion-numerique-une-occasion-de-redonner-du-sens-au-progres-technologique-0">Espoir et impuissance : chroniques d’un médiateur numérique</a> et <a href="https://blogs.mediapart.fr/fabiend/blog/131220/l-inclusion-numerique-une-occasion-de-redonner-du-sens-au-progres-technologique-0">L’inclusion numérique: une occasion de redonner du sens au progrès technologique</a></li></ul>
