title: Why I Quit Tech and Became a Therapist
url: http://glench.com/WhyIQuitTechAndBecameATherapist/
hash_url: 0c0894907925eae954987d98c9e8136b

<p><a href="http://glench.com">Glen Chiacchieri</a> / January 2019</p>

<p>When I tell people that I have a background in engineering, programming, and user interface research but am now becoming a licensed psychotherapist, they're usually surprised. They often ask me how that transition happened. It was a difficult one, and I thought I'd write about it here on my website. I hope that this story may help others in similar situations.</p>

<hr>

<p>In 2013 I moved from Boston to San Francisco in order to work at a research lab called CDG (the precursor to <a href="http://dynamicland.org">Dynamicland</a>). This was basically my dream job. I got paid a good salary to work on whatever I wanted with one of my idols, a computer visionary named <a href="http://worrydream.com">Bret Victor</a>. I got to use my skills in engineering, programming, and user interface design to invent innovative media that may become commonplace decades in the future. I had no deadlines, no boss, and no expectations about what I would produce. It was up to me to work on what I thought was worthwhile. But what's worthwhile to work on?</p>

<p>Initially, I created things in the style of Bret's work before 2012 — humanistic media to augment intellect and creativity. This is where <a href="https://dictionaryofnumbers.com">Dictionary of Numbers</a>, <a href="../LegibleMathematics/">Legible Mathematics</a>, and <a href="../EyesOnThePrize/">Eyes on the Prize</a> came from. I also learned everything I could about how people learn, user interface design theory, the history of computation, and media theory — I read over 50 books on these subjects in one year! I basically gave myself a graduate education in computational media studies. I used what I learned in these studies to make dozens and dozens of experimental computer user interfaces, trying to invent prototypes that help people learn and understand things in ways that are fundamentally impossible without dynamic media. I worked really hard every day all day on this stuff.</p>

<p>After about two years of this, I really began to struggle choosing projects to work on. I would start a project impulsively and then abandon it a day later in frustration. I tried prioritizing my work, focusing on the things I felt the most passionately about, but when I tried to work on the projects at the top of this list I couldn't summon any energy. Yet I spent hours and hours thinking obsessively about the ultimate point of my work.</p>

<p>I started asking myself questions like — "Even if the projects I'm doing succeeded beyond my wildest expectations, how would it affect people? Whose lives would be improved and how would they be improved?" I tried to be really honest and concrete, thinking of specific people and specific ways their lives would be positively affected. I studied the way other technological inventions contributed or detracted from people's happiness. I started reading about subjects other than computer media and collected articles that seemed to contribute to human happiness in a way that felt meaningful to me.  One of my colleagues, a compassionate, intelligent, and warm friend named Michael, discussed these topics endlessly with me, helping me explore my ideas and feelings and offering his own.</p>

<p>Gradually, with Michael's help, I began to realize that my work wouldn't help people be happier in ways that felt meaningful to me. Something deep in my soul seemed completely dissatisfied. Slowly, depression crept in and took root. I had trouble going to sleep and getting out of bed. I would often go into work really late. I remember when I went to parties and people asked me what I did, I felt ashamed and confused trying to describe my job. I started getting sick every month. At one point I was having serious existential crises at least once a week. What should I work on? What helps people be happy? What am I doing here? These questions ravaged me for months. I felt more and more lost, anxious, and frustrated. I showed up less and less to work until finally I couldn't take it anymore — I quit. I left what I thought was my dream job and moved back to Boston in 2016 to regroup and explore other options.</p>

<p>Looking back from a place of greater perspective, I'd say that having freedom from external meaning-making systems caused me to look inward. With no one telling me what to work on I had to decide for myself what was meaningful in this life. Because of how seriously I took my work, this process was very difficult for me. By questioning my value system so deeply, the primary source of meaning in my life — my work — crumbled into meaninglessness. What would I do now?</p>

<p>I didn't know, but I had some clues.</p>

<p>Even before I left my job, I began to treat my life like a science experiment, trying lots of things, reading lots of things, discussing lots of things. I intently observed my reactions to these things in an empirical way, seeing what resonated and what didn't in order discover a deeper pattern, if there was one. I tried to keep as open a mind as I could, not judging any of my reactions but just noting them and piecing them together to see what I could learn about myself. Out of this process, some major clues began emerging.</p>

<p>My first clue was at Burning Man in 2015. As a kind of gag, I used <a href="../EmojiTokens/">Emoji Tokens</a> I made to tell people's fortunes. I would ask them what they wanted to know about their future and wouldn't accept their response until it felt like it reached a certain level of depth, something that felt important to them. Once we arrived at something that felt acceptable, I would pick random emoji out of the bag and we would tell their fortune together based on those emoji. I ended up in several deep conversations with people because of this. We had conversations about where they wanted to live, who they wanted to be in relationship with, what kind of work they wanted to be doing — basically what they wanted from this life. I really liked having these conversations, but at the time it just struck me as a fun diversion.</p>

<p>My apparent love of deep conversations became clearer with my second clue. A couple months after I moved back to Boston in 2016, I spent a week in New York City doing a residency at the <a href="https://recurse.com">The Recurse Center</a>, a self-directed programmer's retreat. Programmers from all walks of life attend the program for free for 6 or 12-week "batches", working on their own personal projects or collaborating with other programmers in the retreat. Throughout my previous work I was interested in how people learn, and the Recurse Center had an innovative model with a great reputation so I wanted to see it. As a resident there, I had a lot of freedom in what I could spend my time doing, so I decided to spend my time talking one-on-one with people, trying to understand what they were doing there, what they wanted to work on, and how I could help them. In these conversations I practiced a skill I called "deep listening" and it was amazing — I had over 30 hour-long conversations with people about all kinds of topics. Several of these conversations resulted in either me or the other person crying from how meaningful our meeting was. I describe these conversations in more detail in an article called <a href="../DeepListeningAtTheRecurseCenter/">Deep Listening at the Recurse Center</a>. Even as it was happening I recognized how special it felt to be having these conversations. This was definitely a strong indication that connecting with people about deep things in their lives felt important to me.</p>

<p>My third clue: While I was still in California I had tried a type of massage that helps people access emotions held in their bodies called the Rosen Method. Reading <a href="https://www.amazon.com/Rosen-Method-Bodywork-Accessing-Unconscious/dp/1556434189">one of the books</a> written by the method's originator, I found myself tearing up whenever the author described the ways her clients had transformed their lives. The fact that I had so much emotion around this theme of transformation definitely felt meaningful to me, but I didn't know why. I got some sessions from a Rosen Method practitioner, and then, after I quit my job, ended up taking two week-long intensive trainings in the method to practice giving Rosen massages to other people. I grew a lot in these trainings. I remember being particularly struck by the way that the trainers talked about and practiced empathic presence and empathic listening, both with their ears and with their hands. However, by the end of the second training I became somewhat disillusioned with the Rosen Method. It had a lot of elements I felt were important — empathic presence, focus on the body, gentleness, an emphasis on transformation — but other things felt disatisfying to me. These elements were my third clue.</p>

<p>My fourth clue came in an article called <a href="https://www.newyorker.com/magazine/2015/02/09/trip-treatment">The Trip Treatment</a> I had read while I was still at my research job. In this article, author Michael Pollan discusses new scientific research happening with psychedelics. What caught my eye in particular was this passage about participant experiences of clinically-administered psilocybin, the mind-altering chemical in "magic" mushrooms:</p>

<p></p><blockquote>Participants ranked [their psychedelic] experiences as among the most meaningful in their lives, comparable to the birth of a child or the death of a parent. Two-thirds of the participants rated the psilocybin session among the top five most spiritually significant experiences of their lives; a third ranked it at the top.</blockquote>

<p>Wait, people were having some of the top experiences <em>of their lives</em> by taking psychedelics? What were these things? I began to read more about them over the next year, especially in the books by the psychologist <a href="http://www.stangrof.com/">Stanislav Grof</a>. It seemed that with the right environment and mindset, these substances could be used to bring about non-ordinary states of consciousness that can facilitate transformative spiritual change and healing in people's lives. I decided to try them out. In several sessions over months I took LSD alone in my house with an eyeshade on listening to music. I went deep inside and had several important insights as well as many challenging emotional experiences. One session helped me realize how miserable I was at my job in California, another had me evaluating my relationship with my parents.</p>

<p>But it was one session in particular — on April 20, 2017 — where all the clues came together most powerfully. At the tail end of a psychedelic journey that I number among the most significant spiritual events of my life, I asked myself squarely: what should I do with my life? With my recent experiences in deep conversations, training in the Rosen Method, and using psychedelics for transformative change, the answer came back simply, clearly, and joyfully: I should become a therapist.</p>

<p>When I was no longer feeling the effects of the drug I considered the idea more thoroughly. Over the next few months the idea of becoming a therapist stayed with me and grew. I decided to act. I signed up for a year-long training in an experiential mindfulness-based therapy called <a href="https://en.wikipedia.org/wiki/Hakomi">the Hakomi Method</a> that Michael had introduced me to at the end of 2016. Hakomi is a therapy modality that incorporates mindfulness and body awareness with traditional talk therapy to powerful effect. When I began training in this method, I found it nourishing in ways that I wasn't even aware I needed, but had been wanting for a long time — it felt like home. I discovered that my emotions, rather than being childish, irrational, or random, had a deep logic and wisdom to them that would help me live more fully and freely if I listened to them in the right way. Shortly after beginning my Hakomi training, I applied and was accepted to the <a href="https://lesley.edu/academics/graduate/clinical-mental-health-counseling">professional mental health counseling masters program at Lesley University</a> in Cambridge, Massachusetts, where I'm studying and training through 2020 to get my licensure.</p>

<hr>

<p>So that's more or less how I became a therapist. I grew deeply disillusioned with my technical work, determining that it wouldn't significantly contribute to people's happiness in ways that felt satisfying to me, and I set out to explore new work, work that would directly contribute to people's happiness and well-being. In the course of this process, I discovered a deeply-held desire in myself to help people grow and transform their lives, something I had never consciously cared about in my life before. I also discovered that to help other people transform I first had to grow and transform myself. To this end, during the period of searching described above I also developed a dedicated spiritual practice of Tibetan Buddhist meditation, studying under <a href="https://pointingoutway.org">Dr. Daniel Brown</a>. This practice supported me immensely throughout this difficult time, and I'm extremely grateful to Dan for his tireless and compassionate teaching, and to Michael, for introducing me to the benefits of meditation, psychedelics, and bodywork.</p>

<p>In the telling of this story, I realize it may sound like it was a clear and direct path toward more meaningful work. I assure you, it was not. I tried many, many things I didn't mention in the story and often felt lost, frustrated, anxious, and depressed. I also regularly had no idea what I was doing or if my scrambled searching would lead anywhere at all — the process was very non-linear, like picking a small collection of stars from the vast night sky and trying to draw lines connecting them. And while I can't say I don't ever feel lost, frustrated, anxious, or depressed anymore, I feel them much less often and have a greater capacity to deal with them when they do arise.</p>

<p>I'm happy to say that as I've followed my new line of work I've found deeper and deeper satisfaction. I no longer struggle with the meaning of my work, and I find I have much more energy to dedicate to its pursuit. My work in therapy feels deeply aligned with who I am and who I want to be. I hope to continue to advance my therapeutic skills and grow myself in service of the well-being of all my future clients as well as all sentient beings. This is my wish from the bottom of my heart.</p>
