title: Write plain text files
url: https://sive.rs/plaintext
hash_url: 1dd0383e3a416109e4259144d7a67e2d

<p>
	I write almost everything important in my life: thoughts, plans, notes, diaries, correspondence, code, articles, and entire books.
</p><p>
	They are my extended memory — my noted self — my organized thoughts.
	I refer to them often.
	I search them, update them, and learn from them.
	I convert them into HTML to make websites, or LaTeX to make books.
</p><p>
	My written words are my most precious asset.
	They are also a history of my life.
<strong>
	That’s why I only use plain text files.
</strong>
	They are the most reliable, flexible, and long-lasting option.
	Here’s why.
</p><h2>
	PORTABLE
</h2><p>
	I’ve brought my text files with me since 1990, from Mac to Windows to Linux to BSD, from PCs to laptops to tablets to Android to iOS to a tiny device the size of my thumb, and back again.
</p><p>
<strong>
	Every device, including ones long gone, and ones not invented yet, can read and edit plain text.
</strong>
	Whether future virtual reality, or a chip you can implant in your earlobe, plain text will be there.
	Will Microsoft Word?
	Evernote?
	Notion?
	Maybe.
	Maybe not.
</p><p>
	But plain text?
	Always.
	Everywhere.
</p><h2>
	UN-COMMERCIAL
</h2><p>
	Every few years a new company says you should use their special format.
	You have to pay them a monthly fee to use it — or keep all of your documents in their care.
	They offer some convenience or features, but at the cost of flexibility, portability, and independence.
</p><p>
	When you store your writing in one company’s unique format, then you need that program to access it.
	Then the economy takes a turn, they go out of business, and your work is trapped in an unusable format.
</p><p>
<strong>
	You will outlive these companies.
</strong>
	Your writing should outlive you.
	Depending on companies is not an option.
</p><p>
	Plain text is un-commercial.
	It removes you from the world of subscriptions and hype.
	There will always be plenty of free, non-commercial software in the public domain for reading and editing text files.
</p><h2>
	OFFLINE
</h2><p>
	There are places and times when you can’t get online.
	Don’t depend on any tool that needs an internet connection.
</p><p>
<strong>
	There are great benefits to being intentionally offline and unreachable, to focus.
</strong>
	It’s a super productivity boost.
	You need to be able to write, and have access to all your writing, during these times.
</p><h2>
	NO DEPENDENCIES
</h2><p>
	If you rely on Word, Evernote or Notion, for example, then you can’t work unless you have Word, Evernote, or Notion.
<strong>
	You are helpless without them.
</strong>
	You are dependent.
</p><p>
	People tell me about more tools I could use in addition to my text files.
	But I don’t need or want anything else.
<strong>
	Plain text files and a basic text editor are enough.
	This is everything you need for great thinking and writing.
</strong>
	(A paper notebook and pencil are enough, too.)
</p><p>
	If you only use plain text, you can work on any device, forever.
	The less you depend on, the better.
	Peace and focus come when you stop looking for more.
</p><h2>
	EASIEST TO CONVERT
</h2><p>
	Plain text can be converted into anything else.
</p><p>
	HTML, Markdown, JSON, LaTeX, and many other standard formats, are just plain text.
	I’ve written four books and four hundred blog posts in plain text.
</p><p>
	You can make your own personal formats in your plain text files.
	Maybe in each diary entry, the first two lines are like:
</p><pre>
date: 2022-02-28
tags: where-to-live, kids, dog, anxious
</pre><p>
	Then it’s easy to use any little scripting language like Ruby, Python, or JavaScript to grab the date and tags, and use them for categorizing, sorting, renaming, archiving, or exporting.
</p><p>
	Or if you don’t want to do it yourself, then it’s easy to find someone who can.
	Anyone who’s been programming for more than a week should be able to do it easily.
</p><h2>
	NEED HIERARCHY?
</h2><p>
	Use directories — also known as folders.
	These are also good for keeping your text together with other files like images and audio.
</p><pre>
Documents/
Documents/Diary/
Documents/Diary/2022/
Documents/Diary/2022/2022-02-28.txt
Documents/Thoughts/
Documents/Thoughts/WhereToLive/
Documents/Thoughts/WhereToLive/2019-06-30.txt
Documents/Thoughts/WhereToLive/2020-01-18.txt
Documents/Ideas/
Documents/Ideas/MusicalChairs.txt
Documents/Ideas/NewHouse/
Documents/Ideas/NewHouse/Design/
Documents/Ideas/NewHouse/Design/entryway.jpg
Documents/Ideas/NewHouse/Design/roof.jpg
Documents/Ideas/NewHouse/Architect/
Documents/Ideas/NewHouse/Architect/JM_Lim.txt
Documents/Ideas/NewHouse/Architect/TPS_Inc.txt
</pre><h2>
	NEED VISUALS OR GRAPHICS?
</h2><p>
	Need visual mind-mapping with circles and lines?
	Maybe you do.
<strong>
	But maybe you don’t.
</strong>
	Maybe it’s just another distraction, focusing on the tools instead of your thinking.
</p><p>
	I love that plain text files have no formatting to tinker with.
	A tab key, SHIFT KEY, and vertical line breaks can go a long way, keeping you writing instead of formatting.
</p><p>
	If you really need graphics, do your drawing using something else.
	Digital drawing into SVG files.
	Paper drawing, scanned into JPGs.
</p><p>
	Formats that aren’t owned by any company.
	Formats that will outlast you.
</p><p>
	Keep your graphics files alongside your text files.
	But keep your text as plain text.
</p><h2>
	CONCLUSION
</h2><p>
	Reliable, flexible, portable, independent, and long-lasting.
	Plain text files will be readable by future generations, hundreds of years from now.
</p><p>
	I especially enjoy the tranquility of their offline, non-commercial nature.
	They’re quiet.
	They’re focused.
	(As I aim to be.)
</p>
<img src="https://sive.rs/images/plaintext.png" alt="screen shot of the text of this post">
