title: assessing the risk of getting covid
url: https://winnielim.org/journal/assessing-the-risk-of-getting-covid/
hash_url: 5ba8ba43aabfaee0cdd7cbc1c5945ef0

<p>Singapore is undergoing a BA.4/BA.5 wave. By now many people I know if not most has gotten covid at least once, and the mainstream narrative is that it is just a bad flu. My partner and I have managed to avoid covid till now by being quite extreme compared to the average person: </p>



<ul><li>no in-person meetups except for family – we did meet a couple of friends outdoors pre-Omnicron, but decided that Omnicron was too contagious</li><li>even with family we wear our kf94 masks and we don’t eat or unmask with them</li><li>strictly no indoor-dining since the Delta wave arrived – Covid is airborne, so the physical distancing does not matter in restaurants</li></ul>



<blockquote class="wp-block-quote"><p>The World Health Organization (WHO) and the US Centers for Disease Control and Prevention (CDC) officially acknowledged inhalation of virus-laden aerosols as a main mode in spreading SARS-CoV-2 at both short and long ranges in April and May of 2021, respectively </p><cite>– <a href="https://www.science.org/doi/10.1126/science.abd9149">Airborne transmission of respiratory viruses</a></cite></blockquote>



<figure class="wp-block-image size-large"><img src="https://winnielim.org/wp-content/uploads/2022/07/science-airborne-transmission-1600x729.webp" alt="" class="wp-image-4595" srcset="https://winnielim.org/wp-content/uploads/2022/07/science-airborne-transmission-1600x729.webp 1600w, https://winnielim.org/wp-content/uploads/2022/07/science-airborne-transmission-700x319.webp 700w, https://winnielim.org/wp-content/uploads/2022/07/science-airborne-transmission-300x137.webp 300w, https://winnielim.org/wp-content/uploads/2022/07/science-airborne-transmission-768x350.webp 768w, https://winnielim.org/wp-content/uploads/2022/07/science-airborne-transmission-1536x700.webp 1536w, https://winnielim.org/wp-content/uploads/2022/07/science-airborne-transmission-2048x933.webp 2048w" sizes="(max-width: 1600px) 100vw, 1600px"><figcaption>“Can float in air for hours” – <a href="https://www.science.org/doi/10.1126/science.abd9149">source and credit: Science</a></figcaption></figure>



<ul><li>we’re privileged enough to not work in an office, and we live in an apartment with just the two of us</li><li>no travelling overseas obviously</li><li>we don’t take public transport unless necessary – we relaxed a bit when the BA.2 wave subsided with less than 4k+ daily reported cases, but now we’re probably going back to being hermits </li></ul>



<p>There were times when it felt really tempting to break the rules. After all it is once in a long while. We also considered going n95 + goggles to take a flight to Seoul or something, but it wouldn’t be very fun since we won’t eat indoors anyway, and I am not sure if the risk of catching covid on the flight is worth that few days of fun. </p>



<p>But life is short and who knows what is going to happen tomorrow? I caught myself asking multiple times if I was being overly cautious and paranoid. Would I regret all these restrictions if I get cancer tomorrow? Perhaps. But would we regret if we opt for a few days of fun and then suffer life long repercussions? To be honest I have no clear answers. We can only keep doing this fine-balancing act.</p>



<p>Why are we being so cautious? I guess I have come across too much information that any naivety with regards to covid is lost. Since many people don’t come across the information I do, I thought I could document and share it here.</p>



<h2><span class="ez-toc-section" id="Possible_consequences_of_getting_covid"></span>Possible consequences of getting covid<span class="ez-toc-section-end"></span></h2>



<h3><span class="ez-toc-section" id="Covid_may_cause_damage_to_our_immune_systems"></span>Covid may cause damage to our immune systems: <span class="ez-toc-section-end"></span></h3>



<blockquote class="wp-block-quote"><p>“Researchers suggest patients who develop mild COVID-19 may not be able to fight reinfection very effectively because their CD8+ T cells show signs of exhaustion.”</p><cite>– <a href="https://www.drugtargetreview.com/news/81320/t-cell-exhaustion-may-limit-long-term-immunity-in-covid-19-patients/">T-cell exhaustion may limit long-term immunity in COVID-19 patients</a></cite></blockquote>



<blockquote class="wp-block-quote"><p>One of the critical symptoms of SARS-CoV-2 infection is lymphopenia. Lymphopenia is a condition in which patients exhibit reduced levels of white blood cells called lymphocytes. Lymphocytes are the fundamental defense cells of our adaptive immune system. They consist of natural killer cells, T cells, and B cells. When any of these cells are reduced, it can inhibit our body’s ability to protect itself from viruses. Recent reports have shown that marked lymphopenia is observed in <a rel="noreferrer noopener" href="https://www.nejm.org/doi/full/10.1056/nejmoa2002032" target="_blank">83.2% of SARS-CoV-2 patients</a>, but little is known about how SARS-CoV-2 effectively dismantles one of our primary tools of defense.</p><cite>– <a href="https://www.forbes.com/sites/williamhaseltine/2022/04/14/sars-cov-2-actively-infects-and-kills-lymphoid-cells/?sh=55d499a586b8">SARS-CoV-2 Actively Infects And Kills Lymphoid Cells</a></cite></blockquote>



<p>…if you’re interested in the phenomenon of T-cell exhaustion, you may want to check out this <a href="https://twitter.com/fitterhappierAJ">twitter profile</a>:</p>







<h3><span class="ez-toc-section" id="Covid_causes_vascular_damage_which_increases_risk_for_heart_disease"></span>Covid <a href="https://www.frontiersin.org/articles/10.3389/fcell.2022.824851/full">causes vascular damage</a> which increases risk for heart disease:<span class="ez-toc-section-end"></span></h3>



<blockquote class="wp-block-quote"><p>Even a mild case of COVID-19 can increase a person’s risk of cardiovascular problems for at least a year after diagnosis, a new study<sup><a href="https://www.nature.com/articles/d41586-022-00403-0#ref-CR1">1</a></sup> shows. Researchers found that rates of many conditions, such as heart failure and stroke, were substantially higher in people who had recovered from COVID-19 than in similar people who hadn’t had the disease.</p><cite>– <a href="https://www.nature.com/articles/d41586-022-00403-0">Heart-disease risk soars after COVID — even with a mild case</a></cite></blockquote>



<blockquote class="wp-block-quote"><p>We show that, beyond the first 30 d after infection, individuals with COVID-19 are at increased risk of incident cardiovascular disease spanning several categories, including cerebrovascular disorders, dysrhythmias, ischemic and non-ischemic heart disease, pericarditis, myocarditis, heart failure and thromboembolic disease. These risks and burdens were evident even among individuals who were not hospitalized during the acute phase of the infection and increased in a graded fashion according to the care setting during the acute phase (non-hospitalized, hospitalized and admitted to intensive care). Our results provide evidence that the risk and 1-year burden of cardiovascular disease in survivors of acute COVID-19 are substantial.</p><cite>– <a href="https://www.nature.com/articles/s41591-022-01689-3">Long-term cardiovascular outcomes of COVID-19</a></cite></blockquote>



<h3><span class="ez-toc-section" id="%E2%80%A6and_diabetes"></span>…and diabetes:<span class="ez-toc-section-end"></span></h3>



<blockquote class="wp-block-quote"><p>People who get COVID-19 have a greater risk of developing diabetes up to a year later, even after a mild SARS-CoV-2 infection, compared with those who never had the disease, a massive study1 of almost 200,000 people shows. </p><cite>– <a href="https://www.nature.com/articles/d41586-022-00912-y">Diabetes risk rises after COVID, massive study finds</a></cite></blockquote>



<h3><span class="ez-toc-section" id="%E2%80%A6and_stroke"></span>…and stroke:<span class="ez-toc-section-end"></span></h3>



<blockquote class="wp-block-quote"><p>In another Swedish study published in the August 14, 2021 issue of The Lancet, researchers found that within a week of a COVID-19 diagnosis, a person’s risk of heart attack was three to eight times higher than normal, and their risk of stroke was three to six times higher. The study revealed these risks remained high for at least a month. The average age of people in the study was only 48 years.</p><cite>– <a href="https://healthcare.utah.edu/healthfeed/postings/2022/01/covid19-increasing-stroke-risks.php">COVID-19 increasing stroke risks in people of all ages</a></cite></blockquote>



<h3><span class="ez-toc-section" id="%E2%80%A6it_also_causes_neurological_damage"></span>…it also causes neurological damage:<span class="ez-toc-section-end"></span></h3>



<blockquote class="wp-block-quote"><p>We identified significant longitudinal effects when comparing the two groups, including (1) a greater reduction in grey matter thickness and tissue contrast in the orbitofrontal cortex and parahippocampal gyrus; (2) greater changes in markers of tissue damage in regions that are functionally connected to the primary olfactory cortex; and (3) a greater reduction in global brain size in the SARS-CoV-2 cases. The participants who were infected with SARS-CoV-2 also showed on average a greater cognitive decline between the two time points. Importantly, these imaging and cognitive longitudinal effects were still observed after excluding the 15 patients who had been hospitalised.</p><cite>– <a href="https://www.nature.com/articles/s41586-022-04569-5">SARS-CoV-2 is associated with changes in brain structure in UK Biobank</a></cite></blockquote>



<h3><span class="ez-toc-section" id="%E2%80%A6and_ages_us"></span>…and ages us:<br><span class="ez-toc-section-end"></span></h3>







<h3><span class="ez-toc-section" id="%E2%80%A6makes_our_heart_rate_and_other_autonomic_functions_go_haywire"></span>…makes our heart rate and other autonomic functions go haywire:<span class="ez-toc-section-end"></span></h3>



<blockquote class="wp-block-quote"><p>Before last fall, Dawson, 44, a dermatologist from Portland, Oregon, routinely saw 25 to 30 patients a day, cared for her 3-year-old daughter and ran long distances. Today, her heart races when she tries to stand. She has severe headaches, constant nausea, and brain fog so extreme that, she says, it “feels like I have dementia.” Her fatigue is severe: “It’s as if all the energy has been sucked from my soul and my bones.” She can’t stand for more than 10 minutes without feeling dizzy.</p><cite>– <a href="https://time.com/6051767/long-covid-19-rare-disease-pots/">Long-COVID-19 Patients Are Getting Diagnosed With Little-Known Illnesses Like POTS</a></cite></blockquote>



<h3><span class="ez-toc-section" id="If_youre_thinking_youre_safe_because_youre_triple_vaxxed_-_the_risk_is_slightly_lower_compared_to_the_unvaxxed_but_not_zero"></span>If you’re thinking you’re safe because you’re triple vaxxed – the risk is slightly lower compared to the unvaxxed but not zero:<span class="ez-toc-section-end"></span></h3>



<p></p>







<h3>Heartbreaking twitter thread documenting the before &amp; after pictures of people who have long covid: <span class="ez-toc-section-end"></span></h3>



<p></p>







<h2><span class="ez-toc-section" id="Visible_long_covid_symptoms_vs_invisible_damage"></span>Visible long covid symptoms vs invisible damage<span class="ez-toc-section-end"></span></h2>



<p>Though I framed the above section as “long covid”, the reality is that even for those of us who has made a seemingly full recovery, we don’t really know what goes on in our bodies. People who got infected with the <a href="https://www.nih.gov/news-events/nih-research-matters/study-suggests-epstein-barr-virus-may-cause-multiple-sclerosis">Epstein Barr virus only developed multiple sclerosis</a> many years later. They didn’t think having Mono was a big deal either. HIV was initially thought of as an acute infection when it first surfaced, nobody knew of its deadly effects until years later.</p>



<h2><span class="ez-toc-section" id="Wait_what_about_immunity"></span>Wait, what about immunity<span class="ez-toc-section-end"></span></h2>



<p>“<a href="https://www.businessinsider.com/covid-variant-omicron-ba5-reinfection-contagious-health-experts-2022-7">You can now get COVID again within 4 weeks because of the new Omicron BA.5 variant, health expert says</a>“</p>



<h2><span class="ez-toc-section" id="Reinfection_risk"></span>Reinfection risk<span class="ez-toc-section-end"></span></h2>



<blockquote class="wp-block-quote"><p>The study, which is based on the health records of more than 5.6 million people treated in the VA Health System, found that, compared with those with just one Covid-19 infection, those with two or more documented infections had more than twice the risk of dying and three times the risk of being hospitalized within six months of their last infection. They also had higher risks for lung and heart problems, fatigue, digestive and kidney disorders, diabetes and neurologic problems.</p><cite>– <a href="https://www.cnn.com/2022/07/05/health/covid-reinfection-risk/index.html">Covid-19 reinfections may increase the likelihood of new health problems</a></cite></blockquote>



<h2><span class="ez-toc-section" id="Getting_infected_despite_doing_everything_right"></span>Getting infected despite doing everything right<span class="ez-toc-section-end"></span></h2>



<p>I know of people online who wore an n95 mask religiously and were more home bound than us and yet they have gotten infected. I am not sure how long we are able to evade the virus, especially now that some people are saying even outdoors are unsafe because BA.5 is exceptionally virulent. </p>



<p>So I am semi-prepared that our turn may eventually come. I guess this is a generational thing – just like polio – there are macro effects of the world that one simply cannot escape from. That is just the indifference of nature and life.</p>



<p>But while I think we may not be able to evade the virus unless we practically never leave our house, it is very different from living as though covid is over or that it is just a nasty flu to get over. </p>



<p>The number of reinfections matter too. The longer we manage to delay an infection, the probability of us getting reinfected multiple times become lower. Perhaps there will be advances in medicine, we hope. We may even be able to hold out until there are nasal vaccines or simply better vaccines. I don’t know. I am not counting on it.</p>



<h2><span class="ez-toc-section" id="Why_am_I_writing_this"></span>Why am I writing this<span class="ez-toc-section-end"></span></h2>



<p>Avoiding covid is a huge part of my current life, unfortunately. Like everybody else sometimes I pretend to ignore everything that is going on with the world so I can retain some sanity in living. But I want to spend some space acknowledging the impact all of this has on me. </p>



<p>I personally think that public policy has let us down by pushing the narrative that covid is now just a bad flu. Maybe for some people it is, but for many others it is not. If we know the actual risks and still treat covid like a flu, that is a personal choice. But if we don’t know any of this and we have faith in our health authorities simply because they are the authority, then some of us may be blindsided by the actual amount of risk involved. </p>



<p>It is life-changing to have a chronic disability that has no sign of abating. Having experienced this for the past few years, I don’t wish this on anyone. I think that is why I am a lot more cautious than the average person. I know what it is like to be mechanically alive but yet not living. As of now I would prefer to possess a working brain than to experience the world out there, but who knows what the future entails?</p>



<p>Maybe for some people the overall risk is worth it. It is a valid choice. But the choices should be made with all the cards on the table, not to be misled into playing russian roulette because of the disappointing lag in public health information.</p>



<p>It is my hope that maybe some people may reassess their risk after reading this. If not, I think I have fulfilled my responsibility by sharing what I know.</p>
