title: Who can be the Netflix of ghost kitchens?
url: https://interconnected.org/home/2022/01/24/meme_meals
hash_url: 622620656409b4f687cab890288a0a01

<p class="measure-wide f6 f5-l lh-copy black-80">I am sad that TikTok has parted ways with their global head of marketing for <q>going rogue</q> (<a href="https://nypost.com/2022/01/19/tiktoks-marketing-chief-ousted-after-going-rogue-with-bizarre-campaigns/">news in the NY Post</a>) because he was going rogue in delightful ways.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">SPECIFICALLY: <em>TikTok Kitchens.</em></p>
<p class="measure-wide f6 f5-l lh-copy black-80">December 2021: <a href="https://www.businessinsider.com/tiktok-ghost-kitchens-launch-viral-food-trends-2021-12">TikTok is opening 300 restaurants to deliver some of its most viral food trends like feta pasta and corn ribs across the US</a> <em>(Business Insider).</em></p>
<p class="measure-wide f6 f5-l lh-copy black-80">The idea in a nutshell is that:</p>
<ul class="list ph0 ph0-ns bulleted-list">
<li class="measure-wide f6 f5-l lh-copy black-80">New food trends get spotted on TikTok</li>
<li class="measure-wide f6 f5-l lh-copy black-80">They are farmed out to ghost kitchens, running inside existing restaurant kitchens. Established startup <a href="https://www.virtualdiningconcepts.com">Virtual Dining Concepts</a> takes care of training and roll-out</li>
<li class="measure-wide f6 f5-l lh-copy black-80">Consumer orders and delivery are run by Grubhub, under the TikTok Kitchen brand.</li>
</ul>
<p class="measure-wide f6 f5-l lh-copy black-80">It was a neat concept! You can imagine the satisfaction loop getting even tighter: see some weird food in a tiktok, tap a button in-app and it arrives at your door 30 minutes later.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">But possibly not happening now (the launch date was intended to be March this year).</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure-wide f6 f5-l lh-copy black-80">What neat is that this is a new distribution pipe for meals, and I hope someone else comes along to make use of it.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Restaurants are like cable TV, a patchwork of customer relationships, physical infrastructure, and inconsistent local availability. It’s fine but firms are unfocused and limited in scale.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">TikTok Kitchen could have been like Netflix! Instant global footprint, and everything apart from (a) audience and (b) content fully commoditised.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Remember when Netflix got into original content with <em>House of Cards?</em> It was a $100m investment for a new business pillar, but Netflix was able to use audience data to guarantee a win:</p>
<blockquote cite="https://www.nytimes.com/2013/02/25/business/media/for-house-of-cards-using-big-data-to-guarantee-its-popularity.html" class="quoteback bl bw2 pl2 b--orange ml0 italic i" data-author="New York Times" data-title="Giving Viewers What They Want (2013)">
<p class="measure-wide f6 f5-l lh-copy black-80">It already knew that a healthy share had streamed the work of Mr. Fincher, the director of “The Social Network,” from beginning to end. And films featuring Mr. Spacey had always done well, as had the British version of “House of Cards.”</p>

</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">And then a nationwide marketing campaign performs exponentially better than many smaller local campaigns.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">So imagine TikTok (or whoever achieves this) doing the same: data-driven meals given simultaneous global rollout, with vast development budgets, and economies of scale for both marketing and also purchasing <em>(you could centrally pre-purchase the world’s feta production to lock up the baked feta pasta supply for the next 12 months).</em></p>
<p class="measure-wide f6 f5-l lh-copy black-80">Ghost kitchens on food delivery apps shouldn’t be the lame knock-off version of established brands. This mechanism should be used to do something entirely new.</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure-wide f6 f5-l lh-copy black-80">Netflix discovered a content/audience/subscription flywheel and now we have a TV renaissance, with Disney and Amazon and Apple joining the arms-race to acquire eyeballs.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">SIMILARLY I’m into the idea of inhuman amounts of money going into food, flywheels of tastebud acquisition churning through binge-boxset meals, flagship high-production-values meals, weird niche audience meals (in the global village every niche is nation-sized), and all the rest, competing cinematic universes of cuisines being explored and transmitted via the ghost kitchen machine.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">(Independent neighbourhood restaurants will surely be fine - there’s always a market for authenticity - and I won’t terribly miss mid-tier casual dining chains.)</p>
<p class="measure-wide f6 f5-l lh-copy black-80">HOWEVER.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">There are some clear gaps in the online food marketing value chain, and primarily that comes down to this fact: you can’t lick a screen and taste anything except glass. With film and TV, you’re selling visual goods in a visual medium. No such luck here. Which means there’s always going to be friction between awareness and purchase.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Fixing this problem needs serious funding, and that’s why I’m into the idea of a ton of money going into the ecosystem.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Here’s the <strong>Norimaki Synthesizer</strong> by Homei Miyashita, a researcher at Meiji University in Tokyo:</p>
<p class="measure-wide f6 f5-l lh-copy black-80">You lick this gadget, and <q>the rod-shaped device is able to simulate any flavour represented by the five universally accepted basic taste sensations: sweet, salty, sour, bitter and umami.</q></p>
<blockquote cite="https://www.dezeen.com/2020/05/28/norimaki-synthesizer-device-taste-technology/" class="quoteback bl bw2 pl2 b--orange ml0 italic i" data-author="Dezeen" data-title="Norimaki Synthesizer device uses electrically charged gel to simulate different flavours (2020)">
<p class="measure-wide f6 f5-l lh-copy black-80">The gadget uses five gels made of dissolved electrolytes that, when electrically charged, provide controlled amounts of each of the five basic tastes to deliver a combination of tastes to the user’s tongue.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">The research team liken the process to optical displays that produce many colours from lights of three basic colours (red, yellow and blue).</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Each of the gels are made by dissolving five different electrolytes - sodium chloride, glycine, magnesium chloride, citric acid and glutamic sodium - in a small amount of water in separate solutions to create highly concentrated blends.</p>

</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">And so: <q>By adjusting the sliders, Miyashita and his research team could change and transition between tastes, including going from a sweet taste like “gummy candy” to the salty and sour taste of sushi.</q></p>
<p class="measure-wide f6 f5-l lh-copy black-80">Online ads with flavour are the missing link. Measurable, targetable, optimisable advertising for breakfast, lunch, dinner, and snacks.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Look, it’s basic.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">But it’s a start, right?</p>
<p class="measure-wide f6 f5-l lh-copy black-80">I bet the first computer displays didn’t look like much either. A decade or two of progress and investment will sort it out.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">(I was <a href="/home/2020/08/11/screens">complaining the lack of innovation in screens</a> a while back. Lickable pixels would make up for that.)</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure-wide f6 f5-l lh-copy black-80">It’s 2028. You’re catching up on TikTok and your favourite micro-influencer does their twist on this week’s latest meme meal. The recipe has already propagated across the ghost kitchen network; TikTok spotted the emerging exponential, pre-purchased ingredients, and has already pushed them to the edge so this is tasty, trendy, available right now, and also friendly to the wallet. You cautiously dab the screen with the tip of your tongue – not bad. A larger, wide-tongued doggy slurp, fully from the bottom to the top of your phone. The pixels fizz with flavour. You’re hungry. Buy it now, it’ll arrive at your door on a bike or a drone or robo-courier in 30 minutes or less, this is good, you want your dinner, one-lick purchase, boom.</p>
