title: « Logiciel libre » et « Open Source », c'est pareil ou pas ?
url: https://www.bortzmeyer.org/free-software-open-source.html
hash_url: 850c5e99f499d9703c9b9bc116914429

<div class="para"><p>On entend parfois, dans les discussions autour des
<b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Licence%20de%20logiciel" title="Consultez l'article &quot;Licence de logiciel&quot; de l'encyclopédie libre Wikipedia">licences logicielles</a></b>, des affirmations du
genre « tel logiciel n'est pas libre mais il est <i class="foreign" xml:lang="en">open
source</i> ». Quelle est la différence ? Y en a-t-il une,
d'ailleurs ?</p></div>
<div class="para"><p>Commençons par les textes originaux. Le concept de
<b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Logiciel%20libre" title="Consultez l'article &quot;Logiciel libre&quot; de l'encyclopédie libre Wikipedia">logiciel libre</a></b> a été popularisé par
<b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Richard%20Stallman" title="Consultez l'article &quot;Richard Stallman&quot; de l'encyclopédie libre Wikipedia">Richard Stallman</a></b> et la
<i class="foreign" xml:lang="en"><b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Free%20Software%20Foundation" title="Consultez l'article &quot;Free Software Foundation&quot; de l'encyclopédie libre Wikipedia">Free Software
Foundation</a></b></i>. Le
logiciel libre se définit par <b class="emphasis"><a href="https://www.gnu.org/philosophy/free-sw.html">quatre libertés</a></b> :
</p><ul>
 <li>Liberté de faire tourner le logiciel, c'est-à-dire de
 l'utiliser à des fins quelconques.</li>
 <li>Liberté d'étudier le programme, ce qui implique notamment
 l'accès à son <b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Code%20source" title="Consultez l'article &quot;Code source&quot; de l'encyclopédie libre Wikipedia">code source</a></b>.</li>
 <li>Liberté de distribuer des copies du logiciel,</li>
 <li>y compris des copies modifiées.</li>
</ul><p>
On notera que la gratuité n'est pas mentionnée. En
<b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/anglais" title="Consultez l'article &quot;anglais&quot; de l'encyclopédie libre Wikipedia">anglais</a></b>, le terme de
<i class="foreign" xml:lang="en">free software</i> a parfois engendré des
malentendus, <i class="foreign" xml:lang="en"><a href="https://en.wiktionary.org/wiki/free" hreflang="en">free</a></i> pouvant vouloir dire « libre »
mais aussi « gratuit ». Comme souvent en politique, ces malentendus
étaient parfois de bonne foi, et malhonnêtes dans
d'autres, certains faisant semblant de ne pas comprendre que la
liberté n'a rien à voir avec la gratuité.</p></div>
<div class="para"><p>Stallman aime donc répéter que, dans <i class="foreign" xml:lang="en">free
software</i>, c'est <i class="foreign" xml:lang="en">free as in free speech, not
free as in free beer</i>. Bonne explication, mais difficile
à traduire en <b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/fran%C3%A7ais" title="Consultez l'article &quot;français&quot; de l'encyclopédie libre Wikipedia">français</a></b> puisque, justement,
en français, il y a deux mots différents pour « libre »
et « gratuit ».</p></div>
<div class="para"><p>Et <i class="foreign" xml:lang="en">open source</i> ? Notons que ce n'est pas un
hasard si le terme en anglais est populaire chez les gens dont le
métier est d'embrouiller le langage, les vendeurs ou les politiciens, par
exemple. Utiliser un terme en anglais permet de rester dans le
flou, et d'essayer de plaire à tout le monde, en n'utilisant pas
de termes précis. Le terme a été 
popularisé par <b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Eric%20Raymond" title="Consultez l'article &quot;Eric Raymond&quot; de l'encyclopédie libre Wikipedia">Eric Raymond</a></b> et quelques
autres en 1998. Ils avançaient deux arguments essentiels en faveur de ce
nouveau terme : l'ambiguité entre « libre »
et « gratuit » (qui, on l'a vu, n'existe pas en français, rendant
tout à fait inutile l'utilisation du terme <i class="foreign" xml:lang="en">open
source</i>), et surtout le fait que la liberté faisait peur,
notamment au patronat, et que, si on voulait populariser le
logiciel libre auprès des gens qui ont la main sur la carte de
crédit de l'entreprise, il fallait changer le nom. (Il y avait
bien sûr également des raisons non avouées, comme essayer de
remplacer Stallman au poste de symbole du logiciel libre.)</p></div>
<div class="para"><p>Le terme a clairement été un grand succès, malgré le fait qu'il
soit tout aussi ambigu que l'autre (<i class="foreign" xml:lang="en">open source</i>
ou « source ouverte » désignait déjà <b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Renseignement%20d'origine%20source%20ouverte" title="Consultez l'article &quot;Renseignement d'origine source ouverte&quot; de l'encyclopédie libre Wikipedia">tout
à fait autre chose</a></b>). Que mettaient-ils derrière ce
terme ? Les promoteurs du terme <i class="foreign" xml:lang="en">open source</i> ont
produit une <a href="https://opensource.org/osd">définition</a>. Elle est moins
percutante que les « quatre libertés », et plus longue, mais elle
revient quasiment au même. Notamment, elle précise clairement
qu'<i class="foreign" xml:lang="en">open source</i> ne veut pas uniquement dire
qu'on a accès au <b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Code%20source" title="Consultez l'article &quot;Code source&quot; de l'encyclopédie libre Wikipedia">code source</a></b>.</p></div>

<div class="para"><p>Si on regarde la <a href="https://www.gnu.org/licenses/license-list.html">liste des
licences libres reconnues par la FSF</a>, et qu'on la compare
avec <a href="https://opensource.org/licenses/category">celle des promoteurs du terme open source</a>, on ne
voit en effet pas de différence. On cite parfois la question de
l'obligation de réciprocité
(<i class="foreign" xml:lang="en"><b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/copyleft" title="Consultez l'article &quot;copyleft&quot; de l'encyclopédie libre Wikipedia">copyleft</a></b></i> en anglais, ou
« partage à l'identique » - <i class="foreign" xml:lang="en">Share Alike</i> - dans
les <b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Licence%20Creative%20Commons" title="Consultez l'article &quot;Licence Creative Commons&quot; de l'encyclopédie libre Wikipedia">licences Creative Commons</a></b>) 
comme différence entre logiciel libre et <i class="foreign" xml:lang="en">open
source</i>. Mais cette distinction n'est jamais faite par
des gens qui participent au logiciel libre, elle n'arrive que dans
des raccourcis médiatiques. L'obligation de réciprocité (un
individu ou une entreprise peuvent
distribuer le logiciel, même modifié, et même le vendre, mais on a
l'obligation de reconnaitre au destinataire les mêmes libertés que
celles dont ils ont bénéficié) n'est en effet pas mentionnée dans
les quatre libertés qui définissent le logiciel libre. Les
personnes qui ne se sont pas renseignées avant et qui disent que
le logiciel libre requiert l'obligation de réciprocité sont donc
plus stricts sur la définition <a href="https://www.gnu.org/licenses/gpl-faq.html#DoesFreeSoftwareMeanUsingTheGPL">que
Richard Stallman lui-même</a>, alors qu'il est généralement
considéré comme un modèle de strictitude.
</p></div>
<div class="para"><p>Bien qu'il existe des cas
compliqués de licences qui peuvent être vues comme libres selon
une définition et pas selon une autre, ces cas sont très
marginaux. L'immense majorité des <b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Logiciel%20%20%20%20%20libre" title="Consultez l'article &quot;Logiciel     libre&quot; de l'encyclopédie libre Wikipedia">logiciels libres</a></b> est sous une licence que les
deux définitions classent comme libre.  Parmi les
exceptions, on note (trouvée par Exagone313) l'amusante licence
<b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/WTFPL" title="Consultez l'article &quot;WTFPL&quot; de l'encyclopédie libre Wikipedia">Foutez ce que
vous voulez</a></b>, apparemment <a href="https://opensource.org/minutes20090304">refusée par
l'Open Source Initiative</a> mais <a href="https://www.gnu.org/licenses/license-list.html">acceptée par la
FSF</a>. Mais elle est peu utilisée. (Si vous avez
d'autres références <b class="emphasis">précises</b> d'une exception, d'une licence
qui est dans une des listes de licences libres mais pas dans
l'autre, je suis preneur. En indiquant des logiciels qui utilisent
cette licence, car la plupart des licences candidates pour cet
exercice sont peu ou pas utilisées.)</p></div>
<div class="para"><p>Cette rareté des licences acceptées sous une définition mais
pas sous l'autre semble plaider pour une conclusion simple « logiciel libre
ou <i class="foreign" xml:lang="en">open source</i>, on s'en fiche, c'est
pareil ».</p></div>
<div class="para"><p>À noter que <b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Wikip%C3%A9dia" title="Consultez l'article &quot;Wikipédia&quot; de l'encyclopédie libre Wikipedia">Wikipédia</a></b> <b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Open%20source" title="Consultez l'article &quot;Open source&quot; de l'encyclopédie libre Wikipedia">reprend
cette définition</a></b> : « La désignation open source, ou
"code source ouvert", s'applique aux logiciels (et s'étend
maintenant aux œuvres de l'esprit) dont la licence respecte des
critères précisément établis par l'Open Source Initiative,
c'est-à-dire les possibilités de libre redistribution, d'accès au
code source et de création de travaux dérivés. » Et ajoute « La
différence formelle entre open source et logiciel libre (en
anglais : free software) n'a quasiment pas de conséquence dans
l'évaluation des licences. » (Le bandeau en haut de
l'article dit « Ne doit pas être confondu avec Logiciel libre »,
alors même que l'article explique que c'est pareil...) Le
<b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Wiktionnaire" title="Consultez l'article &quot;Wiktionnaire&quot; de l'encyclopédie libre Wikipedia">Wiktionnaire</a></b> dit également que les deux
termes sont synonymes.</p></div>
<div class="para"><p>Mais, évidemment, en matière de langage, les arguments
d'autorité et les références aux textes antiques ont leurs
limites. Le langage évolue (pas toujours dans le bon sens) et ce
qui est important, c'est aussi ce que veulent dire les gens. L'usage
compte. Ceux et
celles qui utilisent le terme <i class="foreign" xml:lang="en">open source</i>
veulent-ils dire la même chose que celles et ceux qui disent
logiciel libre ? Il est difficile de répondre à cette question. En
effet, si on n'utilise pas la définition « officielle », laquelle
utilise-t-on ? J'ai la nette impression que les gens qui utilisent
<i class="foreign" xml:lang="en">open source</i> n'ont pas de définition précise et
l'utilisent un peu au petit bonheur la chance. Quand on demande à
quelqu'un qui a utilisé le terme <i class="foreign" xml:lang="en">open source</i> ce
qu'ielle entend par là, on reçoit en général une réponse vague, et
souvent fausse (comme par exemple de définir <i class="foreign" xml:lang="en">open
source</i> par « accès au code source »). Les commerciaux
utilisent ce terme pour dire « logiciel libre » mais en moins
politique (la liberté, ça fait peur aux clients), les journalistes
l'utilisent parce que dans un article sur l'informatique, il faut
mettre de l'anglais, beaucoup de gens répètent simplement le terme
qu'ils ont entendu dans les médias, sans réfléchir. Si on veut une
définition fondée sur l'usage (et non pas sur la définition
formelle de l'<b><a class="wikipedia" hreflang="fr" href="https://fr.wikipedia.org/wiki/Open%20Source%20%20%20%20Initiative" title="Consultez l'article &quot;Open Source    Initiative&quot; de l'encyclopédie libre Wikipedia">OSI</a></b>), on pourrait arriver à quelque chose du
genre « quelque chose qui va du logiciel libre [inclus] à diverses
formes de logiciels privateurs manifestant un peu d'ouverture ».</p></div>
<div class="para"><p>En conclusion et résumé :
</p><ul>
 <li>« Logiciel libre » et « <i class="foreign" xml:lang="en">Open Source</i> »
 désignent quasiment exactement les mêmes licences et donc les
 mêmes logiciels. Il n'y a donc pas de différence pratique.</li>
 <li>Mais dans l'usage, la plupart des emplois de
 « <i class="foreign" xml:lang="en">Open Source</i> » désignent quelque chose de
 vague et de pas bien défini.</li>
 <li>Et les mots sont importants : utiliser « <i class="foreign" xml:lang="en">Open
 Source</i> » n'est pas neutre et veut dire en général qu'on
 n'est pas spécialement attaché à la liberté.</li>
</ul></div>
