title: Shame. - Dirty Feed
url: http://www.dirtyfeed.org/2022/04/shame/
hash_url: 9094f894455bccf9d9772fd5782ec782

<p>I’ve written many times in the past about how I think people should keep their website archives online. In fact I’ve talked about it to the point of obnoxiousness, and then far beyond that. About how old stuff can suddenly become <a href="http://www.dirtyfeed.org/2018/11/buried/">found and loved</a>, about <a href="http://www.dirtyfeed.org/2016/11/ghosts-of-internet-past/">the history of the web disappearing</a>, about <a href="http://www.dirtyfeed.org/2017/02/what-you-leave-behind/">what remains of the public record</a>, about <a href="http://www.dirtyfeed.org/2016/04/the-fragility-of-the-web/">accidentally destroying a web community</a>, about <a href="http://www.dirtyfeed.org/2017/04/the-layer-tennis-archives/">losing memories</a>… or simply about <a href="http://www.dirtyfeed.org/2016/11/life-death/">letting things live</a>.</p>
<p>It’s all true. But today I want to talk about another reason I feel so strongly about this. A reason I haven’t really touched on before, but I think is one of the most important of all.</p>
<p>Take a look at <a href="https://thegreatdiscontent.com/interview/frank-chimero/">this interview</a> from 2013, with designer Frank Chimero. It’s actually worth reading in full; it touches on many interesting topics. For instance, I highly identify with this:</p>
<blockquote><p>“I think I’m similar to a lot of other creative people in that I’m deeply uncomfortable with attention. It’s one of those things where if you gain any attention, you start to subconsciously — or maybe even consciously — make creative choices to have people stop paying attention to you. <em>[…]</em><sup id="rf1-19153"><a href="#fn1-19153" title="All the quotations in this article are edited a little to avoid the back-and-forth with the interviewers, which works brilliantly in the piece itself, but less well when quoting from it. I hope I’ve been fair with my edits, but it’s worth reading the full interview to capture the true flavour of the conversation." rel="footnote">1</a></sup></p>
<p>Attention creates expectations that feel like a saddle. And most horses buck the first time a saddle is put on them. It is a natural inclination. Maybe it’s immature behavior to want to shake off other people’s expectations? I don’t know. But, if I’m really honest about where I am creatively, that’s what I want to do — I just want to buck.”</p></blockquote>
<p>This reminds me very much of when I decided I didn’t want to write about sitcoms for a while, because somebody mildly hinted that was all they enjoyed about my writing. It also reminds me that whenever this place gets attention for something beyond my usual audience – my <a href="http://www.dirtyfeed.org/2021/04/what-the-papers-say/"><cite>Yes Minister</cite> piece</a> last year, for instance – I feel a disconcerting mix of pleasure and uncomfortableness. Is my lack of a <em>really</em> popular article on Dirty Feed so far this year down to luck, people having less time for my nonsense as the world opens up again… or <em>my choice?</em></p>
<p>But there’s another part of this interview which I can’t quite get on board with.</p>
<p><span id="more-19153"></span></p>
<blockquote><p>“Any creative person I know feels a bit of shame about his or her past work. That’s the genius of John Baldessari <a href="https://en.wikipedia.org/wiki/John_Baldessari#Disowning_of_early_work">burning all of his work</a> halfway through his career as a work of art — it’s a disavowal and an honest assessment of the creative practice. So what about shame? This is something I think about as a writer. When is it okay for me to delete something I’ve written, something I don’t like any more? Archives are good, but I don’t need to stand behind all of my work forever. Kafka wanted all of his writing burned when he was on his deathbed and who could blame him? I hate that as a reader, but love it as a writer. Maybe that discontentedness is a form of shame, and maybe that shame is good because it shows you’re growing. Even if you’re not growing, at least it implies that you’re changing. <em>[…]</em></p>
<p>I wonder if every creative person hits this moment, when, for some reason, they don’t make the work for a while. Could be family or personal stuff, a giant vacation, a service trip, god forbid an illness, or anything else that separates you from your body of work for a period. They step away from all that work and when they return, they want to pull everything they’ve made back in. Undo the work. Unsay the words. And once you realize you can’t unsay things, even if you’ve deleted the work, there’s a period of wanting to revolt against your old self to clear the slate. I’ve been there a few times.”</p></blockquote>
<p>Recently, author Robin Sloan <a href="https://newpublic.substack.com/p/-robin-sloan-describing-the-emotions?s=r">expressed a similar sentiment</a>:</p>
<blockquote><p>“…to me, this connects back to homepages. Obviously, no one does this, I recognize this is a very niche endeavor, but the art and craft of maintaining a homepage, with some of your writing and a page that’s about you and whatever else over time, of course always includes addition and deletion, just like a garden — you’re snipping the dead blooms. I do this a lot. I’ll see something really old on my site, and I go, “you know what, I don’t like this anymore,” and I will delete it. </p>
<p>But that’s care. Both adding things and deleting things. Basically the sense of looking at something and saying, “is this good? Is this right? Can I make it better? What does this need right now?” Those are all expressions of care. And I think both the relentless abandonment of stuff that doesn’t have a billion users by tech companies, and the relentless accretion of garbage on the blockchain, I think they’re both kind of the antithesis, honestly, of care.”</p></blockquote>
<p>Now, it’s not a <em>surprise</em> that I might disagree with the above. But let me frame my disagreement in a slightly unusual way.</p>
<p><em>Be fair to your past self.</em></p>
<p>*   *   *</p>
<p>There is an idea that we are all on a constant road to self-improvement and self-enlightenment. I fundamentally believe this is not always the case.</p>
<p>Mentally, I’m healthier than I’ve ever been; physically, I was far more capable 20 years ago. I’m open to watching more film than I used to be, but probably <em>less</em> open when it comes to different kinds of television. I’m better at not being taken advantage of when it comes to friends than I was when I was 17, but far less good at giving the friends I have <em>now</em> my time. If I’m a better person overall than I used to be, then it’s most certainly not true on a case-by-case basis.</p>
<p>The same is true of my writing. Do I think I’m a better writer than I used to be? Yes, definitely. I’ve written a lot of my favourite articles in the last three years. But there are certainly things I used to write that I would really struggle to do now. Most obviously, I used to bash out endless news pieces for <cite>Red Dwarf</cite> site <a href="http://www.ganymede.tv/">Ganymede &amp; Titan</a>, which meant I used to be much better at researching things <em>quickly</em> to an acceptable standard.</p>
<p>That’s far from all. My writing on <cite>Dwarf</cite> used to be more fandom-based; endless silly in-jokes. Do I prefer my writing now, shorn of that? Yes, but if you’re a part of that fandom, there’s a whole vaguely amusing way I wrote which is now gone. Or away from writing entirely: how about the <a href="https://www.ganymede.tv/2019/09/dwarfcast-100-100th-dwarfcast-special/">podcasts</a> I used to be part of? Those were some of the most-loved things I’ve ever done; the audience really responded to them. I do nothing like those now.</p>
<p>Yes, we gain things as we get older. But we most certainly lose things too.</p>
<p>But then, I find the language surrounding this odd in the first place. Chimero says that <em>“Archives are good, but I don’t need to stand behind all of my work forever.”</em> But keeping an archive online <em>isn’t</em> standing behind your work. It’s just… keeping an archive online. It’s only standing by your work if you relink to it after 10 years and say <em>“I still believe this, by the way”</em>. Hell, you can easily add a note at the top to specifically state that you <em>don’t</em> stand by the work, if you really want to.</p>
<p>Similarly for Robin Sloan, he seems to care a great deal about whether he still likes a piece of work he wrote or not. To me, that is entirely irrelevant. You don’t <em>have</em> to like everything in your archive.  Because archives are a <em>kaleidoscope of your life</em>. They aren’t just a reflection of how you are now. They are you now, a year ago, five years ago, ten years ago. They are how you were, are, and perhaps a hint of what you may become. That’s the sheer joy and magic of them. To snip and prune misses the whole point.</p>
<p>Because your past self? They might have had a point, you know. If we agree that we aren’t on a never-ending path to improvement, then you could very easily have been right about something then, and wrong now. There are most certainly topics that I’ve gone a full 360° on over the years. Deleting your old thoughts may be giving your older self a kick they really don’t deserve. And the beauty of having an archive is that you don’t <em>need</em> to decide whether you were right or not. Your views, with a date attached, can stand as a reflection of a specific moment in time.</p>
<p>Reconciling every past view you’ve ever had with how you feel now isn’t <em>required</em>. It sounds exhausting, frankly.</p>
<p>*   *   *</p>
<p>Both Frank Chimero and Robin Sloan followed through with their thoughts on this. Earlier this year, Chimero deleted nearly all of <a href="https://frankchimero.com/blog/">his site’s blog posts</a>; clearly his concerns expressed in the interview lingered:</p>
<div class="twoimages">
<div class="twoimages-1"><img src="http://dirtyfeed.org/wordpress/wp-content/uploads/2022/04/chim1.png" alt="Frank Chimero's site, with many blog posts">
<p class="caption"><strong>frankchimero.com, 2021</strong></p>
</div>
<div class="twoimages-2"><img src="http://dirtyfeed.org/wordpress/wp-content/uploads/2022/04/chim2.png" alt="Frank Chimero's site, with just five posts">
<p class="caption"><strong>frankchimero.com, 2022</strong></p>
</div>
</div>
<p>There used to be over 100 posts on the site; now there are merely five.</p>
<p>Meanwhile, Robin Sloan has an even sharper solution, and <a href="https://web.archive.org/web/*/www.robinsloan.com">blocks his site</a> from the Wayback Machine entirely, meaning we really <em>can’t</em> view his older, deleted work:</p>
<p><img data-attachment-id="19266" data-permalink="http://www.dirtyfeed.org/2022/04/shame/sloan/" data-orig-file="http://www.dirtyfeed.org/wordpress/wp-content/uploads/2022/04/sloan.png" data-orig-size="1680,658" data-comments-opened="1" data-image-meta='{"aperture":"0","credit":"","camera":"","caption":"","created_timestamp":"0","copyright":"","focal_length":"0","iso":"0","shutter_speed":"0","title":"","orientation":"0"}' data-image-title="sloan" data-image-description="" data-image-caption="" data-medium-file="http://www.dirtyfeed.org/wordpress/wp-content/uploads/2022/04/sloan-480x188.png" data-large-file="http://www.dirtyfeed.org/wordpress/wp-content/uploads/2022/04/sloan.png" loading="lazy" src="http://www.dirtyfeed.org/wordpress/wp-content/uploads/2022/04/sloan.png" alt="Screengrab of robinsloan.com on the Wayback Machine - This URL has been excluded" class="alignnone size-full wp-image-19266" srcset="http://www.dirtyfeed.org/wordpress/wp-content/uploads/2022/04/sloan.png 1680w, http://www.dirtyfeed.org/wordpress/wp-content/uploads/2022/04/sloan-480x188.png 480w, http://www.dirtyfeed.org/wordpress/wp-content/uploads/2022/04/sloan-768x301.png 768w, http://www.dirtyfeed.org/wordpress/wp-content/uploads/2022/04/sloan-1536x602.png 1536w" sizes="(max-width: 1680px) 100vw, 1680px"></p>
<p>Whenever I discuss this topic, I always have people ask me: <em>“What are you saying? That people shouldn’t be allowed to delete their old stuff? Surely they have the right to do with it what they like?”</em> And the answer is: of course they do. They absolutely have the right.</p>
<p>I just ask people to consider: there are many different audiences for your work. The actual author is just one of them. You might not <em>like</em> what your old self has to say any more… but it could be exactly what somebody else needed to read right at that very moment. It could inspire somebody to make something truly great. Everything links together, and who knows where the internet’s complex web of ideas might end up?</p>
<p>If other people’s creative work happens because they stand on the shoulders of others, then kicking away your work just because you don’t like it any more is a fundamentally selfish act. And I find that a little more worthy of shame than most people’s old blog posts.</p>
