title: Training my sense of CO2 ppm
url: https://interconnected.org/home/2022/07/14/co2
hash_url: f41d1b9b8daa4f9aaa4e789e07315bb5

<p class="measure-wide f6 f5-l lh-copy black-80">I picked up a new home CO2 monitor yesterday. <a href="https://www.instagram.com/p/Cf9iuIHqdOv/">Here’s a photo.</a> I went with the <a href="https://aranet.com/products/aranet4/">Aranet4 (HOME edition)</a> because</p>
<ul class="list ph0 ph0-ns bulleted-list">
<li class="measure-wide f6 f5-l lh-copy black-80">it’s small and portable with a multi-year battery life</li>
<li class="measure-wide f6 f5-l lh-copy black-80">it displays the current CO2 ppm on an e-ink screen and I am a sucker for e-ink – practical and handsome</li>
<li class="measure-wide f6 f5-l lh-copy black-80">it logs data, taking a reading every 5 minutes and keeping a 7 day history, accessible using the app (Bluetooth not wi-fi, and I appreciate the lack of dependency on cloud services).</li>
</ul>
<p class="measure-wide f6 f5-l lh-copy black-80">I bought mine on Amazon for the same price as buying direct.</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure-wide f6 f5-l lh-copy black-80"><strong>I want to build an intuition for how varying CO2 levels make me feel.</strong></p>
<p class="measure-wide f6 f5-l lh-copy black-80">This second, near my desk, CO2 is 463 ppm (ppm = parts per million).</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Atmospheric is approx 420 ppm so it’s higher indoors – and higher still when I’ve been sitting in the same room all day.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">CO2 levels are pretty dynamic, I’m told. An occupied, closed room will get to 1,000 ppm. A meeting room without fresh air, 1,500 ppm. You can hit over 2,000 ppm in a contained space like a train.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">High CO2 levels are an indicator of poor ventilation, which isn’t great for Covid transmission.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">But <em>also</em> not good for cognition.</p>
<blockquote cite="https://www.sciencedaily.com/releases/2020/04/200421090556.htm" class="quoteback bl bw2 pl2 b--orange ml0 italic i" data-author="ScienceDaily" data-title="Rising carbon dioxide causes more than a climate crisis -- it may directly harm our ability to think (2020)">
<p class="measure-wide f6 f5-l lh-copy black-80">at 1400 ppm, CO2 concentrations may cut our basic decision-making ability by 25 percent, and complex strategic thinking by around 50 percent</p>

</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">Even before that, you start to get drowsy around 1,000 ppm. How much brain fog is not to do with long Covid but simply because I’m no longer sitting in a large, well-ventilated office? I’d like to know.</p>
<p class="measure-wide f6 f5-l lh-copy black-80"><em>(Hey so there’s a chance that CO2 levels rise to the point that we all become too dumb to figure out the climate crisis. Ruh roh /insert Scooby Doo gif.)</em></p>
<p class="measure-wide f6 f5-l lh-copy black-80">You can train your own sense of the current ppm by keeping an eye on the sensor read-out and introspecting your personal energy levels. Here’s what my friend Ben Pawle from <a href="https://nordprojects.co">Nord Projects</a> told me:</p>
<blockquote class="bl bw2 pl2 b--orange ml0 italic i">
<p class="measure-wide f6 f5-l lh-copy black-80">We’ve got one in the studio. Actually been surprisingly helpful. When you start getting brain fog and feeling sluggish then you glance and see the co2 is 800 you know to open more windows. Then you feel great! We’ve actually got weirdly good at describing how we feel in terms of energy levels by co2 level</p>
</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">Which is not the first time I’ve heard that!</p>
<p class="measure-wide f6 f5-l lh-copy black-80">I’m looking forward to the day when I can walk into a room and say, <em>huh, feels like 800 in here,</em> and decide to sit somewhere else.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Here’s the referenced paper from the article above.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Karnauskas, K. B., Miller, S. L., &amp; Schapiro, A. C. (2020). <a href="https://doi.org/10.1029/2019GH000237">Fossil Fuel Combustion Is Driving Indoor CO2 Toward Levels Harmful to Human Cognition.</a> <em>GeoHealth, 4</em>(5).</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure-wide f6 f5-l lh-copy black-80"><strong>I want to train my mental model for how CO2 levels change over time.</strong></p>
<p class="measure-wide f6 f5-l lh-copy black-80">I have questions like:</p>
<ul class="list ph0 ph0-ns bulleted-list">
<li class="measure-wide f6 f5-l lh-copy black-80">What happens to CO2 over 4 hours while I’m at my desk?</li>
<li class="measure-wide f6 f5-l lh-copy black-80">Does it make a difference that my desk faces a corner – does CO2 collect there as I breathe? How long does it take to equalise over the room?</li>
<li class="measure-wide f6 f5-l lh-copy black-80">With the door open? With a window open just a crack?</li>
<li class="measure-wide f6 f5-l lh-copy black-80">How long does it take for CO2 to reset to ambient? 5 minutes? An hour? Is a 30 minute break for lunch enough?</li>
</ul>
<p class="measure-wide f6 f5-l lh-copy black-80">To do this I need graphs.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Now I was initially concerned that the Aranet4 sends its logged data only to its own app. Looking at a 7 day graph in an app is fine, but I’d prefer to do my own presentation and analysis. I would like to</p>
<ul class="list ph0 ph0-ns bulleted-list">
<li class="measure-wide f6 f5-l lh-copy black-80">collect data over several months and spot correlations. Do I tend to leave the windows closed when it’s colder, for example (of course I do), and is this a problem?</li>
<li class="measure-wide f6 f5-l lh-copy black-80">see if mornings are better than afternoons?</li>
<li class="measure-wide f6 f5-l lh-copy black-80">get a good sense of what “normal” CO2 variations are over the day and seasonally, indoors/outdoors/etc, and when I should act (the sensor is portable, so I’ll start carrying it around to different venues once I develop a foundational understanding).</li>
</ul>
<p class="measure-wide f6 f5-l lh-copy black-80">Also:</p>
<p class="measure-wide f6 f5-l lh-copy black-80"><strong>Alerts!</strong> If CO2 hits 800 ppm (for example) I would like to ping my smart plug to turn on the coloured Christmas lights that hang on the shelves behind me. That’s not enough to interrupt me if I’m concentrating, but it gives me peripheral vision that I should increase ventilation and I’ll notice it when my head comes out of flow. I’m aaaaall about that ambient awareness.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">So I don’t want my data trapped in an app. I want the sensor to have an hardware API. <a href="/home/2021/08/03/phono">I wrote about the idea of hardware APIs here</a> <em>(2021):</em></p>
<blockquote class="bl bw2 pl2 b--orange ml0 italic i">
<p class="measure-wide f6 f5-l lh-copy black-80">Devices should have a standard hardware API – a couple of pins that publish events (like: radio re-tuned, or switch pressed, or doorbell motion sensor activated) and accept commands (like: re-tune to X, or remote activate switch, or record and send video)</p>
</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80"><em>(It doesn’t need to be copper pins. Wireless is fine too, so long as it’s open.)</em></p>
<p class="measure-wide f6 f5-l lh-copy black-80"><em>(It’s important that this runs locally, without hitting the cloud, because the privacy concerns of this level of access to my home are considerable.)</em></p>
<p class="measure-wide f6 f5-l lh-copy black-80">Basically: I want to work with my home gadgets and appliances as easily as I can set up rules and filters in Gmail.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">AND SO I am tentatively happy that there is a <a href="https://github.com/stijnstijn/pyaranet4">Python library for the Aranet4 sensor</a> (pyaranet4)! Good news.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">This means that, in theory, I should be able to connect from my Mac, or the always-on Raspberry Pi sitting on the bookshelves, and pull data from the sensor on a regular schedule. And given <em>that</em> I should be able to do all of the above.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">A project!</p>
<hr class="h1 xh2-ns w1 xw2-ns ml4 mv4 bb bw1 b--white">
<p class="measure-wide f6 f5-l lh-copy black-80">I was born at 335 ppm. Atmospheric CO2 is 25% higher today.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">(See <a href="https://www.co2levels.org">co2levels.org</a> for a giant historic graph.)</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Ok so there’s noticeable cognitive impairment on complex decision making when CO2 levels are <em>much</em> higher – but is even this 25% atmospheric uplift dinging my IQ?</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Like: lead in fuel, <a href="/home/2022/03/11/saeculum">as previously discussed</a>: <q>Leaded fuel reduced the IQ of everyone born before 1990 by ~4.25%.</q></p>
<p class="measure-wide f6 f5-l lh-copy black-80">Which is <em>wild,</em> right? And may explain some elements of boomer politics…</p>
<p class="measure-wide f6 f5-l lh-copy black-80">But, being more specific, what lead is dinging isn’t just IQ – I seem to remember that lead affects impulse control? And CO2 affects <em>“complex strategic thinking”</em> so that’s an attentional thing, maybe?</p>
<p class="measure-wide f6 f5-l lh-copy black-80">I am suuuuuuper out on a limb here, but: <em>smartphones?</em> What if this century’s rise of short-attention-span casual games, attentional disorders, etc, is not to do with too much screen-time at all, but is a symptom of growing up under increased atmospheric CO2?</p>
<p class="measure-wide f6 f5-l lh-copy black-80">And so our recently-slightly-diminished inability to hold a coherent thought for a long span of time is what attention-maximiser apps like infinite-scrollers (Twitter) and ad-engagement-optimisers (Facebook) and swipe-skinner-boxes (TikTok, Tinder) are, deep down, all exploiting?</p>
