title: Time to Write? Go Outside
url: https://archive.nytimes.com/opinionator.blogs.nytimes.com/2013/09/16/time-to-write-go-outside/
hash_url: 300b9aa899d44f7606a8448991e2acfd

<p class="story-body-text" itemprop="articleBody">Fall promises crisp days with ample sunlight, a lifting of the humidity and ideal temperatures for being outdoors. This also means my writing will be getting better. </p>
<p class="story-body-text" itemprop="articleBody">Nothing coaxes jumbled thoughts into coherent sentences like sitting under a shade tree on a pleasant day. With a slight breeze blowing, birds chirping melodies, wee bugs scurrying around me and a fully charged laptop
    or yellow legal pad at hand, I know I’ll produce my best work. </p>
<p class="story-body-text" itemprop="articleBody">I stumbled upon my ideal writing conditions quite by accident. When a particularly troublesome set of captions for a National Geographic story I was working on was causing me conniptions — that yellow-bordered
    magazine takes those captions pretty seriously — I charged out of the house and down to the Potomac River, with notes, photograph photocopies and pen in hand. I planted myself at a picnic table, stared at
    the water and let my brain go all mushy. I relaxed my eyes, focusing on nothing. </p>
<p class="story-body-text" itemprop="articleBody">Writing became easier. Words that were locked in the brain vault appeared. I saw the bigger picture, the story waiting to be told. <span id="more-149015"></span></p>
<p class="story-body-text" itemprop="articleBody">Turns out, there are perfectly good reasons why writing outdoors works for me, and most likely every other writer on the planet. </p>
<p class="story-body-text" itemprop="articleBody">Back in the 1970s, two pioneering environmental psychologists, Rachel and Stephen Kaplan, began investigating nature’s healing effect on the mind. Decades later, their studies concluded that connections with
    nature could help us shirk mental fatigue, restore drifting attention and sharpen thinking. Even in an urban environment, a little green stimulates our senses, they report. </p>
<p class="story-body-text" itemprop="articleBody">Nature immersion also helps us feel alive. Another series of studies published in the Journal of Environmental Psychology in 2010 concluded that being in nature made people feel energetic and less lethargic, all essential
    ingredients for writing stories that exude telling details and narrative tension. After all, you just can’t tell a good story when half asleep.</p>
<p class="story-body-text" itemprop="articleBody">Nor can you do so when surrounded by the beeps and dings and hums of any number of devices. The author and journalist Richard Louv has thought a lot about technological distractions. Mr. Louv has long studied and proclaimed
    the benefits that humans can reap from being in nature. His wildly popular “Last Child in the Woods: Saving Our Children From Nature-Deficit Disorder” includes evidence that exposure to nature is essential
    not just to children’s mental and physical health, but to everyone’s. Adults are just as susceptible to a “Vitamin N” deficiency he explains in his more recent “The Nature Principle:
    Reconnecting with Life in a Virtual Age.” I asked him about my writing-outside theory.</p>
<p class="story-body-text" itemprop="articleBody">“It’s likely you find it easier to write outside not only because of nature’s direct impact, but because of the absence of so many distractions, most of them technological.” says Mr. Louv,
    who also finds his writing better when he does it by a lake or in the woods. “The info-blitzkrieg has spawned a new field called ‘interruption science’ and a newly minted condition: continuous
    partial attention.” Constant electronic intrusions, he says, leave anyone trying to work frustrated, stressed and certainly less creative. </p>
<p class="story-body-text" itemprop="articleBody">Amen. And though this seems like an obvious conclusion, how often are we writers victims of indoor inertia? Why do we try to write while held hostage by cookie-cutter offices, zapped by overhead fluorescence and pinged
    by electronic apps of varying degrees of annoyance? This, truly, is writing with only a partial mind, because our mind lies in too many different realms.</p>
<p class="story-body-text" itemprop="articleBody">I’m guilty. After the kids are at school, I often don’t move from my laptop spot at the old pine dining table, tapping away. With breakfast dishes and homework Xeroxes still cluttering the space, the various
    electronics peeping alerts, I’m often “working” for a solid half hour before I realize I’m not focused — not really. </p>
<p class="story-body-text" itemprop="articleBody">“Trouble is,” says Mr. Louv, “it’s getting harder to find places beyond electrotrusion” (using an apt term he just coined).</p>
<p class="story-body-text" itemprop="articleBody">I know one answer. I found that my dream office is in the middle of a savanna, a place far from any WiFi or even an electrical outlet. While bumping along a dirt road in southern Kenya, where I was doing research for
    my recent book “Safari,” I madly scribbled thoughts and impressions on a sturdy notebook I could hold in one hand. Writing while jostling and swatting tse-tse flies doesn’t seem ideal for recording
    quotes from guides and notes on cheetahs, but, really, it was. My attention drifted over the blowing grasses, the seemingly endless undulating landscape, and homed in on the story in front of me. Some of the very
    messy phrases that were difficult to physically write down, but otherwise easy to conjure, survived several self-critical revisions, my editor’s hand and copy editing. Bad handwriting can always be transcribed;
    jumbled thoughts are a devil to untwist.</p>
<p class="story-body-text" itemprop="articleBody">“Most people think of the mind as being located in the head,” writes Diane Ackerman in “A Natural History of the Senses,” “but the latest findings in physiology suggest that <em>the mind</em>                                        doesn’t really dwell in the brain but travels the whole body on caravans of hormone and enzyme, busily making sense of the compound wonders we catalogue as touch, taste, smell, hearing, vision.” There
    was no substitute for being immersed in nature — in my case, in the home turf of elephants, lions and crocodiles — and hearing, smelling, feeling and sometimes tasting what was in their environment.
</p>
<p class="story-body-text" itemprop="articleBody">I’m writing a book on oceans now. The research process, performed indoors amid humming gadgets — and sandwiched between other priorities — is difficult. But soon, I’ll head outdoors, look
    at life in the sea and plant myself in front of the water to do the writing. </p>
<p class="story-body-text" itemprop="articleBody">I know I can’t always go to the ocean or to an African savanna to write. In fact, those kinds of opportunities are few and far between. But I can take the lessons I learned there with me, and every day, remind
    myself to take five small steps away from that old pine table to the back patio. It’s a tiny space, but one enveloped by branches from neighboring trees and surrounded by an overzealous wisteria vine. The
    words come then, not perfectly the first time of course, but in time they do feel safe marching forward. </p>
<hr>

<p class="story-body-text" itemprop="articleBody"><em>Carol Kaufmann, a writer and editor, is the author of “Safari: A Photicular Book,” a collaboration with the inventor Dan Kainen. She is currently working on a book on oceans.</em></p>
