title: The (extremely) loud minority
url: https://andy-bell.co.uk/the-extremely-loud-minority/
hash_url: 78d79db0da7f60c48a02cfd088885085

<p>Often on Twitter, we’ll hear stuff like this:</p>
<blockquote class="wp-block-quote">
<p>Best practices don’t actually work</p>
</blockquote>
<p>Or: </p>
<blockquote class="wp-block-quote">
<p>TypeScript has won, and it’s only a matter of time you’re using it whether you like it or not.</p>
</blockquote>
<p>These may be true for a <em>tiny</em> minority of cases, such as in a code-factory: full of developers, independently working on small pieces of a very large product, but this doesn’t represent the web industry. In fact, the JS-driven cohort represents a <em>tiny</em> percentage of the web industry as a whole.</p>
<p>How small is that percentage, though? I’m glad you asked. We’re going to be using data from <a href="https://w3techs.com/faq">W3Techs, who crawl the <strong>top 10 million websites</strong></a> to calculate what market share certain technologies have. For this example, I’ll compare WordPress with React and Vue, because if you didn’t look at the data, you’d think everyone was building with them, right? Absolutely wrong. </p>
<blockquote class="wp-block-quote">
<p>WordPress is used by 63.4% of all the websites whose content management system we know. This is <strong>43.1% of all websites</strong>.</p>
<cite><a href="https://w3techs.com/technologies/details/cm-wordpress">W3Techs</a></cite></blockquote>
<p>And to compare:</p>
<blockquote class="wp-block-quote">
<p>React is used by 4.0% of all the websites whose JavaScript library we know. <strong>This is 3.3% of all websites</strong>.</p>
<cite><a href="https://w3techs.com/technologies/details/js-react">W3Techs</a></cite></blockquote>
<p>And finally:</p>
<blockquote class="wp-block-quote">
<p>Vue.js is used by 0.9% of all the websites whose JavaScript library we know. <strong>This is 0.8% of all websites.</strong></p>
<cite><a href="https://w3techs.com/technologies/details/js-vuejs">W3Techs</a></cite></blockquote>
<p>Emphasis on both examples, mine and the data is accurate as of February 14th, 2023. Also worth mentioning that this is just one data source. You could merge various sources, but the difference between the majority of the web industry—AKA people slinging websites with WordPress etc—and the loud, but very small web industry is <strong>huge.</strong></p>
<p>Even when you consider the reality that these technology paths likely cross and some sites hide the tech they are using, the difference is <em>extreme</em>. Even if you <a href="https://w3techs.com/technologies/comparison/js-react,js-vuejs">add together React and Vue</a>, it’s still <strong>less than 5% of all websites</strong>.</p>
<p>It’s also worth caveating (for the sake of my mentions) that React and Vue usage doesn’t mean that we’re only talking about single page apps (SPAs). Those likely account for such a small percentage of the web, it’s barely worth counting. That percentage is likely going to fall now too, because the JavaScript community have seemingly finally woken up to the idea that SPAs are not good actually. <a href="https://infrequently.org/2022/12/performance-baseline-2023/">Shame about the decade we lost on them</a>…</p>
<p>Just for fun, here’s React and Vue’s combined, rounded market share, visually represented by 100 people:</p>
<p class="wp-block-cp-codepen-gutenberg-embed-block cp_embed_wrapper"></p>
<p>Now, here’s WordPress:</p>
<p class="wp-block-cp-codepen-gutenberg-embed-block cp_embed_wrapper"></p>
<h2 id="heading-the-point-i-am-trying-to-make">The point I am trying to make</h2>
<p>It’s understandable to think that JavaScript frameworks and their communities are eating the web because places like Twitter are <em>awash with very loud voices from said communities</em>.</p>
<p>Always remember that although a <strong>subset of the JavaScript community</strong> can be <strong>very loud</strong>, they represent a <strong>paltry portion of the web as a whole</strong>. This means that when <em>they</em> say something like “Best practices don’t actually work”—what they mean is “Best practices don’t actually work for a small subset of less than 5 percent of the web”.</p>
<p>Now when you look at it like that, it makes you wonder why we give these people such a large stage while the <em>very quiet</em> <strong>majority</strong> don’t get a voice at all. The very quiet majority are out there building more than 90% of the web, after all.</p>
<p>Even a slight change in that dynamic would likely have a massive positive impact.</p>
<hr class="wp-block-separator has-alpha-channel-opacity">
<p><strong>Update</strong>: I just want to emphasise that W3Tech’s data is for the top 10 million websites. Based on that, React’s &lt; 4% share is probably microscopic on the web as a whole. Even if you discount that: considering React has been around for a decade now, &lt; 4% share of the top 10 million websites is <em>pathetic</em>, considering how much we are made to feel like it is the “biggest framework” (well, at least in bundle size, that’s true).</p>
<p>Another point I want to address is the “well, the web is massive and old, so of course there are loads of WordPress sites”. This is very true, but WordPress keeps growing in popularity*! I’d accept that if its share was depleting. Also, again, all of the above is in reference to the top 10 million websites, which if React is as popular as it’s made out to be, it would feature a lot more prominently…</p>
<p></p>
<p>* based on when I last monitored this report for <a href="https://www.youtube.com/watch?v=8oMekThCB9k">my talk on CUBE CSS</a> when WordPress’ share was around 36%.</p>
