title: Speed for who? | Andy Bell
url: https://andy-bell.co.uk/speed-for-who/
hash_url: f7957bdde7af740e322756668784d355

<time datetime="2023-01-31">January 31, 2023 2:55 pm</time>
<p>Frameworks are often touted as something like “a lightning fast development experience” and that’s fine I guess, but the speed is in the wrong hands. Why not “a lightning fast experience for your users”? </p>
<p>Sure, some frameworks will claim to be very fast for end-users with some very meticulously, massaged data to “prove” that, but as Zach points out in <a href="https://www.zachleat.com/web/javascript-community/">this great post</a>, it means nothing when the output bundle sizes are astronomical off the bat: </p>
<blockquote class="wp-block-quote">
<p>Well, wait. When you’re straddling the divide, you know that <a href="https://www.zachleat.com/twitter/1534588439580090368/">Remix</a> (67.7 kB compressed) and <a href="https://www.zachleat.com/twitter/1584995586918731776/">Next.js</a> (90 kB compressed) have not meaningfully reduced their bundle sizes at all. Measurement reveals that bundles are growing: Next.js was <a href="https://www.zachleat.com/twitter/1468419834501337088">72.2 kB compressed in 2021</a>.</p>
</blockquote>
<p>I’ve always found the focus on developer experience as a framework feature uncomfortable. The focus is all in the wrong place: spoiled developers vs people trying to use your website/app. I personally think developer experience is one of the least important aspects.</p>
<p>When I’ve mentioned that before, I often get a response like “yeh but because developer experience is better, we can do good work for users, faster”, but I’m yet to actually see that happening. Instead I see fad-chasing, like single page applications (SPAs), blockchain and now “AI” like Copilot and ChatGPT…</p>
<p>If a framework actually came along with a pure focus on user experience and thoroughly optimised output—something like a 99% reduction in output JavaScript vs current frameworks—I would be interested. As Dave pointed out in this article, <a href="https://daverupert.com/2023/01/so-you-want-to-make-a-new-js-framework/">that goes against the new framework trend</a>.</p>
<p>Only recently too, the head-honcho of Vercel—who are responsible for the monstrously large output generating framework—Next.js, tweeted this rather cryptic tweet: </p>

<p>I personally think this is broetry that really translates to “remember how we consistently said that SPAs are much better and faster than real HTML pages? Guess what, we were actually grifting our framework and now we’re going to go against that original grift with a different grift for the same framework”. </p>
<p>I dunno, maybe I’m being salty, but it’s justified saltiness. I actually <strong>genuinely care about users</strong>, you see. It’s why I <em>constantly</em> prattle on about progressive enhancement. Mainly, that makes everyone’s experience better, but the most important thing for me is that <strong>data is expensive.</strong> </p>
<p>Sure, if you’re based in San Francisco and you go to your adult daycare—sorry, I mean startup office—with ultra high-speed broadband: that 90 kB baseline compressed output might not feel like a lot, but what about if you live in Saint Helena? At the time of writing, a gigabyte of data there <a href="https://www.cable.co.uk/mobiles/worldwide-data-pricing/#pricing">costs around $41 USD</a>. </p>
<p>Your initial response to that might be “there’s a lot of kilobytes in a gigabyte”, and yes, you’re right, but there’s also a horrendous amount of framework-powered sites that could be HTML and CSS. Also, remember 90 kB is the framework’s default compressed output. Absolutely shoddy stuff. </p>
<p>You might also be tempted to say “our users only live in ‘developed countries'” (god I hate that term), but that’s like saying “<a href="https://andy-bell.co.uk/most-of-our-users-are-on-desktop/" data-type="post" data-id="692">all of our users are on desktop</a>“. It’s also a piss-poor excuse for not building for everyone. </p>
<p>I guess what I’m winding up to say here is developer experience really isn’t important—especially when frameworks haven’t even got the absolute baseline experience anywhere near where it needs to be to service a <strong>world wide web</strong>. A <strong>world wide web</strong> that’s accessed with slow, expensive connections and cheap, underperforming hardware. How about taking a bit of “DX” on the chin to focus instead on “why are we using this framework that potentially excludes the majority of users?”.</p>
<p>As Alex says: <a href="https://infrequently.org/2022/12/performance-baseline-2023/">a lost decade</a>. I couldn’t agree with that sentiment more, to be honest.</p>
