title: We Need to Talk About the Front Web
url: https://gericci.me/we-need-to-talk-about-the-front-web-5.html
hash_url: 40aada3cc8d6897fda5a277c4299c1fd
archive_date: 2024-01-09

<p>In the previous articles of this series, we have seen 
<a href="we-need-to-talk-about-the-front-web-2.html">
  how and why the web is great</a>, 
<a href="we-need-to-talk-about-the-front-web-3.html">
  what keeps getting wrong with the front web</a>, and 
after <a href="we-need-to-talk-about-the-front-web-4.html">
  exploring the reasons</a> why we keep tempering with the front web, 
  let's study some clues to help fixing it.
</p>

<h3>Promote a proper front web development training</h3>

<p>I can't stress it enough! I strongly believe that the main 
source of all the problems we have with the front web come from 
a <strong>non-adapted curriculum and the way the web is taught</strong>.
</p>

<p>I don't believe that those who want to work with web development 
start their education course — or start studying by their own — 
already despising HTML and CSS. This negative bias must come later 
on.
</p>

<p>I'm mentoring today 2 trainees, and when I've checked their 
curriculum, HTML and CSS is a very small part of it, quickly covered. 
Web accessibility is never mentioned, but React, Docker, Node.js... 
And I swear, 
they're always surprised when they realise they are going to learn 
HTML and CSS with me!
</p>

    <p>All gets worse once we realize that those who are 
teaching the future front web developers are also developers 
that have come from the same flawed curriculum, with 
the same prejudices against the front, and the same lack 
of proper knowledge of the nature of the web.</p>

<p>In their education, the <strong>advantages and singularities 
of the front web disappear</strong> in favour of tools and 
“higher” goals as back development.
</p>

<p>A big effort must be done to reverse this long, old trend.</p>

<h3>End the Fullstack</h3>

<p>Maybe one single person can do front <strong>and</strong> back 
development very well, but the fullstack development was created exactly because 
the front web is despised. But if we are serious about what we do, 
we must face the fact that <strong>both developments are very demanding</strong>, 
— no, HTML and CSS can not be quickly and easily learned — 
and one of them will surely suffer in a tight-schedule project, 
and we all know that it is almost always the front that does, and 
we finish with a bad HTML and third-party tools to deal with CSS.
</p>

<h3>Promote exchanges and collaborative work between designers and developers</h3>

<p>The front web impacts directly the user experience. If front developers 
are not involved in the design process, they will simply focus on 
their tasks and forget about the final user. That's why it is important to 
make the development team work closer with designers.
</p>

<blockquote>
<p>Front-end development is not about solving back-end 
  technology problems. It should be about making sure a product’s 
  user experience differentiates the product in its marketplace.</p>
<p>– <a href="https://www.uxmatters.com/authors/archives/2007/07/jim_nieters.php">
  Jim Nieters</a>, Chief User Experience Strategist at Experience Outcomes</p>
</blockquote>

<p>If front web developers work closer to the users' needs and problems, 
if they feel more implicated in the user experience, they will 
understand the impact of what they are building and will 
naturally adopt the strenghts of the front web.
</p>

<h3>Conclusion</h3>

<p>The death of the web has been announced more times that I can count, 
but the web is open, standard, universal, hard to kill. So, we'd better 
take care of it.
</p>

<p>Maybe, in order to fix the front web, we have to fix human nature: 
make things less about money and self-satisfaction, and more about 
improving people's lives and understanding the impact of what we are creating.
</p>
