title: Fabrique : concept
url: https://www.quaternum.net/2023/06/02/fabrique-concept/
hash_url: 55477786fc56b6fc37bb97231b634d90
archive_date: 2024-01-07

<p>Le terme <em>fabrique</em> définit une approche spécifique dans la création et dans la production d’artefact, y compris dans le domaine de l’édition.
Pour débuter un échange <em>épistolaire</em>, par carnets <a href="https://blank.blue/fabrique/la-fabrique-a-faire/">interposés</a>, je me lance enfin dans la définition de ce concept.
À ma manière, le pong n’étant pas le ping.
La recherche d’une complémentarité n’étant pas l’objet de ce texte, mais plutôt de faire coup double : définir un concept central dans mes recherches actuels, engager une conversation à laquelle je tiens.
À ma manière, peut-être trop méthodique.
Un avertissement est toutefois nécessaire : il s’agit d’un premier texte volontairement incomplet, ce carnet de recherche étant l’occasion de publier des travaux en cours et donc loin d’être finalisés.</p>
<p>En préambule je dois également préciser que j’ai entrepris d’analyser ce que j’ai nommé des “fabriques de publication” <a href="/fabriques">depuis quelques années</a>.
“Fabrique” avait alors été choisi comme alternative à plusieurs autres dénominations : outil, instrument, dispositif, machine ; technologie, technique, méthode ; chaîne, système, fabrique, forge.
Ce choix s’est fait par défaut, mais il s’est ensuite révélé particulièrement fécond.</p>
<blockquote>
<p>Fabrique.<br>
Action de fabriquer.<br>
<a href="https://www.cnrtl.fr/definition/fabrique">CNRTL</a></p>
</blockquote>
<p>Le terme “fabrique” est utilisé très souvent depuis plusieurs années, que ce soit pour des projets en sciences humaines, des titres d’essais, d’ouvrages ou d’articles scientifiques, ou de thèses.
Une maison d’édition française en a même fait son nom.
Le mot est partout (une rapide recherche vous le prouvera, c’est vertigineux !).
À tel point que son usage en devient suspect.
D’autant plus que le terme est rarement défini, comme si son sens allait de soit, qu’il ne nécessitait pas de précision.
Pourtant son positionnement lexicographique, entre <em>exécution</em>, <em>faire</em>, <em>produire</em> ou <em>créer</em>, suscite la curiosité.
En effet ce mot est bien pratique, il permet de s’extraire d’une logique purement industrielle dans une activité de production, et de reconsidérer la dimension artisanale de certaines initiatives créatives, encore plus dans le vaste champ littéraire.
Plus qu’un terme, <em>fabrique</em> peut être considéré comme un concept, et c’est l’entreprise que je me propose de débuter ici.</p>
<p>Commençons par une définition du contexte de la <em>fabrique</em>, la fabrique <em>produit</em> quelque chose, mais cela passe par d’autres étapes qu’il convient de définir : créer, fabriquer, manufacturer ou produire ont des objectifs divers.
Ensuite, et aussi pour répondre à l’invitation de <a href="https://blank.blue/fabrique/la-fabrique-a-faire/">La fabrique à faire</a>, la fabrique se concentre sur un lieu ou un espace, l’acte se réalise <em>quelque part</em>.
Et ce <em>quelque part</em> peut être ouvert, à la fois aux collaborations mais aussi aux modifications tel un travail continu.
Enfin, c’est le lien avec l’artefact que je souhaite explorer, et proposer comme prochain échange.</p>
<h2 id="construire-fabriquer-manufacturer-produire">Construire, fabriquer, manufacturer, produire</h2>
<p>Précisons que le terme “fabrication” est défini pour le domaine du livre 







<span class="hugo-cite-intext" itemprop="citation">(<a href="#eyrolles_les_2009"><span class="visually-hidden">Citation: </span><span itemprop="author" itemscope itemtype="https://schema.org/Person"><meta itemprop="givenName" content="Serge"><span itemprop="familyName">Eyrolles</span></span>, 
<span itemprop="datePublished">2009</span>, pp. 72-73</a>)<span class="hugo-cite-citation">










<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Eyrolles</span>, 
<meta itemprop="givenName" content="Serge">
S.</span> 
(<span itemprop="datePublished">2009</span>).
<span itemprop="name">
<i>Les 100 mots de l’édition</i></span> (<span>1re éd</span>).
<meta itemprop="contentLocation" value="Paris"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Presses universitaires de France</span></span>.</span>




</span></span>, mais cette définition se limite à préciser qu’il s’agit de plusieurs sous-processus.
<a href="https://www.cnrtl.fr/definition/fabrique">La définition</a> du Trésor de la langue Française informatisé, donnée par l’intermédiaire du Centre national de ressources textuelles et lexicales, précise dans chacune de ses subdivisions que la fabrique donne un résultat.
La fabrique contient plusieurs dimensions ou étapes, ce qui permet tout de suite de comprendre qu’il ne s’agit pas d’une activité d’un seul bloc, c’est un <em>processus</em>.
De la fabrique <em>résulte</em> ce que nous pouvons qualifier d’artefact — en tant que production humaine.</p>
<p>Sans entrer dans le détail de ce processus, plusieurs actions sont récurrentes : construire, produire, manufacturer, etc.
Il y a donc une conception, une création, qui est ensuite réalisée afin d’obtenir un ou plusieurs exemplaire d’un artefact.
La production est cette action d’élaborer puis de former un objet à partir d’une idée.
Dans le cas de la fabrique, la production est particulière, il ne s’agit pas d’une démarche dite industrielle qui vise à produire très rapidement en de très grandes quantités.
Il ne s’agit pas non plus de produire totalement à la main dans le sens où la technique n’aurait que peu de place ici.
La réalisation de l’artefact ou des artefacts est donc permise avec des techniques, celles-ci peuvent être réalisées par l’intermédiaire de machines.
C’est pourquoi <em>manufacturer</em> permet de mieux comprendre de quoi il s’agit : une transformation est opérée via un processus technique qui peut être réalisé avec des instruments ou des machines, à une échelle qui oscille entre l’artisanat et l’industriel.
Enfin, ce qui est produit doit permettre une “application pratique” :</p>
<blockquote>
<p>Fabriquer, cela signifie d’abord manipuler et détourner quelque chose qui fait partie du donné, le changer en artefact et le tourner vers l’application pratique. 







<span class="hugo-cite-intext" itemprop="citation">(<a href="#flusser_petite_2002"><span class="visually-hidden">Citation: </span><span itemprop="author" itemscope itemtype="https://schema.org/Person"><meta itemprop="givenName" content="Vilèm"><span itemprop="familyName">Flusser</span></span>, 
<span itemprop="datePublished">2002</span>, p. 58</a>)<span class="hugo-cite-citation">










<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Flusser</span>, 
<meta itemprop="givenName" content="Vilèm">
V.</span> 
(<span itemprop="datePublished">2002</span>).
<span itemprop="name">
<i>Petite philosophie du design</i></span>.
<meta itemprop="contentLocation" value="Belfort, France"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Circé</span></span>.</span>




</span></span></p>
</blockquote>
<p>Cette dimension de la fabrique est importante, elle permet ensuite d’envisager un mouvement interne qui consiste à modifier la fabrique en même temps que la fabrique produit un objet.</p>
<h2 id="lacte-et-le-lieu">L’acte et le lieu</h2>
<p>La fabrique est un processus, une suite d’opérations, un acte.
Pour le dire en quelques mots, l’acte a ceci d’intéressant qu’il intègre une dimension technique (là où <em>geste</em> entretient un flou sur les détails de l’action) qu’on ne peut pas ignorer.
Cette technique concerne autant des activités manuelles que des activités mécanisées ou automatisées.
Historiquement la fabrique apparaît en effet dans une perspective de mécanisation, elle suit la manufacture et elle précède l’usine.
C’est, en quelque sorte, un espace où l’on produit en se posant la question de la <em>façon</em> dont on produit.
La question n’est alors plus tant celui du résultat que de la manière dont ce résultat est obtenu.</p>
<p>Est-ce que la fabrique est un lieu ?
Un espace ?
Dans les définitions classiques du terme c’est une acception proposée.
Je souhaite répondre à cette question en la détournant : à mon sens la fabrique, telle que définit en tant que concept, est plus proche du processus que du lieu.
Pourtant il est nécessaire de considérer que cette activité humaine ne peut se déployer que dans un espace (à défaut de lieu).
Un espace purement technique ?
Numérique ?
Je laisse ici ces questions.</p>
<h2 id="ouvrir-les-dispositifs">Ouvrir les dispositifs</h2>
<p>Le terme étant désormais balisé (production, artefact, technique, espace), ou presque, je convoque désormais Vilèm Flusser pour déterminer la dimension conceptuelle de la fabrique.
Dans un petit livre très intelligent, <em>Petite philosophie du design</em> (bien plus éloquent en anglais, <em>Shape of Things: a Philosophy of Design</em>), Vilèm Flusser consacre un chapitre à “La fabrique” (<em>The Factory</em> en anglais).
Sur une douzaine de pages l’auteur déroule une réflexion sur la définition de l’humain et son rapport à la technique.
L’humain ne se distingue pas par une supposée sagesse mais par sa capacité à <em>fabriquer</em>, “peu importe quoi” 







<span class="hugo-cite-intext" itemprop="citation">(<a href="#flusser_petite_2002"><span class="visually-hidden">Citation: </span><span itemprop="author" itemscope itemtype="https://schema.org/Person"><meta itemprop="givenName" content="Vilèm"><span itemprop="familyName">Flusser</span></span>, 
<span itemprop="datePublished">2002</span>, p. 57</a>)<span class="hugo-cite-citation">










<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Flusser</span>, 
<meta itemprop="givenName" content="Vilèm">
V.</span> 
(<span itemprop="datePublished">2002</span>).
<span itemprop="name">
<i>Petite philosophie du design</i></span>.
<meta itemprop="contentLocation" value="Belfort, France"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Circé</span></span>.</span>




</span></span>.</p>
<blockquote>
<p>[…] Factories are places in which new kinds of human beings are always being produced: first the hand-man, then the tool-man, then the machine-man, and finally the robot-man. To repeat: This is the story of humankind. 







<span class="hugo-cite-intext" itemprop="citation">(<a href="#flusser_shape_2013"><span class="visually-hidden">Citation: </span><span itemprop="author" itemscope itemtype="https://schema.org/Person"><meta itemprop="givenName" content="Vilém"><span itemprop="familyName">Flusser</span></span>, 
<span itemprop="datePublished">2013</span>, pp. 44-45</a>)<span class="hugo-cite-citation">










<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Flusser</span>, 
<meta itemprop="givenName" content="Vilém">
V.</span> 
(<span itemprop="datePublished">2013</span>).
<span itemprop="name">
<i>Shape of Things: a Philosophy of Design</i></span>.
<meta itemprop="contentLocation" value="London"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Reaktion Books</span></span>.</span>




</span></span></p>
</blockquote>
<blockquote>
<p>[…] les fabriques sont de lieux où sont sans cesse produites de nouvelles variétés d’hommes : d’abord l’homme-main, puis l’homme-outil, puis l’homme-machine et enfin l’homme-appareil. On l’a déjà dit : l’histoire de l’humanité, c’est cela. 







<span class="hugo-cite-intext" itemprop="citation">(<a href="#flusser_petite_2002"><span class="visually-hidden">Citation: </span><span itemprop="author" itemscope itemtype="https://schema.org/Person"><meta itemprop="givenName" content="Vilèm"><span itemprop="familyName">Flusser</span></span>, 
<span itemprop="datePublished">2002</span>, pp. 58-59</a>)<span class="hugo-cite-citation">










<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Flusser</span>, 
<meta itemprop="givenName" content="Vilèm">
V.</span> 
(<span itemprop="datePublished">2002</span>).
<span itemprop="name">
<i>Petite philosophie du design</i></span>.
<meta itemprop="contentLocation" value="Belfort, France"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Circé</span></span>.</span>




</span></span></p>
</blockquote>
<p>Cette évolution (nous nous retenons volontairement de parler de <em>progression</em>) va vers plus d’automatisation.
Alors qu’avec l’outil la personne se plaçait au centre de l’atelier, la fabrique modifie cette disposition avec la machine, “c’est elle la constante et l’homme la variable” 







<span class="hugo-cite-intext" itemprop="citation">(<a href="#flusser_petite_2002"><span class="visually-hidden">Citation: </span><span itemprop="author" itemscope itemtype="https://schema.org/Person"><meta itemprop="givenName" content="Vilèm"><span itemprop="familyName">Flusser</span></span>, 
<span itemprop="datePublished">2002</span>, p. 59</a>)<span class="hugo-cite-citation">










<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Flusser</span>, 
<meta itemprop="givenName" content="Vilèm">
V.</span> 
(<span itemprop="datePublished">2002</span>).
<span itemprop="name">
<i>Petite philosophie du design</i></span>.
<meta itemprop="contentLocation" value="Belfort, France"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Circé</span></span>.</span>




</span></span>.
À tel point que la fabrique n’est plus seulement un agent de la production, elle a aussi une influence sur celui ou celle qui l’utilise et la met en place.
Avec ce que Vilèm Flusser considère comme la troisième révolution industrielle (avec l’introduction de l’<em>appareil</em>), nous avons une occasion de reconsidérer notre rapport aux machines, et donc aussi à la technique.
Un peu comme Gilbert Simondon, Vilèm Flusser considère qu’une nouvelle synergie peut être trouvée.
Après la main, l’outil et la machine, l’appareil nécessite un apprentissage constant, comme la détermination continue d’une adéquation.</p>
<p>C’est cette notion d’<em>apprentissage</em> qu’il faudrait interroger plus longuement, à quel point le fait de devoir apprendre, réapprendre, à chaque expérience éditoriale et pédagogique, nous engage dans une fabrique ?
Pourrait-il en être autrement ?</p>
<blockquote>
<p>The factory will have to be the place in which human beings altogether will learn by means of robots: what, why and how to turn things to use. 







<span class="hugo-cite-intext" itemprop="citation">(<a href="#flusser_shape_2013"><span class="visually-hidden">Citation: </span><span itemprop="author" itemscope itemtype="https://schema.org/Person"><meta itemprop="givenName" content="Vilém"><span itemprop="familyName">Flusser</span></span>, 
<span itemprop="datePublished">2013</span>, p. 50</a>)<span class="hugo-cite-citation">










<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Flusser</span>, 
<meta itemprop="givenName" content="Vilém">
V.</span> 
(<span itemprop="datePublished">2013</span>).
<span itemprop="name">
<i>Shape of Things: a Philosophy of Design</i></span>.
<meta itemprop="contentLocation" value="London"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Reaktion Books</span></span>.</span>




</span></span></p>
</blockquote>
<h2 id="lartefact-avantaprès">L’artefact, avant/après</h2>
<p>Déplaçons-nous du côté de l’anthropologie.
Dans <em>Faire: anthropologie, archéologie, art et architecture</em>, Tim Ingold analyse longuement la <em>fabrication</em> d’un biface pour déterminer la façon dont il est produit et dont il est utilisé 







<span class="hugo-cite-intext" itemprop="citation">(<a href="#ingold_faire_2017"><span class="visually-hidden">Citation: </span><span itemprop="author" itemscope itemtype="https://schema.org/Person"><meta itemprop="givenName" content="Tim"><span itemprop="familyName">Ingold</span></span>, <span itemprop="author" itemscope itemtype="https://schema.org/Person"><meta itemprop="givenName" content="Hervé."><span itemprop="familyName">Gosselin</span></span>
<em>&amp; al.</em>, 
<span itemprop="datePublished">2017</span>, pp. 83-109</a>)<span class="hugo-cite-citation">










<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Ingold</span>, 
<meta itemprop="givenName" content="Tim">
T.</span>, 
<span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Gosselin</span>, 
<meta itemprop="givenName" content="Hervé.">
H.</span> &amp; <span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Afeissa</span>, 
<meta itemprop="givenName" content="Hicham-Stéphane">
H.</span> 
(<span itemprop="datePublished">2017</span>).
<span itemprop="name">
<i>Faire: anthropologie, archéologie, art et architecture</i></span>.
<meta itemprop="contentLocation" value="Bellevaux"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Éditions Dehors</span></span>.</span>




</span></span>.
Si Tim Ingold parle beaucoup de fabrication, à aucun moment il n’est question de <em>fabrique</em>.
L’hypothèse proposée par l’auteur est la suivante : le <em>faire</em> est autant l’application d’une conception intellectuelle que l’acte qui forme cette conception.
Autrement dit, est-il possible de suivre un parcours linéaire pour <em>fabriquer</em> un artefact ?
Tim Ingold critique fortement le modèle hylémorphique.
Dans le cas de la production d’un livre, il faudrait définir ce qu’il se passe.
Quel rôle joue la fabrique ici ?
Je laisse également cette question ouverte, et je ne prolonge pas plus, pour le moment, l’apport de Tim Ingold sur ces questions.</p>
<h2 id="le-mouvement-de-la-fabrique">Le mouvement de la fabrique</h2>
<p>En guise de conclusion, ou d’ouverture vers d’autres explorations de ce concept, notons que la fabrique peut être l’occasion d’un mouvement circulaire, double, ou réflexif.
En produisant un artefact avec une fabrique, la fabrique est elle-même modifiée, complétée, reconfigurée, autour de la production d’un artefact.</p>
<p>Cette définition, qui tient plus de la prémisse d’une recherche en cours, permet d’identifier les enjeux et les tensions qui existent lorsque l’on parle de <em>fabrique</em>, et qui mérite d’être prolongée, dans un nouvel échange (j’espère).</p>
<h2 id="références">Références</h2>













<section class="hugo-cite-bibliography">
<dl>


<p id="eyrolles_les_2009">
<dt>
Eyrolles


(2009)</dt>

<dd>











<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Eyrolles</span>, 
<meta itemprop="givenName" content="Serge">
S.</span> 
(<span itemprop="datePublished">2009</span>).
<span itemprop="name">
<i>Les 100 mots de l’édition</i></span> (<span>1re éd</span>).
<meta itemprop="contentLocation" value="Paris"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Presses universitaires de France</span></span>.</span>




</dd>

</p>

<p id="flusser_petite_2002">
<dt>
Flusser


(2002)</dt>

<dd>











<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Flusser</span>, 
<meta itemprop="givenName" content="Vilèm">
V.</span> 
(<span itemprop="datePublished">2002</span>).
<span itemprop="name">
<i>Petite philosophie du design</i></span>.
<meta itemprop="contentLocation" value="Belfort, France"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Circé</span></span>.</span>




</dd>

</p>

<p id="flusser_shape_2013">
<dt>
Flusser


(2013)</dt>

<dd>











<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Flusser</span>, 
<meta itemprop="givenName" content="Vilém">
V.</span> 
(<span itemprop="datePublished">2013</span>).
<span itemprop="name">
<i>Shape of Things: a Philosophy of Design</i></span>.
<meta itemprop="contentLocation" value="London"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Reaktion Books</span></span>.</span>




</dd>

</p>

<p id="ingold_faire_2017">
<dt>
Ingold, 
Gosselin &amp; Afeissa


(2017)</dt>

<dd>











<span itemscope itemtype="https://schema.org/Book" data-type="book"><span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Ingold</span>, 
<meta itemprop="givenName" content="Tim">
T.</span>, 
<span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Gosselin</span>, 
<meta itemprop="givenName" content="Hervé.">
H.</span> &amp; <span itemprop="author" itemscope itemtype="https://schema.org/Person"><span itemprop="familyName">Afeissa</span>, 
<meta itemprop="givenName" content="Hicham-Stéphane">
H.</span> 
(<span itemprop="datePublished">2017</span>).
<span itemprop="name">
<i>Faire: anthropologie, archéologie, art et architecture</i></span>.
<meta itemprop="contentLocation" value="Bellevaux"> 
<span itemprop="publisher" itemtype="http://schema.org/Organization" itemscope="">
<span itemprop="name">Éditions Dehors</span></span>.</span>




</dd>

</p>


</dl>
</section>
