title: Until the Right Design Emerges...
url: https://lukew.com/ff/entry.asp?2036
hash_url: 84f8caf3e7f7b3de9e18281749c3687f
archive_date: 2024-01-13

<p class="feature">Too often, the process of design is cut short. When faced with user needs or product requirements, many designers draft a mockup or wireframe informed by what they've seen or <a href="https://www.lukew.com/ff/entry.asp?2027">experienced before</a>. But that's actually when the design process starts, not ends.</p>

<blockquote>"Art does not begin with imitation, but with discipline."—Sun Ra, 1956</blockquote>

<p>Your first design, while it may seem like a solution, is usually just an early definition of the problem you are trying to solve. This iteration surfaces unanswered questions, puts assumptions to the test, and generally works to establish what you need to learn next.</p>

<blockquote>"Design is the art of gradually applying constraints until only one solution remains."—Unknown</blockquote>

<p>Each subsequent iteration is an attempt to better understand what is actually needed to solve the specific problem you're trying to address with your design. The more deeply you <a href="https://www.lukew.com/ff/entry.asp?151">understand the problem</a>, the more likely you are to land on an elegant and effective solution. The process of iteration is a constant learning process that gradually reveals the right path forward.</p>

<blockquote>"True simplicity is, well, you just keep on going and going until you get to the point where you go... Yeah, well, of course."
—Jonathan Ive, September, 2013</blockquote>

<p>When the right approach reveals itself, it feels obvious. But only in retrospect. <strong>Design is only obvious in retrospect.</strong> It takes iteration and discipline to get there. But when you do get there, it's much easier to explain your design decisions to others. You know why the design is the right one and can frame your rationale in the context of the problem you are trying to solve. This makes <a href="https://www.lukew.com/ff/entry.asp?76">presenting designs</a> easier and highlights the strategic impact of designers.</p>
