title: The Walk and Talk: Everything We Know
url: https://craigmod.com/ridgeline/176/
hash_url: 877ad04fd329c26c80113e15dec540df
archive_date: 2024-01-18

<p>Happy holidays, walkers!</p>
<p><a href="https://kk.org">Kevin Kelly</a> and I began talking while walking together some twelve years ago, near his home in Pacifica. Eventually, we branched out, and for these past six years have been running more “formalized” walk-and-talks across five countries with some 40+ people. We’ve walked-and-talked in China, Spain, England, Japan, and Thailand. These experiences are some of the best weeks of our lives.</p>
<p>We’d love for <em>you</em> to be running walk-and-talks as well! Everyone should walk-and-talk. Here is everything Kevin and I have learned. Our hope is to make it as easy as possible for you to run your own, get the most out of the experience, and minimize stress and gotchas.</p>

<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1000417.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1000417.jpg" alt="Cotswolds Walkers"></a>
</figure>
<h4 id="intro">Intro</h4>
<p>A walk-and-talk is a moveable salon. A small group of people walk together for a week, having casual conversations side-by-side during most of the day. In the evening the group sits down to an intense hours-long discussion centered on a daily chosen topic by those present.<sup id="fnref:1"></sup> A moderator keeps the conversation on that day’s single topic to sharpen it and make it memorable.</p>
<p>To focus on conversations while walking, participants <a href="#gear">carry only day-packs</a>, and eat locally prepared meals. The walks are not strenuous<sup id="fnref:2"></sup> and to keep it even more inspiring, they take place in storied environments that are walker-friendly, such as footpaths in England, Japan, and Spain. By the end of the week, every person present has walked about 100 km<sup id="fnref:3"></sup> and has had deep conversations with all the others.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/000013.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/000013.jpg" alt="Thailand Walkers"></a>
</figure>
<h4 id="people">People</h4>
<p>We have several attributes in mind that we look for in our co-walkers. They must be flexible travelers, which means they tend to not complain. We also look for good conversationalists since this is a week of talking. We also insist that they be able to join for the whole week since it takes that long to complete some conversations, precipitate friendships, and also — more pragmatically — it eases logistics to have everyone start and stop at the same moment.<sup id="fnref:4"></sup> We discourage couples because if one has to cancel, both tend to cancel and that is disruptive to the group. Another reason to avoid inviting couples: We’ve found it more interesting to invite people who perhaps <em>should</em> know each other but don’t.</p>
<p>We normally do not re-invite folks who have walked with us in the past. Instead, each time, we invite new people. We could easily fill our quotas with old friends, but we do these walks largely to cultivate new friendships. There is no real reason you have to do it this way. In fact, when you start out it would be easiest to begin by inviting old friends. Also when we send invitations, we do not disclose who the other invitees are for each walk until we have a full house of acceptances. There is no reason why you have to do it this way. We adopted this process because we send out more invitations then we get acceptances, and because it reduces social awkwardness as no one is making their decision based on others, only on the invitation from us hosts.</p>
<p>We’ve made exceptions for all these rules.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1003211.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1003211.jpg" alt="China walk"></a>
</figure>
<h4 id="size-of-group">Size of group</h4>
<p>We think walk-and-talks are fabulous and we want to invite as many people as possible. That said, the size of a large dinner table limits the size of our group. Since we have a single conversation going, the whole group needs to fit around one table comfortably.</p>
<p>Ten people is about as big as we like to go, although we have done 12, which we consider to be the limit. Eight or nine is ideal.</p>
<p>Depending on other factors such as the location, we tend to invite one more person than our intended size anticipating a last minute cancellation.</p>
<p>We’ve done walks with only six people, but that works better when you are going for less than a week. You can run out of conversation with a group too small. Four or five people also doesn’t quite feel large enough to catalyze unexpected connections. Eight to ten people truly is a sweet spot for a week of walking. Another limiting factor on size is that we want everyone to participate in the evening’s conversation. Bigger groups would make that untenable, extending dinners too long.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1003305.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1003305.jpg" alt="China walk"></a>
</figure>
<h4 id="duration-and-distance">Duration and Distance</h4>
<p>The goal is to have a deep, one-to-one conversation, extended over hours, with every person present. You need about one day per person to accomplish this.</p>
<p>We have found that the ideal duration is seven days of walking. (Plus two days of travel on each end.) We can cover approximately 100 kilometers over the week, which is about 13 km per day. A 13-kilometer day is a pace that permits easy shoulder-to-shoulder conversation, and plenty of rest stops. (Of course very few days will be exactly 13 kilometers. Some will be shorter and some much longer). The longest walk day should not be longer than 20 kilometers. Most walkers in the groove can walk further than that, but after 18 kilometers, weariness sets in. The lengths of the days are determined by the location and available lodging, but it is better to break a really long day into two shorter ones if possible.</p>
<p>More than 7 days begins to feel exhausting. We’ve done 6 days walking, which works too. You could get away with five, but if you’ve done all the work to set up a walk for five days, you might as well reap the benefits of a couple more days. Often the first few days are stiff, awkward, and people are still adjusting to time zones, etc. Most don’t “hit their stride” until day 4 or 5. If people have traveled far, then seven days of walking feels more worthwhile.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1000198.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1000198.jpg" alt="Good boy"></a>
</figure>
<h4 id="meals">Meals</h4>
<p>Food is not the focus. Simple meals are far better than complex, multi-course meals. It’s best to have food served at the place where everyone is lodging that night. Generally after a long day of walking, there is not an appetite to travel far for fancy food. If you do have fancy food, pair it with a short day. The longer the day, the less interest in a long fancy meal.</p>
<p>The biggest constraint for the meal each evening is to provide a single table that fits everyone. The single conversation is the focus of the walk, so if you have 10 walkers you need to have a table that comfortably fits 10 so that everyone can hear and participate. Setting up a table to 10 can often be a challenge for some establishments, so we try to make that requirement clear from the early stages of planning. Smaller groups are easier to accommodate for the dinner conversation.</p>
<p>Lunch is often ad-hoc, either packed and provided by the previous night’s inn (a sandwich, a bento box), or cobbled together at a random restaurant along the day’s route. Unlike the evening’s single conversation, lunch conversation’s aren’t formalized and rarely last more than 45 minutes.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1000206.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1000206.jpg" alt="The Cotswolds"></a>
</figure>
<h4 id="sound-proofing">Sound proofing</h4>
<p>Ideally, your evening meals should be in environments with low ambient noise. It can be tough to hear across a ten-person table even in a silent room. We’ve asked restaurants to turn off background music or turn off fans. They’re usually happy to accommodate. Dining al fresco on a picnic table next to a river sounds nice in theory, but holding your evening conversation indoors works better in practice. The evening conversations require a lot of energy — active listening and participation are surprisingly caloric-intensive activities. Minimizing stress through a quiet environment goes a long way to smoothing the conversation along.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1000524.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1000524.jpg" alt="Sheeeeeeep"></a>
</figure>
<h4 id="central-conversation">Central conversation</h4>
<p>The anchor of the walk-and-talk is the dinner each evening which adheres to the form of “one conversation about one topic.” We sit at one table and have a single conversation about a topic or question suggested by one of the walkers. Over the course of the week each walker will have a chance to suggest a topic that the whole group will discuss.<sup id="fnref:5"></sup></p>
<p>The conversation needs to be actively moderated to stay on one topic. The moderation should also be strict in keeping only one conversation going, silencing side conversations. Since everyone has a chance to chat with others all day every day, it is not hard to keep it to one conversation at dinner.</p>
<p>At the beginning of the single conversation is it useful to have the nominator clarify their subject or question, and then during the conversation and near the end to ask the questioner if they are getting what they hoped from the discussion.</p>
<p>At the end of the evening, conclude by choosing the topic for the next evening, so that everyone has a whole day to consider it.</p>
<p>Usually once during the week an evening conversation’s topic will run out of steam, or the conversation will naturally flow into an adjacent topic. It’s good practice for the moderator to recognize this shift, state the shift clearly, and move the conversation onto that new topic.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1010057.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1010057.jpg" alt="Hugh and Kevin"></a>
</figure>
<h4 id="lodging">Lodging</h4>
<p>In our experience, everyone is most comfortable with their own room. Many walkers may also be introverts, and a private room allows for “recharge time” between the day’s walk and dinner.</p>
<p>Single rooms, however, elevate logistical challenges. Depending on the walk, finding 8-10 rooms each night may be impossible. One suboptimal solution is to split the housing up into several lodges within walking distance. This will work fine as long as you can find a dinner table that fits everyone.</p>
<p>The second solution is to have roommates. Some people are more comfortable than others about this, but often there is no other solution. It’s easier (and quicker) to have the pairings set in advance. Make a list and call out the names. This reduces the stress of choosing a roommate. (People can self-reconfigure if they need to.) The important thing is to make it clear from the invitation onward that this will be the arrangement.</p>
<p>Retaining single rooms also increases the cost, and if costs become a factor they can be reduced by doubling. In general we try to accommodate as many single rooms as we can in each location and then double up as needed.</p>
<hr>
<h4 id="departure-and-arrival-times">Departure and Arrival Times</h4>
<p>We find it ideal to have fairly slow mornings — breakfast at 8, departure at 9. This time slot changes based on weather, but for temperate conditions this works well. We also find it ideal to arrive at the day’s inn / hut / hotel / tent by no later than 3-4 pm. Any later and walkers don’t have enough time to decompress before dinner. Any earlier (assuming a 9am departure) means you probably didn’t take enough breaks or chat up enough of the locals.</p>
<hr>
<h4 id="facilities-and-expectations">Facilities and Expectations</h4>
<p>The quality of lodging at night can vary, as well as the quality of bathrooms – both of which are hard to control by the host. Rather than try to promise a certain level of quality, we set expectations appropriately low and disclose the level available, which seems to satisfy most people. If your invitation says that there will be shared bathrooms some nights, with squat toilets on the trail, people will self-select in acceptance.</p>
<p>This is true in general for all aspects of the walk. Setting expectations clearly and accurately will alleviate mid-walk surprises which can be exhausting and unwelcome.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1009970.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1009970.jpg" alt="Walking Spain"></a>
</figure>
<h4 id="costs">Costs</h4>
<p>On average we find our week walks to cost about $1,500 (2023 dollars) per person. Some will be less than $1,000 and some may be closer to several thousand dollars. This includes lodging, meals, luggage forwarding. Whatever the costs, we simply divide the total amount required by the number of walkers. Everyone pays the same. The organizers pay the same costs as the other walkers, and organizers do not charge anything beyond the expenses needed to make the walk.<sup id="fnref:6"></sup></p>
<p>While people order different things at meals, we find that over a week the cost per person tends to even out, so we don’t track the differences. We take a similar attitude about drinks. Our walkers tend not to be heavy drinkers so we don’t keep track of who orders what. People seem fine with that system.</p>
<p>Sometimes the cost of meals are included in the total beforehand, but sometimes the meals are paid as they happen along the way. If the latter, we simply let each person volunteer to pay for a few meals when desired. Over a week we find that ad hoc systems usually distributes the amounts evenly. If you want, you can nominate one person to keep a running total of who paid for each meal in a simple Notes document, but we don’t even do that.</p>
<p>We do find it efficient to have one person pay for everyone’s snacks and cold drinks at mid-day shops and cafes. This is mostly to minimize the shop’s pain — a sudden flood of hungry and thirsty walkers descending upon their food and drinks can be stressful, so we aim to make it as seamless as possible. This could be the same person for the whole trip — someone inclined to keep track of expenses — or it can be an ad hoc rotation of each person taking their turn to pay.</p>
<p>The goal is simplicity and sensibility — do what works best for your group. Don’t let minor cost discrepancies get in the way of conversation.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1000862.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1000862.jpg" alt="The Kumano Kodō"></a>
</figure>
<h4 id="planning">Planning</h4>
<p>We like to start inviting walkers anywhere from six months to a year out from the walk. Some walks may require advanced booking a year out in order to secure space for a group of ten. Many of the people we want to walk with are busy people, and giving them more lead time tends to help (of course, this isn’t always the case).</p>
<p>We create a Google Doc with a summary of the whole walk, as well as brief daily itineraries and distance estimates. We invite all walkers to add their contact details, emergency contact info, and travel particulars (flight numbers, etc) to an adjacent Google Sheets spreadsheet. As the departure date approaches, we rely on this spreadsheet to coordinate logistics.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1010036.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1010036.jpg" alt="The Kumano Kodō"></a>
</figure>
<h4 id="communications">Communications</h4>
<p>About a week before the walk starts, we fire up a WhatsApp group to be the place where logistical information is communicated. That group becomes the place to coordinate arrival pickups, starting times, where to stop for a snack, track those who get lost, etc. It will also quickly become the place to chit chat and post snapshots of the day. Often, after a dinner conversation, people will post links to books or other media mentioned that night. And long after the walk, walkers tend to keep up conversations, sometimes years later.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1000241.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1000241.jpg" alt="The Cotswolds"></a>
</figure>
<h4 id="documenting">Documenting</h4>
<p>We have experimented with recording the dinner conversation, and even some of the shoulder-to-shoulder conversations, but we discovered that no one was interested in listening to them later without significant editing. So we don’t do that anymore. Recording also inspires people to “perform” for an audience beyond the table, which in practice means folks are less vulnerable or open. One of the great joys of the walk and talk is forming intimate, trusting connections in a short period of time. Recordings can subvert that goal.<sup id="fnref:7"></sup></p>
<p>However, we <em>have</em> found a great interest in sharing notes and links generated during conversations — they are worth collating. You could go so far as to nominate an abbreviated stenographer each night, to keep track of mentioned media and key phrases, to be added to a running Google Doc. On one walk we had keywords in our Whatsapp group, and a more technical walker wrote a script to scrape them and compile a list. If you come up with a novel solution, please let us know!</p>
<p>We also create a group folder to collect photos of the walk (Dropbox or Google Photos). After each walk, we made a quick print-on-demand photo book via Blurb of curated images and map to gift to each person. This small, private book becomes a personal artifact of the walk.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1001659.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1001659.jpg" alt="Simple Gear"></a>
</figure>
<h4 id="gear">Gear</h4>
<p>An essential part of the walk-and-talks is forwarding luggage. Each person gets to have one carry-on sized piece of luggage forwarded from hotel to hotel, permitting them to carry very little during the day. Most will walk with a daypack that has water, a rain jacket, a first aid kit, and other small sundries. This liberation is essential. The lighter and smaller the pack itself, the better.</p>
<p>What you pack in the forwarded luggage, and what you might wear day-to-day, depends on location but here is some gear we love:</p>
<ul>
<li><strong>Footwear</strong>
<ul>
<li>We prefer trail running style shoes to boots. Lighter is better. Gore Tex waterproofing is often unnecessary and just makes feet hotter, and thereby more susceptible to blisters. No matter what shoe you use, it is paramount that walkers break them in before leaving.</li>
<li>Good tread is critical — a nice, lugged, Vibram sole is ideal. This is why we say “trail running” instead of “walking” shoes — trail running shoes tend to have grippier soles. You’ll be grateful for them while walking up and down slick or leafy paths.</li>
<li>New Balance and Hoka make some great shoes that fit this bill. Innovation in this space happens so quickly, it’s almost silly to link to whatever’s available today. Just search their sites for “trail running.” Generally, a wider toe box is better. Your feet will expand greatly over the course of a walking day. In most cases, a shoe too big is better than a shoe too small. A good trail running shoe will require no “breaking in” (again, these aren’t boots of yore), but you should absolutely know well, and have extensively tested, the shoe you plan to walk in.</li>
</ul>
</li>
<li><strong>Kinesthetic Tape</strong>
<ul>
<li>This tape is so useful it gets its own category. Not only good for dealing with joint pain, we find it to be the ideal blister stopper. Craig has walked thousands of kilometers using only kinesthetic tape on hot spots, and swears by it. We carry extra tape to apply to emerging blisters on other walkers.</li>
</ul>
</li>
<li><strong>Clothes</strong>
<ul>
<li>Layers, layers, layers, and “smart wool” / merino wool are foundational to a good walking wardrobe.</li>
<li>We love what Mont Bell and Arc’Teryx have on offer.</li>
<li>A sample outfit might be: merino wool underwear, socks, and upper base layer. Pair that with some light hiking pants, a sweater or windbreaker, and a hat, and you’re covered for most walking situations.</li>
<li>Ultralight down jackets are also great — they pack easily into your daypack and offer plenty of warmth when paired with a rain shell and a wool cap if you happen to be walking during a cooler season.</li>
<li>We like Tilly hats for sun protection.</li>
</ul>
</li>
<li><strong>Backpacks</strong>
<ul>
<li>For hikes where luggage is forwarded, any small / medium sized (15-25L) pack should work well.</li>
<li>Craig likes <a href="https://www.yamatomichi.com/products/mini">Yamatomichi’s made-in-Japan Mini</a> (although it is often out of stock).</li>
<li>Durston’s <a href="https://durstongear.com/products/wapta-30-ultralight-backpack">Wapta 30</a> is also a fabulous pack using the latest in Ultra 200 materials — Durston is an interesting company doing high-quality packs at reasonable prices (given the materials).</li>
<li>Sayama Works’ <a href="https://sayamaworks.com/items/6488ff7f6aabc3007924f31f">Niceday pack</a> is also great and made in Japan.</li>
<li>No pack is truly waterproof, so always carry a garbage bag / dyneema stuff sack at the bottom of your pack so you can shove everything inside it if it starts to downpour.</li>
</ul>
</li>
<li><strong>Umbrellas</strong>
<ul>
<li>Umbrellas are surprisingly useful. Ultralight umbrellas weigh mere grams, and are good not only for heavy rainfall, but also for sun protection on exposed roads or fields.</li>
<li>A hat with a wide brim also doubles as a wearable umbrella.</li>
</ul>
</li>
</ul>
<hr>
<figure>
<img src="https://craigmod.com//ridgeline/images/176/thai-map.jpg" alt="our thai route in google earth">
</figure>
<h4 id="route-data">Route Data</h4>
<p>At least one walker (and ideally, all walkers) should be carrying precise <span class="sc">GPX/GPS</span> data for the walk in their smartphone or smartwatch. If you hire a company to arrange the walk for you (see below), most will provide such data for your phone. If you’re walking a new walk — one you’ve cobbled together yourself — it’s imperative you walk it several times in advance, generating the <span class="sc">GPX</span> data. A bad scenario is hunting for the path with a group of ten, sweaty, hungry walkers behind you. A worse scenario is getting lost on a mountain with such a group as the sun quickly sets.</p>
<p>Never take a group on an unknown walk, especially one that involves elevation, mountains, or deep forest walking.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1000101.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1000101.jpg" alt="The Cotswolds"></a>
</figure>
<h4 id="technology">Technology</h4>
<p>While we recommend using as few battery-powered things as possible on these walks, a little technology can go a long way.</p>
<ul>
<li><strong>GPS and Wayfinding</strong>
<ul>
<li>Craig walked with a Garmin Instinct for years, but switched to an Apple Watch Ultra in 2023. The bigger screen and battery of the Ultra finally converted him. A good smartwatch will be able to show you your route for the day, always available at a glance, and alert you when you deviate.</li>
<li>Gaia GPS is a great piece of mapping software for smartphones.</li>
<li>For the Ultra, the bizarrely named WorkOutDoors app is a fabulous piece of software for keeping track of walking and route data.</li>
<li>A smartwatch with a good screen like the Ultra is especially useful because it means you can keep your phone tucked away — verifying the route is as simple as lifting your wrist.</li>
</ul>
</li>
<li><strong>Phones</strong>
<ul>
<li>It may be useful to set an “offline” tone for the walk. For evening conversations, a “no phones at the table” rule is helpful. And during the day, too, encourage walkers to keep their phones in their backpacks, and not reach for them during stops or breaks. Doing this helps cultivate “radical presence,” both between walkers and the routes they walk, but also walkers and each other. Going offline, however artificial it may be, goes a long way to promoting this sense of presence.</li>
</ul>
</li>
<li><strong>Cameras</strong>
<ul>
<li>Since phones double as cameras, it’s difficult to ban them entirely. But, you could encourage walkers to bring a standalone camera with them on the walks. There are remarkably good, pocketable APS-C and even full-frame cameras available today which take better photographs than most phones, and keep people offline and focused.</li>
<li>Going even further (and we’ve yet to try this), but it might be fun to outright ban all phones and cameras from a walk. At the start of the walk you could hand out one disposable camera to each walker. 36 exposures for the week. This constraint would be clear in the invitation.</li>
</ul>
</li>
<li><strong>Airtags</strong>
<ul>
<li>We recommend adding Apple Airtags to every piece of luggage you carry or forward. It’s a cheap, simple technology that brings much peace of mind, and can help diagnose missing bags in a pinch.</li>
</ul>
</li>
</ul>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1003455.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1003455.jpg" alt="Walking China"></a>
</figure>
<h4 id="weather">Weather</h4>
<p>We recommend walking in what would be considered “classic New England” fall or spring weather — that is, sunny days with afternoon temperatures somewhere between 20 and 28 degrees celsius. It’s possible to walk in warmer or cooler weather, but temperate weather simplifies packing, lodging, and logistics. It also makes for easier conversing during the day.</p>
<p>Hot weather walking is possible but we strongly recommend against it. Hot weather (30C+) requires significant amounts of water and shade. If you absolutely must walk in hot weather, we recommend starting the walking day around sunrise, and finishing by noon. Embrace the afternoon siesta, recharge with a little alone time, and come together once again for an early dinner and evening talk.</p>
<hr>
<figure>
<a href="https://craigmod.com//ridgeline/images/176/high/L1000458.jpg" data-size="3000x2000" class=""><img src="https://craigmod.com//ridgeline/images/176/low/L1000458.jpg" alt="Stamps along the Camino"></a>
</figure>
<h4 id="roads">Roads</h4>
<p>Ideally, we would never walk on roads shared with cars. Asphalt is the bane of knee joints and the great maker of blisters. We look for routes that are mostly off-road such as footpaths, fire roads, or dirt farm roads. If we go onto roads they should be back roads and for short periods. Safety is an obvious reason to stay off a highway, but also the noise and distractions of vehicle traffic makes it hard to have a conversation. That means that the walks tend to be in rural areas where lodging is scarcer. So there is a constant trade-off between adequate lodging and quiet off-road trails.</p>
<p>If you have a choice in the direction of a route, we’ve gotten the highest enjoyment gains by starting in a remote place and walking into a city, rather than starting in a city and walking out into a rural area. The latter seems more logical, but the former maximizes differences, and heightens the specialness of the walks. Upon arrival, we immediately go to the remotest part of the walk and march toward the most urban part of the walk. Everyone is excited and glad to see the lights and comforts, which we ordinarily take for granted. If your walk has this option it is well worth pursuing.</p>
<hr>
<h4 id="possible-routes">Possible Routes</h4>
<p>The easiest way to host a walk and talk is to contract with one of several outfitters who offer “self-guided walking tours.” These are most common in Europe. <a href="https://craigmod.com//ridgeline/143/">England, in particular</a>, is rife with easy routes through picturesque villages, where you can walk 13 km between B&amp;Bs and village inns and have your luggage forwarded. They also have <a href="https://craigmod.com//ridgeline/167/">great sandwiches</a>, the British. Outfitters such as MacsAdventures, will do the logistics for you. You pick out a route from their menu, and then pick the days of the year you want to go. They will book your lodging and arrange luggage forwarding, and then give you a map and navigation app for your phone. You invite eight other friends, and off you go.</p>
<p>Another location amenable to walk-and-talks is the long pilgrimage trail, El Camino de Santiago, which runs in France, Spain, and Portugal (among other countries). You pick a 100km section and have an outfitter book your lodging and luggage. We like walking the last 100km to finish up in Santiago, a city with unique — and quite spiritual — energy making for an ideal walk conclusion. The first 100km from France over the Pyrenees into Spain is also fabulous.</p>
<p>We have done walk-and-talks in Japan, China, Thailand, and Bali, but these were bespoke trails that at the moment are not easily copied. (We are working on getting the GPS trail data online.)</p>
<p>Suggested outfitters with routes:</p>
<ul>
<li><a href="https://www.macsadventure.com/">MacsAdventure</a> — We have used them several times and would use them again. We’d recommend the Costswolds as a great way to start.</li>
<li><a href="https://walkjapan.com/">Walk Japan</a> — We have also used them and would use them again. A good start is the <a href="https://walkjapan.com/tour/nakasendo-way">Nakasendo</a>.</li>
<li><a href="https://followthecamino.com/en/">Follow the Camino</a> — Six different ways to do the “last 100 km” of the grand pilgrimage.</li>
</ul>
<hr>
<h4 id="conclusion">Conclusion</h4>
<p>We feel exceedingly lucky to have run our walk-and-talks these past few years. They’ve been some of the most rewarding weeks of our lives.</p>
<p>If you host a walk-and-talk of your own, please let us know what methods did not work for you, and if you created any improvements. Where did you walk? What would you change? Let us know!</p>
<p>— Kevin and Craig</p>
<img src="https://craigmod.com//ridgeline/images/175/craig.jpg" alt="craig and kevin">
