title: The Demo → Demo Loop
url: https://daverupert.com/2022/06/demo-to-demo-loop/
hash_url: 9f8c0e75066c1882a3b4ce084e3223ed
archive_date: 2024-01-09

<picture>
  <source media="(prefers-color-scheme: dark)" srcset="https://daverupert.com/images/posts/2022/squiggle-dark.png"></source>
  <img alt="The design squiggle with a tightening loop overlayed" src="https://daverupert.com/images/posts/2022/squiggle.png">
</picture>
<p>I’m 100% convinced that working demo-to-demo is the secret formula to making successful creative products.</p>
<ul>
<li>Video games have a strong history of <a href="https://daverupert.com/2021/10/the-mistake-every-new-game-developer-makes/">ritualizing prototypes</a>, play testing, and <a href="https://daverupert.com/2020/09/follow-the-fun/">following the fun</a>. There’s even some <a href="https://www.microsoft.com/en-us/research/publication/what-went-right-and-what-went-wrong-an-analysis-of-155-postmortems-from-game-development/">data that suggests prototypes increase your chances of success</a>.</li>
<li>Mentioned in <a href="https://amzn.to/3OhPgKk">Creativity, Inc</a> and exemplified in the Frozen II documentary <em><a href="https://disneyplusoriginals.disney.com/show/into-the-unknown-making-frozen-2">Into the Unknown</a>,</em> Pixar and Disney Animation use “dailies” to demo work in progress. Each animator shares their progress every day on the five seconds of film they’re responsible for.</li>
<li>Outlined in Ken Kocienda’s book <a href="https://amzn.to/3AC7COp">Creative Selection</a>, Apple’s clandestine “Project Purple” that made the iPhone embraced frequent demos when creating iOS, but at the speed at which they were working “hallway demos” would happen hours or minutes after a previous demo.</li>
<li>A core part of <a href="https://www.thesprintbook.com/">Design Sprints</a> is getting a functioning prototype in front of users so your team can prove and vet an idea in a week rather than months.</li>
</ul>
<p>Or as IDEO famously put it…</p>
<blockquote>
<p>A prototype is worth a thousand meetings<br>
— IDEO</p>
</blockquote>
<p>Demos improve meetings. I’ve found “Demo First” meetings are life-giving because they start with something tangible, as opposed to discussing some hypothetical future scenario until time runs out and you have to schedule more meetings. Start meetings by showing progress. Better yet, a demo doesn’t always need to be a call or a meeting; thirty second screencasts are as good as gold.</p>
<p>Demos improve workflows. Breaking up large tasks into “what can I demo next” is an exciting way to work. There’s always an immediate goal for me to find a demo-able checkpoint where I can get tactical feedback frequently. It can save a lot of rework and we can catch ourselves going down a bad path early.</p>
<p>Demos improve project scoping. Demos and prototypes give you a good idea of <em>what’s easy</em> and <em>what’s hard</em> in the underlying system. Demoing often means you and others may be able to spot problems far off or find “fast paths” mid-flight. Often slight corrections or adjustments to the design can save weeks or months of work without sacrificing quality or user experience.</p>
<p>If I’m honest, “Dailies” are probably overkill, but I wouldn’t hate it. I would certainly prefer daily demos over vague, ritualistic standup-speak. It’s worth noting here that not all days or weeks are bangers. What’s important is establishing an organizational practice of demo’ing and honing your skills and confidence at providing demos.</p>
<p>The point is, do whatever is a right fit for your organization but <strong>never wait too long to demo</strong>. Allow room for ad hoc “hallway” demos to happen. And move the needle closer to daily.</p>
