title: Data Luddism
url: https://www.danmcquillan.org/dataluddism.html
hash_url: b1da1249f2db388d7e84d6ad23c2fc5d
archive_date: 2024-01-09

<p><img src="https://www.danmcquillan.org/images/burnmill.jpg"></p>
<p>I propose Data Luddism as a radical response to the productive power of big data and predictive algorithms. My starting point is not the Romantic neo-Luddism of Kirkpatrick Sale but the historical Luddism of 1811-1816, and the Luddites' own rhetoric regarding their resistance to 'obnoxious machines' [1].</p>
<p>The Luddites' opposition to steam-powered machines of production was based on the new social relations of power they produced, which parallels the present emergence of data-powered algorithmic machines. As discussed in my paper on Algorithmic States of Exception [2] the operations of machine learning and datamining and the production of predictive knowledge is leading to the irruption of preemption across the social field, from employment to social services and policing. The consequent loss of agency and establishment of new powers unbalanced by effective rights can be fruitfully compared to the effect of new machinery on nineteenth century woolen and silk industries.  Based on this I examine key aspects of Luddite resistance for their contemporary relevance. </p>
<p>Compare the adoption of a collective name ('General Ludd') and the evolution of Luddism as it expanded from the customary communities of Nottinghamshire through metropolitan Manchester and the radicalised West Riding, to the trajectory of the contemporary hacktivist movement Anonymous. It is critical to recall the political sophistication of the Luddites and the way machine breaking was situated in a cycle of negotiation, parliamentary petition and combination, and ask what this means for a contemporary resistance to data power that restricts itself to issues of privacy and ethics. </p>
<p>Most importantly, the Luddites had an alternative social vision of self-governance and community commons and that we, too, should posit a positive vision against the encroachment of algorithmic states of exception. However, I ask whether (in contrast to the Luddites) we can use the new machines to bring these different possibilities in to being.  The Luddites saw themselves as a self-governing socius, which we can compare torecent experiments in technology enabled self-organisation such as 'liquid democracy' software.</p>
<p>Beyond this, we should focus on the Luddites call to 'put down all Machinery hurtful to Commonality' to ask if we can adapt the machines to support the commons. 
An example is the recent proposal that the blockchain (the technology behind bitcoin) can enable distributed collaborative organizations and tackle traditional issues related to shared common-pool resources, such as the free rider problem [3]. If we are serious about resisting the injustices that could come from data-driven algorithmic preemption we have a lot to learn from the historical Luddites, but also that we have the opportunity to 'hack' the machines in the service of a positive social vision. </p>
<p>[1] Binfield, K. ed., 2004. Writings of the Luddites, Baltimore: Johns Hopkins University Press.</p>
<p>[2] McQuillan, D., 2015. Algorithmic states of exception. European Journal of Cultural Studies, 18(4-5), pp.564–576. Available at: http://ecs.sagepub.com/content/18/4-5/564 </p>
<p>[3] David Bollier, 2015. The Blockchain: A Promising New Infrastructure for Online Commons. Available at: http://www.bollier.org/blog/blockchain-promising-new-infrastructure-online-commons </p>
