title: Where have all the websites gone?
url: https://www.fromjason.xyz/p/notebook/where-have-all-the-websites-gone/
hash_url: c3272392d462da90874d32841e5caac8
archive_date: 2024-01-09

<p>It’s Tuesday morning. The year is 2009. You’re just waking up after a long and boozy New Year’s Eve with friends. Your head rings, and your mouth is the type of dry that makes you question your adulthood. You feel something scratch against your arm. Did you take a lover last night? Sort of. It’s a pizza box. Meat lovers.</p>
<p>You reach for your phone. There’s no TikTok or Snapchat yet. Facebook and Instagram are a thing, but they exist as a type of social syndicator— a place to see what your friends were up to last night. You already know as much. The occasional whiff of rank vodka keeps your memory jogged. You tap the browser icon and start typing a web￼address, perhaps appending <code>www</code> as a precautionary relic. <em>Who got drunker than me</em>, you wonder. After a brief page load, you arrive at textsfromlastnight.com. “<em>I cant get the smell of ass out of my nose</em>,” reads the top post.</p>
<p>You scroll, pausing only for the occasional forward to your best friend, who undoubtedly hurts as much as you. You both laugh at the crass misfortunes of others and quietly hope you hadn’t somehow made it onto the front page yourself.</p>
<p>You copy the link to the best of the bunch, the story that made you laugh the hardest, and post it to your Facebook.</p>
<h2 id="for-you-but-not-by-us" tabindex="-1">For you, but not by us. </h2>
<p>For better or worse, the web doesn’t work like that anymore. No one clicks a webpage hoping to learn which cat <em>can haz cheeseburger</em>. Weirdos, maybe. <em>Sickos</em>.</p>
<p>No, we get our content from a For You Page now— algorithmically selected videos and images made by our favorite creators, produced explicitly for our preferred platform. Which platform doesn’t matter much. So long as it’s one of the big five. Creators churn out content for all of them.</p>
<p>It’s a technical marvel, that internet. Something so mindblowingly impressive that if you showed it to someone even thirty years ago, their face would melt the fuck off. So why does it feel like something’s missing? Why are we all so collectively unhappy with the state of the web?</p>
<h2 id="where-did-all-the-websites-go" tabindex="-1">Where <em>did</em> all the websites go? </h2>
<p>A tweet went viral this Thanksgiving when a Twitter user posed a question to their followers. A peek at the comments, and I could only assume the tweet struck a nerve. It certainly did with me. It's why I wrote this piece.</p>
<p><img src="https://fromjason.xyz/img/image-wheredidallthewebsitesgo.jpg" alt="tweet"></p>
<p>Everyone had their own answer. Some comments blamed the app-ification of the web. "<em>Everything is an app now!</em>," one user replied. Others point to the death of Adobe Flash and how so many sites and games died along with it. Everyone agrees that websites have indeed vanished, and we all miss the days we were free to visit them.</p>
<p>I have good news and bad news.</p>
<p>The good news is that websites didn’t go anywhere. There are currently one billion websites on the World Wide Web. Here’s a few from my bookmarks that are <em>amazing</em>.</p>

<p>Cool, right? So here’s the bad news— <em>we</em> are the ones who vanished, and I suspect what we really miss are the joys of discovery.</p>
<h2 id="we-miss-curation" tabindex="-1">We miss curation </h2>
<p>We used to know how to do this. Not long ago, we were good at separating the signal from noise. Granted, there’s a lot more noise these days, but most of it comes from and is encouraged by the silos we dwell in.</p>
<p>Somewhere between the late 2000’s aggregator sites and the contemporary For You Page, we lost our ability to <em>curate</em> the web. Worse still, we’ve outsourced our discovery to corporate algorithms. Most of us did it in exchange for an endless content feed. By most, I mean upwards of 90% who don’t make content on a platform as understood by the <a href="https://en.wikipedia.org/wiki/1%25_rule">90/9/1 rule</a>. And that’s okay! Or, at least, it makes total sense to me. Who wouldn’t want a steady stream of dopamine shots?</p>
<p>The rest of us, <a href="https://www.fromjason.xyz/p/notebook/how-do-we-stop-meta-in-2024-we-fix-the-information-loop/">posters, amplifiers, and aggregators</a>, traded our discovery autonomy for a chance at fame and fortune. Not all, but enough to change the social web landscape.</p>
<p>But that gold at the end of the rainbow isn’t for us. “Creator funds” pull from a fixed pot. It’s a line item in a budget that doesn’t change, whether one hundred or one million hands dip inside it. Executives in polished cement floor offices, who you’ll never meet, <em>choose</em> their winners and losers. And I’m guessing it’s not a meritocracy-based system. They pick their tokens, round up their shills, and stuff Apple Watch ads between them.</p>
<p>So when we wonder where all the websites have gone, know it’s the <em>curators</em> we’re nostalgic for because the curators showed us the best the web had to offer once upon a time. And the curators— the tenders, aggregators, collectors, and connectors— can bring us back to something better. Because it’s still out there, we just have to find it.</p>
<p>Here’s the best part. You can be that curator right now, at this very moment. You can start to rebuild the interconnectivity that made the web fun to explore. And you don’t need to be a computer scientist to do it.</p>
<p>Open a Linktree account or whatever. And instead of adding your other social media accounts, add three links to your favorite blog posts. Or, add links to a few artists with their own sites. Or your favorite aggregator sites. It doesn’t matter what you include, so long as we make portals to other digital green spaces that exist outside of Instagram.</p>
<p><strong>Then, throw that list into your link-in-bio</strong>. I just <a href="https://www.instagram.com/jasondotgov/">swapped my IG link</a> from my home page to a post listing my favorite blogging platforms. Most, if not all, are from “indie” developers. And who knows, maybe someone clicks on it and the web gains a new writer. How cool would that be?</p>
<p>So what do ya say? Let's make a bunch of open web <em>portals</em> for 2024! I guess I set this up for a two-parter, haven’t I? I’ll see you at the next post.</p>
