title: plaisir d'ébauche
url: https://www.la-grange.net/2024/01/06/ebauche
hash_url: d75afc90a9d3c3b5a56b69446795fbb5
archive_date: 2024-01-07

<figure>
  <img src="https://www.la-grange.net/2024/01/06/3008-furikake.jpg" alt="Feuilles de céleri et de persil, finement hâchées avec du zeste de citron.">
  <figcaption>Komagome, Japon, 6 janvier 2024</figcaption>
</figure>
<blockquote>
<p>À Lubok Sayong, tout venait en un seul exemplaire: la rue principale, le rond-point, le feu rouge, le commissariat de police, la caserne des pompiers et son unique camion, le bureau de poste, la station-service, la tour de l'horloge, le supermarché, le cinéma, le Kentucky Fried Chicken, l'école malaise, la chinoise, celle des Tamouls, et même un pensionnat chrétien pour jeunes filles, histoire de faire bonne mesure. Nous avions un gîte d'État, infesté de cafards, et un hôtel deux étoiles avec un bar-grill au rez-de-chaussée, le Hemingway. L'hôtel proposait des chambres avec ou sans petit déjeuner, climatisées ou non, avec ou sans eau chaude; quant au bar, pas sûr que le romancier américain y eût trouvé les cocktails à son goût.<br>
— La somme de nos folies, Shih-Li Kow, urn:isbn:9-791038-702059</p>
</blockquote>
<p>Quand je cuisine, je range et nettoie l'espace du travail. Je prends les ingrédients et les prépare. J'ai le plaisir de l'ébauche tout autant que celui du goût. J'aime la beauté du moment où je réalise le plat, le travail qui construit son élaboration, les parfums frais, l'esthétique des végétaux et des épices.</p>
<p>Le plaisir est très similaire à celui de couper le bois à La Grange qui sera utilisé pour le feu dans la cheminée. Bien que la chaleur du feu m'apaise, la coupe des branches trop longues, le ramassage des brindilles, les copeaux et la sciure m'extasient.</p>
<hr>
<p>Le code n'est pas disponible mais l'<a href="https://optional.is/required/2024/01/05/week-672-673/">allusion du projet</a> dans le dernier bilan hebdomadaire (<a href="https://optional.is/required/category/weeknotes/">weeknotes</a>) de Brian Suda semble intéressant.</p>
<blockquote>
<p>Reusing all the PHP code to <strong>create SVG pages and converting them into a PDF</strong>, we’re working on another puzzle book suitable for print-on-demand.</p>
</blockquote>
<p>Je me demande souvent si je devrais passer à des notes hebdomadaires, mais cela transformerait beaucoup plus le plaisir en rapport de travail. Étrange. La notion de semaine est quelque chose qui régule tellement la vie dans un rythme 5-2 qu'elle devient uniquement l'objet, le marqueur d'une vie organisée autour de l'activité professionnelle. Imaginez juste un instant que ce soit 5 jours d'activités personnelles pour 2 jours de travail. La nature même de la semaine changerait. Ou imaginons même qu'il n'y ait plus de structures du tout. J'entends déjà la vague des « oui, mais… » Justement, j'insiste « oui, mais pourquoi pas… » afin de comprendre quels sont les changements que cela pourraît provoquer sur notre temps et notre espace.</p>
<hr>
<p>Je <a href="/2024/01/02/ekiden">partageais</a> il y a quelques jours le podcast de Anne Savelli, <a href="https://annesavelli.fr/podcast/article/je-n-ai-pas-le-temps-d-ecrire">Je n'ai pas le temps d'écrire</a>. Cela a plu à <a href="https://mamot.fr/@emmanuelc/111699241144740226">Emmanuel</a>, mais cela a créé une tension pour <a href="https://mastodon.cloud/@notabene@piaille.fr/111699035262924101">Stéphane</a>. Avoir le temps de transcrire de faire passer les mots de l'oral à l'écrit est plus facile aujourd'hui qu'il ne l'était hier. Je ne sais pas comment Anne Savelli travaille son podcast. Lit-elle un texte écrit ? Ou improvise-t-elle ? La transcription textuelle est en effet essentielle pour nombre de personnes et pas uniquement pour les personnes avec des difficultés auditives. Mais je n'ai pas non plus d'expériences dans ce domaine. J'ai <a href="https://mastodon.cloud/@karlcow/111706701151267236">commencé à chercher de l'information</a>.</p>
<blockquote>
<p>Comment réalise-t-on la transcription d'un podcast à l'écrit sans trop d'efforts ? Est-ce qu'il y a des outils, des techniques, des choses à faire et ne pas faire ? Les gamelles qu'on peut essuyer en le faisant ?</p>
</blockquote>
<p><a href="https://floss.social/@pieq/111706731693792167">Pierre</a> a essayé <a href="https://github.com/openai/whisper">Whisper</a></p>
<blockquote>
<p>J'ai essayé <a href="https://github.com/openai/whisper">Whisper</a> il y a quelques temps et j'ai été assez impressionné. Ça permet de faire 90% du boulot. Comme un OCR pour l'écrit, il faut ensuite relire et corriger des choses, mais par exemple le modèle est capable de différencier différentes personnes parlant, donc même pour ça c'est pratique.</p>
</blockquote>
<p>Cela m'a mis la puce à l'oreille, j'ai cherché encore un peu et je suis tombé sur ce TIL récent de Simon Willison : <a href="https://til.simonwillison.net/macos/quick-whisper-youtube">Grabbing a transcript of a short snippet of a YouTube video with MacWhisper</a></p>
<p>Je télécharge la <a href="https://goodsnooze.gumroad.com/l/macwhisper">version gratuite de MacWhisper</a>. Et j'installe le modèle multi-lingues small pour la version gratuite.</p>
<p>Et puis je me dirige vers le site de Anne et dans le html je trouve le lien vers le fichier audio.</p>
<pre><code>&lt;mediaelementwrapper
  id="mejs-16e57a799d4bf5f22a9cf6c9f37ecef4-0"&gt;
  &lt;audio
    class="mejs mejs-1258 done"
    data-id="16e57a799d4bf5f22a9cf6c9f37ecef4"
    src="https://annesavelli.fr/IMG/mp3/faites_entrer_l_e_criture_1er_e_pisode.mp3"
    type="audio/mpeg"
    preload="none"
    data-mejsoptions="{&amp;quot;alwaysShowControls&amp;quot;: true,&amp;quot;loop&amp;quot;:false,&amp;quot;audioWidth&amp;quot;:&amp;quot;100%&amp;quot;,&amp;quot;duration&amp;quot;:1516}"
    id="mejs-16e57a799d4bf5f22a9cf6c9f37ecef4-0_html5"&gt;
  &lt;/audio&gt;
&lt;/mediaelementwrapper&gt;
</code></pre>
<p>Je réalise une copie locale et une fois téléchargé, je glisse-dépose le fichier sur MacWhisper.</p>
<p><img src="https://www.la-grange.net/2024/01/06/macwhisper-anne.png" alt="fenêtre de l'application en cours de transcription d'un fichier audio affichant le texte du contenu audio."></p>
<p>Une fois la transcription terminée, je peux enregistrer le <a href="/2024/01/06/temps-ecrire-anne.txt">fichier texte du podcast</a> avec la fonction export en mode paragraphe. (non corrigé, brut).</p>
<p>Je suis impressioné.</p>
<hr>

<figure>
  <img src="https://www.la-grange.net/2024/01/06/3007-congee.jpg" alt="Pot avec céleri coupé, du riz et des morceaux de poulet.">
  <figcaption>Komagome, Japon, 6 janvier 2024</figcaption>
</figure>
<p>Je prépare un congee au poulet et céleri, avec citron et persil. Délicieux pour les soirées d'hiver froides.</p>

<figure>
  <img src="https://www.la-grange.net/2024/01/06/3015-congee.jpg" alt="Assiette de congee.">
  <figcaption>Komagome, Japon, 6 janvier 2024</figcaption>
</figure>
<hr>
<p><a href="https://nicolasbouliane.com/blog/duty-to-document">Partager ce que l'on apprend</a></p>
<blockquote>
<p>If you learn something the hard way, share your findings with others. You have blazed a new trail; now you must mark it for your fellow travellers. Sharing knowledge is an unreasonably effective way of helping others.</p>
</blockquote>
<hr>
<p><a href="https://nota-bene.org/Impact-des-partages-et-des-partages-de-partages">Impact des partages et des partages de partages</a></p>
<blockquote>
<p>Pour avoir moi aussi un jour posé des limites à ma vie dans un but d’écologie, je me retrouve dans ces réflexions. J’ai été très climaticide faute de savoir, pendant longtemps. J’ai vu la Chine, Hawaii, l’Islande. Entre autres. J’ai aussi, pour le boulot ou l’amour, pris l’avion peut-être une centaine de fois dans ma vie.</p>
</blockquote>
<hr>
<p><a href="https://www.nottoolateclimate.com/_files/ugd/c8ef46_ff209e95f1f94336b40c02ad2c78aee7.pdf">Give Your Own Life a Tune-Up</a> (pdf)</p>
<blockquote>
<p>It is absolutely good to reduce your climate impact through what you buy, eat, and do; how you travel; and other things you have control over. But there are two important things to consider: <strong>one is that we can’t get to where we need to go just by everyone staying home and being careful about what they eat or getting on a bike</strong>. We need big change and we need it fast, and we will only get there by public engagement and collective effort. The other is that the fossil-fuel industry campaigned to get people to think about their own climate footprints to try to convince us that we’re the problem and focus on ourselves instead of on them and system change.</p>
</blockquote>
<hr>
<p><a href="https://nicolasbouliane.com/blog/calm-tech">Calm tech</a></p>
<blockquote>
<p>But an important aspect is missing from Amber’s manifesto: calm requires trust. A quiet street only creates calm in a safe neighbourhood, and the tech industry definitely isn’t one of those.</p>
</blockquote>
<hr>
<p><a href="https://remue.net/ressusciter-des-mots-et-des-figures-effacees">patrimoine et matrimoine</a> par <a href="https://www.auroreevain.com/">Aurore Évain</a>.</p>
<blockquote>
<p>Raconter l’histoire de ces mots permet de démontrer que leur disparition n’est pas un simple effet de l’usage, mais la conséquence d’un effacement volontaire, politique et institutionnel de ces féminins, qui s’est accompagné d’une masculinisation plus globale de la langue, avec entre autres la généralisation de l’accord au masculin, du fait qu’il était alors considéré comme « le genre le plus noble ». Tout ceci participe d’une instrumentalisation idéologique et sexiste du langage, survenue au XVIIe siècle, et confiée à l’Académie française.</p>
</blockquote>
<hr>
<p><a href="https://www.nature.com/articles/d41586-022-04412-x">Degrowth can work — here’s how science can help</a></p>
<p>L'article donne des voies sur les besoins de la décroissance mais aussi donne des chemins pour y parvenir comme s'extraire de la dépendance à la croissance.</p>
<blockquote>
<p>Economies today depend on growth in several ways. Welfare is often funded by tax revenues. Private pension providers rely on stock-market growth for financial returns. Firms cite projected growth to attract investors. Researchers need to identify and address such ‘growth dependencies’ on a sector-by-sector basis.</p>
</blockquote>
<p>Leur 5 points d'action :</p>
<ul>
<li>Remove dependencies on growth</li>
<li>Fund public services</li>
<li>Manage working-time reductions</li>
<li>Reshape provisioning systems</li>
<li>Political feasibility and opposition</li>
</ul>
