title: Make the indie web easier
url: https://gilest.org/indie-easy.html
hash_url: faa1d8cae94da6838ff9351e5df791ca
archive_date: 2024-01-09

<p><img src="https://gilest.org/2024/dangerously-muddy.jpg" alt="A sign in a forest: DANGER, TRACK DANGEROUSLY MUDDY, DO NOT ENTER"></p>



<p>OK, developers, I have a challenge for you.</p>

<p>I’ll assume that we’re all on board with the 2024 indie web revival. We all want things to <a href="https://www.rollingstone.com/culture/culture-commentary/internet-future-about-to-get-weird-1234938403/">get weird again</a>, right? Yeah.</p>

<p>And, I’ll assume we all agree that owning your own website is a <em>good thing</em>, and we all want more people to do it. </p>

<p>But here’s the thing: we need more tools for it. We need simpler tools for it. And we need to make installing and using them <em>trivially simple</em>. </p>

<p>We need more self-hosted platforms for personal publishing that <em>aren’t Wordpress</em>. And don’t point me to Hugo or Netlify or Eleventy or all those things - all of them are great, but none of them are simple enough. We need web publishing tools that do not require users to open the Terminal <em>at all</em>. And we need lots of them. </p>

<p>We need a whole <em>galaxy</em> of options. </p>

<p>So that next time we say to someone: “You should own your own domain, and publish on your own website,” and they answer with “How?”, we can give an answer that’s more than just: “Install Wordpress.”</p>

<p>It’s not that I hate Wordpress. I don’t <em>use</em> it, personally, but I don’t hate it. I can see the benefits of using it. It’s a great tool. </p>

<p>But it needs more competition. People coming fresh to web publishing should have more options.</p>

<p>If we want the future web we’re all clamouring for, we need to give people more options for self-hosted independence. If we seriously, truly want the independent, non-enshittified personal web to flourish, we need to make it <strong>easier for people to join in</strong>. </p>

<p>Why not build static website generators that people can just unzip, upload to the shared hosting they’ve just paid for, and start using via a browser?</p>

<p>Why not make backups automatic, and make upgrades simple? Why not make the tricky technical stuff go away?</p>

<p>Terminal commands are easy for <em>you</em>, but they’re a huge hurdle for most people to overcome. I’ve lost count of the number of times I’ve seen a link to a static website generator, which claims to be simple, and then the instructions start with something like: </p>

<blockquote>
  <p>It’s easy! Just <tt>gem install blah</tt><br>then <tt>blah setup mywebsite</tt><br>then <tt>cd mywebsite</tt><br>then use <tt>nano</tt> or your favourite editor to write Markdown files! So easy!</p>
</blockquote>

<p>This is not easy.</p>

<p>If we <em>truly</em> want to open up the web for everyone to publish on, we have to make it easier. Let’s give people choices. Let’s give people options for tools they can set up and use, with no more knowledge than the knowledge they already have.</p>
