title: Coming soon: An API for the human genome
url: http://venturebeat.com/2015/06/27/coming-soon-an-api-for-the-human-genome/
hash_url: 226f37b863bc19c8693acaefa3503504

<p dir="ltr">Gholson Lyon, a geneticist at Cold Spring Harbor Laboratory recently pointed out in <a href="http://www.technologyreview.com/news/537081/apple-has-plans-for-your-dna/" target="_blank">an article</a> about Apple’s DNA-related ambitions that we don’t yet have a “killer app to interact with [our DNA] quickly and easily.</p>
<p dir="ltr">What’s missing is technology that democratizes access to the genome and makes it programmable. Lyon agrees; there is still a technological hurdle in that “common systems for interpreting [the genome] are lacking.”</p>
<p dir="ltr">The first wave of genomics can be characterized by the “sequencing era.” In 1990 the Human Genome Project <a href="http://en.wikipedia.org/wiki/Human_Genome_Project" target="_blank">debuted</a>, captivating the country and the world.</p>
<p dir="ltr">A dramatic increase in the effectiveness of sequencing technology and the corresponding decrease in the cost of sequencing the human genome put personalized medicine center stage. Research focused on new genomics-driven therapies skyrocketed. A massive new industry was born.</p>
<p dir="ltr">The current “second wave” of genomic technologies leverage fast, cheap genome sequencing technology for disease treatment and therapy. This requires more and more accurate interpretations of the sequencing data, made possible by high-throughput genomic analysis engines.</p>
<p dir="ltr">A third wave is in progress now, focused on integrating genomic data with other types of data. Soon, a wide variety of health and wellbeing apps and platforms will be able to do things like connect variants to environmental, lifestyle, dietary, and activity related factors, guiding both sick and healthy people towards a fundamentally better quality of life. The promise of genomics is increasingly an everyday one.</p>
<p dir="ltr">What does this all mean? If genome sequencing is fast and cheap, analysis and interpretation are accurate, and genomic data is put into a wider context so that we can leverage insights in daily practice, many new things quickly become possible.</p>
<p dir="ltr">The genome is in many senses a database that we have constructed and curated and built new interfaces to. As a result, it will soon be the latest addition to what has for been referred to as the API Economy.</p>
<p dir="ltr">Computer programs themselves will be increasingly able to accommodate genomics, perhaps in ways no more remarkable than how Mint.com pulls together your bank balances. It’s this piece that I’m most interested in because a whole generation of software and hardware developers will soon be able to think about personalization at a molecular level, without the need for a bioinformatics team or a PhD. This will be the fourth and perhaps final wave.</p>
<p dir="ltr">This is an exciting prospect; imagine designing new functionality that leverages a fundamental, inner truth about your user or customer in a way never before possible.</p>
<p dir="ltr">The easy objection to this vision is well articulated by the movie <a href="http://en.wikipedia.org/wiki/Gattaca" target="_blank">Gattaca</a>, in which genomic analysis is justification for a predetermined society in which nearly all choice has been removed or obfuscated.</p>
<p dir="ltr">Every technological marvel and every transformational advance has a dystopian counterpoint, whether real or imagined. Certainly, when it comes to genomic data availability and portability, we will need to be more thoughtful and careful than ever about privacy, security, and the ethical implications of our actions. But the societal benefits are, in my opinion, large enough to motivate us to solve these issues.</p>
<p dir="ltr">For example, we are today literally programming genomic structures. It has quickly becoming possible to “edit” various genomes (human and otherwise).</p>
<p dir="ltr">We’ve created entirely new classes of therapies using <a href="http://www.nytimes.com/2014/03/04/health/a-powerful-new-way-to-edit-dna.html" target="_blank">RNA interference</a>, perhaps the most exciting new frontier in the pharmaceutical industry.  In another example, a team in Philadelphia has <a href="http://www.nytimes.com/2012/12/10/health/a-breakthrough-against-leukemia-using-altered-t-cells.html" target="_blank">developed</a> a safe version of the HIV virus that it has genetically reprogrammed to destroy Leukemia cells.</p>
<p dir="ltr">On the software side, here are just a few possibilities:</p>
<p dir="ltr">* Imagine pharmacy support systems that integrate with your genome to ensure that prescription drugs are ideal for the subject, maximizing efficacy and reducing side effects.</p>
<p dir="ltr">* Or, what about an organ and/or bone marrow donor matching application that uses the genome to make the process of matching more streamlined and efficient?</p>
<p dir="ltr">* Would you use a recipe application that uses your genomically-available food response to adjust ingredients? How about an athletic training application that uses genetic information to adjust routines, rest periods, supplements, and diet?</p>
<p dir="ltr">* I can even imagine a world in which online role playing/MMO games use a genomic API to build worlds around each player that reference his or her molecular reality — how surreal would that be?</p>
<p dir="ltr">The third wave is playing out in front of us, and the fourth wave is coming, but it’s not widely distributed yet. We’re just starting to see the very first “APIs for the genome.” At meetups around the country, developers are rushing to familiarize themselves with molecular biology’s essential concepts. The building blocks are increasingly there, but the finished products are not.</p>
<p dir="ltr">I will nonetheless suggest that a disproportionate number of the next batch of billion-dollar businesses will be built on and around the human genome, only some of which will be “healthcare” companies.</p>
<p dir="ltr">The human genome is a determinant of risk or disease, certainly, but it is not, as Hollywood might have you believe, an irrevocable truth. As each of us comes to know and understand our own genome, we will naturally want to play to its strengths, minimize its weaknesses, combine it with other data sets, compare it to others, and leverage it to develop wholly new capabilities.</p>
<p dir="ltr">We’ve already seen hundreds of applications of genomics that Watson and Crick could never have foreseen. I’m as excited as I ever have been to see what happens when this science is made available in substantive ways to developers everywhere.</p>
<p dir="ltr">We’ve been talking about these concepts since <a href="http://content.time.com/time/covers/0,16641,19710419,00.html" target="_blank">this</a> 1971 cover of Time Magazine asked the question: Will “the new genetics” turn man into superman? The answer, dare I say, is fast-approaching.</p>
