title: Information flow reveals prediction limits in online social activity
url: https://blog.acolyer.org/2018/03/26/information-flow-reveals-prediction-limits-in-online-social-activity/
hash_url: 5478d4d735fed6ff9754692d05848200

<p><a href="https://arxiv.org/abs/1708.04575">Information flow reveals prediction limits in online social activity</a> Bagrow et al., <em>arVix 2017</em></p>
<p>If I know your friends, then I know a lot about you!</p>
<p>Suppose you don’t personally use a given app/service, and so the provider doesn’t have data on you directly. However, many of your friends <em>do</em> use the app/service, and there’s a way for the provider to find out about the friendship relationship (e.g., you’re in your friends’ contacts). Bagrow et al. study just how much the provider can now infer about you, even without any direct data and of course without any consent on your part. And it turns out that they can infer a lot!</p>
<blockquote><p>
  …we estimate that approximately 95% of the potential predictive accuracy attainable for an individual is available within the social ties of that individual only, <strong>without requiring the individual’s data</strong>.
</p></blockquote>
<p>In other words, whenever you consent to share some of your data with an app or service, and that consent also includes access to your contacts, or social relationship graph, you should also assume that you are consenting to leak some private information about your friends too. Would they give consent??  As we’ve seen with the recent Cambridge Analytics revelations, this can be a very powerful way for a data collector to dramatically grow their set of profiles.</p>
<p>There’s a long-standing saying, “<a href="https://quoteinvestigator.com/2017/07/16/product/">if you’re not paying, you’re not the customer; you’re the product</a>.” While the general public is only just awakening to what that really means, here in 2018 I think we can add couple of additional clauses:</p>
<ul>
<li>If you’re paying, and the provider doesn’t have a clear and explicit privacy policy, you’re both the customer <em>and</em> the product.</li>
<li>If enough of your friends are part of the product, then you’re the product too. </li>
</ul>
<p>The actual context for this study is the prediction of the words in tweets, based on a dataset of 927 Twitter users, and the 15 most frequent Twitter contacts of each. So strictly we can only say that with just your friends we have 95% of the predictive power over <em>what you’re going to say</em>. But of course, companies learn all sorts of things from your profile (e.g. demographic information). See this post from last year on The Morning Paper, ‘<a href="https://blog.acolyer.org/2017/02/16/beyond-the-words-predicting-user-personality-from-heterogeneous-information/">Beyond the words, predicting user personality from heterogeneous information</a>,’ for an example of how your personality can be inferred and then used to manipulate you.  I would be very surprised if the ability to infer information about you from your friends did not also extend to these other forms.</p>
<h3>Tweets, egos, and alters</h3>
<p>For each of the 927 Twitter users (the <em>egos</em>) in the study, all of their public posts (up to a limit of the most recent 3200) were retrieved. From these, the 15 most frequent Twitter contacts (the <em>alters</em>) of each user  were determined, and their posts were downloaded as well.</p>
<h3>Predicting the written word</h3>
<blockquote><p>
  The ability to accurately profile and predict individuals is reflected in the predictability of their written text. The predictive information contained within a user’s text can be characterized by three quantities: the entropy rate, <img src="https://s0.wp.com/latex.php?latex=h&amp;bg=ffffff&amp;fg=333333&amp;s=0" alt="h" title="h" class="latex"/>, the perplexity <img src="https://s0.wp.com/latex.php?latex=2%5Eh&amp;bg=ffffff&amp;fg=333333&amp;s=0" alt="2^h" title="2^h" class="latex"/>, and the predictability, <img src="https://s0.wp.com/latex.php?latex=%5CPi&amp;bg=ffffff&amp;fg=333333&amp;s=0" alt="\Pi" title="\Pi" class="latex"/>.
</p></blockquote>
<p>The <em>entropy rate</em> captures the average uncertainty you have about future words, given the text you have already seen.  It tells you how many bits <em>h</em> are needed on average to express subsequent words giving the preceding text. Higher entropies equate to less predictable text.</p>
<p>This study looks at entropy rates for an ego (i.e., given the past text tweeted by a user, how well can you predict what comes next), and also <em>cross-entropy</em> rates. With cross-entropy, we are interested in how well you can predict what word comes next for an <em>ego</em>, given only the past texts of an <em>alter</em>).</p>
<p><img src="https://adriancolyer.files.wordpress.com/2018/03/information-flow-fig-1a.jpeg?w=520" alt=""/></p>
<p><em>Perplexity</em> is just another way of expressing the same thing. It tells us that the remaining uncertainty about unseen words is equivalent to choosing uniformly at random from <img src="https://s0.wp.com/latex.php?latex=2%5Eh&amp;bg=ffffff&amp;fg=333333&amp;s=0" alt="2^h" title="2^h" class="latex"/> words. In this study, <img src="https://s0.wp.com/latex.php?latex=h&amp;bg=ffffff&amp;fg=333333&amp;s=0" alt="h" title="h" class="latex"/> is typically around 6 bits, so the perplexity is 64 words – much less than the approximately 5000 word vocabulary social media users have on average).</p>
<p>The <em>predictability</em>, <img src="https://s0.wp.com/latex.php?latex=%5CPi&amp;bg=ffffff&amp;fg=333333&amp;s=0" alt="\Pi" title="\Pi" class="latex"/>, is the probability that an <em>ideal</em> prediction algorithm will correctly predict the subsequent word given the preceding text.</p>
<h3>From alters to egos</h3>
<blockquote><p>
  If there is consistent, predictive information in the alter’s past about the ego’s future, especially beyond the information available in the ego’s own past, then there is evidence of information flow.
</p></blockquote>
<p>If the cross-entropy (prediction of an ego’s next words using the past text of an <em>alter</em>) is greater than the entropy (prediction using an ego’s own past words) then the increase tells us how much information we lose by only having access to the alter’s information instead of the ego’s.</p>
<p>Here are the results when looking at the egos and the most frequently contacted alter of each (i.e, we’re predicting based on only one ‘friend’). We see a diversity of social relationships: sometimes the ego is well-informed (influenced?) by the alter, while at other times the alter-ego pairs exhibit little information flow.</p>
<p><img src="https://adriancolyer.files.wordpress.com/2018/03/information-flow-fig-1b.jpeg?w=640" alt=""/></p>
<p>Things get more interesting when you combine information from <em>multiple</em> alters to try and predict and the future of an ego. First we generalise the notion of cross-entropy to include the combined pasts of multiple alters:</p>
<p><img src="https://adriancolyer.files.wordpress.com/2018/03/information-flow-fig-1c.jpeg?w=520" alt=""/></p>
<p>Then we can study how cross-entropy and predictability changes as we add more alters:</p>
<p><img src="https://adriancolyer.files.wordpress.com/2018/03/information-flow-fig-1d.jpeg?w=480" alt=""/></p>
<p>The results show that with enough friends (8-9), you can predict the ego <em>without access to any of the ego’s own data</em>, <strong>better</strong> than if you did have the ego’s own data, but not that of their alters.</p>
<p>&gt; As more alters were considered, cross-entropy decreased and predictability increased, which is sensible as more potential information is available. Interestingly, <strong>with 8-9 alters, we observed a predictability of the ego given the alters at or above the original predictability of the ego alone</strong>. As more alters were added, up to our data limit of 15 alters, this increase continued. <strong>Paradoxically, this indicated that there is potentially more information about the ego within the total set of alters than within the ego itself.</strong> (Emphasis mine) .</p>
<p>Even when the past data of the ego <em>is</em> made available, predictability of the ego still improves as more alters are added (by around 6.9% with 15 alters). That is, the alters <em>and</em> ego is best of all if you can get it, but the alters still add significant information even if you do have the data of the ego. It looks like the saturation point for predictive information is around 61% with alters only, and 64% with alters and ego.</p>
<p><img src="https://adriancolyer.files.wordpress.com/2018/03/information-flow-fig-1e.jpeg?w=520" alt=""/></p>
<p>&gt; This may have distinct implications for privacy: if an individual forgoes using a social media platform or deletes her account, yet her social ties remain, then than platform owner potentially possesses 95.1% ± 3.36% of the achievable predictive accuracy of the future activities of that individual.</p>
<h3>Controls</h3>
<p>Two control tests were done to eliminate confounding factors. The first control (social control) used random pairs of alters and egos (i.e., not a true alter of the ego) to test for predictive information simply from the structure of English. The second control (temporal control) made pseudo-alters for an ego by assembling a random set of posts made at approximately the same time as the real alter’s posts. This tests for egos and alters independently discussing the same events (e.g., current events).</p>
<p>The real alters provided more social information than either control.</p>
<p><img src="https://adriancolyer.files.wordpress.com/2018/03/information-flow-fig-1d.jpeg?w=480" alt=""/></p>
<h3>Influence follows information flow</h3>
<p>Egos who posted 8 times per day on average were approximately 17% more predictable given their alters than egos who posted once per day on average. This trend <em>reverses</em> when considering the activity levels of the alters: highly active alters tended to inhibit information flow, perhaps due to covering too many topics of low relevance to the ego.</p>
<blockquote><p>
  Alters with more social ties provided less predictive information about their egos than alters with fewer ties… this decreasing trend belies the power of hubs in many ways: while hubs strongly connect a social network topologically, limited time and divided attention across their social ties bounds the alter’s ability to participate in information dynamics mediated by the social network and this is reflected in the predictability.
</p></blockquote>
<p>Directionality of contact matters too. Egos are more predictable given an alter when that alter frequently contacts the ego. But there is little change in predictability when the ego mentions the alter more or less frequently.</p>
<h3>The bottom line</h3>
<blockquote><p>
  …the ability to repeatedly and accurately predict the text of individuals provides considerable value to the providers of social media, allowing them to develop profiles to identify and track individuals and even manipulate information exposure. That information is so strongly embedded socially underscores the power of the social network: by knowing who are the social ties of an individual and what are the activities of those ties, our results show that one can in principle accurately profile even those individuals who are not present in the data.
</p></blockquote>
<p>For a very sobering example of the extent to which friend information is harvested, see this <a href="https://twitter.com/dylanmckaynz/status/976368845635035138?s=21">twitter thread</a> and <a href="https://news.ycombinator.com/item?id=16656604">accompanying discussion on HN</a>. I’m one of those people who have never had a Facebook account. I’m under no illusions that Facebook doesn’t have a profile of me though.</p>
