title: Ends and means
url: https://adactio.com/journal/13498
hash_url: 55056ddd1dbc3d27345fdb253c4aaeeb

<p>The latest edition of the excellent <a href="https://thehistoryoftheweb.com/"><cite>History Of The Web</cite></a> newsletter is called <a href="https://thehistoryoftheweb.com/great-web-blackout/"><cite>The Day(s) The Web Fought Back</cite></a>. It recounts the first time that websites stood up against bad legislation in the form of the Communications Decency Act (CDA), and goes to recount the even more effective use of blackout protests against SOPA and PIPA.</p>

<p>I remember feeling very heartened to see WikiPedia, Google and others take a stand on January 18th, 2012. But I also remember feeling uneasy. In this particular case, companies were lobbying for a cause I agreed with. But what if they were lobbying for a cause I didn’t agree with? Large corporations using their power to influence politics seems like a very bad idea. Isn’t it still a bad idea, even if I happen to agree with the cause?</p>

<p><a href="https://www.wired.com/story/free-speech-issue-cloudflare">Cloudflare quite rightly kicked The Daily Stormer off their roster of customers</a>. Then the CEO of Cloudflare quite rightly wrote this in a company-wide memo:</p>

<blockquote>
  <p>Literally, I woke up in a bad mood and decided someone shouldn’t be allowed on the Internet. No one should have that power.</p>
</blockquote>

<p>There’s an uncomfortable tension here. When do the ends justify the means? Isn’t the whole point of having principles that they hold true even in the direst circumstances? Why even claim that corporations shouldn’t influence politics if you’re going to make an exception for net neutrality? Why even claim that free speech is sacrosanct if you make an exception for nazi scum?</p>

<p>Those two examples are pretty extreme and I can easily justify the exceptions to myself. Net neutrality is too important. Stopping fascism is too important. But where do I draw the line? At what point does something become “too important?”</p>

<p>There are more subtle examples of corporations wielding their power. Google are constantly using their monopoly position in search and browser marketshare to exert influence over website-builders. In theory, that’s bad. But in practice, I find myself agreeing with specific instances. Prioritising mobile-friendly sites? Sounds good to me. Penalising intrusive ads? Again, that seems okey-dokey to me. But surely that’s not the point. So what if I happen to agree with the ends being pursued? The fact that a company the size and power of Google is using their monopoly for <em>any</em> influence is worrying, regardless of whether I agree with the specific instances. But I kept my mouth shut.</p>

<p>Now I see Google abusing their monopoly again, this time with <a href="https://www.ampproject.org/"><abbr title="Accelerated Mobile Pages">AMP</abbr></a>. They may call the preferential treatment of Google-hosted AMP-formatted pages a “carrot”, but let’s be honest, it’s an abuse of power, plain and simple.</p>

<p>By the way, I have no doubt that the engineers working on AMP have the best of intentions. We are all pursuing the same ends. We all want a faster web. But we disagree on the means. If Google search results gave preferential treatment to any fast web pages, that would be fine. But by only giving preferential treatment to pages written in a format that they created, and hosted on their own servers, they are effectively forcing everyone to use AMP. I know for a fact that there are plenty of publications who are producing AMP content, not because they are sold on the benefits of the technology, but because they feel strong-armed into doing it in order to compete.</p>

<p>If the ends justify the means, then it’s easy to write off Google’s abuse of power. Those well-intentioned AMP engineers <a href="https://github.com/ampproject/amphtml/issues/13597#issuecomment-367525276">honestly think that they have the best interests of the web at heart</a>:</p>

<blockquote>
  <p>We were worried about the web not existing anymore due to native apps and walled gardens killing it off. We wanted to make the web competitive. We saw a sense of urgency and thus we decided to build on the extensible web to build AMP instead of waiting for standard and browsers and websites to catch up. I stand behind this process. I’m a practical guy.</p>
</blockquote>

<p>There’s real hubris and audacity in thinking that one company should be able to tackle fixing the whole web. I think the AMP team are genuinely upset and hurt that people aren’t cheering them on. Perhaps they will dismiss the criticisms as outpourings of “<a href="http://www.ftrain.com/wwic.html">Why wasn’t I consulted?</a>” But that would be a mistake. The many thoughtful people who are <a href="http://ampletter.org/">extremely critical of AMP</a> are on the same side as the AMP team when it comes the end-goal of better, faster websites. But <a href="https://aphelis.net/destroy-village-order-save-unknown-1968/">burning the web to save it</a>? No thanks.</p>

<p>Ben Thompson goes into more detail on the tension between the ends and the means in <a href="https://stratechery.com/2018/the-aggregator-paradox/"><cite>The Aggregator Paradox</cite></a>:</p>

<blockquote>
  <p>The problem with Google’s actions should be obvious: the company is leveraging its monopoly in search to push the AMP format, and the company is leveraging its dominant position in browsers to punish sites with bad ads. That seems bad!</p>

  <p>And yet, from a user perspective, the options I presented at the beginning — fast loading web pages with responsive designs that look great on mobile and the elimination of pop-up ads, ad overlays, and autoplaying videos with sounds — sounds pretty appealing!</p>
</blockquote>

<p>From that perspective, there’s a moral argument to be made for wielding monopoly power like Google is doing. No doubt the AMP team feel it would be morally wrong for Google <em>not</em> to use its influence in search to give preferential treatment to AMP pages.</p>

<p>Going back to the opening examples of online blackouts, was it morally wrong for companies to use their power to influence politics? Or would it have been morally wrong for them <em>not</em> to have used their influence?</p>

<p>When do the ends justify the means?</p>

<p>Here’s a more subtle example than Google AMP, but one which has me just as worried for the future of the web. Mozilla announced that <a href="https://blog.mozilla.org/security/2018/01/15/secure-contexts-everywhere/">any new web features they add to their browser will require HTTPS</a>.</p>

<p>The end-goal here is one I agree with: HTTPS everywhere. On the face of it, the means of reaching that goal seem reasonable. After all, we already require HTTPS for sensitive JavaScript APIs like geolocation or service workers. But the devil is in the details:</p>

<blockquote>
  <p>Effective immediately, all new features that are web-exposed are to be restricted to secure contexts. Web-exposed means that the feature is observable from a web page or server, whether through JavaScript, CSS, HTTP, media formats, etc. A feature can be anything from an extension of an existing IDL-defined object, <strong>a new CSS property</strong>, a new HTTP response header, to bigger features such as WebVR.</p>
</blockquote>

<p>Emphasis mine.</p>

<p>This is a step too far. Again, I am in total agreement that we should be encouraging everyone to switch to HTTPS. But requiring HTTPS in order to use CSS? The ends don’t justify the means.</p>

<p>If there were valid security reasons for making HTTPS a requirement, I would be all for enforcing this. But these are two totally separate areas. Enforcing HTTPS by withholding CSS support is no different to enforcing AMP by withholding search placement. In some ways, I think it might actually be worse.</p>

<p><a href="https://github.com/w3ctag/design-principles/pull/75">There’s an assumption in this decision</a> that websites are being made by professionals who will know how to switch to HTTPS. But the web <a href="https://www.youtube.com/watch?v=KW6ivwDcOY4">is for everyone</a>. Not just for everyone to use. It’s for everyone to build.</p>

<p>One of my greatest fears for the web is that building it becomes the domain of a professional priesthood. Anything that raises the bar to writing some HTML or CSS makes me very worried. Usually it’s toolchains that make things more complex, but in this case the barrier to entry is being brought right into the browser itself.</p>

<p>I’m trying to imagine future <a href="https://www.codebar.io/">Codebar</a> evenings, helping people to make their first websites, but now having to tell them that some CSS will be off-limits until they meet the entry requirements of HTTPS …even though CSS and HTTPS have literally nothing to do with one another. (And yes, there will be an exception for <code>localhost</code> and I really hope there’ll be an exception for <code>file:</code> as well, but that’s simply postponing the disappointment.)</p>

<p>No doubt Mozilla (and the W3C Technical Architecture Group) believe that they are doing the right thing. Perhaps they think it would be morally wrong if browsers <em>didn’t</em> enforce HTTPS even for unrelated features like new CSS properties. They believe that, in this particular case, the ends justify the means.</p>

<p>I strongly disagree. If you also disagree, I encourage you to make your voice heard. Remember, this isn’t about whether you think that we should all switch to HTTPS—we’re all in agreement on that. This is about whether it’s okay to create collateral damage by deliberately denying people access to web features in order to further a completely separate agenda.</p>

<p>This isn’t about you or me. This is about all those people who could potentially become makers of the web. We should be welcoming them, not creating barriers for them to overcome.</p>
