title: Etendre la salle de classe hors des murs : Slack pour l’éducation et l’instruction
url: https://pedagogieagile.com/2016/05/15/etendre-la-salle-de-classe-hors-des-murs-slack-pour-leducation-et-linstruction/
hash_url: 5f67a8b4263b837cd8492fcb0007af0c

<p>En classe, les élèves ont le droit d’utiliser leur <a href="https://pedagogieagile.com/2013/09/12/pour-quelles-raisons-jautorise-les-eleves-a-utiliser-en-classe-leur-smartphone-ou-ipod-ou-eventuellement-tablette/" target="_blank">smartphone</a> pour des besoins pédagogiques. Cependant, je me suis souvent demandé comment étendre les cours hors des murs de la salle de classe, pouvoir prolonger l’esprit d’aide, de collaboration et de coopération au-delà des frontières du collège. De plus, je ne donne que très peu de travail à la maison car :</p>
<ul>
<li>Je considère que les expérimentations se font en classe car je ne peux aider les élèves lorsqu’ils sont chez eux, ou très peu d’enfants ont des parents qui peuvent leur donner des conseils</li>
<li>De très nombreux élèves (parfois 70%) ne font rien chez eux, ne lisent pas le texte demandé, ou n’apprennent pas les mots suggérés, ou ne préparent pas le <a href="https://pedagogieagile.com/2015/07/15/1682/" target="_blank">sujet</a> de rédaction, soit par manque d’envie ou d’aide.</li>
</ul>
<p>Ce double défi a toujours été une contrainte, et il me fallait trouver une solution.</p>
<p>J’avais testé jadis des accompagnements sur Blog, Twitter, Facebook, mais je n’avais jamais été pleinement satisfait. J’ai conservé Facebook avec les élèves pour rester en relation avec les anciens, ceux qui le souhaitent, et les accompagner pour des aides ponctuelles, ou garder un simple contact.</p>
<p><strong>Emergence </strong></p>
<p>J’ai découvert il y a une semaine l’application <a href="https://slack.com" target="_blank">Slack</a>, <a href="http://www.journaldunet.com/solutions/saas-logiciel/tutoriel-slack/" target="_blank">une application de collaboration</a> utilisée aussi dans <a href="http://www.blogdumoderateur.com/slack-communiquer-equipe/" target="_blank">l’Agilité</a>. C’est une application très simple, bien plus plus souple et efficace que Twitter ou que Liberscol (l’espace administratif du collège) par exemple. Elle répond complètement à ce que j’attendais pour pouvoir continuer à construire chez les élèves un état d’esprit d’entraide, ce qui ne va pas de soi. Elle va pouvoir compléter et accompagner toutes les expériences faites en salle de classe. J’espère également pouvoir relancer les expérimentations à la maison par l’intermédiaire de cette application.</p>
<p>Aussitôt après avoir découvert Slack, j’en parle aux élèves. Ils ont l’air enthousiastes.</p>
<p><a href="https://pedagogieagile.files.wordpress.com/2016/05/0-png.jpeg"><img class="aligncenter size-medium wp-image-1878" src="https://pedagogieagile.files.wordpress.com/2016/05/0-png.jpeg?w=300&amp;h=135" alt="logoslack.png"/></a></p>
<p>Je teste donc cette application pendant ces deux mois de fin d’année avec les élèves des classes de <em>3ème</em> et <em>4ème</em>, soit 54 élèves. Je souhaite être efficace dès la rentrée 2016. En effet, j’envisage d’utiliser Slack toute l’année 2016-2017 en <em>3ème</em>, et éventuellement en <em>4ème</em> s’ils en sont capables. Je n’inclus pas les enfants de <em>5ème</em>, à mon avis trop jeunes.</p>
<p>Pour les élèves de <em>3ème</em>, je tente des accompagnements et des révisions pour le Brevet et pour l’Histoire des Arts. Pour les élèves de <em>4ème</em>, je teste le prolongement des cours en dehors de l’espace physique de la casse. Nous restons ainsi entre nous, comme dans la salle 120, même si cette fois, les parents peuvent jeter un oeil sur les discussions pédagogiques.</p>
<div data-shortcode="caption" id="attachment_1871" class="wp-caption aligncenter"><a href="https://pedagogieagile.files.wordpress.com/2016/05/slack3c2b0.png"><img class="size-large wp-image-1871" src="https://pedagogieagile.files.wordpress.com/2016/05/slack3c2b0.png?w=529&amp;h=705" alt="Test d'une discussion et #zones pédagogiques (à gauche)"/></a><p class="wp-caption-text">Test d’une discussion et #zones pédagogiques (à gauche)</p></div>
<p>Slack est une application en anglais. Seuls les élèves invités par mail peuvent s’inscrire sur la Team classe. Nous sommes donc entre nous. Passé l’inscription toutes les discussions se déroulent en français. Comme sur tous les réseaux sociaux, l’application présente une page sur laquelle tous les élèves peuvent intervenir.  Ensuite, je décide d’ouvrir des sujets de discussions par l’écriture en fonction du programme : #dictée, #rédaction imagination, #rédaction réflexion, #participe passé, etc…</p>
<p>L’intérêt est de recréer l’ambiance de la salle de classe et que chaque élève puisse retrouver rapidement les informations qui l’intéressent ou être aidé en dehors des murs de la salle de classe.</p>
<p>De plus :</p>
<ul>
<li>Si un élève pose une question sur un cours, une notion ou un exercice, tous les autres élèves peuvent lui répondre.</li>
<li>Si un élève est absent, n’importe quel autre élève (ou moi) peut photographier son cours dans son cahier et le diffuser.</li>
<li>Si je pose une question, tous les élèves peuvent répondre.</li>
<li>Je peux demander à chaque élève de recopier son interprétation d’un texte littéraire. Tout le monde peut ainsi rapidement s’enrichir du point de vue des autres.</li>
</ul>
<p><a href="https://pedagogieagile.files.wordpress.com/2016/05/slack1.png"><img class="size-large wp-image-1870" src="https://pedagogieagile.files.wordpress.com/2016/05/slack1.png?w=529&amp;h=705" alt="Test d'un sondage"/></a></p>
<p>Test d’un sondage</p>
<p>Je propose aux élèves d’utiliser Slack chez eux, sur leur smartphone, sur leur ordinateur ou tablette.</p>
<p>Je leur propose également de l’utiliser en classe pour le cours de français ou pendant une évaluation pour revoir certaines notions qu’ils ne connaissent pas encore par coeur ; une manière de retrouver des informations rapidement et les utiliser pour résoudre un problème. Ils peuvent également, lorsqu’ils sont en groupe en classe, utiliser cette application pour partager des informations en temps réel, si le réseau le permet.</p>
<p>Le but de cette extension de la salle de classe par l’intermédiaire de cette application est d’augmenter les interactions, et que ces interactions puissent accompagner le développement sensoriel, émotionnel et cognitif de chaque élève.</p>
<div data-shortcode="caption" id="attachment_1882" class="wp-caption aligncenter"><a href="https://pedagogieagile.files.wordpress.com/2016/05/doublemolc3a9culeslack.png"><img class="size-large wp-image-1882" src="https://pedagogieagile.files.wordpress.com/2016/05/doublemolc3a9culeslack.png?w=529&amp;h=705" alt="importer des images et les utiliser hors connexion"/></a><p class="wp-caption-text">importer des images et les utiliser hors connexion</p></div>
<p>Pour cette première expérience, en une semaine, très peu d’élèves se sont inscrits même s’ils ont montré de l’intérêt ou de l’enthousiasme. Ainsi, pour le moment, 4 élèves en <em>4ème</em> et 7 élèves en <em>3ème </em>sont présents dans les équipes.</p>
<p>Ces jeunes enfants de « la génération z » ou « génération alpha » ne sont pas encore au fait du potentiel du numérique.</p>
<p>(à suivre…)</p>
