title: Solving All the Wrong Problems
url: http://www.nytimes.com/2016/07/10/opinion/sunday/solving-all-the-wrong-problems.html
hash_url: 7727b060c25b64136ce5f1a5c7598f2d

<p class="story-body-text story-content" data-para-count="48" data-total-count="1138" id="story-continues-3">An app to locate rentable driveways for parking.</p><p class="story-body-text story-content" data-para-count="33" data-total-count="1171">An app to locate rentable yachts.</p><p class="story-body-text story-content" data-para-count="66" data-total-count="1237">An app to help you understand “cause and effect in your life.”</p>

<p class="story-body-text story-content" data-para-count="38" data-total-count="1275">An app that guides mindful meditation.</p><p class="story-body-text story-content" data-para-count="27" data-total-count="1302">An app that imparts wisdom.</p><p class="story-body-text story-content" data-para-count="69" data-total-count="1371">And a new proposal to create an app designed to stop police killings.</p>

<p class="story-body-text story-content" data-para-count="438" data-total-count="1809">We are overloaded daily with new discoveries, patents and inventions all promising a better life, but that better life has not been forthcoming for most. In fact, the bulk of the above list targets a very specific (and tiny!) slice of the population. As one colleague in tech explained it to me recently, for most people working on such projects, the goal is basically to provide for themselves everything that their mothers no longer do.</p>

<p class="story-body-text story-content" data-para-count="333" data-total-count="2142">He was joking — sort of — but his comment made me think hard about who is served by this stuff. I’m concerned that such a focus on comfort and instant gratification will reduce us all to those characters in “Wall-E,” bound to their recliners, Big Gulps in hand, interacting with the world exclusively through their remotes.</p>

<p class="story-body-text story-content" data-para-count="288" data-total-count="2430">Too many well-funded entrepreneurial efforts turn out to promise more than they can deliver (i.e., <a href="http://www.bizjournals.com/sanjose/blog/techflash/2016/05/theranos-voids-2-years-of-blood-test-results.html" title="an article on the tests">Theranos’ finger-prick blood test</a>) or read as parody (but, sadly, are not — such as the $99 “vessel” that monitors your water intake and tells you when you should drink more water).</p>

<p class="story-body-text story-content" data-para-count="70" data-total-count="2500">When everything is characterized as “world-changing,” is anything?</p><p class="story-body-text story-content" data-para-count="520" data-total-count="3020">Clay Tarver, a writer and producer for the painfully on-point HBO comedy “Silicon Valley<em>,” </em>said <a href="http://www.newyorker.com/culture/culture-desk/how-silicon-valley-nails-silicon-valley">in a recent New Yorker article</a>: “I’ve been told that, at some of the big companies, the P.R. departments have ordered their employees to stop saying ‘We’re making the world a better place,’ specifically because we have made fun of that phrase so mercilessly. So I guess, at the very least, we’re making the world a better place by making these people stop saying they’re making the world a better place.”</p>
<p class="story-body-text story-content" data-para-count="655" data-total-count="3675" id="story-continues-4">O.K., that’s a start. But the impulse to conflate toothbrush delivery with Nobel Prize-worthy good works is not just a bit cultish, it’s currently a wildfire burning through the so-called innovation sector. Products and services are designed to “disrupt” market sectors (a.k.a. bringing to market things no one really needs) more than to solve actual problems, especially those problems experienced by what the writer C. Z. Nnaemeka has described as “<a href="http://miter.mit.edu/the-unexotic-underclass/">the unexotic underclass</a>” — single mothers, the white rural poor, veterans, out-of-work Americans over 50 — who, she explains, have the “misfortune of being insufficiently interesting.”</p>

<p class="story-body-text story-content" data-para-count="230" data-total-count="3905">If the most fundamental definition of design is to solve problems, why are so many people devoting so much energy to solving problems that don’t really exist? How can we get more people to look beyond their own lived experience?</p>

<p class="story-body-text story-content" data-para-count="381" data-total-count="4286">In “<a href="http://inventionofdesire.com/">Design: The Invention of Desire</a>,” a thoughtful and necessary new book by the designer and theorist Jessica Helfand, the author brings to light an amazing kernel: “hack,” a term so beloved in Silicon Valley that it’s painted on the courtyard of the Facebook campus and is visible from planes flying overhead, is also prison slang for “horse’s ass carrying keys.”</p>

<p class="story-body-text story-content" data-para-count="274" data-total-count="4560">To “hack” is to cut, to gash, to break. It proceeds from the belief that nothing is worth saving, that everything needs fixing. But is that really the case? Are we fixing the right things? Are we breaking the wrong ones? Is it necessary to start from scratch every time?</p>

<p class="story-body-text story-content" data-para-count="398" data-total-count="4958">Empathy, humility, compassion, conscience: These are the key ingredients missing in the pursuit of innovation, Ms. Helfand argues, and in her book she explores design, and by extension innovation, as an intrinsically human discipline — albeit one that seems to have lost its way. Ms. Helfand argues that innovation is now predicated less on creating and more on the <em>undoing</em> of the work of others.</p><p class="story-body-text story-content" data-para-count="215" data-total-count="5173">“In this humility-poor environment, the idea of disruption appeals as a kind of subversive provocation,” she writes. “Too many designers think they are innovating when they are merely breaking and entering.”</p>

<p class="story-body-text story-content" data-para-count="330" data-total-count="5503">In this way, innovation is very much mirroring the larger public discourse: a distrust of institutions combined with unabashed confidence in one’s own judgment shifts solutions away from fixing, repairing or improving and shoves them toward destruction for its own sake. (Sound like a certain presidential candidate? Or Brexit?)</p>

<p class="story-body-text story-content" data-para-count="599" data-total-count="6102">Perhaps the main reason these frivolous products and services frustrate me is because of their creators’ insistence that changing lives for the better is their reason for being. To wit, the venture capitalist Marc Andreessen, who has invested in companies like Airbnb and Twitter but also in services such as LikeALittle (which started out as a flirting tool among college students) and Soylent (a sort of SlimFast concoction for tech geeks), tweeted last week: “The perpetually missing headline: ‘Capitalism worked okay again today and most people in the world got a little better off.’ ”</p>
<p class="story-body-text story-content" data-para-count="387" data-total-count="6489">Meanwhile, in San Francisco, where such companies are based, sea level rise is ominous, the income gap between rich and poor has been growing faster than in any other city in the nation, a higher percentage of people send their kids to private school than in almost any other city, and a minimum salary of $254,000 is required to afford an average-priced home. Who exactly is better off?</p>
<p class="story-body-text story-content" data-para-count="203" data-total-count="6692" id="story-continues-5">Ms. Helfand calls for a deeper embrace of personal vigilance: “Design may provide the map,” she writes, “but the moral compass that guides our personal choices resides permanently within us all.”</p>

<p class="story-body-text story-content" data-para-count="82" data-total-count="6774">Can we reset that moral compass? Maybe we can start by not being a bunch of hacks.</p>
