title: It took the death of my wife to realise how much I missed out on as a dad
url: http://www.theguardian.com/commentisfree/2015/jul/29/it-took-the-death-of-my-wife-to-realise-how-much-i-missed-out-on-as-a-dad
hash_url: a875e566d512bc56d35d144015a02612

<p><span class="drop-cap"><span class="drop-cap__inner">W</span></span>hen cancer claimed the life of my wife 12 years ago, leaving me staring into the eyes of our three young daughters, my gender prism had to change. Nurtured in a culture where boys’ and girls’ roles were clearly defined, I was grossly ill-prepared for my widowed fate.<br/></p>
<p>I suffered survivor guilt, struggling to understand why bad things happen to good people, struggling to understand why my life was spared when my daughters surely needed their mother more than me.</p>
<p>Men suggested that I reach out for a new woman, for single parenting manuals, for cookbooks, for dating websites, for hired help, even for sleeping tablets and psychologists. </p>
<p>Women offered to “give me a break” and care for my children.</p>
<p>“Thank you, but no thank you. They’ve already been robbed of their mum. I can’t do this to them.”</p>
<p>Instead of outsourcing, I reached deep within. I took my hat off to so many women raising their children alone, adapting to their new reality, many with admirable grace. Their children seemed well adapted. Why can’t men do the same?</p>
<p>Whoever gave women the capacity to perform full parental roles must have given the same to men. This was a fork in the road. But there was no way I was going to avoid the painful path to get closer to my daughters, and inadvertently closer to myself.</p>
<p>So I began my emancipation. I used be minister of foreign affairs (garden, garbage, garage). Now my portfolio expanded to home affairs, ironically sometimes “foreign” to me. I burnt the wok, ruined “hand wash only” garments, and bought the wrong sanitary pads. I felt like I was now jogging on one leg, from home to car to shop and kept telling myself: “Just do it!”</p>
<p>Paradoxically, when I failed, when I felt weakest, I actually became my strongest. Something dormant within had awoken: the capacity to do anything and the plasticity of the brain to adapt.</p>
<p>Like Uncle Martin (from US sitcom My Favourite Martian), I raised my antenna to full length to tune in to the rhythms and language of my daughters. For every “but you don’t understand …,” I responded “then <em>make</em> me understand!”</p>
<p>Fast forward 12 years, and I realise that they made me understand my capacity to embrace full parenthood – not just fatherhood or motherhood.</p>
<p>I swung my metaphoric sledge hammer to the rusty shackles around my ankles that defined masculinity – shackles that were more than a gender prism. They were a gender prison.</p>
<p>Nine months ago, I penned a frivolous column on my emancipation, egging on my “fellow man” to embrace his inner self (not his feminine self). Today, my book What My Daughters Taught Me is born to tell the tale in all its gory glory.</p>
<p>Some women I know vow to pass this book to their husbands “in case anything should happen to me, and he needs to look after our children”. But why wait until a tragedy dictates a steep learning curve? Why not enjoy the full fruits of parenting today?</p>
<p>When we talk about the crisis of masculinity that defines many of our debates around domestic violence or marriage equality, we ought look beyond gender to the bigger picture: the crisis of personality. </p>
<p>Boys need to be raised in a culture that expands their social vocabulary, where emotions are expressed rather than suppressed.</p>
<p>In their book Man (Dis)connected: How Technology Has Sabotaged What it Means to be Male, Philip Zimbardo and Nikita D. Coulombe explore the “modern meltdown of manhood” which they attribute to absent fathers and the male addiction to screen gadgets. They argue that this trend towards “extreme escapism” has led to socially stunted males who glean fulfilment from the virtual world rather than the real one.</p>
<p>My children’s development wasn’t determined by the gender of their single parent, but by the quality of our love. Deep within, we’re soft-wired by nurture, not hard-wired by nature, to be affectionate, to tell bedtime stories, to help with school assignments, to hold our children’s hands when they are sleepless and sick.</p>
<p>Men need not be relegated to the one with the wallet and car keys. Their definition of manhood and strength need not be a stubborn word that will not be broken, and a similarly stubborn reluctance to say sorry. </p>
<p>On the contrary, such “strengths” are often the cracks of fear. True strength is the capacity to adapt, to flex rather than break in the face of a cyclone like cancer. True strength is the capacity to speak and listen to the many languages of silence, of touch, of facial expression. </p>
<p>When I was a social worker, many male clients would tell me, “I love my children, but it comes out all wrong!” Their fear and over-protectiveness comes out as anger and distrust.</p>
<p>Many females believe their father is a benchmark for their future partner, for better or worse. My daughters remind me of little things I have said or done that are etched in their memory but erased from mine. What they chose to internalise may be different to what we amplify or repeat.</p>
<p>While my choices resulted from circumstance, now I wish I’d made the choice to remove my shackles long before.</p>
<p><em>Joseph Wakim is the author of <a href="https://www.allenandunwin.com/browse/books/general-books/biography-autobiography/What-My-Daughters-Taught-Me-Joseph-Wakim-9781760113926" data-link-name="in body link" data-component="in-body-link" class=" u-underline">What My Daughters Taught Me</a>, published by Allen &amp; Unwin, RRP $32.99, on sale now.</em></p>
