title: More than 9 million broken links on Wikipedia are now rescued
url: https://blog.archive.org/2018/10/01/more-than-9-million-broken-links-on-wikipedia-are-now-rescued/
hash_url: adcc9f7650ed8a95618998e6d68650b5

<p>As part of the Internet Archive’s aim to <a href="http://blog.archive.org/2018/09/20/lets-celebrate-building-a-better-web/">build a better Web</a>, we have been working to make the Web more reliable — and are pleased to announce that 9 million formerly broken links on Wikipedia now work because they go to archived versions in the Wayback Machine.</p>
<p><img class="alignnone size-full wp-image-17067" src="https://blog.archive.org/wp-content/uploads/2018/10/Mosaic-slide.png" alt="" srcset="https://blog.archive.org/wp-content/uploads/2018/10/Mosaic-slide.png 960w, https://blog.archive.org/wp-content/uploads/2018/10/Mosaic-slide-300x169.png 300w, https://blog.archive.org/wp-content/uploads/2018/10/Mosaic-slide-768x432.png 768w" sizes="(max-width: 960px) 100vw, 960px"/><em>22 Wikipedia Language Editions with more than 9 million links now pointing to the Wayback Machine.</em></p>
<p>For more than 5 years, the Internet Archive has been archiving nearly every URL referenced in close to 300 wikipedia sites as soon as those links are added or changed at the rate of about 20 million URLs/week.</p>
<p>And for the past 3 years, we have been running a software robot called <a href="https://meta.wikimedia.org/wiki/InternetArchiveBot">IABot</a> on 22 Wikipedia language editions looking for broken links (URLs that return a ‘<a href="https://en.wikipedia.org/wiki/HTTP_404">404</a>’, or ‘Page Not Found’). When broken links are discovered, IABot searches for archives in the Wayback Machine and other web archives to replace them with. Restoring links ensures Wikipedia remains accurate and verifiable and thus meets one of Wikipedia’s three core content policies: ‘<a href="https://en.wikipedia.org/wiki/Wikipedia:Core_content_policies">Verifiability</a>’.</p>
<p>To date we have successfully used IABot to edit and “fix” the URLs of nearly 6 million external references that would have otherwise returned a 404. In addition, members of the Wikipedia community have fixed more than 3 million links individually. Now more than 9 million URLs, on 22 Wikipedia sites, point to archived resources from the Wayback Machine and other web archive providers.</p>
<p> </p>
<p><a href="http://blog.archive.org/wp-content/uploads/2018/09/before-1.png"><img class="wp-image-17047 alignleft" src="https://blog.archive.org/wp-content/uploads/2018/09/before-1.png" alt="" srcset="https://blog.archive.org/wp-content/uploads/2018/09/before-1.png 1343w, https://blog.archive.org/wp-content/uploads/2018/09/before-1-300x136.png 300w, https://blog.archive.org/wp-content/uploads/2018/09/before-1-768x348.png 768w, https://blog.archive.org/wp-content/uploads/2018/09/before-1-1024x464.png 1024w" sizes="(max-width: 302px) 100vw, 302px"/></a><a href="http://blog.archive.org/wp-content/uploads/2018/09/after.png"><img class="alignnone wp-image-17046" src="https://blog.archive.org/wp-content/uploads/2018/09/after.png" alt="" srcset="https://blog.archive.org/wp-content/uploads/2018/09/after.png 1345w, https://blog.archive.org/wp-content/uploads/2018/09/after-300x140.png 300w, https://blog.archive.org/wp-content/uploads/2018/09/after-768x359.png 768w, https://blog.archive.org/wp-content/uploads/2018/09/after-1024x479.png 1024w" sizes="(max-width: 304px) 100vw, 304px"/> </a></p>
<p><strong>                   (Broken Link)                                                      (Rescued Page)</strong></p>
<p>One way to measure the real-world benefit of this work is by counting the number of click-throughs from Wikipedia to the Wayback Machine. During a recent 10-day period, the Wikimedia Foundation started measuring external link click-throughs, as part of a <a href="https://meta.wikimedia.org/wiki/Research:Characterizing_Wikipedia_Citation_Usage">new research project</a> (in collaboration with a team of researchers at Stanford and EPFL) to study how Wikipedia readers use citations and external links. <a href="https://meta.wikimedia.org/wiki/Research:Characterizing_Wikipedia_Citation_Usage/First_Round_of_Analysis">Preliminary results</a> suggest that, by far, the most popular external destination was the Wayback Machine, three times the next most popular site, books.google.com. In real numbers, on average, more than 25,000 clicks/day were made from the English Wikipedia to the Wayback Machine.</p>
<p><a href="http://blog.archive.org/wp-content/uploads/2018/09/Wikipedia_To_Wayback_Machine.jpg"><img class="alignnone size-full wp-image-17037" src="https://blog.archive.org/wp-content/uploads/2018/09/Wikipedia_To_Wayback_Machine.jpg" alt="" srcset="https://blog.archive.org/wp-content/uploads/2018/09/Wikipedia_To_Wayback_Machine.jpg 800w, https://blog.archive.org/wp-content/uploads/2018/09/Wikipedia_To_Wayback_Machine-300x200.jpg 300w, https://blog.archive.org/wp-content/uploads/2018/09/Wikipedia_To_Wayback_Machine-768x512.jpg 768w" sizes="(max-width: 800px) 100vw, 800px"/></a></p>
<p>From “<a href="https://meta.wikimedia.org/wiki/Research:Characterizing_Wikipedia_Citation_Usage/First_Round_of_Analysis">Research:Characterizing Wikipedia Citation Usage/First Round of Analysis</a>”</p>
<p>Running IABot on a given Wikipedia site requires both technical integration and operations support as well as the approval of each related Wikipedia community. Two key people have worked on this project.</p>
<p><strong>Maximilian Doerr</strong>, known in the Wikipedia world as “Cyberpower”, is a long time volunteer with the Wikipedia community and now a consultant to the Internet Archive. He is the author of the InternetArchiveBot (<a href="https://meta.wikimedia.org/wiki/InternetArchiveBot">IABot</a>) software.</p>
<p><strong>Stephen Balbach</strong> is a long time volunteer with the Wikipedia community who collaborates with Max and the Internet Archive. He has authored programs that find and fix data errors, verifies existing archives on Wikipedia, and discovers new archives amongst Wayback’s billions of pages and across dozens of other web archive providers.</p>
<p>The number of rescued links, and the quality of the edits, is the result of Max and Stephen’s dedicated, creative and patient work.</p>
<p><strong>What have we learned?</strong></p>
<p>We learned that links to resources on the live web are fragile and not a persistently reliable way to refer to those resources. See “<a href="https://www.theatlantic.com/technology/archive/2013/09/49-of-the-links-cited-in-supreme-court-decisions-are-broken/279901/">49% of the Links Cited in Supreme Court Decisions Are Broken</a>”, The Atlantic, 2013.</p>
<p>We learned that archiving live-web linked resources, as close to the time they are linked, is required to ensure we capture those links before they go bad.</p>
<p>We learned that the issue of “link rot” (when once-good links return a 404, 500 or other complete failure) is only part of the problem, and that “content drift” (when the content related to a URL changes over time) is also a concern. In fact, “content drift” may be a bigger problem for reliably using external resources because there is no way for the user to know the content they are looking at is not the same as the editor had originally intended.</p>
<p>We learned that by working in collaboration with staff members of the Wikimedia Foundation, volunteers from the Wikipedia communities, paid contractors and the archived resources of the Wayback Machine and other web archives, we can have a material impact on the quality and reliability of Wikipedia sites and in so doing support our mission of “helping to make the web more useful and reliable”.</p>
<p><strong>What is next?</strong></p>
<p>We will expand our efforts to check and edit more Wikipedia sites and increase the speed which we scan those sites and fix broken links.</p>
<p>We will improve our processes to archive externally referenced resources by taking advantage of the Wikimedia Foundation’s new “<a href="https://wikitech.wikimedia.org/wiki/EventStreams">EventStreams</a>” web service.</p>
<p>We will explore how we might expand our link checking and fixing efforts to other media and formats, including more web pages, digital books and academic papers.</p>
<p>We will investigate and experiment with methods to support authors and editors use of archived resources (e.g. using Wayback Machine links in place of live-web links).</p>
<p>We will continue to work with the Wikimedia Foundation, and the Wikipedia communities world-wide, to advance tools and services to promote and support the use of persistently available and reliable links to externally referenced resources.</p>
