title: Models for decision and action
url: https://lucascherkewski.com/hit-and-miss/108-models-decisions-action/
hash_url: d0f1b7574e318f33044475fc134acc1b

<p>How do we organize to take decisions and act on the results? Thinking here of processes that often—but not always—produce some <em>thing</em> as a result.</p>

<p>Two familiar approaches from work are project and product management. Sometimes their differences aren’t clear. It can be hard for folks familiar with one to understand the other, similar in label but different in substance.</p>

<p>When explaining product management, some of my go-to clarifications emphasize its ongoing nature, prioritizing people over processes and constantly delivering value. (Unsurprisingly, <a href="http://agilemanifesto.org/">these echo core principles from the Agile Manifesto</a>. We might say they reflect a broader “delivery” ethos, but let’s leave that aside for today.)</p>

<p>But maybe it’s useful to ground this comparison in more powerful metaphors. In <em>The Real World of Technology</em>, Ursula Franklin describes two models of action, production and growth. I’ll quote her next, but there’s more nuance than I can capture here. I put up <a href="https://lucascherkewski.com/study/franklin-production-growth/">more excerpts if you have the time</a>. Over to you, Ursula:</p>

<blockquote>
  <p>Growth occurs; it is not made. Within a growth model, all that human intervention can do is to discover the best conditions for growth and then try to meet them. (20)</p>
</blockquote>

<blockquote>
  <p>A production model is different in kind. Here things are not grown but made, and made under conditions that are, at least in principle, entirely controllable. If in practice such control is not complete or completely successful, then there is an assumption, implicit in the model itself, that improvements in knowledge, design, and organization can occur so that all essential parameters will become controllable. Production, then, is predictable, while growth is not. There is something comforting in a production model—everything seems in hand, nothing is left to chance—while growth is always chancy. (20–21)</p>
</blockquote>

<blockquote>
  <p>The real world of technology seems to involve an inherent trust in machines and devices (“production is under control”) and a basic apprehension of people (“growth is chancy, one can never be sure of the outcomes”). (25)</p>
</blockquote>

<p>These models, to me, distinguish project and product management. One adopts a production model—like an industrial assembly line. The other embodies a growth model—learning (I think) from agrarian cultivation.</p>

<p><em>The production model.</em> Project management repurposes the industrial assembly line. You move from start to finish—at the end, you’re done and the thing is built. If issues occur with the result, you re-apply the process.</p>

<p><em>The growth model.</em> Product management, on the other hand, borrows from agrarian cultivation (thinking here of the tradition described by Wendell Berry, Aldo Leopold, and so on). Work follows a regular rhythm, continuously progressing toward “done” before starting again—delivering value all along the way. As long as the problem exists, you don’t walk away: you attend to issues when they crop up, addressing your problem in ever better ways.</p>

<p>(An aside: it’s telling that, when enterprise-y tools fail, people develop “hacky” workarounds. This is the growth model responding to the standardized output of the production process—the output doesn’t necessarily account for context, so people hack it to suit their life.)</p>

<p>(Caveats: neither project nor product management is inherently as I describe. My description of project management draws from what I’ve seen of it in practice. My description of product management reflects a particular flavour that I admire.)</p>

<p>Under whatever label they happen, I think our processes can learn much from Franklin’s growth model. Consider especially its relationship to planning:</p>

<blockquote>
  <p>I was stunned by the degree of randomness that this event [the birth of a child] created in my life. It took me a while to understand that it was pointless to plan my days the way I used to. This did not mean that I didn’t plan or prearrange, but that I needed different schemes to deal with the unplannable.</p>

  <p>Women in particular have developed such schemes over the centuries—arrangements that are not a surrender to randomness, but an allotment of time and resources based on situational judgements. … What makes them so different is that holistic strategies are, more often than not, intended to minimize disaster rather than to maximize gain. (80)</p>
</blockquote>

<p>Our processes ought to emphasize ongoing attention and care, recognize and respect the importance of all people involved, and attend carefully to ever-changing context. We risk fooling ourselves if we treat any of these—time, people, and context—as external to our work. They <em>are</em> the work—of decision and action, at least.</p>

<p>Apologies that we’re running a bit longer than usual, but I hope it’s a useful reflection. Where might we incorporate the principles of growth—and, given our current context, sustainable growth—into our approach? It’s on my mind, and would love to hear whether it’s on yours. All the best for the week ahead.</p>
