title: Ethics
url: http://inessential.com/2015/02/26/ethics
hash_url: ec3364258ad342d848e663006ad1f4e2

<p>Were software engineer a profession like doctor or lawyer, we’d have a strong and binding set of ethics.</p>

<p>I note that the ACM publishes a <a href="http://www.acm.org/about/se-code">code of ethics</a>. Here’s the first one:</p>

<blockquote><ol>
<li>PUBLIC - Software engineers shall act consistently with the public interest.</li>
</ol>
</blockquote>

<p>Nowhere in the short list, or in the elaboration below, are the words “spy” or “monitor.” You could argue that you don’t need to call out those, because acting “consistently with the public interest” is enough.</p>

<p>But I think we’re at the point — between the NSA, draconian workplace monitoring systems, social network data collection, and <a href="https://www.eff.org/deeplinks/2015/02/further-evidence-lenovo-breaking-https-security-its-laptops">malware</a> — that calling out spying and monitoring specifically as unethical is warranted.</p>

<p>After all, you can argue that spying is necessary for national security, which is clearly in the public interest. And you can argue that workplace monitoring is either neutral (employers are within their rights to know what employees are doing with what resources) or a public good (more productivity is good for the economy).</p>

<p>But these are wrong.</p>

<p>Defining the lines gets interesting, though. Lots of apps collect crash logs and transmit them to the developers. Presumably there is some place where the user agreed to this collection. But is this <em>monitoring</em>? No. But defining things so that we can tell the difference, and so that the definition can handle scenarios not yet invented, could be tricky.</p>

<p>(Consent isn’t always enough. You may have to consent to workplace monitoring as a condition of employment. This isn’t, in many cases, a fair situation — not when you need a job to pay the bills.)</p>

<p>Another case: is it wrong to write code to spy on people who are actively planning to kill other people? Eeeesh. I would think not. But then how does the engineer assure that this is the <em>only</em> way that code would be used?</p>

<p>Assuming we could define things — a big assumption — then the value to society would be this: engineers would have the support of society when they refuse to do something that’s wrong. Right now they just lose their jobs.</p>

<p>But imagine if they could say, “No. I won’t. That violates the software engineering code of ethics,” and it would have the same weight as a doctor or lawyer refusing to act unethically.</p>

<p>And imagine if there were consequences when they didn’t refuse.</p>
