title: Look and Feel and Feel
url: https://signalvnoise.com/posts/3868-look-and-feel-and-feel
hash_url: ec7f032caf397c32e4e34a0a2f439e03

<p>Designers often talk about the look and feel of a product, an app, an object, etc. These are good concepts to be talking about, but how the <strong>thing</strong> feels isn’t really the important feel. The important feel is how it makes <strong>you</strong> feel. That feeling isn’t usually covered by look and feel discussions.</p>


<p>This has recently come into focus for me. The trigger? Instagram.</p>


<p>I’ve been on Twitter (<a href="http://twitter.com/jasonfried">@jasonfried</a>) for years. Since I don’t have a Facebook account, Twitter has been my only social networking outlet. I mostly use it for sharing novel or interesting things I’ve seen or read, the occasional quote, or a point of view, perspective, or epiphany about something business related.</p>


<p>I follow just under 200 people. Some of them I know personally, others I’ve never met, some are brands, some are individuals, some are because of hobbies or special interests, some are dead serious, others funny or silly. It’s a healthy mix, and I try to pay attention to everything that shows up in my feed.</p>


<p>Twitter’s an amazing thing, no question. I think it’s one of the most important products ever, and it’s absolutely changed the way ideas, news, insights, complaints, and casual communications happen.</p>


<p>A few months ago I signed up for Instagram (<a href="http://instagram.com/jason.fried">@jason.fried</a>). I started following a few people – some of the same people I follow on Twitter. Almost immediately I felt something – I felt good! Instagram makes me feel good. I enjoy thumbing through Instagram.</p>


<p>Since then, every time I’ve gone back to Twitter, I’ve noticed I’ve felt anxious, unhappy, uncomfortable. I didn’t notice this before I started using Instagram, because I didn’t have anything to contrast it with. It was just the way it was, and I didn’t think much about how it made me feel.</p>


<p>Every scroll through Twitter puts at least one person’s bad day, shitty experience, or moment of snark in front of me. These are good happy people – I know many of them in real life – but for whatever reason, Twitter is the place they let their shit loose. And while it’s easy to do, it’s not comfortable to be around. I don’t enjoy it.</p>


<p>Every scroll through Instagram puts someone’s good day in front of me. A vacation picture, something new they got that they love, pictures of nature, pictures of people they love, places they’ve been, and stuff they want to cheer about. It’s just flat out harder to be negative when sharing a picture. This isn’t a small thing – it’s a very big deal. I feel good when I browse Instagram. That’s the feel that matters.</p>


<p>So now I have a choice… When I have a few minutes to kill, and my phone is in front of me, I almost always reach for Instagram. I never regret it. I come away feeling the same or better. When I occasionally reach for Twitter, I discover someone’s pissed about something. I often come away feeling worse, feeling anxious, or just generally not feeling great about the world. Twitter actually gives me a negative impression of my friends. I know it’s not Twitter doing it, but it’s happening on Twitter. that’s how Twitter <strong>feels</strong> to me.</p>


<p>None of this has anything to do with how the apps look or feel. It’s not the buttons, it’s not the animations, it’s not the interface or visual design. It’s not the colors, it’s not the font, it’s not the transitions. It’s how using the apps make me feel before, during, and after. The sense of anticipation (am I about to see something wonderful vs. am I about to get a dose of someone’s bad day?), the things I experience as I scroll through (a butterfly vs. an injustice), and how I feel once I’m done (that was nice vs. fuck that – ugh).</p>


<p>The Twitter vs. Instagram experience is really reinforcing what matters when designing a product. What kind of behavior can we encourage? What kind of moments can we create for people? What do people anticipate before they use something? How does it leave them feeling when they’re done? These are now some of the most important questions for me when working on a design.</p>


<p><span class="caps">BTW</span>: You can follow me on Twitter at <a href="http://twitter.com/jasonfried">@jasonfried</a> or on Instagram at <a href="http://instagram.com/jason.fried">@jason.fried</a>. I promise to keep both positive.</p>
