title: A la croisée des économies collaboratives
url: http://www.internetactu.net/2016/05/27/a-la-croisee-des-economies-collaboratives/
hash_url: 104a7219b1181ceada90c1658b43f201

<p>Nous l’avons déjà plusieurs fois souligné (voir notre dossier, <a href="http://www.internetactu.net/2014/07/08/quest-ce-que-leconomie-du-partage-partage-13-la-professionnalisation-de-nos-rapports-sociaux/">Qu’est-ce que l’économie du partage partage ?</a>), l’économie collaborative est un terme polysémique. Ceux qui s’en revendiquent ne mettent pas toujours la même chose derrière ce terme. Entre la vision qu’instruit Uber, la société du très libéral Travis Kalanick, et les villes en transition de Rob Hopkins, on voit bien que sous un même vocable on parle de choses irréconciliables. </p>
<p>C’est en cela qu’il fallait entendre le constat dépité d’Arthur de Grave, rédacteur en chef de Ouishare Magazine, <a href="http://magazine.ouishare.net/fr/2016/02/leconomie-collaborative-cest-fini/">“L’économie collaborative, c’est fini</a>” comme la thématique de cette <a href="http://ouisharefest.com/">4e édition du festival de l’économie collaborative</a> : <a href="http://magazine.ouishare.net/fr/2015/12/after-the-gold-rush-la-ruee-vers-lor-et-apres/">“après la ruée vers l’or”</a>.</p>
<h3>L’économie collaborative : une autre forme d’innovation ?</h3>
<p>Par nature, la collaboration suppose donc une forme d’innovation, d’organisation, différente, qui ne repose ni sur la hiérarchie ni sur la compétition, et qui met en tension la question de l’organisation du travail elle-même.</p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/nwsiliconvalleyfathers.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/nwsiliconvalleyfathers.jpg" alt="nwsiliconvalleyfathers" hspace="6" vspace="6" align="right"/></a>C’est en cela qu’il fallait entendre par exemple l’intervention de la multi-entrepreneuse <a href="http://nilofermerchant.com/">Nilofer Merchant</a> (<a href="https://twitter.com/nilofer">@nilofer</a>), spécialiste de l’innovation collaborative, venue faire son show sur la scène de la dernière édition du Ouishare Festival. Pour elle, la Silicon Valley n’est pas un modèle pour l’économie collaborative. La Silicon Valley nous vend des mythes (“pour ne pas dire des mensonges”) et une vision de la société incarnée par des héros, par des hommes blancs, une religion, qui vénère l’innovation et la technologie pour elles-mêmes… A l’image <a href="http://www.newsweek.com/silicon-valley-microchip-modern-technology-437992">des pères de l’innovation que vantait <i>Newsweek</i> récemment</a>. </p>
<p>Mais la réalité n’est pas celle-ci, rappelle Nilofer Merchant. Pour elle, qui a discuté avec beaucoup d’entrepreneurs, tous racontent une histoire bien différente. Tous ont commencé quelque chose à côté de leur activité, quelque chose proche de la passion et qu’ils ne pensaient pas pouvoir développer. Si on entend ce constat, cela implique qu’il faut chercher l’idée qui nous importe et non pas celle qui rapporte. Les idées originales ne commencent pas grandes, elles le deviennent parfois. </p>
<p>Le second mythe que colporte la Silicon Valley, c’est celui des héros, de ces hommes blancs qui font l’innovation… Nul ne parle pas des gens, et notamment des femmes, qui font avancer ces entreprises. Le souvenir que Nilofer Merchant a d’Apple où elle a longtemps travaillé, c’est celle de femmes qui travaillaient aux côtés et à égalité d’implication des hommes que l’histoire a retenus (voir notamment <a href="http://www.macg.co/aapl/2015/03/les-femmes-qui-ont-faconne-apple-87693">cet article sur les femmes qui ont façonné Apple</a>). En fait, les idées proviennent parfois de vous, mais elles ne se développent qu’avec la puissance du “nous”. L’innovation ne serait rien sans la confiance dans les autres, dans les équipes qui la façonnent. Pour le dire autrement, <a href="http://www.internetactu.net/2015/09/21/avons-nous-besoin-de-gourous/">les gourous de la Valley n’aident pas à comprendre la nature collaborative de l’innovation</a>. </p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/niloferosfest.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/niloferosfest.jpg" alt="niloferosfest"/></a><br/>
<i>Image : Nilofer Merchant sur la scène du Cabaret Sauvage, <a href="https://twitter.com/MyriamBlondy/status/733204365109022723">photographiée par Myriam Blondy</a>.</i></p>
<p>Le 3e mythe que produit la Silicon Valley consiste à nous faire croire que certaines personnes ont inventé l’internet. Que comme c’est eux qui font l’innovation, ils devraient pouvoir en retirer tous les bénéfices. Pourtant, le développement de ces technologies n’a été possible que <a href="http://www.internetactu.net/2015/01/13/construire-letat-innovant/">grâce à l’argent du gouvernement</a>. La Valley peut chercher à ignorer les autres autour d’elle, comme elle cherche à échapper à l’imposition, refusant de voir les conséquences de leur politique qui couvre San Francisco de SDF, à l’image de l’entrepreneur Justin Keller <a href="https://www.theguardian.com/technology/2016/feb/17/san-francisco-tech-open-letter-i-dont-want-to-see-homeless-riff-raff">qui se plaignait récemment au maire de San Francisco</a> de l’explosion des SDF qui lui imposaient une pauvreté qu’il ne souhaitait pas voir. </p>
<p>Pour Nilofer Merchant, l’innovation se fait au pluriel. Les innovateurs doivent apprendre à dire “nous plus que moi”. Si on accepte ce que la Silicon Valley nous propose, nul ne parviendra à profiter de la force de la collaboration. L’économie collaborative doit trouver une manière d’être différente de son modèle. Elle doit inventer un futur plus prospère pour tous, pas plus riche pour certains. Un futur qui nous nourrisse tous et chacun. En groupe. Un futur qui profite à tous. <i>“Cocréons un futur ensemble qui soit plus prospère pour tous, qui serve la société plutôt que la bloquer”</i>. La voie tracée par la Silicon Valley ne mène à aucune issue. </p>
<p><i>“Que signifie cet “après la ruée vers l’or” ?”</i>, nous a lancé le designer milanais  Ezio Manzini, responsable du réseau d’innovation social et durable <a href="http://www.desis-network.org/">Desis</a> (<a href="http://www.internetactu.net/2010/06/23/voyage-dans-linnovation-sociale-scandinave-33-de-la-micro-experimentation-a-la-macro-transformation/">que nous avions croisé il y a quelques années déjà</a>). Signifie-t-elle que nous sommes entrés dans la phase de normalisation qui suit la disruption ? </p>
<p><i>“La normalité n’est pas si mal, elle signifie surtout que votre idée est bien plus partagée qu’avant”</i>, sourit Ezio Manzini. La crise migratoire que connaît le continent européen montre une fragilité de notre société, une justice déséquilibrée qui ravivent les questions d’inclusion et de collaboration. Seul le mouvement collaboratif peut initier et soutenir la construction d’une narration vers une nouvelle dynamique européenne ouverte. Reste à savoir quelle “disruptive normalité” l’économie collaborative construit-elle vraiment ?</p>
<p>Si elle ne propose que de renouveler les modèles néolibéraux, nous n’aurons pas beaucoup à y gagner, avance le designer. Il est évident que les nouvelles technologies, de Uber à Wikipédia, perturbent les pouvoirs en place. Mais quand elles passent de la perturbation à la normalité, comment s’assurer que les valeurs progressistes qui animaient la perturbation se réalisent dans la normalité ? </p>
<p>Trop souvent, le consumérisme de la société actuelle nous déqualifie dans nos comportements collaboratifs. Et le designer de prendre l’exemple des jardins communautaires. Ce sont des lieux pour travailler et créer du lien social. Les Amap, les marchés de producteurs locaux sont autant d’exemples permettant de contrer la libéralisation des marchés. Les jardins communautaires créent un équilibre entre les gens, leur permettant de développer une nouvelle vision de la ville, de se l’approprier. <i>“La notion de collaboration est très humaine. C’est une manière d’être en contact, de faire quelque chose ensemble et d’obtenir un résultat en partageant un langage commun”</i>.  Ce sont des gens normaux qui s’occupent de ces jardins, qui ne cherchent pas explicitement à contester le néolibéralisme et qui pourtant font une activité totalement en dehors de la logique économique dominante. Les jardins communautaires incarnent une sorte de <i>“puissante douceur du militantisme non combatif”</i>. </p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/manziniosfest.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/manziniosfest.jpg" alt="manziniosfest"/></a><br/>
<i>Image : Ezio Manzini au Ouishare Fest, <a href="https://twitter.com/Jormason/status/732841656844701696">photographié par Jörn Hendrik Ast</a>.</i> </p>
<p>La collaboration est le résultat d’une construction culturelle complexe, faite de confiance, de convivialité, d’attention mutuelle, d’empathie, d’objectifs communs… Elle produit des <i>“biens relationnels”</i> pour ne pas dire des biens communs. Pour Manzini, évaluer les entreprises de l’économie du partage consiste à mesurer si elles atténuent ou exacerbent la souffrance. Une entreprise de l’économie du partage répond certes à un besoin économique, mais doit offrir en retour des biens relationnels. Le jardin communautaire permet à la fois de nourrir sa famille, renforce la confiance et la résilience de voisinage. Les alternatives à Uber ou à Airbnb devraient pouvoir faire la même chose… </p>
<h3>Vers des organisations collaboratives ? Mais avec quelles valeurs ?</h3>
<p>Pour le consultant Lee Bryant (<a href="https://twitter.com/leebryant">@leebryant</a>) qui accompagne des entreprises dans leur transformation numérique sous des formes plus collaboratives via <a href="http://shiftbase.net/">Shiftbase</a> et <a href="http://postshift.com/">PostShift</a>, il est nécessaire de s’interroger sur la forme que vont prendre nos institutions à l’âge des algorithmes. Nous nous sommes organisés différemment selon les époques et chacune a codifié des valeurs dans des institutions qui ont permis à celles-ci d’être durables. Les bureaucraties ont été les plateformes de l’ère des Etats… tout comme la BBC aujourd’hui est la gardienne de valeurs qui protègent la diffusion d’émissions publiques en Angleterre. On peut critiquer les institutions, mais elles ont permis de protéger leurs écosystèmes et de créer de la confiance. </p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/bryantosfest.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/bryantosfest.jpg" alt="bryantosfest"/></a><br/>
<i>Image : Lee Bryant sur la scène du cabaret sauvage, <a href="https://twitter.com/TaylorKeisha/status/732848554318909440">photographié par Keisha C Taylor</a>.</i></p>
<p>Pour Lee Bryant, le problème est que le XXe siècle a créé des entreprises très verticales qui, dans leurs structures mêmes, ont empêché toute évolution. Si les organisations d’aujourd’hui sont incarnées par les startups, il faut néanmoins se poser la question de leur pérennité. Or, les startups ont pour but d’être rachetées ou de mourir. <i>“Ce ne sont rien d’autre que des produits financiers”</i>. </p>
<p>L’avenir des organisations au XXIe siècle n’est pas celui-là explique Bryant. L’avenir des entreprises est d’être en réseau, de proposer des services en pair à pair, d’être des plateformes distribuées et autogérées. La nature change plus lentement que la culture, la gouvernance ou la technologie. Les entreprises connectées sont appelées à être agiles, “glocales”, basées sur l’humain… Les institutions de demain doivent devenir des systèmes vivants. Elles doivent se penser comme des systèmes d’exploitation avec lesquels les gens peuvent contribuer…  Elles doivent coder leurs valeurs dans leur mode d’organisation même. </p>
<p>Reste à savoir comment. Dans cette présentation qui déroulait tous les mots clefs attendus… chacun pouvait surtout piocher ce qu’il voulait entendre, sans pour autant partager les mêmes valeurs. </p>
<p>Sur le comment, un autre intervenant était plus disert… en partant du même constat. Les institutions qui nous entourent – partis politiques, syndicats, institutions, entreprises, médias… – ont été conçues avant l’internet et sont de plus en plus déconnectées de nos réalités, explique le dynamique <a href="https://xdamman.com/">Xavier Damman</a> (<a href="https://twitter.com/xdamman">@xdamman</a>), le fondateur de <a href="https://storify.com/">Storify</a> (qu’il a revendu en 2013). Les gens qui travaillent dans ces organisations se sentent vivre eux-mêmes dans une bulle, en dehors de la réalité de ceux, de plus en plus nombreux, qui en sont exclus. Ces gens pensent savoir prendre les décisions pour notre avenir mieux que nous. Ils sont des experts, comme tout le monde l’est de l’éducation… avant d’avoir des enfants. </p>
<p>Pour Xavier Damman, les innovateurs doivent changer de tactique. Arrêter de se battre contre ces institutions. <i>“Elles épuisent notre énergie et ne méritent pas notre attention. Elles nous détournent de ce que nous devons faire, à savoir nous concentrer sur les changements à mettre en oeuvre”</i>. C’est ce qu’à essayé de faire le jeune entrepreneur en lançant son <a href="http://startupmanifesto.be/">manifeste des startups en Belgique</a> pour inviter les politiciens belges à mettre en place un environnement favorisant leur développement, notamment par la création d’un statut dédié. </p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/dammanosfest.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/dammanosfest.jpg" alt="dammanosfest"/></a><br/>
<i>Image : Xavier Damman sur la scène du Ouishare Fest, <a href="https://twitter.com/althecat/status/732852079744671744">photographié par Alastair Thompson</a>.</i></p>
<p>En développant ce groupe de lobbying pour l’entrepreneuriat, Damman s’est rendu compte  de la difficulté de trouver une structure pour l’organiser. Le statut d’association semblait inadapté à ceux qui se retrouvaient là, alors même que la structure avait besoin de fonds pour s’organiser et communiquer. Or, sans structure juridique, il est impossible de recevoir des fonds. En fait, estime Damman, dès que nous devons nous structurer, nous financer, nous sommes renvoyés à des formes d’organisation qui nous ramènent un siècle en arrière, et ce alors que ce peut-être pour une action très temporaire. Podemos l’a bien compris en ayant recours <a href="https://crowdfunding.podemos.info/">au financement participatif</a> pour financer sa campagne, ses projets, ses locaux de campagne. Pour Damman, la loi 1901 doit être mise à jour. Les associations de 2016 doivent être transparentes, ouvertes, fluides. C’est ce constat qui l’a amené à lancer <a href="https://opencollective.com/">Open Collective</a>, un outil pour aider au financement et à la transparence de nouvelles formes d’organisation. </p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/opencollective.png"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/opencollective-1024x503.png" alt="opencollective"/></a></p>
<p><a href="https://medium.com/open-collective/a-new-form-of-association-for-the-internet-generation-part-1-6d6c4f5dd27f#.h1juuhtwn">Dans deux articles qu’il consacre au sujet</a>, Xavier Damman va plus loin qu’il ne l’a fait sur scène. Il en appelle à l’émergence de services globaux cross-gouvernementaux, comme Uber ou Airbnb. Peu importe d’où vous les utilisez, ils fonctionnent partout et gèrent pour vous la complexité des règlementations et spécificités locales. Open Collective veut permettre de se soustraire à la complexité locale pour permettre aux organisations de se focaliser sur leur but premier… Pour Damman, la transparence des échanges est une voie de régulation dont il faut encore définir les contours… </p>
<h3>Vers des organisations sans aucune frontière ?</h3>
<p>Dans le rejet de toute régulation, certains vont plus loin encore. C’était le cas de la jeune hacktiviste et entrepreneuse Suzanne Tarkowski Tempelhof (<a href="https://twitter.com/SusanneOnline">@susanneonline</a>) de <a href="https://bitnation.co/">BitNation</a> (<a href="https://twitter.com/MyBitNation">@mybitnation</a>), “la pasionaria libertaire”, <a href="http://usbek-et-rica.fr/susanne-tarkowski-tempelhof-la-pasionaria-libertaire/">comme l’appelait très justement <i>Usbek &amp; Rica</i></a>.  La jeune femme, dans un one woman show fait uniquement de digressions, posait ni plus ni moins la question de l’utilité des gouvernements. Pour elle, <i>“si les contribuables paient les routes et les entrepreneurs les construisent, alors les gouvernements ne sont plus qu’un couteux intermédiaire”</i>. Les gouvernements ne sont qu’une matrice dans laquelle les citoyens ne cherchent qu’à accéder aux services. Et d’avancer avec le plus grand sérieux, sans rien pour étayer son propos, qu’une ville totalement gérée par des bénévoles peut très bien fonctionner. </p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/mybitnationosfest.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/mybitnationosfest.jpg" alt="mybitnationosfest"/></a><br/>
<i>Image : Suzanne Tarkowski Tempelhof <a href="https://twitter.com/FUTUREMAGde/status/732956410489757696">photographiée par FutureMag</a>.</i></p>
<p>Pour elle, <i>“la démocratie est une escroquerie”</i>. <i>“Ils parlent d’un contrat social ? Montrez-moi le contrat !”</i>, s’énervait-elle sur scène. </p>
<p>Pour dépasser le propos extrêmement libertarien de Suzanne Tarkowski Tempelhof, peut-être faut-il regarder plus avant ce que propose BitNation. Si l’on en croit son site internet, BitNation souhaite proposer sous forme numérique les mêmes services que ceux que proposent les gouvernements, mais via les protocoles décentralisés et autonomes <a href="http://www.internetactu.net/2016/02/17/blockchain-la-nouvelle-infrastructure-des-echanges/">de la blockchain</a>. </p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/bitnation.png"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/bitnation-1024x462.png" alt="bitnation"/></a></p>
<p>C’est justement ce qu’a mis en place Kaspar Korjus (<a href="https://twitter.com/kasparkorjus">@kasparkorjus</a>) qui lui succédait sur la scène du Ouishare Festival. Kaspar Korjus est le responsable du programme d’<a href="https://e-estonia.com/e-residents/about/">e-résidence lancé par l’Estonie</a> (<a href="https://twitter.com/e_Residents">@e_residents</a>). Dans le cadre du progamme de résidence électronique, Korjus a pour nom un numéro, un numéro qui lui ouvre de nouvelles opportunités. En voyage en Europe depuis 2 mois pour promouvoir le service, Kaspar a pu, grâce à ce numéro, recevoir de son médecin une ordonnance pour un médicament contre les allergies ou déclarer ses impôts. Ce numéro permet également d’ouvrir un commerce ou une entreprise. </p>
<p>Ce programme initié depuis 2002 et actif depuis 18 mois permet à chacun de devenir un résident électronique de l’Estonie. Cette idée, lancée un peu comme une boutade, a suscité beaucoup d’intérêt. Pour 100 euros et un formulaire à remplir, vous pouvez obtenir une carte de résident à retirer dans une des principales ambassades d’Estonie. Pour nous expliquer ce que permet cette <i>“clef privée”</i>, Kaspar Korjus nous montre des utilisateurs, comme Stanislas, un artiste peintre ukrainien qui a utilisé le service pour créer son entreprise et accéder à des services financiers pour vendre ses peintures depuis l’Ukraine. </p>
<p><a href="http://www.internetactu.net/wp-content/uploads/2016/05/kasparosfest.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2016/05/kasparosfest.jpg" alt="kasparosfest"/></a><br/>
<i>Image : Kaspar Korjus, <a href="https://twitter.com/kirilind/status/732949447521488896">photographié par Auli Kütt</a>.</i></p>
<p>Aujourd’hui, des milliards de personnes sont exclues des services financiers. Ce que permet le programme estonien c’est que chacun participe de l’économie mondiale. En quelques mois, le service a été adopté par 10 000 personnes provenant de 127 pays différents et qui ont ouvert un millier d’entreprise en Estonie. A partir de juillet, ils pourront ouvrir des comptes en banque en ligne directement et accéder à de nombreux nouveaux services. </p>
<p>Depuis le lancement, l’équipe en charge du projet cherche à être le plus transparent possible. Les entreprises créées paient des impôts dans leur pays d’origine et les banques estoniennes offrent des services, leur permettant notamment d’accéder à des services européens comme à PayPal qui nécessite d’avoir une adresse européenne pour être utilisé en Europe. </p>
<p>La prochaine étape consiste à ouvrir l’Estonie aux développeurs, notamment en permettant au programme de développer des API permettant de faciliter l’authentification, les déclarations d’impôts, la signature numérique… </p>
<p>Ces projets montrent bien en tout cas jusqu’où peut aller l’économie collaborative… Elle peut-être bien plus qu’une nouvelle forme d’innovation. Dans ses formes les plus extrêmes, elle est une force de perturbation tellurique capable de remettre en question la façon même de faire société. Reste que, force est de constater que le Ouishare Fest, malgré ses annonces, a accueilli l’économie collaborative dans toute sa diversité… et donc dans toutes ses contradictions. </p>
<p>Pas sûr pourtant, comme ses organisateurs en faisaient le constat, que l’approche libertaire et individualiste et l’approche solidaire et progressiste aient encore beaucoup à se dire. </p>
<p>Hubert Guillaud</p>
