title: Et si nous fossilisions nos données ?
url: http://strabic.fr/Et-si-nous-fossilisions-nos-donnees
hash_url: 3643d0f4f2bd3ffca978f1f54f1f581c

<div class="chapo"><p>Que ce soit à la surface d’un disque dur ou dans la mémoire d’un serveur web, nos données semblent volatiles et désincarnées. Est-il possible d’imaginer des entités qui représentent ces données à la fois visuellement et de façon physique ? C’est à cette question que se sont attelés les participants du workshop proposé par <a href="http://www.stereolux.org" class="spip_out" rel="external">Stereolux</a> et mené par le <a href="http://www.chevalvert.fr" class="spip_out" rel="external">studio Chevalvert</a> en mars dernier.</p></div>


<p>Durant trois jours, les participants (des étudiants de DSAA en design graphique, des artistes, des designers) ont dû concevoir, développer et “fossiliser” un système graphique à partir de données issues de capteurs (son, chaleur, pouls, etc.) ou d’une source extérieure. Le passage entre le bit et l’atome peut s’apparenter au processus de fossilisation d’un organisme vivant. Cette empreinte matérielle témoigne de l’évolution d’un signe graphique au contact des capteurs et cela pour des centaines d’années.</p>
<p>La variété des projets présentés ci-dessous témoigne de la subjectivité de chaque participant face à ses données et son processus de fossilisation.</p>
<p><br class="autobr"/>
</p>

<p><span class="spip_document_6531 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-4_14.56.05.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6532 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-3_14.56.05.jpg" alt=""/></span></p>
<p>« L’idée initiale ne pouvant être réalisée pour des raison de sécurité (corrompre la surface d’un disque vinyle au moyen d’une gravure au laser), la proposition a ainsi changé de support passant du vinyle au plexiglas. J’ai repris la forme de la spirale pour représenter l’amplitude sonore d’un titre et la première découpe ratée a mis en évidence l’élasticité du matériau qui est alors exploitée pour mettre en volume l’ensemble des titres d’un album. »</p>
<p><br class="autobr"/>
</p>

<p><span class="spip_document_6552 spip_documents"><img src="http://strabic.fr/IMG/jpg/_1040482.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6536 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-36_14.56.05.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6533 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-37_14.56.05.jpg" alt=""/></span></p>
<p>« Pour mon projet, j’ai demandé à plusieurs participants du workshop de se soumettre à une série d’expérimentations liées à la mesure de leurs corps. Chaque expérimentation a eu lieu 10 fois. Les valeurs captées ont été représentées et superposées les unes sur les autres de manière à afficher une moyenne générale. Le premier test consistait à souffler le plus fort possible sur le capteur de flexion. Le second à pincer le capteur de pression entre son index et son pouce également le plus fort possible. Enfin, le dernier, à utiliser son souffle pour faire monter le plus haut possible le capteur d’humidité en 5 secondes. <br class="autobr"/>
Les résultats de ces expériences ont ensuite été fossilisés dans des paysages filaires grâce à des programmes très spécifiques sur du plexiglas opaque noir. Ils témoignent des capacités et des efforts fournis par ces personnes à un moment précis. Celui-ci est inscrit au bas de chaque fossile. »</p>
<p><br class="autobr"/>
</p>

<p><span class="spip_document_6537 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-26_14.56.05.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6553 spip_documents"><img src="http://strabic.fr/IMG/jpg/2016-04-18-1.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6554 spip_documents"><img src="http://strabic.fr/IMG/jpg/2016-04-18.jpg" alt=""/></span></p>
<p>« Dans un espace donné, les variations du son et de la lumière sont importantes. C’est ce que j’ai voulu montrer et tester durant ce workshop. Chaque élément représente une minute, la courbe simple la variation de la lumière et les ondulations le son. Ces modules nous présentent "la vie" sonore et lumineuse à un instant T du lieu. Découpés dans du plexiglas, ils permettent de jouer avec la lumière et de se superposer. Empilés, il reflètent une journée entière et donnent une idée globale de l’activité. Utiliser ce principe dans une rue, un quartier ou une ville pourrait donner des paysages de vie à contempler ou à interpréter. »</p>
<p><br class="autobr"/>
</p>

<p><span class="spip_document_6556 spip_documents"><img src="http://strabic.fr/IMG/jpg/p1130914.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6550 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-7_14.56.05.jpg" alt=""/></span></p>
<p>« <i>Jouer La Pluie</i> est un projet de data visualisation de la pluie dans l’estuaire de la Loire. Il propose de donner à l’objet numérique une nouvelle matière, via deux trames réalisées à partir de points et d’ellipses. Il s’agit de retrouver une matérialité, une sensualité dans la visualisation de ces données, non seulement dans la création d’un objet physique et, avant cela, à l’écran. »</p>
<p><br class="autobr"/>
</p>

<p><span class="spip_document_6557 spip_documents"><img src="http://strabic.fr/IMG/jpg/img_8751.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6540 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-40_14.56.05.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6541 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-41_14.56.05.jpg" alt=""/></span></p>
<p>« Ce projet découle d’une approche expérimentale de la matière, mêlant génération de motifs et impression laser. L’esthétique minérale de cette impression m’a menée à inventer une narration autour de l’évolution de la surface de l’Arctique en produisant plusieurs représentations de l’évolution de celle-ci entre 2006 et 2015. »</p>
<p><br class="autobr"/>
</p>

<p><span class="spip_document_6542 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-6_14.56.05.jpg" alt=""/></span></p>
<p>« J’ai cherché à créer une promenade dans la ville de Nantes où des symboles, de petits totems, viendraient indiquer un parcours à la manière des balises des sentiers de randonnée, des inukshuks ainsi que du travail de Mathieu Lehanneur, <a href="http://www.mathieulehanneur.fr/projet.php?projet=87" class="spip_out" rel="external"><i>l’Âge du monde</i></a>. Créer des représentations graphiques à partir de données de promeneurs (km, calories, temps de la promenade, géolocalisation, etc.). »</p>
<p><br class="autobr"/>
</p>
<div class="marginalia"> <div class="marginalia__body">
<p><span><strong>Andréa Dumont <br/>et Adam Duwyn</strong></span></p>
</div></div>
<p><span class="spip_document_6545 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-25_14.56.05.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6544 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-10_14.56.05.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6555 spip_documents"><img src="http://strabic.fr/IMG/jpg/ad_stereosignes_19.jpg" alt=""/></span></p>
<p>« Le Passage du Gois est une chaussée submersible située dans la baie de Bourgneuf. Il relie l’île de Noirmoutier au continent, en Vendée. Les horaires où le passage est possible, lorsque la marée est au plus bas, sont disponibles sur un site internet. Nous avons voulu donner à ces données – horaires de passage (jours et minutes) du Gois – une forme circulaire. La forme à l’intérieur du cercle est composée par les coefficients de marée correspondants aux dates données. La composition finale représente la data visualisation des horaires de passage possible lors du mois de mars. L’idée est de reproduire ce schéma sur les 12 mois de l’année. »</p>
<p><br class="autobr"/>
</p>
<div class="marginalia"> <div class="marginalia__body">
<p><span><strong>Estelle Joly et <br/>Anaëlle Couëllan</strong></span></p>
</div></div>
<p><span class="spip_document_6534 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-12_14.56.05.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6546 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-1_14.56.05.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6543 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-16_14.56.05.jpg" alt=""/></span></p>
<p>« Notre travail s’est focalisé sur le capteur de pression et l’influence des données récoltées sur la génération d’une forme. La transposition de la pression exercée par les doigts sur le capteur durant un court instant se matérialise par une série de strates graphiques. Une fois gravées, ces strates acquièrent des qualités tactiles, physiques et digitales (terme à comprendre ici dans sa définition anatomique, liée au doigt). »</p>
<p><br class="autobr"/>
</p>

<p><span class="spip_document_6547 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-18_14.56.05.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6549 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-23_14.56.05.jpg" alt=""/></span><br class="autobr"/>
<span class="spip_document_6548 spip_documents"><img src="http://strabic.fr/IMG/jpg/chevalvert-stereosignes-20_14.56.05.jpg" alt=""/></span></p>
<p>« Issu d’un précédent projet permettant de générer un motif, ce projet est le résultat d’un début de prototypage. Les données des capteurs influencent ici la géométrie des motifs. Un travail a été entrepris sur le rapport entre matière industrielle (plexiglas) et une matière organique (bois). »</p>
<p><br class="autobr"/>
</p>
