title: A Future with No Future: Depression, the Left, and the Politics of Mental Health
url: https://lareviewofbooks.org/article/future-no-future-depression-left-politics-mental-health/
hash_url: 2343cdf9e5f75cc6bfba098799f0f2fd

<p><em>[W]e find that we endogenously produce our incapacity to even try, grow sick and depressed and motionless under all the merciless and circulatory conditions of all the capitalist yes and just can’t, even if we thought we really wanted to.</em></p>
<p>— <em>Anne Boyer, </em>A Handbook of Disappointed Fate</p>
<p>¤</p>
<p>“HOW DO YOU throw a brick through the window of a bank if you can’t get out of bed?” This question, formulated by Johanna Hedva in “Sick Woman Theory,” has been with me for quite some time now. I haven’t been able to get it out of my head. Why? Because it points to a situation familiar to too many of us (but who is that “us”?): a situation characterized by despair and depression. A situation in which you really can’t get out of bed. This situation is also, in most cases, saturated by politics and by the economy. Contrary to mainstream psychological and psychiatric discourse the reason why you can’t get out of bed is not because you have a bad attitude, a negative mindset, or because you have somehow chosen your own unhappiness. Nor is it merely a matter of chemistry and biology, an imbalance in the brain, an unlucky genetic disposition, or low levels of serotonin. More often than not it is a matter of the world you live in, the work that you hate, or the job that you just lost, the debt that haunts your present from the future, or the fact that the planet’s future is going still faster and further down the drain.</p>
<p>This essay, then, is an attempt, based on a dissertation and some personal experience — I had a postpartum depression in 2013/2014 — to think about depression and politics; to think about the political economy and the psychopathologies of the present. It is animated by a <em>fact</em>, a <em>claim</em>, and a <em>call. </em>The fact first: as the Danish Mental Health Foundation makes clear, more and more people in Denmark are diagnosed with depression. At any given time, four to five percent of the population is depressed, or, more accurately, diagnosed as such. Indeed, according to the Danish Health Authority more than 450,000 Danes bought antidepressants in 2011, a figure which has almost doubled over the past decade. This tendency can be observed all over the Western world. The US National Institute of Mental Health estimates that 7.1 percent of the adult American population — 17.3 million people — suffers from depression. Other data suggest that depression affects one in every five Americans. These numbers have led the World Health Organization to conclude that depression is the most common mental disorder and the prime cause of disability and suicide, affecting around 350 million people worldwide. No wonder, then, that the global consumption of SSRI antidepressants has gone through the roof with sales now approaching $14 billion annually, according to the market research firm alliedmarketresearch.com, which also, in some very clumsy prose indeed, points out that “[t]here are many factors including genes, factors such as stress and brain chemistry that could lead to depression.”</p>
<p>The claim: Depression makes manifest the contemporary subject’s alienation, in its most extreme and pathological form. As such, the psychopathology needs to be related to a world of capitalist realism, where there really is no alternative, as Thatcher triumphantly declared, and the future seems frozen once and for all. The crisis embodied by depression thus becomes a symptom of a historical and capitalist crisis of futurity. It is a kind of structure of feeling, as Raymond Williams would say. Consequently, any cure to the problem of depression must take a collective, political form; instead of <em>individualizing</em> the problem of mental illness, it is imperative to start <em>problematizing</em> the individualization of mental illness. The call is for the left, for these specific reasons, to take seriously the question of illness and mental disorders. Dealing with depression — and other forms of psychopathology — is not only part of, but a <em>condition of possibility </em>for an emancipatory project today. Before we can throw bricks through windows, we need to be able to get out of bed.</p>
<p>¤</p>
<p>The best political thinker of depression remains the late Mark Fisher, who suffered from and in the end took his own life because of depression. His whole oeuvre is an ongoing meditation on depression as a personal experience <em>and </em>a social and political experience. In the book <em>Capitalist Realism </em>from 2009, he connected depression to what I have already referred to as capitalist realism, “the widespread sense that not only is capitalism the only viable political and economic system, but also that it is now impossible even to imagine a coherent alternative to it.” In this book, depression becomes a paradigm case of how capitalist realism operates, a symptom of our blocked and bleak historical situation. In the essay “The Privatisation of Stress” from 2011, later reprinted in <em>K-Punk: The Collected and Unpublished Writings of Mark Fisher (2004–2016</em>) from 2018, Fisher wrote that one difference between sadness and depression is that “while sadness apprehends itself as a contingent and temporary state of affairs, depression presents itself as necessary and interminable: the glacial surfaces of the depressive’s world extend to every conceivable horizon,” and because of that, because of that specific characteristic of depression, a strange resonance exists between “the seeming ‘realism’ of the depressive, with its radically lowered expectations, and capitalist realism.” And in the text <em>Good for Nothing </em>from 2014, Fisher stated that his depression always involved a deep and ineradicable conviction that he was literally good for nothing. He wrote that he offered up his own experiences of mental distress not because he thought there was anything special or unique about them, but “in support of the claim that many forms of depression are best understood — and best combatted — through frames that are impersonal and political rather than individual and ‘psychological.’” The importance of arriving at a political understanding of depression cannot be overstated. If the reader only takes one thing away from my text let it be this: depression has a set of causes and a concrete context that transcend any diagnostic manual, as well as the neoliberal ideology of focusing on subjects, not structures; personal responsibilities, not collective ones; chemistry, not capital.</p>
<p>However, to understand depression through political frames does not mean that the problem of depression can be immediately solved by political means. There is a horror to depression that cannot and must not be translated too quickly into the sphere of politics, regardless of our critical and revolutionary aspirations. As anyone who has been depressed — or been around someone who has — knows, it is literally hell on earth. The physical pain is unbearable, your body is inert and feels too heavy, your mind is not functioning, and you cannot escape the feeling of being stuck, stagnated, that the race is run and that the present — which is hell — is all there is and all that can ever be imagined to be. It would be an offense to say, well, it’s just politics. By the same token there is absolutely no need to romanticize what has become known as depressive realism, since that “realism” only runs in tandem with and supports the realism of capitalism: that there are no alternatives, that there really is nothing to be done about the current state of affairs. This is another thing to take away from this. Let’s also not forget that depression is the major contributor to suicide deaths, which number close to 800,000 per year according to a recent report from WHO.</p>
<p>A third and final thing to be considered here is that it is indeed difficult to write about depression. By this I do not only mean that it is difficult to write about your own depression; it is also just difficult to write about the immense suffering while at the same time finding a position in relation to depression or developing a discourse on depression that is not in itself utterly depressing. Not less so after Mark Fisher’s tragic death.</p>
<p>¤</p>
<p>We have a lot of facts about depression, but the facts do not speak for themselves. The sale of antidepressants does not correspond exactly to occurrences of depression, as SSRIs are not exclusively used for treating depression, but used to treat a range of other mental illnesses as well. The frequency of diagnoses does not necessarily mirror the frequency of depressions, and thus the increase in diagnoses could testify to a growing number of depressed people or to an escalating tendency to pathologize common, “normal” affects such as sadness, translating them into the diagnostic category of depression (the latest example of this tendency is the inclusion of grief in the new editions of diagnostic manuals such as the DSM and ICD). We also have to wonder, why does there seem to be so much comfort in psychiatric diagnoses? Because there <em>is</em> comfort in the diagnosis of depression. So that’s why I feel so bad! Depression! A chemical imbalance in the brain! In this way, the diagnosis provides momentary meaning to meaningless misery. The suffering gets a name and a cause: a lack of serotonin. But this cause has causes which in the diagnostic system — and in the capitalist world as a whole — remain undiagnosed and untold.</p>
<p>As Mark Fisher writes in <em>Capitalist Realism</em>:</p>
<p>It goes without saying that all mental illnesses are neurologically instantiated, but this says nothing about their causation. If it is true, for instance, that depression is constituted by low serotonin levels, what still needs to be explained is why particular individuals have low levels of serotonin. This requires a social and political explanation; and the task of repoliticizing mental illness is an urgent one if the left wants to challenge capitalist realism.</p>
<p>Before going into the <em>causality</em> of depression, however, let me first describe the <em>morality</em> that surrounds depression. Take, as an example, a <a href="http://www.actualized.org/articles/why-am-i-depressed">self-help video</a>, “Why am I depressed?,” by a man called Leo Gura. He is, <a href="http://www.twitter.com/leogura1?lang=d">according to his Twitter profile</a>, “a professional self-development junkie, life coach, video blogger, entrepreneur, and speaker,” who helps “people design awesome lives.”</p>
<p>Gura, a bald man with a goatee and the founder of actualized.org, starts the video by saying that he wants to answer the question of the title, “Why am I — you [<em>raising eyebrows, while forming with his hands a parenthesis in the air as if around the word</em>] — depressed?” And the answer is simple: you are depressed because your psychology sucks. It should be noted that this is also the title of a video work by the artist duo Claire Fontaine, who in their ready-made video <em>Untitled (Why Your Psychology Sucks)</em> from 2015 has an African-American actress perform an almost exact verbatim copy of Gura’s talk, unfolding a pungent and quite comical criticism of the neoliberal self-help industry’s ideological personalization of depression and generalized responsibilization of the subject as such. Claire Fontaine is one of the artists who have worked in the most concentrated and consistent way with the problem of depression. In their work, depression is always already <em>political </em>and must be understood in relation to its real basis in social conflicts within a capitalist economy of debt and financial speculation.</p>
<p>Back to the original video, where a flashing sequence of catchphrases or keywords succeeds Gura’s introductory remarks. In the order given, the words read: “Success, happiness, self-actualization, life purpose, motivation, productivity, peak performance, creative expression, financial independence, emotional intelligence, positive psychology, consciousness, peak performance, personal power, wisdom.” (Apparently, the concept of “peak performance” is so important that it must be repeated.) Then, Gura delivers his message, his shocking truth: “Here is the deal. I’m going to blunt with you here, because the bottom line is that the reason you’re depressed is because your psychology sucks. Alright, you’ve got shit psychology. I’m not blaming you, I’m telling you a fact.” He goes on to clarify that he is not talking about people who are “clinically depressed,” and who thus have “legitimate” depression. He is talking about the rest of us, the majority who get a diagnosis of depression and whom he is not blaming, except that he is. The video lasts a little more than 20 minutes, and at one point Leo Gura boldly and bluntly declares: “You are causing your depression.” There is something wrong with your mental and cognitive apparatus, your psychology is “shit.” Stop being a victim and take ownership of your psychology! Peak performance!</p>
<p>It is easy enough to laugh at the video and make fun of its logic, but the logic is the dominant one in the world of today — even if it is sometimes articulated in more moderate ways — and it has real effects. The logic is this: people create their own reality. Thoughts alone can change things. This means that <em>you</em> weave the thread of your own fate, there are no external circumstances and no excuses either.</p>
<p>A Danish sociologist with a quasi-royal name, Emilia van Hauen, <a href="http://www.emiliavanhauen.dk/flx/artikler/lykken_er_et_valg_dit_valg/">expresses the same logic</a> when writing on her homepage that “happiness is a choice — your choice,” and fellow Danish therapist, Eva Christensen, <a href="http://www.evachristiansen.dk/artikler-2/er-du-lykkelig-2/">sings along</a> (again in my own translation):</p>
<p>Happiness is a personal responsibility. Happiness is not something you can expect to get from others. Everybody has the key to their own happiness. And hence also the responsibility to put the key in the right lock. Happiness is created from the inside, it is not other people’s responsibility to make us happy, it is our own responsibility. Just as we cannot change other people, only ourselves.</p>
<p>If the individual is responsible for her own happiness, then she is also responsible for her own <em>un</em>happiness. If the keys are in our own hands, each of us is personally responsible for almost everything. Success or failure, and health or illness are a matter of subjective willpower, lifestyle, and choice alone. While we may not be able to change other people, or the world for that matter, we certainly can work on changing ourselves and our selves. Structural change, a change of the system, is abandoned in favor of subjective change, a change of the self. Every problem, however social, political, or economic in nature, is personalized and even criminalized, the subject is made responsible for its own unhappiness, and made to suffer alone and to feel guilty, at the same time, for feeling unhappy, for not being a good and productive citizen, for not coming to work, for not getting out of bed.</p>
<p>These processes of personalization and responsibilization that positive psychology and the imperative of happiness entail, these processes go hand in hand. Mark Fisher was attuned to this logic, or should we say ideology. Depressed people are encouraged to feel and believe that their depression is their fault and their fault only. “Individuals will blame themselves rather than social structures, which in any case they have been induced into believing do not really exist,” as he wrote in “Good for Nothing” — implicitly referencing another of Thatcher’s claims, that society does not exist. This is where the problem of depression feeds into a more general problem: the model of subjectivity advocated in the original self-help video by Leo Gura is identical to the model of the autonomous, self-determining, competitive individual, the fiction of capitalist subjectivity. In the video “the viewer,” the “you,” is the <em>cause</em> of his or her own depression, but consequently also the only <em>cure</em>. What the video wants to do is to teach you how to “master your psychology” and eventually put you in a state of “total bliss and happiness.” It is a deeply moral message. Failing to be happy is simply immoral. If you are such an immoral and bad person that you have become unhappy — or depressed — it is you, and you alone that is to blame. This is the blaming cult of contemporary capitalism: you are causing your own depression — even when evidently you are not.</p>
<p>¤</p>
<p>Capitalism, in other words, inflicts a double injury on depressed people. First, it causes, or contributes to, the state of depression. Second, it erases any form of causality and individualizes the illness, so that it appears as if the depression in question is a personal problem (or property). In some cases, it appears to be your own fault. If you had just lived a better and more active life, made other choices, had a more positive mindset, et cetera, then you would <em>not</em> be depressed. This is the song sung by psychologists, coaches, and therapists around the world: happiness is your choice, your responsibility. The same goes for unhappiness and depression. Capitalism makes us feel bad and then, to add insult to injury, makes us feel bad about feeling bad.</p>
<p>From my own experience of depression — except that it is not really “my own” experience — and from having written a dissertation on the topic, I think it is beyond doubt that we need another analysis of depression, and, also, another kind of cure. The <em>personalization </em>of depression must be answered by a <em>politicization </em>of depression. At the level of analysis and social causation, the phenomenon of depression should be connected to issues of labor and work — and unemployment, since stats show that unemployed people are more susceptible to get depressed than people in jobs, regardless of how much these people hate their job. It should be connected to our brutal, neoliberal culture of competition (Happy Hunger Games and may be odd be ever in your favor!) and to the concomitant ideology of happiness, which forces all of us to smile and be happy nonstop, even or especially when we are fighting among each other, fighting to make ends meet and just get by another day. Depression should, moreover, be connected to the realm of education: it is obvious to me that so many of the students at the University of Copenhagen, where I work and teach, are struggling with countless mental illnesses. I cannot even begin to imagine how it must be in the United Kingdom or United States, where students don’t have the benefit of free education as is the case Denmark but are driven ever deeper into a spiral of debt. No matter where we look, students are depressed, anxious, stressed out, burned out.</p>
<p>In the wake of the economic crisis, a plethora of studies have looked into the psychopathological consequences of debt. In 2012, economist John Gathergood published a study showing that people awash in a sea of debt experience and exhibit a variety of mental problems, including depression. By all accounts, it seems that being indebted can, and indeed does, lead to an increased risk not only of depression but also suicide. <a href="https://www.ncbi.nlm.nih.gov/pubmed/20550757">Another study found</a> that “[t]hose in debt were twice as likely to think about suicide after controlling for sociodemographic, economic, social and lifestyle factors.” And in <em>The Body Economic: Why Austerity Kills</em>, David Stuckler and Sanjay Basu have conducted an epidemiological research project which demonstrates that austerity policies — rather than recession as such — have disastrous consequences for the state of public and private health. At one point in their book, Stuckler and Basu refer to a particular study of Americans over the age of 50 which found “that between 2006 and 2008, people who fell behind on their mortgage payments were about nine times more likely to develop depressive symptoms.” Their bleak conclusion is that austerity not only hurts, but kills, exemplified by the tragic case of the Greek Dimitris Christoulas, who on April 4, 2012, “put a gun to his head in front of the Greek parliament and declared: ‘I am not committing suicide. They are killing me.’ Then he pulled the trigger.”</p>
<p>These conditions are real, and so are the causal connections. Obviously, the causes are many, and complex. But the symptoms of depression are also symptoms of something else. And the fact is that the economy of debt causes deep distress as indebted people, students and otherwise, are forced to pawn their own future. Yet the psychiatric and public discourse remain bent on treating depression as a personal problem devoid of context. Nowhere is this clearer than in the discourse of the diagnostic manuals — a discourse that increasingly dominates public opinion — where mental illnesses are addressed solely in terms of symptoms, without any regard for the historical, social, and economic context of the person suffering. An important task, then, for a leftist analysis of the present is not only to insist on the context but also and perhaps above all to insist, with Hedva, that “it is <em>the world itself</em> that is making and keeping us sick.” Not the world in any abstract sense, but the concrete, capitalist world in which we live, or plod our way through. This is the reason why so many of us lie in bed, and can’t get out of it. Or as queer theorist Ann Cvetkovich argues in her book <em>Depression: A Public Feeling</em>:</p>
<p>Epidemics of depression can be related (both as symptom and as obfuscation) to long-term histories of violence that have ongoing impacts at the level of everyday emotional experience. […] What gets called depression in the domestic sphere is one affective register of these social problems and one that often keeps people silent, weary, and too numb to really notice the sources of their unhappiness (or in a state of low-level chronic grief — or depression of another kind — if they do).</p>
<p>The history of depression is a history of our contemporary capitalist world — and also, in the words of Cvetkovich, a history of violence: the violence that people of color, or LGBT people, or asylum seekers, experience on a daily basis, a violence both physical and psychic. Data are, again, overwhelming on this point, but suffice it to mention the “38 percent of low-income mothers and mothers of color who develop postpartum depression,” to quote from Sophie Lewis’s <em>Full Surrogacy Now</em>; the half of LGBT people <a href="https://www.pinknews.co.uk/2018/11/08/half-lgbt-people-depression-year-stonewall/">who have experienced depression in the past year</a><u>;</u> and the 61 percent of all the kids in Sjælsmark Udrejsecenter, a prison-like camp for rejected asylum seekers in Denmark, <a href="https://www.rodekors.dk/sjaelsmark">who would meet the criteria</a> for a psychiatric diagnosis. In many instances, depression bears the mark of such violence and vulnerability, though it is not, sadly, the only mental health issue at stake.</p>
<p>¤</p>
<p>Up until this point I have not mentioned the climate crisis, but on the evidence of what has been said so far, it doesn’t risk exaggeration to say that ecology and mental health stands in an intimate relation. This is not to neglect the material reality, only to hint at the profound psychic effects of ecological losses and a warming globe. Again, the young generation of today, sometimes called the fucked-up generation, is worth mentioning (Phil Neel writes about this generation, “the first in a grand parade of the futureless,” in his brilliant book <em>Hinterland</em>). They are living in a world where tomorrow will most likely be worse than today, where there really are no alternatives and no future, not least because of how the climate crisis quite literally annihilates the future as such. Who can blame them for being depressed?</p>
<p>All of this to say that the current — social, political, economic, ecological — crisis is thus a mental health crisis as well. The perpetuum mobile of capitalism and its exhaustion of resources also pertains to mental resources. The economic and the psychological seem to have become indistinguishable from each other, as the double meaning of depression would also suggest. Naturally, we are not all in the same boat, or in the same bed. We are not all depressed (and those of us who are are experiencing it in the same way, or for the same reasons). We are not equally fucked (up). Some strata of society have access to futurity in ways that others do not, some bear the burden more than others, and <a href="https://communemag.com/who-owns-tomorrow/">some simply die sooner than others</a>. People in Greece during the Euro Crisis, or people in the US higher educational system, are not indebted or depressed in the same way. As shown above, the violence and social suffering are differentially distributed along axis of class, gender, and race; so is the climate crisis insofar as citizens of Copenhagen are not feeling the devastating weight of it as those in Chittagong.</p>
<p>Insisting on the politics of illness, mental health, and depression, it is crucial to keep such local and global differences in mind. This should not, however, lead to a competition of social suffering. Competition is precisely what capitalism is all about, and seeks to intensify, so that we are, simultaneously, alone in our suffering <em>and</em> fighting among each other’s suffering selves. But it should lead to a recognition that a critique of capitalism will need to take into account the contextualized psychopathology of depression as well as other mental illnesses. Furthermore, it gives us an idea of a possible “cure,” of what needs to be done, of how we get out of bed (or maybe, <em>why </em>we even want to get out of bed).</p>
<p>¤</p>
<p>The first thing to note is that an adequate diagnosis of depression — and its context — is not enough in itself. It is common wisdom, however, that the diagnosis does not necessarily entail the cure. Just because we know what’s wrong does not mean that we will be able to deal with it. On the contrary, one of the primary symptoms of depression is that what you need to do is precisely what you cannot do, at least not alone and on your own. Or in the plain words of Ann Cvetkovich: “Saying that capitalism (or colonialism or racism) is the problem does not help me get up in the morning.” Also, there is no reason to believe that abolishing private property ownership, or realizing a global and absolute cancellation of private debt, will relieve the suffering of depressed people with a single stroke, as if by magic. But, in an act of speculation, I am tempted to say that revolution is the best antidepressant there is, it makes for a better world, true happiness. But, <em>alas!</em>, in order to do revolution, we need to get out of bed. A real dialectical catch-22 of depression.</p>
<p>Maybe a good place to start, then, with regards to the politics of depression, is to collectivize suffering, externalize blame, communize care. At this point, the question of responsibility returns in all its force. The neoliberal responsibilization of the depressed subject must be rejected, and, also, replaced by an idea of collective responsibility. The same goes for any kind of therapeutic project, and Italian thinker Franco “Bifo” Berardi — who is, admittedly, a bit loose and careless when it comes to precision in the clinical vocabulary — may be right when he asserts that “in the days to come, politics and therapy will be one and the same.” Therapy as resistance, not as reactionary obedience to the given order. Therapy as a collective project, not an individual one. Therapy as the overcoming of alienation.</p>
<p>What might such collective and emancipatory “therapy” look like? We have an archive of feminist and artistic projects of care, self-care, and collective care from Audre Lorde to Claire Fontaine to, rather recently, Danish artist and activist Jakob Jakobsen and the Hospital for Self Medication that he initiated after a severe depression and several months of hospitalization. We need a language that joins this archive to a movement and separates it from institutional psychiatry, neoliberal therapies, and the capitalist pursuit of profit. This is care that transcends the hospital, the clinic, the family, the state, the insurance company, Capital as such (even if one does not have access to those institutions in the first place). This is care which, based on a politicized understanding of mental illness, moves beyond care in its commodified and capitalist form. When bodies take care of each other, when responsibility is redistributed, and individual collapses are transformed into collective intimacies, the future can be (re)built in the name of a communist, shared, and sustainable one. As poet Wendy Trevino writes:</p>
<p><em>We can’t individually “win” in this world<br/>
&amp; simultaneously create another<br/>
Together.</em></p>
<p>This would be one way of imagining a “cure” for depression without reinforcing conformity and the status quo. What is certain is that any left politics worthy of its name must go beyond saying capitalism is the problem (even if it surely is) and confront the question of how to get up in the morning. This problem is as practical as it is revolutionary. Of course, sometimes staying in bed can be a revolutionary act in itself, a kind of strike, the epitomization of an exhausted and negative <em>No, I can’t </em>in a world that revolves increasingly around an emphatic and positive <em>Yes, I can</em>. But there are also people finding new ways to get out of bed: I’ll just mention in passing, as an encouraging sign, that <a href="https://jacobinmag.com/2019/01/capitalist-realism-mark-fisher-k-punk-depression?fbclid=IwAR0y1WUp2AKtr5jbTuI-CsfZYHMOaP2ASGqvkLAm2VhcwXwcftWgtAU_LCw">there are cracks in the edifice of capitalist realism</a> that Mark Fisher didn’t live to see.</p>
<p>Regardless, the point is obviously not to get out of depression so that we can get back to the work that caused the depression to begin with. The point must be, rather, to destroy the material conditions that make us sick, the capitalist system that destroys people’s lives, the inequalities that kill. Thus, creating another world together. But to do that, to get to where that becomes possible, what is called for is not competition among the sick, but alliances of care that will make people feel less alone and less morally responsible for their illness. In alliance with each other, people might eventually be able to get up and throw some bricks.</p>
<p>¤</p>
<p><em>Adapted from the book </em>Going Nowhere, Slow<em>, out on Zero Books November 29, 2019.</em></p>
<p>¤</p>
<p><a href="/contributor/mikkel-krause-frantzen/"><em>Mikkel Krause Frantzen holds a PhD from the Department of Arts and Cultural Studies, University of Copenhagen, and is currently postdoctoral fellow at University of Aalborg, Denmark. He is the author of </em>Going Nowhere, Slow — The Aesthetics and Politics of Depression<em> (Zero Books, 2019).</em></a></p>
