title: Quelques mégastructures artificielles pour coloniser la galaxie
url: https://couleur-science.eu/?d=4e59a5--quelques-megastructures-artificielles-pour-coloniser-la-galaxie
hash_url: ff5119f01fac378b6830e686fcdbaa04

<p><img src="https://couleur-science.eu/img/7e/stanford-torus.jpg" alt="Image d’artiste d’un tore de Stanford." srcset="img/7e/stanford-torus.jpg 1200w, img/7e/stanford-torus-thb.jpg 600w" sizes="50vw" class="imgcover"/><br/>
&#13;L’ISS, la station spatiale internationale est non seulement important sur le plan scientifique, c’est aussi le fruit d’une collaboration de plusieurs pays sur tous les continents. Ce laboratoire de la taille d’un terrain de foot est un des projets les plus coûteux de l’histoire : environ 115 milliards de dollars depuis son lancement. Sa taille, son coût peuvent donner une idée de ce que l’on appelle « mégastructure ».</p>

<p>Pourtant, ce n’est que le début.</p>

<p>L’humanité existe depuis quelques millions d’années mais ne collabore sur un projet mondial au-delà de la Terre, dans l’espace, que depuis une trentaine d’années.</p>

<p>Si notre civilisation espère s’élever, elle devra embraser une vision cosmique : aller voir sur d’autres astres, d’autres systèmes stellaires, voire s’attendre à devoir vivre dans des stations autonomes en déplacement.</p>

<p>La science-fiction ne manque pas d’idées pour représenter ce futur : entre « <em>étoiles de la mort</em> », vaisseaux spatiaux géants, ou moteurs stellaires, on trouve de tout. Ces structures géantes, de la taille d’une planète, parfois, sont nommées « mégastructures ».</p>

<p>Nombre de cosmologistes, en plus d’auteurs de science-fiction, se sont déjà penchés sur la question.</p>

<p>J’ai déjà écrit un article sur <a href="?d=2151ac--lechelle-de-kardashev-quel-type-de-civilisation-sommes-nous">l’échelle de Kardashev</a> : l’échelle à 3+ barreaux de classement des civilisations en différents types selon leur niveau d’évolution énergétique. Cette échelle n’est pas parfaite, mais on peut s’en contenter en première approximation :</p>

<ul><li> Civilisation de Type 1 : une civilisation de type 1 utilise toute l’énergie de sa planète</li>&#13;<li> Civilisation de Type 2 : une civilisation de type 2 utilise toute l’énergie de son étoile</li>&#13;<li> Civilisation de Type 3 : une civilisation de type 3 utilise toute l’énergie de sa galaxie</li>&#13;<li> Civilisation de Types 4, 5 ou plus pour les civilisations exploitant l’énergie de l’univers, du multivers et au-delà dans d’autres dimensions.</li></ul>

<p>Il va de soi que pour créer des mégastructures artificielles dans la galaxie, il faut une quantité considérable d’énergie et de ressources. Pour chaque mégastructure que je présente dans cet article, j’ai donc mis le type de civilisation qu’il faut être pour espérer fabriquer de telles choses. Rappelons que l’échelle de Kardashev est logarithmique et qu’actuellement nous serions de Type 0,7 (l’échelle est logarithmique, donc nous exploiterions environ 0,1 % de l’énergie de notre planète).</p>

<p>Voyons tout ça !</p>

<h2>Le tore de Stanford</h2>

<p>Dans le genre des <a href="?d=16bab7--comment-produire-de-la-gravite-artificielle">structures capables de produire de la gravité artificielle</a>, la station spatiale circulaire et en rotation est un très bon candidat.</p>

<p><strong>Le tore de Stanford</strong> (le « tore » est la forme géométrique du donut) reprend cette idée de vaisseau en rotation, mais à une échelle beaucoup plus grande. L'idée originale comporte en effet un tore creux de<strong> 1,8 km de diamètre</strong>, en rotation de 1 tour par minute et hébergeant de façon permanente environ 10 000 personnes.</p>

<p>Les habitations, les cultures et tout le reste se trouvent sur le bord latéral à l'intérieur du tore :</p>

<figure><img src="https://couleur-science.eu/img/89/stanford_tore.jpg" alt="Image d’artiste d’un tore de Stanford en construction." srcset="img/89/stanford_tore.jpg 900w, img/89/stanford_tore-thb.jpg 600w" sizes="50vw" class="centrerinline"/><figcaption>Un tore de Stanford en construction, vue d’artiste (<a href="https://commons.wikimedia.org/wiki/File:Stanford_torus_under_construction.jpg?uselang=fr">image</a>)</figcaption></figure>

<p>L’idée a été proposée en 1975 à l’Université de Stanford, d’où le nom. Ses dimensions sont adaptées pour qu’une rotation de 1 tour par minute simulent une force de gravité de 1 g.<br/>&#13;Cette mégastructure n’est pas très impressionnante (comparée aux autres structures dont je parle dans cet article) : à vrai dire, l’humanité pourrait en construire une. On a la technologie qu’il faut, et seule manque la volonté et l’argent.</p>

<p>Cette mégastructure nécessite d’être une civilisation de <strong>Type 1−</strong> : pas besoin de beaucoup de ressources, il faut juste beaucoup de matière première, qu’on pourra trouver dans les astéroïdes ou même sur Terre.</p>

<h2>Le cylindre O’Neill</h2>

<p>Le tore de Stanford ne produit une gravité artificielle que sur le bord extérieur de la paroi interne du tore. Tout le reste est donc un peu de l’espace « perdue » pour y installer des gens ou des infrastructures.</p>

<p>À l’inverse, <strong>le cylindre O’Neill</strong> est un tube qui tourne comme s’il roulait : la sensation de gravité artificielle est donc obtenue sur toute la paroi interne du cylindre, ce qui multiplie la surface habitable. L’extérieur du cylindre pourrait par exemple être recouverte de panneaux solaires.</p>

<p>Dans l’idée originale, proposée par Gerard O’Neill en 1976, il était question de mettre <strong>deux cylindres bout à bout, tournant en sens inverse</strong> l’un de l’autre : chaque cylindre compense le moment angulaire de l’autre. Ceci permet de plus facilement contrôler la rotation : chaque cylindre étant alors le point d’appui pour l’autre.</p>

<p>Le cylindre typique mesure <strong>trois kilomètres de rayon et 30 kilomètres de longueur</strong> ! C’est donc <strong>beaucoup plus grand que le Tore de Stanford</strong>. Aussi, si le tore de Stanford est une idée de vaisseau, le cylindre O’Neill, bien plus grand, peut commencer à servir de colonie. De telles dimensions permettent d’y <strong>héberger des <em>millions</em> des personnes</strong> :</p>

<figure><img src="https://couleur-science.eu/img/06/o-neill-cylinders.jpg" alt="Des cylindes O'Neill." srcset="img/06/o-neill-cylinders.jpg 900w, img/06/o-neill-cylinders-thb.jpg 600w" sizes="50vw" class="centrerinline"/><figcaption>4 groupes de 2 cylindres O’Neill autour d’un astéroïde, probablement dans un contexte de minage d’astéroïde. À titre d’échelle, imaginez que l’astéroïde soit d’une taille située entre celle de Paris et celle de l’Île-de-France ; vue d’artiste (<a href="https://www.deviantart.com/glennclovis/art/WIP-Island-4-295637793">image</a>)</figcaption></figure>

<p>Il va de soi qu’à la fois le tore de Stanford et le cylindre O’Neill tirent leur énergie du Soleil (les illustrations montrent des panneaux solaires partout). On peut supposer qu’il y a également une partie de l’énergie provenant de sources comme la fusion nucléaire (l’énergie qui fait fonctionner les étoiles, et — espérons — celle du futur).</p>

<p>Enfin, dans le même genre, citons également <strong>la sphère de Barnal</strong> : il s’agit d’une sphère de 1,6 km de diamètre avec le même but que le cylindre O'Neill, à ceci près que c’est une sphère.</p>

<p>Le cylindre O’Neill ne peut être fait que par des civilisations de <strong>Type 1+</strong> : la quantité de matière première est énorme : miner des astéroïdes devient indispensable, et la quantité d’énergie nécessaire est hors de notre portée actuellement.</p>

<h2>L’anneau de Niven</h2>

<p>Si les cylindres O’Neill ou les tores de Stanford ne suffisent pas pour héberger une colonie spatiale, il y a moyen de voir beaucoup plus grand : c’est l’idée d’<strong>un anneau de Niven</strong> (du roman <em>L’anneau-Monde</em>, de Larry Niven – lien tout en bas de l’article) :</p>

<figure><img src="https://couleur-science.eu/img/e1/ringworld.jpg" alt="Vue d’artiste d’un anneau monde." srcset="img/e1/ringworld.jpg 900w, img/e1/ringworld-thb.jpg 600w" sizes="50vw" class="centrerinline"/><figcaption>L’anneau Monde. Les humains s’établissent sur l’anneau principal ; l’anneau intérieur plus petit permet, par obturation, de simuler l’alternance jour/nuit (<a href="https://commons.wikimedia.org/wiki/File:Ringworld.jpg">image</a>)</figcaption></figure>

<p>Il s’agit de placer un anneau autour d’une étoile, de le faire tourner lentement pour obtenir de la gravité artificielle, et de placer les habitations sur la face intérieure de l’anneau de façon à profiter de la lumière de l’étoile.<br/>&#13;L’anneau peut alors être un tore (totalement clos) ou un simple anneau ne présentant qu’une surface ouverte sur le vide : si la gravité artificielle est égale à celle de la Terre, alors l’air qu’on y place reste également à sa place, formant une atmosphère.</p>

<p>Le seul inconvénient d’une telle structure serait qu’il n’y aurait pas d’alternance jour/nuit. Qu’à cela ne tienne, Niven a pensé à tout : entre l’étoile et l’anneau seraient placés des panneaux géants sur une orbite plus rapide que l’anneau lui-même. Les panneaux passant de façon périodique au-dessus d’une portion de l’anneau, il bloquera la lumière à intervalles réguliers, simulant l’alternance jour/nuit.</p>

<p>L’idée principale d’un anneau de Niven par rapport à une planète toute faite est l’optimisation des matériaux. Une planète c’est juste une grosse boule de matière où seule la surface est habitable. Le ratio surface/masse est assez faible (minimal, en fait).<br/>&#13;Avec un anneau en rotation, la même masse présente une surface habitable bien plus grande et peut donc héberger beaucoup plus de monde. Dans le roman de Niven, l’anneau-monde a une surface d’environ 3 millions de fois celle de la Terre, soit assez pour héberger 24 quadrillions de personnes !</p>

<p>Par rapport au cylindre O’Neill (qui mesure ~30 km), on change complètement d’échelle ici : <strong>un anneau de Niven de la taille de l’orbite de la Terre a un diamètre de 300 millions de kilomètres</strong>. Il ne s’agit ici même plus de miner un astéroïde ou deux, mais tous.<br/>&#13;Il peut même être question de désassembler complètement une planète pour construire un anneau à la place. C’est pour ça que je donne cette structure à une civilisation de Type 2−, même si en principe nous pourrions y arriver aussi, juste très très lentement.</p>

<h2>La sphère / bulle / essaim de Dyson</h2>

<p>Une sphère de Dyson (nommée d’après une idée de Freeman Dyson dans les années 1960) est une coquille recouvrant totalement une étoile et destinée à capter l’ensemble de son rayonnement (chaleur, lumière…) afin de produire de l’énergie exploitable :</p>

<figure><img src="https://couleur-science.eu/img/e2/dyson-sphere.jpg" alt="i" srcset="img/e2/dyson-sphere.jpg 900w, img/e2/dyson-sphere-thb.jpg 600w" sizes="50vw" class="centrerinline"/><figcaption>Image d’une sphère de Dyson (image tirée du jeu vidéo Stellaris)</figcaption></figure>

<p>En pratique, il serait impensable de recouvrir l’étoile à sa surface : il y fait bien trop chaud. Heureusement, dans le cas d’une sphère complète, l’énergie totale captée reste identique quelle que soit la distance à laquelle on se trouve. <br/>&#13;Le problème est juste que plus on se place loin, plus la surface de la sphère est grande, et donc plus il faut de matière première. Il est estimé que si l’on se place au niveau de l’orbite terrestre, alors la masse nécessaire correspondrait à celle de Jupiter.<br/>&#13;On dira que la matière première n’est pas un problème quand on est une civilisation de Type 2, mais ça reviendrait tout de même à beaucoup de matière, d’autant plus que les géantes gazeuses comme Jupiter sont constitués… de gaz, pas de roche ou de métaux, même s’il est hautement probable qu’un Type 2 puisse fusionner l’hydrogène à sa guise pour produire n’importe quel élément du tableau périodique, à sa convenance.</p>

<p>Souvent, à la place d’une sphère de Dyson complète, il est proposé de placer une constellation de panneaux solaires géants autour du Soleil. En utilisant une multitude de panneaux solaires et en les plaçant partout autour de l’étoile, on obtient ce qu’on appelle un <strong>essaim de Dyson</strong>.<br/>&#13;Il n’y a pas besoin ici de recouvrir l’intégralité de l’étoile : la quantité de matière première nécessaire est donc bien plus faible : la masse de la planète Mercure pourrait largement suffire ici.</p>

<p>Au lieu de placer les panneaux sur des orbites, il est aussi possible d’utiliser une autre méthode : celle des <strong>statites</strong> (contraction de <em>static satellite</em>). Il s’agit de placer le panneau face au Soleil à une position où la force des vents solaires et de la pression de radiation (pression de la lumière) compensent exactement l’attraction gravitationnelle du Soleil sur le panneau, un peu comme avec un ballon qui resterait en équilibre au-dessus d’un ventilateur soufflant vers le haut. Le statite est donc maintenu à une altitude constante au-dessus de l’étoile.<br/>&#13;Avec une multitude de panneaux placés comme ça, on obtient ce qu’on appelle <strong>une bulle de Dyson</strong>.</p>

<p>Bien-sûr, on peut également utiliser une série d’anneaux :</p>

<figure><img src="https://couleur-science.eu/img/02/pokrovsky_shell.jpg" alt="Un essaim de Dyson en construction." srcset="img/02/pokrovsky_shell.jpg 900w, img/02/pokrovsky_shell-thb.jpg 600w" sizes="50vw" class="centrerinline"/><figcaption>Une série d’anneaux de Dyson, début d’un essaim de Dyson (<a href="https://commons.wikimedia.org/wiki/File:Pokrovsky_shell.png">image : Віщун</a>)</figcaption></figure>

<p>L’avantage des essaims et des bulles de Dyson sur une sphère, c’est qu’elle ne bloque pas toutes les radiations solaires : il reste donc possible d’habiter sur une planète orbitant autour en profitant de sa lumière et sa chaleur. D’ailleurs, en plaçant plus ou moins de panneaux dans la bulle de Dyson, plus ou moins de lumière de l’étoile est bloquée, et il est ainsi possible de réguler la quantité de lumière arrivant sur les planètes situées plus loin. Il n’est pas absurde d’utiliser ça pour compenser un échauffement climatique…</p>

<p>Aussi, au fur et à mesure que la civilisation progresse et requiert de l’énergie, elle va probablement commencer par placer un panneau en orbite du Soleil, puis un anneau de Dyson, puis un essaim. Si l’étoile n’a pas besoin d’être habitée, alors on peut l’englober d’une sphère complète.</p>

<p>Enfin, bien qu’une sphère complète soit destinée à capter toute l’énergie possible de l’étoile, il y aura toujours une grande quantité de pertes : la sphère finit par s’échauffer et par rayonner de la chaleur en dehors (sous la forme de rayons infrarouge). Certaines observations sont faites par la Nasa pour détecter ce rayonnement infrarouge résiduel que les sphères de Dyson laissent échapper, mais sans résultat pour le moment.</p>

<p>Toutes ces structures sont là pour capter jusqu’à l’intégralité de l’énergie d’une étoile. Par définition, donc, il s’agit de technologie propre à une civilisation de Type 2 minimum.</p>

<h2>Un cerveau matriochka</h2>

<figure><img src="https://couleur-science.eu/img/ff/brain.jpg" alt="Image de fractales en forme de cerveau." srcset="img/ff/brain.jpg 900w, img/ff/brain-thb.jpg 600w" sizes="50vw" class="centrerinline"/><figcaption>(<a href="https://www.deviantart.com/cdka/art/Into-my-Brain-747183702">Image : CDKA</a>)</figcaption></figure>

<p>Le but d’un essaim de Dyson est à la base d’utiliser l’étoile pour alimenter une civilisation en énergie.</p>

<p>Si une telle mégastructure est utilisée en particulier pour <strong>alimenter un calculateur géant</strong>, alors on appelle ça un cerveau matriochka. Si le mot « cerveau » fait référence à l’intelligence artificielle et à la capacité de calcul d’une telle construction, le qualificatif « <em>matriochka</em> » fait plutôt référence à la structure en couches de cette construction, comme les poupées russes (les matriochka).</p>

<p>L’idée est de placer des capteurs d’énergie tout autour de l’étoile, mais également sous forme de couches imbriquées. La raison à ça, c’est que les couches internes, proches de l’étoile seront très chaudes et rayonneront de l’énergie vers l’extérieur, sous forme de chaleur. Les couches externes, elle, captent cette énergie-là et l’utilisent à leur tour. Chaque couche reçoit donc de l’énergie, en utilise une partie pour calculer et rejette le reste (par pertes). Une couche N+1 est donc alimentée par les pertes de la couche N.<br/>&#13;Le but étant bien-sûr d’avoir un système le plus efficient possible, pour rentabiliser au maximum l’énergie de l’étoile pour produire des calculs. Idéalement, toutes l’énergie serait captée et transformée en puissance de calcul.</p>

<p><strong>Ceci nous emmène à une autre question : l’efficacité énergétique pour produire des calculs</strong>.<br/>&#13;L’un des premiers à avoir formalisé ça est Ralph Landauer en 1961. Le principe qu’il mit au point — <strong>le principe de Landauer</strong> — quantifie l’augmentation d’entropie obtenue pour chaque bit d’information modifié. L’entropie étant liée à l’énergie consommée, on peut exprimer l’énergie minimale nécessaire pour modifier un seul bit d’information.</p>

<p>Cette limite, <strong>la limite de Landauer</strong>, est, à 20 °C, de 0,0172 eV, ou 2,75 zJ par bit d’information modifié. Bien que critiquée, la limite de Landauer peut nous donner un ordre d’idée : pour un ordinateur travaillant à la limite de Landauer, 1 W serait suffisant pour effectuer 350 milliards d’opérations par seconde. Sachant qu’une étoile comme le Soleil libère environ 4 × 10²⁶ watt, ça représente pas mal de puissance de calcul… chaque seconde.</p>

<p>Comme j’ai dit, cette limite reste critiquée, et surtout, notre informatique actuel est très loin d’être aussi efficace (il faut quelque chose de l’ordre de 80 W pour faire 3 milliards de calculs), mais dans l’hypothèse où la technologie est assez avancée, utiliser une étoile comme source d’énergie pour faire des calculs devient vite intéressante.</p>

<p>Mais du coup, que faire avec toute cette puissance de calcul ? L’idée parfois soulevée est que des civilisations douées d’une telle puissance de calcul pourraient simuler des univers entiers, donc également… se simuler eux-mêmes. <strong>Ces civilisations seraient alors des civilisations virtuelles directement dans le cerveau Matriochka.</strong> Un sorte de programme où tout le monde aurait uploadé leur conscience et continueraient d’évoluer dans le programme, nourri par la puissance d’une étoile.</p>

<p>Je trouve ce concept totalement fou ; le mieux étant que rien n’empêche tout cela : aucune loi physique n’est brisée pour faire ça. On n’a pas encore la technologie pour le faire, mais on s’en rapproche chaque jour un petit peu. Il faudra néanmoins quelques millions d’années pour y parvenir totalement.</p>

<p>Comme la sphère de Dyson, cette structure est propre à une civilisation de Type 2 minimum.</p>

<h2>L’ingénierie stellaire</h2>

<p>Ici, on va voir quelques techniques visant à modifier des étoiles artificiellement : les rajeunir, les adapter, les déplacer…</p>

<p>Il faut bien avoir en tête ici qu’on parle de technologies possédées par des civilisations de type 2+ sur l’échelle de Kardashev : c’est-à-dire une civilisation capable d’extraire la puissance d’une étoile entière. Une telle civilisation sait aussi miner des astéroïdes et des planètes. Obtenir des métaux et de la matière première pour construire des mégastructures de la taille d’une étoile n’est pas un problème.</p>

<p>Notre étoile, le Soleil, est une étoile moyenne. Sa durée de vie est de l’ordre de 10 milliards d’années. On estime que ceci est nécessaire pour laisser le temps à la vie de se développer, à une espèce de devenir intelligente d’évoluer suffisamment pour coloniser plusieurs étoiles et assurer sa survie au-delà de l’étoile elle-même.</p>

<p>Il faut avoir en tête que plus une étoile est grande plus elle consomme son hydrogène rapidement et plus sa durée de vie est courte. Les étoiles supergéantes ont ainsi une durée de vie de quelques dizaines de <em>millions</em> d’années seulement.</p>

<p>À l’inverse, les étoiles plus petites, comme les naines rouges consomment leur hydrogène bien plus lentement : en effet, la fusion thermonucléaire des étoiles naît de la compression de l’hydrogène dans le cœur de l’étoile. Si l’étoile est moins massive, la pression est moindre et donc la fusion également.<br/>&#13;De plus, ces petites étoiles ont davantage de mouvements convectifs entre le cœur et le manteau : la composition du cœur est sans-cesse renouvelée. Le cœur n’est alors plus « empoisonné » par l’hélium (qui empêche la fusion de l’hydrogène).</p>

<p>Enfin, il faut aussi savoir qu’une étoile comme notre Soleil ne consomme jamais tout son hydrogène : seule celui du cœur est fusionné en hélium. L’hydrogène du manteau, lui, ne fait qu’appuyer sur le noyau pour le comprimer. Quand le Soleil deviendra une géante rouge (après sa séquence principale), le cœur fusionnera de l’hélium, et la température sera suffisante pour lentement souffler le manteau d’hydrogène dans l’espace interstellaire. Cet hydrogène finira alors ensuite peut-être par former une nouvelle génération d’étoiles et ses planètes.</p>

<p>Tout ceci pour dire que les petites étoiles, consommant leur hydrogène plus lentement et consommant davantage de leur hydrogène, vivent beaucoup plus longtemps. On parle ici de 60 milliards d’années au moins et jusqu’à 1 000 milliards d’années !<br/>&#13;Ces petites étoiles à la durée de vie très longue, sont aussi les plus nombreuses : elles représentent 80 % des étoiles de la galaxie.</p>

<p>Ceci étant dit, voyons ce que ça implique pour une civilisation intelligente.</p>

<h3>La levée stellaire</h3>

<figure><img src="https://couleur-science.eu/img/c9/stellar-engine.jpg" alt="Un moteur solaire." srcset="img/c9/stellar-engine.jpg 900w, img/c9/stellar-engine-thb.jpg 600w" sizes="50vw" class="centrerinline"/><figcaption>Vue d’artiste d’une mégastructure de levée stellaire. (<a href="https://www.deviantart.com/julian-faylona/art/Stellar-Engine-121816615">image</a>)</figcaption></figure>

<p>Si une civilisation (de type 2 sur l’échelle de Kardashev, au moins) désire perdurer longtemps, elle a tout intérêt à se placer près d’une étoile de type naine rouge : elle sera alors tranquille pour plusieurs dizaines ou centaine de milliards d’années.</p>

<p>Une autre solution pourrait être de modifier sa propre étoile. Pour nous, ça voudrait dire modifier notre Soleil : si l’on retirait quelque chose comme 50 % de la masse de notre Soleil, on étendrait sa durée de vie de plusieurs dizaines de milliards d’années !</p>

<p>Réduire la masse d’une étoile n’est pas simple : en dehors de la difficulté de s’approcher suffisamment d’une étoile pour retirer de la matière directement, il faut aussi vaincre la gravité beaucoup plus forte que sur n’importe quelle planète. Sur Terre, 90 % de la masse d’une fusée est déjà du carburant pour décoller, alors sur le Soleil, où la gravité est 80 fois plus grande, on est plus près de 99 %.<br/>&#13;Heureusement, pour une étoile, il n’y a pas besoin d’aller à la surface : on peut aussi retirer son atmosphère. Le reste de l’étoile s’évaporera en une nouvelle atmosphère, qu’on pourra retirer à son tour, et ainsi de suite, on allège l’étoile, lentement mais sûrement.</p>

<p>Le Soleil, avec les vents solaires, s’évapore déjà lentement dans l’espace : on peut accélérer ce processus artificiellement : une méthode serait d’utiliser un accélérateur de particules circulaire tout autour de l’étoile. En envoyant un monstrueux courant électrique dans cet anneau, on arriverait à canaliser le plasma atmosphérique vers les pôles de l’étoile. On utiliserait ensuite des sortes de tuyères pour dégager ce plasma de l’étoile :</p>

<figure><img src="https://couleur-science.eu/img/8a/star_lifting.png" alt="Schéma de principe de la levée stellaire" class="centrerinline"/><figcaption>↑ Schéma de la méthode avec l’accélérateur de particule géant. (<a href="https://commons.wikimedia.org/wiki/File:Star_lifting_1.svg?uselang=fr">image</a>)</figcaption></figure>

<p>D’autres méthodes existent, comme utiliser un essaim de Dyson muni de réflecteurs, qui renvoient la lumière et la chaleur de l’étoile vers elle afin de produire des vents solaires localement et produisent des éjections de matière.</p>

<p>Ce processus, maintenu durant quelques centaines de millions d’années permettrait d’augmenter la durée de vie de l’étoile (et donc celle de la civilisation) de quelque cent milliards d’années sans trop d’efforts (l’ensemble du processus étant alimenté en énergie par l’étoile elle-même).</p>

<h3>Le propulseur de Shkadov</h3>

<figure><img src="https://couleur-science.eu/img/d9/propulseur-de-shkadov.jpg" alt="i" srcset="img/d9/propulseur-de-shkadov.jpg 1000w, img/d9/propulseur-de-shkadov-thb.jpg 600w" sizes="50vw" class="centrerinline"/><figcaption>Schéma d’un propulseur de Shkadov. (<a href="https://www.gregschool.org/space-transportation/2017/9/21/shkadov-thruster">image : Greg School</a>)</figcaption></figure>

<p>Si l’on est une civilisation qui occupe une portion entière de la galaxie, et qu’on a réussi à rendre habitable toute la région en adaptant toutes les étoiles à son besoin, il peut devenir dangereux qu’une étoile vagabonde se promène dans le coin.</p>

<p>Si cette étoile est une étoile géante à courte durée de vie (quelques dizaines de <em>millions</em> d’années), elles présentent un risque de supernova. Ces explosions cataclysmiques peuvent stériliser toutes les planètes habitées d’une bonne portion de la galaxie.</p>

<p>Le danger est donc réel et il devient nécessaire de pouvoir se débarrasser de cet intrus cosmique : il faut pousser l’étoile géante dehors, un peu comme les humains (civilisation de type pré-I) pourraient avoir besoin de déplacer un astéroïde. Pour nous, déplacer un astéroïde potentiellement impacteur reste possible (une supernova nous serait fatale quoi qu’il arrive, par contre).</p>

<p>Contrairement à un astéroïde, envoyer quelques bombes atomiques sur une étoile ne lui feront rien. Ici, on parle plutôt de quelque chose comme envoyer des planètes entières dans les étoiles. Si cette planète est habitée, ce n’est pas l’idéal.</p>

<p>Une alternative c’est <strong>le propulseur de Shkadov</strong>. Ce type de <em>moteur stellaire</em> consiste à utiliser la puissance de l’étoile elle-même pour la déplacer. Une étoile libère des gaz, du plasma et de la lumière dans tous les sens autour d’elle. Le propulseur de Shkadov permet de diriger ces vents solaires et cette énergie dans un seul sens, afin de propulser l’étoile dans la direction opposée, comme une fusée se déplace dans un sens grâce à la poussée de gaz dans l’autre sens.</p>

<p>En pratique, on va construire un miroir géant d’un côté de l’étoile. Le miroir va réfléchir les vents solaires et la lumière dans le sens opposé. Aussi, pour éviter que ce ne soit le miroir qui soit expulsé loin de l’étoile (comme un voile solaire sur un vaisseau spatial), le miroir sera nécessairement un <em>statite</em> comme expliqué plus haut : l’attraction du miroir par l’étoile et la poussée qu’elle reçoit par les vents solaires se compensent. Ainsi, le miroir reste toujours en place devant l’étoile et c’est le système « étoile + miroir » qui se déplace.</p>

<h3>Le faisceau de Nicoll-Dyson</h3>

<figure><img src="https://couleur-science.eu/img/dd/nicoll-dyson.jpg" alt="Un faisceau de Nicoll-Dyson" srcset="img/dd/nicoll-dyson.jpg 900w, img/dd/nicoll-dyson-thb.jpg 600w" sizes="50vw" class="centrerinline"/><figcaption>Un faisceau de Nicoll-Dyson (image tirée du jeu vidéo Stellaris)</figcaption></figure>

<p>Une dernière façon d’utiliser l’énergie d’une étoile de façon très spécifique, c’est de <strong>transformer l’étoile en faisceau laser ultra-puissant : le faisceau de Nicoll-Dyson</strong>.</p>

<p>De façon simpliste, on pourrait utiliser un essaim de Dyson où chaque capteur serait plutôt un miroir ou une lentille orientable. Il suffirait alors de focaliser l’ensemble des modules de l’essaim vers un point unique pour obtenir un seul vaisseau hyper puissant.</p>

<p>Pour aller un peu plus loin et obtenir le faisceau de Nicoll-Dyson, <strong>il faut tenir compte de quelques effets d’optique, en particulier les interférences</strong>. Si l’on focalise de la lumière comme ça au hasard, une bonne fraction de la lumière sera perdue par interférence destructive. Pour éviter ça, ou plutôt pour obtenir un faisceau plus puissant, il faut placer les miroirs de telle sorte à obtenir une <strong>antenne réseau à commande de phase</strong> : une série d’émetteurs dont les interférences des émissions forment une seule onde plane et dirigée dans un sens bien précis. Ce système est utilisé sur les satellites pour diriger les faisceaux d’ondes radio vers la Terre :</p>

<figure><video src="files/phased-array.webm" type="video/webm" load="" controls="controls" class="centrerinline"/><figcaption>Schéma de fonctionnement d’une antenne réseau à commande de phase (<a href="https://commons.wikimedia.org/wiki/File:Phased_array_animation_with_arrow_10frames_371x400px_100ms.gif">animation</a>)</figcaption></figure>

<p>Avec notre rayon laser géant, on obtiendrait <strong>un faisceau d’énergie capable de vaporiser des astéroïdes, des planètes ou même de déplacer des étoiles</strong> (comme alternative au propulseur de Shkadov).</p>

<p>Un autre intérêt au faisceau de Nicoll-Dyson serait comme propulseur de sondes spatiales par la lumière, grâce aux voiles solaires. La lumière, bien que n’ayant aucune masse, possède une poussée et donc une pression.</p>

<p>Sur Terre, cette poussée est négligeable, mais dans l’espace, la Nasa envisage sérieusement d’utiliser cette méthode pour propulser des sondes spatiales très rapidement et à moindre coût, avec des voiles solaires géantes et très légères. Le seul problème, c’est que la lumière solaire s’atténue rapidement quand on s’éloigne du Soleil : la poussée, bien que s’accumulant avec le temps, n’augmente plus aussi vite avec le temps. Un faisceau de Nicoll-Dyson peut compenser cette baisse de régime.</p>

<p>Enfin, une dernière idée d’utilisation du faisceau serait de pouvoir diriger l’énergie solaire sur une planète ou un vaisseau trop éloignés d’une étoile. Ou bien sur un vaisseau intergalactique : il n’y a en effet pas d’étoiles entre les galaxies, et si l’on dispose d’un vaisseau, on peut utiliser les étoiles, même lointaines comme source d’énergie.</p>

<h3>L’ensemencement stellaire</h3>

<p>Les étoiles se forment par amas d’hydrogène. Elles le fusionnent ensuite en hélium. Les plus grosses étoiles fusionnent ensuite de l’hélium en carbone, silicium, oxygène, sodium… Quand on observe le spectre de la lumière solaire, on arrive à <strong>détecter les différents éléments dans l’étoile</strong> et dans son atmosphère. En notant les raies d’absorption, on peut alors classer les étoiles selon leur type : géantes rouges, naines bleues, etc. et on peut en déduire pas mal d’information, même à distance.</p>

<p>Il est possible de jeter dans l’étoile certains éléments très rares. Les raies qu’ils vont absorber ou émettre, spécifiques à l’élément, peuvent alors être là aussi détectées à très longue distance. L’idée derrière tout ça est de véhiculer des messages sur de très longues distances, à la manière dont on pourrait utiliser un code couleur avec des feux de signalisation visibles à des kilomètres.</p>

<p>Une civilisation peut par exemple balancer un élément particulier dans l’étoile pour demander de l’aide, et un autre pour dire que tout s’est bien passé pour la colonisation du système stellaire, ou encore est-il possible de marquer et délimiter des régions de la galaxie.</p>

<p>Cette idée, de placer dans l’étoile des éléments chimiques qui n’y figurent pas naturellement pour modifier la signature spectrale de l’étoile afin de transmettre des messages, se nomme l’ensemencement stellaire (« <em>stellar salting</em> »), et a été proposée par Drake et par Shklovskii (de façon indépendante). Leur but était de rechercher ces messages dans les étoiles lointaines comme preuve de l’existence d’extra-terrestres.</p>

<p>Drake proposa d’utiliser des isotopes d’éléments radioactifs : ces derniers disparaissent au bout d’un moment et ne figurent donc pas dans une étoile « naturelle » (en dehors de simples traces). La littérature fait généralement référence au technétium : c’est l’élément n°43 et, malgré son petit numéro atomique situé au beau milieu du tableau périodique, il n’a aucun isotope stable (pour trouver le suivant, il faut aller tout à la fin du tableau, au-delà de l’uranium). D’autres ont proposé de chercher pour des raies du plutonium ou du neptunium.</p>

<p>S’il est parfaitement possible, à ce jour, de prendre un télescope et rechercher ces signaux, nous ne sommes pas encore assez avancés technologiquement parlant pour doper notre Soleil avec du technétium ou d’autres éléments.<br/>&#13;Drake suggéra qu’il faudrait environ 4 000 tonnes de technétium et d’autres vont jusqu’à parler de 100 000 tonnes. Cette masse est vraiment dérisoire par rapport à la masse d’une étoile, et même d’une planète. On parle ici cependant de matériel hautement radioactif et très rare. En l’occurrence, le technétium sur Terre est un sous-produit de l’industrie nucléaire. On estime à seulement une centaine de tonnes la quantité totale de technétium produite dans le monde, et ce depuis le début de l’ère atomique… Même si on le voulait, donc, nous n’avions pas les moyens pour produire assez de technétium actuellement.</p>

<p><strong>La levée stellaire, le propulseur de Shkadov, le faisceau de Nicoll-Dyson et l’ensemencement stellaire permettent de modifier les étoiles (structure, composition, ou position). Ceci implique déjà d’avoir un ou plusieurs autres systèmes solaires de colonisés. On a donc à faire à des êtres intelligents plus avancés que le Type 2. Je considère donc que cette technologie appartient au Type 2+.</strong></p>

<h2>Conclusion</h2>

<p>Les méga-structures sont issues de la science-fiction, mais cela ne signifie pas qu’elles sont totalement imaginaires pour autant. Après tout, Jules Verne parlait bien de fusées et de voyage autour de la Lune un siècle avant que l’être humain ne fasse exactement ce genre de choses. Je ne peux que vous conseiller la lecture des livres de science-fiction que j’ai mentionnés ici (j’ai mis des liens juste ci-dessous).</p>

<p><strong>L’idée commune à toutes les méga-structures est de désassembler les astres pour construire des choses avec la matière récupérée.</strong> C’est la même évolution qui nous a permis de passer d’une grotte creusée dans la montagne puis vivre dans la grotte, à creuser la montagne puis utiliser la roche pour construire une maison : la maison peut avoir la taille et la forme que l’on souhaite sans aucune limite.<br/>&#13;Ici c’est pareil : plutôt que d’avoir une planète et de n’occuper que sa surface en laissant tout son contenu au centre, on préférera utiliser la planète comme ressource et construire un anneau-monde, une sphère de Dyson ou autre chose capable d’héberger des trillions de personnes.</p>

<p>La majeure partie des méga-structures sont constructibles avec la technologie actuelle, la seule limite étant l’échelle à laquelle ces constructions se font. Les mégastructures spatiales présentées ici sont beaucoup plus grandes que tout ce qui existe actuellement. L’ISS est une des structures les plus chères, avancées et plus grandes du monde (la surface d’un terrain de foot). Une sphère de Dyson ou un anneau de Niven en revanche ne font pas 150 mètres de diamètre, mais 300  millions de kilomètres de diamètre, ont la masse d’une planète et la surface habitable de milliers de planètes.</p>

<p>Elles demandent des capacités technologiques simples, mais une quantité de ressources (temps, argent, matériaux…) que nous n’avons pas actuellement. Il n’est pas dit que l’être humain arrive un jour à un stade qui l’autorise matériellement à construire de telles choses : il faudrait déjà que notre espèce commence par ne pas se détruire elle-même, ce qui n’est pas encore totalement sûr, malheureusement.</p>

<h2>Références</h2>

<p>Livres :</p>

<ul><li> <a href="https://amzn.to/2DayLx1">L’anneau-monde, Larry Niven</a> (premier livre de la <a href="https://amzn.to/2UNuvgX">série de l’anneau monde</a>)</li>
<li> <a href="https://amzn.to/2D8ri1v">Physics of the Future, de Michio Kaku</a></li>
<li> <a href="https://amzn.to/2D8Qd5i">Year Million: Science at the Far Edge of Knowledge, Damien Broderick</a></li>
<li> <a href="https://amzn.to/2VJIPo3">Cycle du Fulgur, Edward Elmer Smith (« E.E. 'Doc' Smith »)</a></li>
<li> Et aussi… toute la saga Foundation, d’Asimov, l’œuvre de Jules Verne (qui était avant tout un ingénieur dont la science se retrouve largement dans ses romans !), ainsi que ceux d’Arthur C. Clarke, qui a bien des exemples de technologies futuristes « <em>si avancées qu’elle est indiscernable de la magie</em> ».</li></ul>

<p>Autres sources :</p>

<ul><li> <a href="https://www.youtube.com/channel/UCZFipeZtQM5CKUjx6grh54g">Science and Futurism with Isaac Arthur</a> (chaîne youtube sur la science et le futurisme)</li>
<li> <a href="https://fr.wikipedia.org/wiki/Ing%C3%A9nierie_stellaire">Ingénierie stellaire - Wikipédia</a></li>
<li> <a href="https://arxiv.org/pdf/1001.5455.pdf">Starry Messages: Searching for Signatures of Interstellar Archaeology Richard A. Carrigan, Jr.,</a></li>
<li> <a href="https://www.gregschool.org/gregschoollessons/2018/5/23/star-lifting-colonizing-the-stars-and-the-galaxies">Star Lifting: Colonizing the Stars and the Galaxies — Greg School</a></li></ul>

<p>Autres articles sur ce blog :</p>

<ul><li> <a href="?d=2151ac--lechelle-de-kardashev-quel-type-de-civilisation-sommes-nous">L’échelle de Kardashev : quel type de civilisation sommes-nous ?</a></li>
<li> <a href="?d=16bab7--comment-produire-de-la-gravite-artificielle">Comment produire de la gravité artificielle ?</a></li>
<li> <a href="?d=8aafd6--le-paradoxe-de-fermi-et-lequation-de-drake">Le paradoxe de Fermi et l’équation de Drake</a></li>
<li> <a href="?d=f2106b--quelques-objets-cosmiques-les-plus-etranges-de-lunivers">Quelques objets cosmiques les plus étranges de l’univers</a></li>
<li> <a href="?d=1ae1c3--comment-fonctionne-le-soleil">Comment fonctionnent les étoiles ?</a></li>
<li> <a href="?d=1b20d2--comment-fonctionne-la-propulsion-ionique">Comment fonctionne la propulsion ionique ?</a></li></ul>

<p class="small"><a href="https://www.deviantart.com/capn-damo/art/International-Space-Stations-416557312">image d’en-tête de Capn Damo</a></p>
