title: Le coronavirus et le sort de la civilisation industrielle, par Paul Arbair
url: https://www.pauljorion.com/blog/2020/05/17/le-coronavirus-et-le-sort-de-la-civilisation-industrielle-par-paul-arbair/
hash_url: 46bb95c9d128d4ca05d8b5746cf3f4e7

<blockquote><p>Entretien accordé à IÅŸÄ±n Eliçin du média indépendant turc <a href="https://medyascope.tv/" target="_blank" rel="noopener noreferrer">Medyascope.tv</a>. Sur le propre site de <a href="https://paularbair.wordpress.com/2020/05/17/le-coronavirus-et-le-sort-de-la-civilisation-industrielle/" rel="noopener noreferrer" target="_blank">Paul Arbair</a>. Ouvert aux commentaires.</p></blockquote>
<p><em><strong>Le nombre de cas confirmés de COVID-19 dans le monde s’élève désormais à près de quatre millions et demi et le nombre de décès à plus de 300.000. Tout cela s’est produit en seulement 4 mois. </strong><strong>Que vous inspirent ces chiffres, et que nous disent-ils sur le monde dans lequel nous vivons ?</strong></em></p>
<p>La première chose à dire est qu’il convient de faire preuve de prudence lorsque l’on examine et commente ces chiffres, car les méthodes de comptage et recensement des cas et des décès diffèrent entre les pays, et leur fiabilité et leur sincérité sont discutables dans un certain nombre d’entre eux. Il est donc trop tôt pour former et exprimer une opinion définitive sur l’ampleur et la gravité de la pandémie, d’autant plus qu’elle est toujours en cours.</p>
<p><span id="more-120619"/></p>
<p>Cela étant dit, il existe deux façons de regarder ces chiffres partiels, provisoires et approximatifs. D’une part, ils semblent confirmer que le coronavirus est un formidable ennemi pour l’espèce humaine. Compte tenu de l’ampleur de la réponse mondiale, avec la moitié de l’humanité mise en confinement ou du moins soumise à des restrictions strictes de mobilité et d’activité, le fait que le virus ait quand même réussi à se répandre si largement et à faucher tant de vies montre qu’il constitue bien une menace de santé publique majeure – bien plus grave qu’une simple mauvaise grippe, comme certains l’ont prétendu jusqu’à récemment. D’un autre côté, cependant, ces chiffres restent dans la fourchette inférieure des pandémies mondiales du siècle écoulé. La grippe espagnole a infecté 500 millions de personnes en 1918-1919 – soit près d’un tiers de la population mondiale à l’époque – et tué environ 50 millions de personnes – bien que le nombre de victimes soit encore plus élevé d’après certaines estimations. La pandémie de grippe asiatique de 1957-1958 a tué au moins 1 million de personnes de par le monde – et jusqu’à 4 millions selon certaines estimations. La pandémie de grippe de Hong Kong de 1968-1969 a tué un autre million de personnes dans le monde. De plus, bien sûr, et comme cela a été rappelé avec insistance au cours des derniers mois, 250.000 à 500.000 personnes meurent de la grippe saisonnière chaque année.</p>
<p>Pourtant, aucune de ces pandémies précédentes n’a provoqué le type de perturbation et de crise mondiale déclenchée par le COVID-19, et la plupart d’entre elles ont même été rapidement oubliées – y compris la grippe espagnole, qui, bien qu’elle soit probablement l’événement le plus meurtrier du 20e siècle, a été très peu étudiée par les historiens jusqu’à récemment. Et bien sûr le bilan annuel des décès dus à la grippe saisonnière est largement considéré comme « normal » et ne suscite aucune préoccupation particulière. Historiquement, la crise du COVID-19 est donc à ce stade surtout remarquable de par le fait que le monde n’a jamais, absolument jamais, réagi à une pandémie comme il l’a fait avec celle-ci. Jamais l’économie n’a été mise à l’arrêt, les personnes confinées à la maison et les libertés civiles réduites en réponse à une crise de santé publique comme elles l’ont été ces derniers mois. Bien sûr, le coronavirus SARS-CoV-2 est un nouveau virus, dangereux, hautement contagieux et encore largement inconnu, et il est donc absolument légitime d’appliquer le principe de précaution. Cependant, notre réaction suggère également que notre tolérance au risque, à la mort et à la souffrance semble avoir considérablement diminué au cours des dernières décennies, au point que tout mettre à l’arrêt est désormais considéré comme la réponse la plus sensée à une pandémie – quelque chose que les générations précédentes n’auraient jamais même simplement envisagé.</p>
<p>Il est difficile de dire avec certitude ce qui a causé cette évolution, et pourquoi notre attitude face au risque a changé de façon si spectaculaire. Cela pourrait être dû à la hausse de notre prospérité matérielle, et plus généralement au progrès économique, social et technologique, qui nous permet de faire certaines choses que nos prédécesseurs ne pouvaient tout simplement pas se permettre (par exemple rester à la maison pendant des semaines, travailler à distance, socialiser et se divertir en ligne, et recevoir de l’argent même quand nous sommes licenciés ou mis en chômage partiel). Mais c’est peut-être également dû à la vitesse à laquelle l’information, et la désinformation, se répandent maintenant à l’ère d’Internet, et à la pression considérable qui s’exerce sur les dirigeants et décideurs politiques du fait de la généralisation de l’activisme en ligne et de la culture de l’indignation qui domine les réseaux sociaux. Lorsque l’Italie a imposé un confinement national au début du mois de mars, la pression des médias et des réseaux sociaux sur les dirigeants des autres pays européens leur a rendu presque impossible de choisir une autre voie – car aucun d’entre eux ne voulait passer pour un meurtrier de masse en puissance. Une fois la quasi-totalité de l’Europe confinée, il est devenu presque impossible pour le reste du monde de ne pas lui emboîter le pas – ce qui fût fait, et en quelques jours seulement.</p>
<p>On peut certes penser que ces mesures sans précédent étaient nécessaires, car la plupart des pays n’étaient manifestement pas du tout préparés à faire face au risque de pandémie – et ce bien que les experts en santé publique aient mis en garde contre ce risque depuis des années. On peut également penser que ces mesures ont permis « d’aplatir la courbe » de la pandémie, qui autrement aurait pu échapper à tout contrôle. De fait, cette courbe semble maintenant orientée à la baisse dans la plupart des pays – sauf aux États-Unis, où le nombre de décès quotidiens ne diminue pas encore car les infections continuent d’augmenter dans de nombreux États, et aussi maintenant en Russie.</p>
<p>Cependant, tout ceci ne signifie pas nécessairement que le confinement était le seul choix possible. Une poignée de pays, tels la Suède, se sont abstenus de tout mettre à l’arrêt, et malgré les craintes et les avertissements répétés ils ne semblent pas avoir été submergés par la maladie jusqu’à présent. Certes, la Suède a enregistré plus de cas et plus de décès que ses voisins, mais la courbe a été aplatie et est maintenant en baisse là-bas aussi. C’est peut-être parce que les Suédois étaient mieux préparés que les autres au risque de pandémie, ou bien parce que la « distanciation sociale » leur vient plus naturellement qu’à d’autres peuples, mais le cas suédois suggère en tout cas que le confinement généralisé n’était peut-être pas la seule option possible pour contenir la propagation de la maladie, et peut-être pas la meilleure.</p>
<p>Le confinement n’est de toute façon pas une réponse durable à la crise. Les conséquences économiques, sociales, politiques, géopolitiques, culturelles et même sanitaires de ces mesures restrictives sans précédent rendent impossible de les maintenir très longtemps. La courbe de la pandémie a peut-être été aplatie, mais l’économie mondiale l’a été aussi, avec des conséquences qu’à ce stade nous ne pouvons que difficilement évaluer. Dans l’ensemble, ces mesures pourraient avoir généré pour nos sociétés et pour le monde des risques encore plus élevés que ceux qu’elles étaient destinées à réduire – et les prochains mois le montreront probablement clairement.</p>
<p>De plus, opter pour le confinement revient à mettre un couvercle sur un feu de graisse dans une cuisine. Il empêche le feu de se propager, mais tant que la source de chaleur n’est pas éteinte le feu est toujours là, prêt à reprendre et à se répandre dès que l’on enlève le couvercle. Le déconfinement pourrait ainsi déclencher de nouvelles vagues d’infection, qui viendraient à nouveau et peut-être encore plus dramatiquement tester notre tolérance au risque, à la mort et à la souffrance. L’expérience des pays qui ont déjà commencé à assouplir certaines de leurs restrictions a été mitigée jusqu’à présent. Le Danemark et l’Autriche, qui se sont confinés tôt et de manière stricte, ne semblent pas subir de rechute jusqu’à présent, mais en Allemagne et en Corée du Sud de nouveaux foyers d’infection apparaissent déjà. Dans la plupart des pays, la sortie du confinement risque d’être un parcours chaotique, et d’imposer de nouveau des choix difficiles à court ou moyen terme.</p>
<p>Un dernier point concernant les chiffres des cas et des décès : il est frappant de constater à quel point la répartition et la progression de la pandémie ont été jusqu’ici inégales de par le monde. On ne sait pas encore pourquoi la maladie s’est propagée tellement plus en Europe puis aux États-Unis qu’en Chine – même si les chiffres officiels chinois doivent bien sûr être considérés avec scepticisme… C’est peut-être parce que le coronavirus qui a émergé et sévi à Wuhan a depuis muté en de multiples souches différentes et plus contagieuses, comme certaines études récentes le suggèrent. Pourtant, on ne sait toujours pas pourquoi la pandémie a si durement frappé l’Europe occidentale et l’Amérique du Nord – c’est-à-dire les deux régions les plus riches du monde – tout en restant jusqu’à présent beaucoup plus limitée dans les pays en développement, où les conditions sanitaires sont pourtant plus précaires et les systèmes de santé en principe moins aptes à faire face à une maladie hautement contagieuse. De nombreux observateurs ont averti d’une catastrophe imminente en Afrique ou dans le sous-continent indien au cours des deux derniers mois, mais jusqu’à présent, la catastrophe ne s’est pas produite. Ce peut être temporaire, bien sûr, et ce peut être dû à un comptage inapproprié des cas et des décès dans certains pays, mais il reste que la pandémie semble jusqu’à présent être beaucoup plus sévère dans les pays à revenu élevé, sans que personne ne sache véritablement pourquoi. Même les différences régionales au sein d’un même pays sont parfois difficiles à expliquer, comme par exemple en Italie, où le nord riche a été beaucoup plus touché que le sud plus pauvre, où le risque sanitaire était pourtant jugé plus élevé.</p>
<p>Tout ceci suggère qu’il y a encore énormément d’inconnues concernant ce virus, sa nature et ses mécanismes de transmission, mais aussi ses conséquences cliniques et ses effets à long terme. Compte tenu de toutes ces inconnues, le développement d’un vaccin pourrait prendre plus de temps que ce que beaucoup espèrent actuellement. Certains scientifiques doutent même qu’un vaccin efficace puisse jamais être produit – et, de fait, aucun vaccin n’a jamais été approuvé pour une utilisation contre d’autres formes de coronavirus. De plus l’expérience acquise avec ces autres formes suggère également qu’une personne infectée et rétablie pourrait ne pas être immunisée de façon permanente. Par conséquent, à ce stade, nous savons que la seule véritable façon de mettre fin à la pandémie est d’atteindre l’immunité collective ou « grégaire » – c’est-à-dire quand une partie suffisante de la population devient immunisée contre le virus, soit par la vaccination soit par l’infection – mais nous ne savons pas quand cela pourrait être le cas ou même si cela peut vraiment être le cas. Il existe de fait une chance que nous devions apprendre à vivre avec la menace constante du COVID-19 pendant une très longue période de temps, voire pour toujours. En d’autres termes, il pourrait y avoir une chance que nous ne puissions jamais retourner au monde tel qu’il existait avant le COVID – du moins en termes d’interactions sociales non distanciées et décontractées. Espérons bien sûr que nous pourrons échapper à ce sort.</p>
<p><em><strong>Comment jugez-vous les réponses des pays occidentaux jusqu’à présent? Y en a-t-il selon vous qui ont particulièrement bien géré cette crise, et d’autres qui seraient particulièrement mauvais ?</strong></em></p>
<p>Les réponses des pays occidentaux jusqu’à présent – et à l’exception de la Suède – ont surtout consisté à imposer des confinements plus ou moins stricts, ce qui a partout impliqué une réduction drastique de l’activité économique, et dans de nombreux cas une restriction sévère des libertés publiques. Cette réponse semble avoir été efficace pour contenir la propagation de la maladie surtout là où elle a été imposée très tôt (c’est-à-dire lorsqu’il y avait encore peu de cas et avant qu’un foyer épidémique important ne se déclare), comme par exemple au Danemark ou en Autriche, et lorsqu’elle a été accompagnée de mesures complémentaires comme la pratique de tests à grande échelle et l’utilisation généralisée des masques faciaux, comme en Allemagne et, encore une fois, en Autriche. Les pays d’Europe de l’Est semblent également s’en être plutôt bien sortis jusqu’à présent.</p>
<p>De nombreux pays d’Europe occidentale, en revanche, ont beaucoup moins bien géré la pandémie. Dans certains cas, comme en Espagne, le confinement a été excessivement brutal et entraîné une restriction des libertés civiles punitive, ce qui a épuisé la population et pourrait avoir causé des dégâts psychosociologiques lourds et durables. En France, le gouvernement a géré la crise de manière incohérente et inconsistante. Le président Macron se rendait encore au théâtre et incitait les gens à vivre normalement au début du mois de mars, quelques jours seulement avant d’annoncer solennellement à la télévision le confinement général du pays. En même temps qu’il annonçait la fermeture de tout ou presque, il annonçait également et de manière incompréhensible le maintien du premier tour des élections municipales prévues pour le même week-end – premier tour au cours duquel de nombreux électeurs et assesseurs ont inévitablement été exposés au virus et certains ont probablement été infectés… Le lendemain de ce premier tour, il était de retour à la télévision et adoptait un ton martial – « nous sommes en guerre »… – pour annoncer de nouvelles mesures de restriction, et bien sûr le report du second tour des élections… Depuis lors, la gestion et la communication de l’exécutif ont continué de flotter – y compris au cours des dernières semaines concernant le plan de déconfinement, générant tensions et frustrations au sein de la population.</p>
<p>Au Royaume-Uni, le gouvernement a d’abord semblé minimiser le risque de la pandémie et même opter pour une stratégie consistant à permettre virus de se propager plus ou moins librement parmi la population afin de développer une immunité collective. Il n’a changé de cap que lorsqu’une étude universitaire a suggéré que cette stratégie entraînerait probablement des centaines de milliers de morts, et a depuis lors imposé des restrictions sur l’activité et la mobilité. Cependant, ces restrictions ont été mises en œuvre à un stade déjà tardif de l’épidémie et ont été moins strictes que dans d’autres pays, et par conséquent elles n’ont pas été aussi efficaces que si elles avaient été adoptées plus tôt et avec plus de fermeté. Le résultat est que la pandémie frappe durement sur le pays, qui est désormais le plus touché en Europe.</p>
<p>Dans de nombreux pays européens, et en particulier en France et au Royaume-Uni, la pandémie a également révélé le triste état des systèmes de santé, avec des hôpitaux manquant de personnel, de matériel et de ressources et qui ont eu beaucoup de mal à faire face à l’afflux de patients COVID tout en assurant une protection appropriée de leur personnel.</p>
<p>Le pays qui a le plus mal géré la crise, cependant, est probablement les États-Unis. Le â€˜leadership’ et la communication du président Trump depuis le début de la pandémie ont été pour le moins erratiques – mais cela fait partie du personnage et de sa façon de diriger le pays. La structure fédérale du pays, couplée au niveau extrême de polarisation politique qui y règne désormais, ont rendu la réponse à la pandémie incohérente à travers le pays et donné lieu à des querelles incessantes entre l’administration Trump et certains États dirigés par les démocrates. Au cours des dernières semaines, Trump a même exprimé son soutien aux personnes qui protestaient – parfois violemment – contre les confinements décidés par certains gouverneurs démocrates, tout en critiquant la Suède pour ne pas avoir imposé de confinement à sa population – mais il aime beaucoup critiquer la Suède… Pendant ce temps Les hôpitaux des zones les plus touchées, en particulier à New York, ont eu du mal à faire face à l’afflux de patients COVID. Là encore, la pandémie a révélé la grande misère et l’impréparation de nombreux hôpitaux, incapables de fournir des équipements de protection appropriés à leur personnel.</p>
<p>Les États-Unis sont maintenant l’épicentre de la pandémie, et le nombre d’infections continue d’augmenter dans de nombreux États. Des projections récentes suggèrent que le nombre quotidien de nouveaux cas et de décès pourrait continuer d’augmenter au moins jusqu’en juin, rendant l’assouplissement des confinements particulièrement risqué. De plus, les États-Unis n’ont ni le niveau de sécurité d’emploi ni le filet de sécurité sociale qui existe dans la plupart des pays européens, et des millions d’Américains ont déjà perdu leur emploi – plus de 30 millions depuis le début de la pandémie. D’innombrables entreprises ont également déjà fait faillite, et beaucoup d’autres suivront. Un plan de relance massif de 2.200 milliards de dollars a été adopté, mais il sera insuffisant pour sauver ou maintenir tout le monde à flot, et de nouvelles mesures seront bientôt nécessaires. Le président Trump se vante bien sûr constamment de la façon dont il gère la situation et rejette la responsabilité de tout ce qui ne va pas sur d’autres (la Chine, l’OMS, les démocrates…), mais ses efforts pour faire croire que le pays est en train de surmonter le la crise ne trompent probablement pas grand monde. Les États-Unis vont probablement être fortement et durablement déstabilisés par cette pandémie, avec des conséquences extrêmement significatives pour « l’ordre mondial » encore dominé par l’Amérique.</p>
<p><em><strong>L’Union europénne a été critiquée pour sa réponse politique initiale atone ainsi que pour son incapacité à coordonner une réponse financière. Ces critiques sont-elles justifiées ?</strong></em></p>
<p>Oui, elles le sont en grande partie. Cette crise a révélé les failles de l’UE à bien des égards…</p>
<p>Les réponses initiales des États membres ont été largement non coordonnées, comme si la cohérence et la coopération à l’échelle européenne étaient considérées comme non essentielles pour gérer cette crise. Faute de coordination l’Europe n’est alors pas parvenue à venir en aide à l’Italie au début de l’épidémie, alors qu’une solidarité concrète, inconditionnelle et affirmée publiquement aurait été nécessaire. Certains États membres de l’UE ont même interdit ou restreint l’exportation d’équipements de protection, y compris vers d’autres États membres, au moment même où ces équipements auraient été particulièrement bienvenus dans les hôpitaux italiens. Ces décisions ont ensuite été annulées et de nombreux pays de l’UE ont fourni une aide à l’Italie et à d’autres pays touchés. Mme von der Leyen, la présidente de la Commission européenne, a même publiquement présenté des « excuses sincères » à l’Italie au nom de l’UE pour n’avoir pas fourni l’aide nécessaire au début de la crise, mais en termes d’image et de perception le mal était déjà fait. Il est considérable, d’autant plus que la Chine, pour sa part, a habilement mis en scène son aide à l’Italie et aux autres pays européens touchés. Le résultat est que l’Italie, l’un des membres fondateurs de l’UE et historiquement l’un des pays les plus pro-européens, connaît actuellement une forte augmentation de l’euroscepticisme, qui dépasse les rangs des partis populistes.</p>
<p>Ensuite, il y a bien sûr la question de la solidarité financière. Là encore, les déchirements entre les États membres se sont étalés publiquement, avec des conséquences très préjudiciables en termes d’image. Même si un accord a finalement été trouvé en avril sur une réponse commune à la crise, les États membres doivent encore se mettre d’accord sur la manière dont ils vont mettre en œuvre ses différents éléments, et il semble que tous les pays n’aient pas exactement la même vision de ce qu’ils ont signé… Les pays du Sud veulent que le plan de relance établisse une solidarité financière forte entre les Etats membres, mais ceux du Nord ne veulent en aucun cas devoir assumer la responsabilité des dettes accumulées par les autres. Tout compromis, s’il peut être trouvé, ne satisferait probablement personne et alimenterait probablement encore davantage la montée du populisme et de l’euroscepticisme, d’un côté ou bien de l’autre, et probablement des deux.</p>
<p>La mise en œuvre du plan de relance de l’UE n’interviendra de toute façon pas avant plusieurs mois, et la tâche de maintenir la cohésion de l’Union et d’éviter un effondrement économique et financier incombe principalement pour l’instant à la Banque centrale européenne, qui a considérablement intensifié son programme d’achat d’actifs en réponse à la crise. Cependant, la décision rendue par la Cour constitutionnelle allemande il y a quelques jours à peine sur les achats d’actifs de la BCE met désormais tout le système en danger et pourrait même menacer, par conséquent, la stabilité de la zone euro. L’incertitude qui en résulte, si elle devait persister, pourrait déclencher une flambée de volatilité sur les marchés obligataires européens, voire une panique sur la dette italienne qui entraînerait l’UE dans une nouvelle crise de l’euro.</p>
<p>Dans l’ensemble, cette pandémie de COVID, qui survient après de nombreuses autres crises, montre une fois de plus que l’UE est une construction politique conçue pour le « temps calme », et qui est très mal équipée pour faire face aux tempêtes. Elle n’est jamais vraiment devenue l’Union politique que certains espéraient qu’elle deviendrait progressivement, et reste plutôt un système politique qui permet à ses États membres de résoudre leurs conflits et dissensions de manière pacifique et mutuellement bénéfique. Mais quels que soient ses mérites (et ils sont nombreux dans le cas de l’UE), aucun système politique ne peut indéfiniment concilier des intérêts souverains divergents. On peut trouver « quelque chose qui fonctionne pour tout le monde », mais seulement pour un temps. Une crise après l’autre, nous nous rapprochons de plus en plus du point où ce système ne peut plus fonctionner. Le Brexit a rappelé à tous que les États membres restent les « maîtres » des traités européens, car ils sont les entités souveraines qui les ont signés et qui ont le droit souverain de s’en retirer. La décision de la Cour constitutionnelle allemande est un autre coup porté à l’ordre juridique et politique de l’UE, tout comme la dérive « illibérale » de certains pays d’Europe centrale, que l’UE semble incapable d’arrêter.</p>
<p>Pour l’UE, la crise actuelle est donc potentiellement « existentielle », et il est impossible de prévoir comment et dans quel état le bloc en sortira.</p>
<p><em><strong>Comme vous le mentionnez <a href="https://paularbair.wordpress.com/2020/03/18/covid-19-reflexions-sur-le-sens-dune-pandemie/" target="_blank" rel="noopener noreferrer">dans votre dernier article</a>, « cette crise sanitaire a et aura des conséquences économiques et financières considérables ». Vous avez écrit: « SARS-CoV-2, de fait, est l’épingle qui vient finalement crever la â€˜bulle universelle’ ». Pourriez-vous préciser ce que vous entendez par là ?</strong></em></p>
<p>Le récit dominant que nous avons entendu au cours de la seconde moitié des années 2010 était que l’économie mondiale se rétablissait finalement après la « Grande crise financière » et les années de croissance lente qui ont suivi. Mais ce n’était qu’un récit, en aucun cas la réalité. La crise financière de 2008-2009 et la « grande récession » qui l’a suivi n’ont jamais été résolues ni surmontées, elles n’ont été que palliées. Et elles ont été principalement palliées de par les mesures de relance monétaire d’ampleur considérable engagées par les principales banques centrales du monde au moyen de la suppression des taux d’intérêt et d’injections de liquidités monétaires massives dans le système financier appelées « assouplissement quantitatif » (en anglais Quantitative Easing ou QE). Cet aventurisme monétaire sans précédent n’a résolu aucun des problèmes sous-jacents qui avaient causé la crise financière, mais il a permis de regonfler les cours des différentes classes d’actifs qui sous-tendent un système économique et financier mondial basé sur la dette. Ce faisant, il a permis à ce système de tenir au lieu de s’effondrer comme il était sur le point de le faire en 2008. Très rapidement, ce système a donc recommencé à faire ce qu’il faisait avant la crise, et qui est sa raison d’être, à savoir faire croître l’économie par l’accumulation de la dette – ou, si l’on préfère, dépenser des montagnes d’argent emprunté et comptabiliser une partie du résultat obtenu comme de la « croissance économique ».</p>
<p>Loin d’être réduite, la dette mondiale a continué à croître plus rapidement que l’économie, entraînant une augmentation des ratios d’endettement dans les économies avancées comme dans les économies émergentes. Pendant ce temps, les injections monétaires massives dans le système financier mondial se sont poursuivies sans relâche – et les timides tentatives de « normalisation » des politiques monétaires ont été rapidement abandonnées car elles ont immédiatement déclenché des tensions et des flambées de volatilité sur les marchés financiers. Cette expansionnisme monétaire ininterrompu a fini par gonfler un ensemble de bulles d’actifs multiples, massives et complexes, que certains analystes ont appelé la « bulle universelle », et qui est devenu l’ossature financière de l’économie mondiale. Le gonflement de cette « bulle universelle » a été l’un des deux moteurs de la croissance économique mondiale ces dernières années, l’autre étant la transformation de la Chine en l’accumulateur de dette le plus rapide de l’histoire de l’humanité – transformation qui a alimenté dans « l’empire du Milieu » une vague de surinvestissement et une accumulation de surcapacités sur une échelle proprement démentielle.</p>
<p>Dans une certaine mesure, on pourrait dire qu’au cours de la dernière décennie, c’est le système économique et financier mondial lui-même qui est devenu une bulle. Comme toute autre bulle, cependant, cette « bulle de bulles » est destinée à finir par faire exactement ce que font toutes les bulles spéculatives : éclater. Même avant la pandémie de COVID-19, il semblait que nous nous approchions de ce point. La BCE a dû redémarrer ses achats d’actifs en septembre 2019, alors même qu’aux États-Unis la Réserve fédérale recommençait également à injecter des quantités massives de liquidités en raison d’une situation anormale sur le marché du refinancement interbancaire et d’une pénurie inattendue de liquidités dans le système financier. Dès le deuxième semestre de l’année dernière, le système financier et économique mondial était en train de craquer et la « bulle universelle » se rapprochait dangereusement de son éclatement.</p>
<p>Dans ces conditions, les chocs d’offre et de demande résultant de la pandémie de COVID-19 ont représenté l’épingle qui a finalement crevé cette bulle. Bien sûr, les principales banques centrales du monde ont immédiatement compris que tout le château de cartes qu’elles ont contribué à construire et qu’elles ont désespérément tenté de maintenir debout au cours de la dernière décennie était sur le point d’imploser, et elles ont décidé de se lancer à corps perdu dans une relance monétaire quasiment sans limite. Le volume des injections monétaires dans le système financier mondial effectuées au cours des deux derniers mois est tout simplement hallucinante, et dépasse de loin tout ce qui avait été fait après la crise financière. Les banques centrales ont augmenté leurs bilans plus rapidement que jamais auparavant, en achetant à peu près tout ce qu’elles pouvaient. La monétisation directe de la dette publique n’est désormais plus considérée comme un tabou et constitue probablement la prochaine étape – elle a d’ailleurs déjà commencé, dans une certaine mesure, au Royaume-Uni.</p>
<p>Cette nouvelle et massive relance monétaire n’a bien sûr eu aucun effet de relance ou de stimulation sur une économie mondiale qui était mise à l’arrêt, mais elle a rassuré les investisseurs financiers quant à la détermination des banquiers centraux  à empêcher à tout prix un effondrement financier. C’est pourquoi Wall Street a connu en avril son meilleur mois depuis des décennies, juste après avoir connu sa correction la plus rapide jamais enregistrée en mars, et alors même que l’économie américaine s’effondrait et que le chômage explosait comme jamais auparavant…</p>
<p>Grâce à ces interventions des banque centrales, la déconnexion entre les marchés financiers et l’économie réelle est désormais totale. Mais ce que connaissent actuellement les marchés financiers n’est rien d’autre que ce que les anglo-saxons appellent une « suspension d’incrédulité », une situation dans laquelle les intervenants ont accepté d’abdiquer toute capacité de jugement face à l’impossibilité de la narration qui leur est fournie. Le réveil sera vraisemblablement brutal dans les semaines et les mois à venir, quand l’ampleur et la profondeur de la dévastation économique deviendra plus claire. La « bulle universelle » a été percée, et la monstrueuse rustine appliquée par les banquiers centraux ne permettra pas très longtemps de l’empêcher de se dégonfler.</p>
<p><em><strong>Vous avez également <a href="https://paularbair.wordpress.com/2020/03/18/covid-19-reflexions-sur-le-sens-dune-pandemie/" target="_blank" rel="noopener noreferrer">écrit</a>: « les â€˜limites à la croissance’ sont finalement arrivées » et « la crise sanitaire du coronavirus est ce qui révèle cette arrivée ». Pourriez-vous expliquer de quelle façon ?</strong></em></p>
<p>La thèse des « limites à la croissance » (Limits to Growth) est assez bien connue mais probablement pas si bien comprise, car elle a été largement mal interprétée et déformée depuis sa publication en 1972. Fondamentalement, cette thèse consiste à dire que le système terrestre ne peut pas soutenir la croissance économique et démographique indéfiniment, et donc que cette croissance atteindra inévitablement des limites tôt ou tard. Cette thèse se fonde sur un modèle informatique basé sur la « dynamique des systèmes », qui intègre divers facteurs qui déterminent les conditions de la croissance et leurs interactions. L’équipe de chercheurs qui a bâti ce modèle à l’époque a examiné divers scénarios basés sur plusieurs ensembles d’hypothèses pour déterminer les évolutions possibles de la croissance économique et démographique sur notre planète jusqu’en 2100. Dans tous ces scénarios, le modèle informatique a indiqué que les principaux indices de croissance cesseraient d’augmenter et commenceraient à décliner entre 2015 et 2050. Pour ce qui est du scénario central, celui dit du « statu quo », dans lequel les schémas de croissance de la population et de la production se poursuivraient plus ou moins sur la trajectoire considérée comme la plus probable au début des années 1970, le modèle a indiqué que la croissance économique ralentirait au tournant du XXIe siècle et que le monde atteindrait un tournant vers 2015-2020, avant d’entrer dans une phase de déclin. Ces dernières années, plusieurs études ont montré que la trajectoire mondiale depuis lors était globalement cohérente avec ce scénario du « statu quo ». Et je suis sûr que beaucoup conviendront que l’évolution du système mondial au cours de la dernière décennie a été largement compatible avec la possibilité que le monde ait atteint ou franchi un point d’inflexion…</p>
<p>La pandémie de COVID-19, en elle-même, ne permet pas de valider la thèse des « limites à la croissance », et il est trop tôt pour dire quel pourrait être son propre effet spécifique sur la croissance mondiale dans une perspective à long terme. Cependant, elle révèle à la vue de tous la situation économique d’un monde qui semble en effet être arrivé à un tournant.</p>
<p>Ce qu’elle révèle, c’est un monde qui repousse les limites à la croissance depuis un certain temps déjà, et qui manque désormais d’instruments et de capacités pour continuer à pousser ces limites plus avant. La nature de la croissance économique mondiale a en effet commencé à changer dès les années 1970, alors que l’économie atteignait la fin de la période de croissance « organique » qui résultait de la pleine entrée dans l’ère du pétrole dans les décennies qui ont suivi la Seconde Guerre mondiale. Le formidable surplus énergétique qui en résultait a alors commencé à s’amoindrir, et le monde a depuis lors été amené à utiliser d’autres moyens pour maintenir sa trajectoire de croissance. Il l’a fait notamment en recherchant une efficacité accrue des processus économiques par le biais de la libéralisation, de la mondialisation et et de la « technologisation » de l’économie. Surtout, il l’a fait en se livrant corps et âme aux excès de la financiarisation alimentée par la dette, qui au bout de quelques décennies a débouché sur l’explosion de 2008 – suivie par l’aventurisme monétaire qui nous a permis de continuer à repousser encore un peu plus loin le dénouement inévitable. Ces diverses stratégies ont toutefois largement épuisé leurs effets, et elles ont fini par convertir l’économie mondiale en une « machine à bulles » d’abord, puis en une gigantesque bulle elle-même, qui menaçait déjà d’éclater avant la pandémie de COVID-19. Maintenant, et alors que l’onde de choc économique de la pandémie commence seulement à se répandre, le monde est largement à court de munitions pour repousser à nouveau les limites. Tout ce qu’il peut faire, et qu’il fera très certainement, est de pousser encore plus avant son aventurisme monétaire, car c’est la seule voie dont nous disposons encore pour essayer de repousser les limites une fois de plus – et probablement une dernière fois.</p>
<p>Globalement, ce qui est intéressant et remarquable avec la thèse des « limites à la croissance » n’est pas tant l’exactitude des prévisions basées sur son modèle – même si elles semblent avoir été plus exactes sur le long terme que celles de tout modèle économique jamais conçu. Ce n’est pas non plus la fiabilité du modèle lui-même, qui n’était pas parfait et qui pâtissait des limites des technologies de l’information et de la disponibilité des données au moment de sa conception. C’est plutôt la conceptualisation de la croissance économique comme résultant de la dynamique d’un système – et non comme un état de fait naturel ou un phénomène auto-entretenu résultant seulement de quelques facteurs de production et de leur productivité comme le soutiennent la plupart des économistes – et aussi la modélisation de l’évolution dynamique de ce système au fil du temps. Ce faisant, les « limites à la croissance » ont montré que l’écosystème humain croît principalement parce que – et uniquement si – il peut engloutir des ressources à un rythme toujours croissant et recracher toujours plus de déchets dans l’environnement, et que c’est précisément parce qu’il fait tout ceci à une échelle sans cesse plus grande qu’il finit inévitablement par se heurter à des limites – car la capacité de l’environnement terrestre est limitée, à la fois en tant que fonds de ressources et en tant que puits de pollution. En d’autres termes, les « limites à la croissance » ont montré que ce sont essentiellement les mêmes causes qui sous-tendent la croissance, puis ensuite le plafonnement et le déclin de l’écosystème humain.</p>
<p>Ceci est tout à fait conforme aux modèles historiques d’ascension et de chute des sociétés ou civilisations complexes analysées par Joseph Tainter : là encore, ce sont les mêmes processus qui sous-tendent l’ascension et le déclin d’une société – à savoir les processus par lesquels une société peut résoudre ses problèmes par l’ajout incessant de complexité socio-politique. Ces processus sont ce qui fait le succès d’une société ou d’une civilisation donnée, mais ils finissent inévitablement par se heurter à des rendements décroissants et amènent cette société à un stade où elle n’est plus capable de maintenir son niveau de complexité socio-politique car elle n’a plus accès aux ressources nécessaires. Les deux perspectives – croissance et complexité – sont liées, et l’on peut penser que nous atteignons ou avons atteint des points de retournement sur les deux plans.</p>
<p>Cette dynamique d’ascension et de déclin résultant des mêmes processus explique pourquoi les sociétés humaines ont le plus grand mal à comprendre ce qui leur arrive lorsque ces processus cessent de produire du succès et commencent à induire de l’échec. Leur réaction naturelle, dans une telle situation, est de tout faire pour accentuer les processus qui, selon elles, ont causé leur succès. Ce faisant, elles finissent généralement par accélérer leur propre déclin. Il me semble que c’est probablement là où nous en sommes, et où se trouve notre civilisation industrielle. Nous sommes remarquablement ignorants de ce qui nous arrive, et les choix que nous allons probablement faire maintenant pour essayer de résoudre nos problèmes pourraient bien aboutir à accélérer notre chute.</p>
<p><em><strong>Il y a quatre ans, dans un article intitulé « <a href="https://paularbair.wordpress.com/2016/07/05/brexit-poussee-populiste-et-crise-de-la-complexite/" target="_blank" rel="noopener noreferrer">Brexit, poussée populiste et crise de la complexité</a> », vous mettiez en garde contre cette « fin » ou « fermeture » de la civilisation occidentale vers laquelle nous semblons nous diriger aujourd’hui, mais au travers du prisme de la montée de la vague populiste. Pourriez-vous nous en dire plus ?</strong></em></p>
<p>Je ne mettais pas exactement en garde contre la fin ou la fermeture de la civilisation « occidentale », bien que ceci puisse également être en train de se produire. Je parlais plutôt du fait que la civilisation « industrielle » – qui est liée à la civilisation occidentale mais n’en est pas synonyme – atteignait précisément le type de point d’inflexion voire de retournement que je viens de mentionner, à la fois en termes de croissance et en termes de complexité. La poussée populiste était et est toujours très en cohérence avec cette thèse d’un monde atteignant ce type de point d’inflexion ou de retournement, où les processus qui ont généré le succès s’essoufflent et commencent même à provoquer l’échec. Un monde atteignant ce type de point serait de fait susceptible de connaître un ralentissement continu de la croissance économique, un plafonnement ou même une baisse du niveau de vie pour beaucoup, une augmentation des de la concentration des richesses et des inégalités, une instabilité ou une volatilité financière accrue, une montée des tensions sociales et de la polarisation politique, et un risque croissant de dislocation ou de fragmentation politique et géopolitique. Autrement dit, tout ce qui est en train de se passer aujourd’hui, et qui était déjà en cours avant la pandémie de COVID-19.</p>
<p>La poussée populiste de ces dernières années a été un signe parmi d’autres que nos sociétés industrialisées ont de plus en plus de mal à maintenir leur niveau de complexité socio-politique et sont soumises à des forces de plus en plus considérables qui les entraînent vers un niveau de complexité plus faible (sous forme par exemple d’économies plus localisées, de gouvernances politiques renationalisées, de sociétés plus homogènes, etc.). Ces forces ne feront probablement que se renforcer au cours des prochains mois et années, car un monde où la distanciation physique est rendue nécessaire partout et à tout moment ne peut probablement pas maintenir très longtemps un niveau de complexité socio-politique qui a été construit par et pour un monde où ce genre d’exigence n’existait pas.</p>
<p><em><strong>Encore une fois, <a href="https://paularbair.wordpress.com/2020/03/18/covid-19-reflexions-sur-le-sens-dune-pandemie/" target="_blank" rel="noopener noreferrer">je vous cite</a> : « même si nous parvenons à contrôler les dégâts cette fois-ci, cet épisode sans précédent devrait au fond probablement être perçu comme un avertissement à l’humanité, un avertissement que la réaction de Mère Nature contre son agresseur est enclenchée ». Les scientifiques – et se joignant à eux récemment les jeunes – ont exhorté les leaders politiques et les populations à prendre la menace environnementale au sérieux. Êtes-vous optimiste à ce sujet et pensez-vous que cette fois, après cette pandémie, les gens forceront leurs gouvernements à agir ?</strong></em></p>
<p>J’aimerais beaucoup être optimiste à ce sujet, mais j’ai bien peur de ne pas pouvoir.</p>
<p>Je sais que beaucoup de gens nourrissent certains espoirs pour le monde post-COVID, et espèrent notamment que cela pourrait finalement être l’occasion de construire une société plus juste et une économie plus durable. Une opportunité de « changer notre modèle », comme disent certains, notamment en mettant en œuvre sorte de « new deal vert ». Pour ma part, je doute que ce type d’espoir se concrétise, ou bien même qu’il perdure très longtemps. La pandémie est loin d’être terminée, mais je m’attends à ce que dans les semaines et les mois à venir l’attention des populations et des dirigeants se déplace de manière décisive vers les retombées économiques de la crise et les probables troubles sociaux qui en découleront. Il est très illusoire de croire que l’économie pourrait simplement redémarrer plus ou moins comme avant lorsque les mesures de confinement seront levées. L’étendue et la durée des restrictions ont déjà fait des ravages, avec de nombreuses personnes tombant dans la pauvreté, de nombreuses entreprises tombant en faillite, de nombreuses chaînes de valeur durablement perturbées ou rompues, des investissements qui s’effondrent dans tous les domaines et également dans certains cas une perte de productivité du capital physique en raison d’une inactivité prolongée. Mais le pire est à venir, car de nombreux secteurs devront rester fermés pendant un certain temps – toutes les activités qui par nature sont incompatibles avec la distanciation physique – et dans les secteurs qui rouvriront les nouvelles règles de fonctionnement auxquelles les entreprises devront se plier et le niveau d’activité durablement réduit auquel elles doivent s’attendre rendra beaucoup d’entre elles non viables en augmentant leurs coûts et en réduisant leurs revenus. Une vague de défauts de paiement des particuliers et des entreprises est inévitable, et les gouvernements et les banques centrales ne pourront pas sauver tout le monde, car il y aura tout simplement beaucoup trop de monde à sauver (« Too Many to Save »).</p>
<p>Comme il est peu probable que la crise sanitaire soit entièrement résolue et que toutes les restrictions à l’activité et à la mobilité soient levées avant un certain temps, la crise économique sera probablement longue, profonde, et très dommageable. Le chômage et la pauvreté devraient exploser, et le déclassement social des classes moyennes occidentales s’accélérer. Dans les mois et les années à venir, les décideurs politiques seront probablement en mode de « contrôle des dommages » et n’auront ni le temps ni le loisir de se lancer dans la construction d’un monde meilleur. Ce sera d’autant plus le cas que la « grande perturbation » induite par la pandémie va sans doute déclencher une montée des tensions géopolitiques, qui pourraient fort bien dégénérer en conflits. Ceux qui croient et clament maintenant que la construction d’un monde meilleur, plus juste et plus durable est à portée de main et n’est qu’une question de « volonté politique » vont avoir un réveil douloureux, je le crains.</p>
<p>Je voudrais également ajouter quelque chose concernant l’idée que la pandémie signale que « la réaction de Mère Nature contre son agresseur » pourrait être enclenchée, comme je l’ai écrit en mars. Il y a eu beaucoup de discussions et de rumeurs depuis lors sur la possibilité que le virus soit en fait d’origine humaine, c’est-à-dire qu’il ait pu être génétiquement créé ou modifié dans un laboratoire et libéré intentionnellement ou accidentellement. L’origine du virus est bien sûr une question importante, car une création humaine aurait des conséquences considérables sur les relations internationales si elle se confirmait. Personnellement, je ne sais pas à quel point cette théorie est plausible et si c’est bien ainsi que tout ceci pourrait avoir commencé. Mais, même si c’est le cas, l’argument selon lequel la pandémie soulève des questions fondamentales concernant notre relation à la nature est toujours valable. Si le virus est d’origine zoonotique, c’est à dire d’origine animale, alors c’est notre relation aux autres formes de vie qui est en question. Nous évinçons méthodiquement les autres êtres vivants de la planète, et ce sont les changements dans l’environnement et la destruction de la biodiversité que nous provoquons qui sont les principaux moteurs de développement des maladies zoonotiques – et le seront de plus en plus à l’avenir. Si, en revanche, le virus a été créé dans un laboratoire, c’est notre besoin irrépressible de manipuler le monde naturel et ses processus qui est en jeu. Dans une certaine mesure, la science moderne nous permet de jouer les « apprentis sorciers » avec la nature, y compris en manipulant le code génétique de pathogènes mortels, et il est inévitable que des accidents surviennent à un moment ou à un autre.</p>
<p>En fait, je pense que notre tendance à conduire d’autres espèces à l’extinction en étendant sans relâche notre domination sur la Terre, ainsi que notre besoin irrépressible de manipuler par la science et la technologie tous les aspects de la toile de la vie sur la planète, sont deux facettes d’un même phénomène, qui n’est autre que ce que nous en sommes venus à entendre par le concept de « progrès » humain. Fondamentalement, le progrès humain tel que nous le concevons dans notre civilisation industrielle sert un but, et un seul : nous rendre plus libres et plus émancipés des chaînes de la nature. Nous libérer des contraintes et limites physiques et biologiques que la nature nous impose est l’essence même de ce progrès. Et là encore, les processus qui sous-tendent le succès sont les mêmes que ceux qui nous poussent ensuite vers la chute. Nous, êtres humains, pouvons ainsi tirer un certain bénéfice de l’éviction d’autres espèces de la planète, jusqu’à ce que cela finisse par endommager la toile de la vie à un point tel que notre propre existence en soit affectée et notre survie en soit menacée. Nous pouvons aussi tirer un certain bénéfice de la manipulation et de l’ingénierie de tous les types de formes de vie dans nos laboratoires, jusqu’à ce que cela finisse par libérer un agent tueur dans la nature. Quoi qu’il en soit, nous pourrions là encore atteindre un point d’inflexion ou même de retournement, le moment où la réaction de la nature contre nos agissements est enclenchée et s’accélère.</p>
<p><em><strong>Enfin, les civilisations se développement puis s’effondrent, comme le dit Joseph Tainter, lorsqu’elles « ne peuvent guère faire plus que maintenir le statu quo ». N’y sommes-nous pas déjà ? Êtes-vous pessimiste ? Pouvez-vous voir des lumières au bout du tunnel ?</strong><strong> </strong></em></p>
<p>Il y a effectivement des signes multiples et convergents que nous y arrivons – ou peut-être que nous y sommes déjà, bien que ces choses ne puissent être connues avec certitude qu’avec le recul. Comme je l’ai expliqué, je crois que nous atteignons ou avons déjà atteint un point d’inflexion voire de retournement, un point où ce qui nous a permis de réussir en tant que société ou civilisation a cessé de produire du succès et commence à provoquer l’échec – l’échec systémique, s’entend. Comme je l’ai dit, il me semble que nous sommes remarquablement ignorants de notre situation, car nous avons tendance à nous concentrer sur des éléments isolés de notre système civilisationnel plutôt que sur la compréhension de la dynamique de ce système. Et donc notre réaction probable va très probablement consister à tenter d’appliquer avec encore plus d’ardeur nos recettes éprouvées, dans l’espoir qu’elles nous remettent sur la bonne voie, celle du succès civilisationnel. Nous allons par exemple probablement redoubler d’effort dans notre quête de croissance économique, dans l’espoir de pouvoir nous remettre de la dépression induite par le COVID – et nous allons très probablement échouer. Nous allons également probablement redoubler d’effort pour tenter de résoudre nos problèmes (y compris la pandémie elle-même) en ajoutant couche après couche de complexité organisationnelle et technique – et nous allons là aussi très probablement échouer.</p>
<p>Alors que nous atteignons notre point de retournement civilisationnel, ce que nous devrions faire si nous comprenions notre situation est exactement le contraire. Nous devrions consciemment, volontairement, de manière décisive et méthodique « décroître » notre empreinte économique pour la ramener à un niveau qui puisse être soutenu par le système terrestre auquel nous appartenons et dont nous dépendons pour notre survie. Nous devrions consciemment, volontairement, de manière décisive et méthodique « décomplexifier » nos systèmes sociaux, politiques et techniques, pour les adapter à une époque de recalibration de nos ressources.</p>
<p>Est-ce que cela pourrait se produire ? Je me trompe peut-être, mais je ne le pense pas. Bien sûr, certains individus et groupes ici ou là peuvent opter pour une sorte de « simplicité volontaire » et choisir de « décroître » leur empreinte économique, mais cela restera très probablement un phénomène marginal. Dans l’ensemble, je ne crois pas qu’une société avancée puisse choisir volontairement la « décroissance », ni qu’un tel choix puisse être fait et maintenu dans le temps dans un régime démocratique. D’abord parce qu’il serait incompatible avec la liberté individuelle telle qu’on l’entend en Occident. Deuxièmement, parce qu’il s’avérerait inévitablement préjudiciable aux conditions matérielles d’une majorité de la population, ce qui exacerberait les tensions et les dissensions sociales et conduirait très probablement à un renversement rapide de ce choix. D’ailleurs, dans les mois à venir la dépression économique induite par le COVID montrera probablement que la plupart des Occidentaux n’apprécient pas vraiment la perspective – et pour beaucoup la réalité – d’avoir à vivre avec moins. Troisièmement, la concurrence reste le principal principe organisateur des relations internationales, ce qui signifie que pour toute société qui choisirait la « décroissance », il y en aurait toujours d’autres qui seraient heureuses de saisir l’opportunité de gravir les échelons de l’empreinte économique – et d’accumuler le pouvoir qui en résulte.</p>
<p>De même, je ne pense pas qu’aucune société avancée choisira jamais de se « décomplexifier » volontairement, car la maîtrise de la complexité est précisément ce qui la rend « avancée », et c’est aussi une quête humaine fondamentale qui ne peut être contrainte universellement et indéfiniment.</p>
<p>Par conséquent, je voudrais bien vous dire que je vois des lumières au bout du tunnel, mais en fait je crois que nous ne faisons qu’entrer dans le tunnel… Cela ne signifie pas que tout va s’effondrer brusquement, mais que nous entrons dans une nouvelle phase de l’histoire de notre civilisation industrielle, qui est celle de son déclin. Cela ne devrait pas vraiment nous surprendre, car comme vous l’avez dit « les civilisations se développement puis s’effondrent ». En fait, toutes passent par un cycle de naissance, de développement, de croissance, de plateau, de déclin puis de chute – et c’est essentiellement ce en quoi consiste l’histoire humaine. Il est de plus en plus évident que notre civilisation industrielle actuelle n’est pas durable, et que comme tout ce qui n’est pas durable elle ne pourra pas durer. Cependant, on peut affirmer qu’aucune autre civilisation humaine complexe n’a jamais été durable – dans le sens de pouvoir être « soutenue » de façon permanente. Une civilisation humaine complexe, en fait, produit toujours elle-même les germes de son propre déclin et de sa propre disparition, et comme nous l’avons déjà vu, elle le fait à travers les mêmes processus qui sous-tendent son ascension et son succès. En d’autres termes, une civilisation humaine complexe n’est pas censée être durable, car elle ne peut pas l’être.</p>
<p>Il est bien sûr quelque peu regrettable pour nous tous d’avoir à vivre alors que notre propre civilisation – la plus grande, la plus complexe, la plus couronnée de succès mais aussi la plus insoutenable qui ait jamais existé – semble entrer dans sa phase de déclin. Pourtant, il vaut probablement mieux entrer et avancer dans le tunnel avec les yeux grands ouverts plutôt qu’avec des croyances et des attentes erronées. Du moins je l’espère. Et j’espère aussi que je me trompe sur tout ceci, bien sûr.</p>
