title: L’épidémie n’a pas de vertus
url: https://perspectives-printanieres.info/index.php/2020/03/10/lepidemie-na-pas-de-vertus/
hash_url: 58117f5865002118d6769cb0a7aa9786

<p>Si l’on en croit la multiplication des analyses médiatiques allant dans ce sens dernièrement, l’épidémie de COVID-19 serait bonne pour la planète. Le principal bénéfice écologique évoqué se rapporte à la baisse d’1/4 des émissions chinoises de CO<sub>2</sub> sur les deux derniers mois<a href="#_ftn1" name="_ftnref1">[1]</a>, dont les effets positifs sont évidemment climatiques mais aussi sanitaires. L’intérêt autour de cette réduction de la pollution émise par la deuxième puissance mondiale a notamment été renforcé par des images satellites de la NASA illustrant très nettement le phénomène.  Quelques articles plus rares mentionnent quant à eux les effets positifs pour la biodiversité de la très récente interdiction par la Chine du commerce et de la consommation d’animaux sauvages<a href="#_ftn2" name="_ftnref2">[2]</a>. Malgré ces éléments qui semblent univoques, voir des bénéfices pour la planète dans l’épidémie en cours n’est en aucun cas un positionnement écologiste. Revenir aux conditions sociales de la production de l’épidémie ainsi qu’aux principales propositions écologistes permet de s’en convaincre. Il y a assurément une grande différence entre considérer que l’épidémie de coronavirus est en elle-même écologiquement positive et tirer (ou plutôt confirmer) des enseignements écologistes à partir des effets économiques de celle-ci.</p>
<h4>La production de l’épidémie</h4>
<p>Les origines exactes du coronavirus<a href="#_ftn3" name="_ftnref3">[3]</a> restent encore largement indéterminées. Toutefois son caractère zoonotique<a href="#_ftn4" name="_ftnref4">[4]</a> ouvre la voie à de nombreux discours sur le virus en lui-même ou sur l’épidémie y étant associé – la principale préoccupation étant de déterminer l’animal porteur du virus, qui aurait pu le transmettre aux humain-es. Aux débuts de l’épidémie, un marché de Wuhan – capitale de la province chinoise du Hubei, dont l’agglomération compte plus de 11 millions d’habitant-es – était au cœur de l’attention, puisque c’est là qu’aurait eu lieu la première transmission du coronavirus aux humain-es. L’animal rapidement considéré dans l’espace médiatique comme porteur du pathogène était la chauve-souris. Cette piste n’ayant pas été rapidement confirmée, d’autres espèces animales ont rapidement été évoquées comme potentielles sources de la transmission du virus aux humain-es, comme le serpent ou, plus probablement, le pangolin – l’espèce la plus braconnée au monde<a href="#_ftn5" name="_ftnref5">[5]</a>. Ces animaux font partie des multiples espèces sauvages qui transitent par le marché de Wuhan, d’où l’intérêt qui leur est porté ces dernières semaines. L’épidémie de SRAS du début des années 2000 – 800 victimes entre 2002 et 2003<a href="#_ftn6" name="_ftnref6">[6]</a> – est évidemment dans tous les esprits, puisqu’à l’époque, le porteur animal du virus était la civette, un petit mammifère également braconné et échangé sur les marchés chinois. Pékin a d’ailleurs strictement interdit son commerce à la suite de l’épidémie, laissant supposer que les transactions de pangolins et/ou chauve-souris pourraient également être définitivement interdites dans le pays.</p>
<p>Le caractère « sauvage » de ces animaux (potentiellement) porteurs du virus est absolument central, puisque c’est précisément ce sur quoi rebondissent nombre de discours politiques (mais qui ne le sont pas toujours explicitement) liés au coronavirus, qu’ils se présentent ou non comme écologistes. La consommation de ces animaux n’étant pas répandue en France, les réactions racistes envers les personnes et cultures asiatiques se sont multipliées sur les réseaux sociaux. Rapidement, ce ne sont plus seulement les animaux cuisinés qui sont considérés comme sauvages mais aussi les personnes qui les mangent. D’abord, ce sont les pratiques gastronomiques qui sont ciblées, des occidentaux ridiculisant des plats traditionnels chinois<a href="#_ftn7" name="_ftnref7">[7]</a>, souvent au recours d’intox et de manipulations<a href="#_ftn8" name="_ftnref8">[8]</a>. Cette concentration sur les pratiques culinaires chinoises n’est que le symptôme de la dimension raciste de l’hygiénisme avec lequel les occidentaux traitent le reste du monde. Mais rapidement, les actes discriminatoires et humiliations envers les personnes asiatiques se sont multipliés, par exemple dans les transports en commun. Nombre d’entre elles ont exprimé leur colère avec le hashtag <a href="https://twitter.com/search?q=%23JeNeSuisPasUnVirus&amp;src=typeahead_click"><strong><em>#JeNeSuisPasUnVirus</em></strong></a> sur twitter ainsi qu’à travers de nombreuses interventions télévisées. Cette recrudescence de racisme n’épargna pas le champ médiatique, puisque le quotidien régional Le Courrier Picard titrait « Alerte jaune » en une, le 26 janvier dernier. La lecture raciste de l’épidémie qui s’est construite en Occident s’est ainsi prolongée jusque dans les réponses des puissances occidentales, qui ont étudié les bénéfices d’une fermeture totale des frontières.</p>
<p>L’indétermination<a href="#_ftn9" name="_ftnref9">[9]</a> autour des conditions de la première transmission de ce dernier aux humain-es nourrit une perception de l’épidémie comme « naturelle » : le coronavirus était bien présent quelque part sur la planète, qu’il soit un jour transmis aux humain-es n’était alors qu’une question de temps (c’est-à-dire le temps que le virus arrive jusqu’à nous), conférant ainsi à l’épidémie en cours un caractère inéluctable. Cette présentation simpliste d’une origine « naturelle » de l’épidémie en cours pose évidemment de multiples problèmes. Tout d’abord, elle occulte complètement les processus biogéographiques à l’œuvre derrière l’accroissement d’émergence des épidémies : la destruction des biotopes. Devant la disparition de leurs habitats, nombre d’espèces sont en effet contraintes de se déplacer vers de nouveaux espaces, où elles se trouvent confrontées à de nouveaux agents infectieux. Si la plupart du temps, ces animaux deviennent de simples porteurs sains de ces virus, la destruction des habitats multiplie également les points de contact entre les humain-es et ces espèces condamnées à l’errance<a href="#_ftn10" name="_ftnref10">[10]</a>. L’artificialisation des sols apparaît dès lors directement responsable de l’accroissement récent des épidémies, puisqu’elle ouvre des porteurs animaux à de nouveaux pathogènes jusque-là isolés et augmente les possibles contaminations zoonotiques vers les humain-es. A cela s’ajoute le réchauffement global du climat qui accroît lui aussi les risques épidémiologiques : les dérèglements climatiques sont extrêmement propices à l’expansion virologique<a href="#_ftn11" name="_ftnref11">[11]</a>. L’intensification des précipitations, l’aggravation des sècheresses ou la destruction d’installations sanitaires par des catastrophes climatiques plus nombreuses sont autant d’effets secondaires du changement climatique qui favorisent l’accroissement du nombre d’épidémies ces dernières années.</p>
<p>Toutefois ce détour utile par la biogéographie n’est pas suffisant, les conditions sociales de ce grignotage par artificialisation des biotopes doivent elles aussi être explicitées – sinon, deux risques surviennent, celui de retomber dans une schématisation simpliste d’une société arrachée à la nature et désormais en conflit avec elle, le virus redevenant « naturel », et celui d’une homogénéisation de la société et des dominations sociales la structurant. L’anthropisation accélérée des sols est un symptôme tardif d’un « habiter colonial »<a href="#_ftn12" name="_ftnref12">[12]</a> de la Terre, imposé par l’Occident au reste du monde. Celui-ci se fonde sur 3 principes : la subordination géographique d’un espace à un autre, l’exploitation des terres de l’espace nouvellement approprié et la possibilité pour d’autres d’y habiter rendue impossible – 3 principes auxquels tout-e écologiste ne peut que s’opposer. Les intrications du changement climatique et des mécanismes capitalistes sont quant à elles largement documentées, depuis la constitution de l’économie fossile elle-même<a href="#_ftn13" name="_ftnref13">[13]</a> jusqu’à la promotion de politiques climatiques adaptationnistes par les élites néolibérales<a href="#_ftn14" name="_ftnref14">[14]</a>. L’épidémie n’est donc en rien « naturelle », vierge de toute implication humaine, mais relève bien de dynamiques fondamentalement politiques ayant trait à l’organisation sociale des sociétés modernes.</p>
<p>Enfin, la gestion répressive de la propagation du virus est elle aussi à considérer pour déconstruire l’épidémie comme « régulation naturelle ». Principale réponse apportée à l’épidémie, il faut ici essayer de détricoter les différents usages politiques du confinement. Le recours à celui-ci semble inévitable, toutes les études épidémiologiques le préconisent. Mais les conditions précises de sa mise en œuvre sont beaucoup moins consensuelles, comme en témoignent les positions divergentes entre les expert-es qui trouvent qu’on en fait trop et celleux qui trouvent que l’on en fait pas assez<a href="#_ftn15" name="_ftnref15">[15]</a>. Plusieurs grandes puissances se sont alors lancées dans un strict confinement de leurs habitant-es. Première touchée, la Chine a mis en place un système répressif extrêmement sévère, en transformant l’appareil bureaucratique du Parti Communiste Chinois en véritable police anti-épidémie : les membres des comités de quartier du PCC contrôlent les moindres allers et venues des habitant-es qui souhaitent passer les barrières dressées entre provinces, communes, quartiers et pâtés de maisons<a href="#_ftn16" name="_ftnref16">[16]</a>. Les mesures systématiques de température à l’entrée de nombreux bâtiments ne sont qu’un exemple parmi de nombreux autres du fort contrôle social exercé par l’appareil sécuritaire chinois sur la population des régions infectées. Pékin compte d’ailleurs sur la dimension humanitaire – « il faut lutter contre l’épidémie » – pour se garantir le soutien (d’au moins une partie) de la population locale<a href="#_ftn17" name="_ftnref17">[17]</a>.  En Italie, pays européen le plus touché par l’épidémie de COVID-19, le gouvernement a récemment mis en place le confinement de près de 15 millions de personnes (environ 1/3 de la population italienne), dans 11 provinces du nord du pays<a href="#_ftn18" name="_ftnref18">[18]</a>, au sein desquelles la police et l’armée auront semble-t-il toute latitude pour interroger les personnes sur les motivations de leurs déplacements. En réaction à l’interdiction des visites en prison et aux faibles mesures de protection des prisonniers vis-à-vis de l’épidémie, des mutineries ont éclaté dans le sud du pays<a href="#_ftn19" name="_ftnref19">[19]</a>, à l’issue desquelles 10 d’entre eux furent assassinés.  En France, le caractère martial du confinement est presque explicitement établi<a href="#_ftn20" name="_ftnref20">[20]</a>, puisque c’est un « conseil de défense » qu’a mis en place Emmanuel Macron pour mener la « guerre » face au virus. Cette problématisation de l’épidémie comme « guerre » est une construction politique, qui visible un ennemi invisible (le virus), permettant ainsi de justifier par l’urgence des mesures anti-démocratiques exceptionnelles en matière de sécurité<a href="#_ftn21" name="_ftnref21">[21]</a> – peut-on par exemple craindre un état d’urgence justifié par la menace que représente le coronavirus ?</p>
<p>Le confinement procède donc par contrôle spatial : la segmentation de l’espace est imposée verticalement par les autorités, qui entendent encadrer les moindres faits et gestes de la population selon ce qui leur semble nécessaire (au vu des intérêts qu’elles défendent et disent défendre). Un tel contrôle spatial – que l’on peut imaginer être un jour étendu aux relations entre humain-es et espèces sauvages en prévision des futures épidémies, si nous ne sortons pas de ce modèle – a une longue histoire coloniale, puisque découper l’espace qu’elles s’étaient approprié permit aux puissances impériales occidentales de contrôler les populations sous leur domination, jusque dans leurs interactions avec d’autres groupes sociaux ou avec des espèces sauvages<a href="#_ftn22" name="_ftnref22">[22]</a>. La gestion chinoise de l’épidémie donne froid dans le dos puisqu’elle rappelle ce contrôle colonial déshumanisé des masses, déjà reproduit par l’aide médicale internationale pour l’épidémie d’Ebola<a href="#_ftn23" name="_ftnref23">[23]</a>. Mais la maladie se propageant essentiellement par « contagion sociale »<a href="#_ftn24" name="_ftnref24">[24]</a>, ce sont toutes les relations sociales qu’il faudrait encadrer, en isolant indistinctement tous les individus. Les limites du confinement apparaissent ici clairement : toute la population ne peut être simultanément confinée, même pendant une courte période. Une certaine fraction de la société devra continuer à circuler pour assurer certains besoins fondamentaux du reste de la communauté (certain-es parlent de « vie minimale », d’« activités essentielles » ou d’« activités utiles à la nation », ces différentes appellations traduisant des visées politiques sensiblement différentes), comme l’alimentation et la santé – nous sommes toujours en contexte d’épidémie. Les appareils étatiques des grandes puissances s’épuisent donc à mettre en place un confinement toujours plus strict, adossé à un discours sécuritaire toujours plus verrouillé. Si rendre parfaitement hermétique le confinement est impossible, renoncer à toute forme de confinement serait aussi inefficace qu’un durcissement de la répression. La prévention des risques est évidemment nécessaire, mais sa forme étatique, acquise à la quantification mais peu sensible aux conditions sociales<a href="#_ftn25" name="_ftnref25">[25]</a>, ne peut aboutir qu’à une gestion autoritaire de l’épidémie – la relative désinvolture avec laquelle le gouvernement français a d’abord traité l’épidémie par rapport à d’autres pays peut s’expliquer par une approche singulière du risque pandémique<a href="#_ftn26" name="_ftnref26">[26]</a>, mais force est de constater qu’il a désormais adapté la même méthode répressive.</p>
<p>Par un glissement scalaire ahurissant, certain-es proposent pourtant sans sourciller de passer la logique répressive de confinement au niveau national en réclamant une fermeture des frontières, réactivant par là même les réflexes nationalistes de celles et ceux qui n’attendaient que ça pour en profiter politiquement<a href="#_ftn27" name="_ftnref27">[27]</a>. Qu’importe si une telle mesure aggraverait la situation sanitaire en bloquant la circulation de matériel de santé ou de nombreuses denrées alimentaires. La proposition d’une « démondialisation écologique »<a href="#_ftn28" name="_ftnref28">[28]</a> projette en quelque sorte cette idée sur le plus long terme en réintroduisant la lutte contre les épidémies dans un projet politique à coloration écologiste, mais orienté vers un fantasme protectionniste bien éloigné des principes libertaires et internationalistes qui fondent l’écologie politique depuis les années 70<a href="#_ftn29" name="_ftnref29">[29]</a>. Promouvoir une « démondialisation », c’est refuser de voir la mondialisation comme un processus profondément ambivalent sur les plans politique et écologique. Les grandes typologies de « gagnant-es » et « perdant-es » de la mondialisation qui inspirent les raisonnements à la source de la proposition de démondialisation passent systématiquement à côté de cette ambivalence fondamentale<a href="#_ftn30" name="_ftnref30">[30]</a>. Le repli nationaliste auquel appellent certain-es pour répondre à l’épidémie provoquée par le coronavirus ignore de plus les multiples études pointant l’innocuité des frontières nationales pour endiguer l’expansion géographique de la maladie : il faudrait que celles-ci soient complètement hermétiques, à la manière d’un confinement hospitalier (bien que ceux-ci ne soient finalement pas si imperméables), une opération évidemment impossible à réaliser. Les études épidémiologiques<a href="#_ftn31" name="_ftnref31">[31]</a>, s’appuyant sur des modélisations mathématiques, ont en effet démontré l’inefficacité de la fermeture des frontières pour empêcher un virus d’entrer sur le territoire.</p>
<p>Cette lecture spatiale multiscalaire de l’épidémie liée au coronavirus indique que les écologistes ne peuvent nullement se satisfaire des soi-disant bénéfices écologiques associés à la propagation du virus. Au contraire, son émergence et sa diffusion elles-mêmes sont le résultat de politiques anti-écologiques qui s’accumulent depuis des décennies, au détriment des écosystèmes et aujourd’hui des humain-es. La réponse actuelle à l’épidémie n’est que la continuité de ces politiques.</p>
<h4>Malthusianisme, panique et écologie politique</h4>
<p>Dans la continuité de cette thématisation des épidémies comme pathologies sociales, les tendances (néo)malthusiennes de la présentation de l’épidémie liée au coronavirus comme « régulation naturelle » (ou de « retour à la normale »<a href="#_ftn32" name="_ftnref32">[32]</a>) sont assez flagrantes : chez Malthus, c’est la famine qui vient inévitablement corriger le décalage entre croissances démographique et des ressources disponibles (la première étant plus rapide que la seconde) ; ici c’est l’épidémie qui joue ce rôle, régulant cette fois le développement des activités humaines face aux capacités de charge – ou limites – de la planète. L’analogie se confirme lorsque l’on s’intéresse plus en détail aux populations touchées par ces « régulations naturelles » : les pauvres chez Malthus, ou plus généralement les dominé-es – pauvres et racisé-es – dans les théories néomalthusiennes, tandis que les plus touché-es par l’épidémie due au coronavirus sont pour l’heure majoritairement chinois-es – environ 80% des personnes infectées. Cet imaginaire flirtant avec le malthusianisme s’est nourri de la constitution des épidémies en Asie comme objet d’étude privilégié de la médecine occidentale<a href="#_ftn33" name="_ftnref33">[33]</a>. Cette lecture du traitement global des épidémies comme héritage du colonialisme s’illustre par de nombreux exemples, comme ces occidentaux qui fuient littéralement les pays européens infectés vers des pays du Sud, sans subir aucun contrôle alors qu’ils transportent le virus avec eux<a href="#_ftn34" name="_ftnref34">[34]</a>. Les chiffres ne l’illustrent pas (encore) mais l’on pouvait légitimement s’en douter : au sein d’un même pays, riches et pauvres ne disposent pas des mêmes moyens pour faire face à l’épidémie<a href="#_ftn35" name="_ftnref35">[35]</a> – comme à toute catastrophe d’ailleurs. Dans certains pays du Nord largement infectés comme la France, un robuste système de santé socialisé permet à une part importante des personnes gravement malades du COVID-19 d’être hospitalisées – bien que le système public de santé soit en plein démantèlement. Les plus pauvres d’autres pays comme les Etats-Unis ne bénéficient pas d’un tel système, et se trouvent donc particulièrement exposées à l’épidémie. Les pays du Sud semblent pour l’heure relativement épargnés par la diffusion du coronavirus<a href="#_ftn36" name="_ftnref36">[36]</a>. Toutefois, cette asymétrie peut s’expliquer par les systèmes de santé beaucoup plus parcellaires, instables et inégalitaires dont disposent ces pays, rendus dépendants des interventions humanitaires occidentales en cas de catastrophe sanitaire. Les tests de dépistage y sont de fait beaucoup moins fréquents, laissant supposer que l’épidémie est dans ces pays bien plus importante que les chiffres ne le laissent penser – l’exemple égyptien est à ce titre assez frappant. Pour se représenter les choses, revenir à la situation française peut être éclairant : sur 1500 cas officiels, l’on trouve 1 ministre, plusieurs député-es, les PDG de plusieurs grandes entreprises et institutions, etc… La surreprésentation de ces cas (les seuls sur lesquels on s’attarde individuellement d’ailleurs) par rapport au reste de la population n’est que le reflet de la stratégie française de ne pas tester la présence du virus chez tous les cas potentiels, la systématisation de ces tests restant semble-t-il réservée à une certaine fraction de la population seulement – ses élites. En France, on peut légitimement supposer que le nombre de cas est bien supérieur à celui officiellement annoncé. Dans des pays du Sud déstabilisés par l’ingérence occidentale, les mêmes effets de minimisation statistique à cause du faible nombre de tests effectués ne peuvent être qu’encore plus importants<a href="#_ftn37" name="_ftnref37">[37]</a>.</p>
<p>Ce que les discours minimisant les dangers du coronavirus occultent, c’est la fragilité des systèmes publics de santé, soumis – quand ils existent encore – depuis de nombreuses années aux pressions du secteur privé. Les échanges entre professionnel-les de santé et le président de la République au début de l’épidémie en France ont particulièrement bien représenté ces impacts directs du démantèlement organisé de la sécurité sociale. Plutôt que de reconnaître les dégâts des dernières politiques en matière de santé, qui ne peuvent plus accueillir dignement toutes celles et tous ceux estimant en avoir besoin, les autorités multiplient les incitations à ne pas se rendre aux urgences, sauf en cas de graves symptômes susceptibles d’être dus au coronavirus. La responsabilité initialement collective du traitement de l’épidémie devient dès lors individuelle, reléguant dans l’irrationalisme celles et ceux qui s’inquiètent légitimement de peut-être avoir été contaminé-es.</p>
<p>Les argumentaires fustigeant celles et ceux qui cèdent à la « panique [ou à la psychose] »<a href="#_ftn38" name="_ftnref38">[38]</a> provoquée par l’épidémie sont probablement encore plus nombreux que ceux pointant ses effets écologiques positifs. La simultanéité de ces deux stratégies argumentatives informe sur les raisons pour lesquelles présenter l’épidémie comme écologiquement bénéfique est particulièrement malvenu : des gens sont morts de la même cause que celle de ces « bénéfices écologiques » – près de 4000 lors de l’écriture de cet article<a href="#_ftn39" name="_ftnref39">[39]</a>. Ce simple fait interdit de se reposer sur des événements comme des épidémies pour avancer politiquement sur les questions écologiques. Pour les personnes en bonne santé, le coronavirus est presque sans gravité, à peine plus virulent qu’une banale grippe. Aucune raison de paniquer nous dit-on, puisque seules les personnes fragiles risquent quelque chose du COVID-19<a href="#_ftn40" name="_ftnref40">[40]</a> – ici les vieux et les vieilles, puisque c’est comme tel-les que le mépris à leur égard nous conduit à les nommer, ainsi que toutes les personnes immunodéficientes. Le nombre de décès imputés au coronavirus est ainsi généralement ramené à celui du nombre de décès de la grippe saisonnière : en chiffres absolus, le second paraît énorme par rapport au premier, alors que le taux de mortalité du coronavirus est semble-t-il 20 à 25 fois plus élevé que celui de la grippe saisonnière<a href="#_ftn41" name="_ftnref41">[41]</a>.  Toutes les familles avec des personnes fragiles n’ont presque plus en tête toutes les précautions relatives aux infections courantes qu’elles prennent tant celles-ci sont devenues automatiques durant l’hiver. Prendre de nouvelles précautions relatives à l’épidémie de COVID-19 procède dès lors par la même logique que celle de la couverture vaccinale : on ne se protège pas seulement soi, mais également les autres. S’inquiéter de l’émergence d’une nouvelle épidémie avec une léthalité accrue ne relève donc pas de la panique, simplement d’une vigilance accrue quant à de potentiels nouveaux risques. Ladite panique, ce sont davantage les médias sensationnalistes qui la construisent et l’entretiennent, en inondant leurs audiences d’informations en tous genre sur l’évolution de l’épidémie. Les personnes interviewées dans les journaux télévisés semblent d’ailleurs aborder la situation avec une relative sérénité, surtout lorsque l’on sort leurs témoignages des récits journalistes au sein desquels ils sont intégrés. Cette asymétrie est le fruit d’une rupture de classes : ce sont les capitalistes qui paniquent de voir leurs profits entamés par l’épidémie en cours. La concentration médiatique autour de ce thème a évidemment pour objectif d’empêcher tout ralentissement de l’activité économique, qui leur serait temporairement défavorable.</p>
<p>Temporaire, la baisse des émissions suite à l’épidémie l’est aussi puisqu’elle n’a évidemment aucun effet à long terme : si tôt l’épidémie terminée (voire avant), les émissions reviendront à leur niveau précédent et reprendront leur progression. Son seul effet aura été de légèrement retarder la progression des émissions – une baisse d’1/4 des émissions chinoises, importante pour un pays aux engagements climatiques extrêmement réduits, mais encore bien loin de ce que l’on peut espérer dans une trajectoire écologiste. Ce ralentissement de l’économie à cause de l’épidémie – à la fois craint pour ses aspects financiers et loué pour ses aspects environnementaux – est d’ailleurs bien plus réduit que la présentation choquée dans les médias le laisse penser. D’abord parce que la chute des cours boursiers entièrement imputée au coronavirus passe sous silence tous les signes de mauvaise santé des marchés financiers ces derniers mois, bien avant l’émergence du coronavirus<a href="#_ftn42" name="_ftnref42">[42]</a>. Mais aussi, le ralentissement des grandes multinationales n’est pas aussi ralenti que ne le laisse présager les médias. Les compagnies aériennes européennes préfèrent par exemple faire voler leurs avions à vide afin de conserver leurs créneaux horaires<a href="#_ftn43" name="_ftnref43">[43]</a>, puisque leur perte augmenterait les pertes déjà importantes du secteur. Dans un tout autre domaine, le parc d’attractions Disneyland Paris reste ouvert normalement<a href="#_ftn44" name="_ftnref44">[44]</a>, exposant les salarié-es aux mêmes risques de contamination que ceux des rassemblements de plus de 1000 personnes, désormais interdits sur le territoire. Ces exemples ne sont certainement pas isolés : des usines continuent probablement de tourner même en manquant de personnel, surexploitant dès lors les travailleur-ses toujours en poste. Cette supposition relève peut-être du procès d’intention, mais les exemples du secteur aérien et de Disneyland Paris ne montrent-ils pas que les capitalistes sont prêts à tout pour garantir leurs marges, à court, à moyen comme à long terme ?</p>
<p>Souligner le caractère répressif du confinement et du calcul des risques tels qu’ils sont employés par les gouvernements de la plupart des pays infectés doit déboucher sur des propositions pour une autre gestion, écologiste, des épidémies (futures – parce que pour celle-ci, il semble que ce soit trop tard). Pour des pathogènes proches de ceux déjà étudiés, le recours au confinement ne semble en effet pas pouvoir être évité. Toutefois des services publics de santé robustes car correctement financés, un système productif démocratique libéré des objectifs capitalistes dans lequel le travail n’est plus le centre obligé de nos vies et une sortie de l’approche étatique de la prévention des risques font partie des éléments indispensables pour que le confinement ne prenne pas une tournure répressive comme c’est le cas actuellement. La bonne santé de la structure hospitalière est une évidence sur laquelle beaucoup sont déjà revenus, du dépistage efficace de la maladie à l’hospitalisation de toutes les personnes le nécessitant. Le travail étant un lieu privilégié de socialisation pour une grande partie de la population, généraliser la possibilité de ne pas s’y rendre devrait être l’action prioritaire – c’est autre chose qu’un confinement pour les suspections de contamination. Cette mesure est absolument impensable dans une économie capitaliste, seule une réorganisation démocratique de la production serait en mesure de la permettre. Cette réflexion sur la place du travail dans la société est une constante dans le cheminement théorique tracé par l’écologie politique<a href="#_ftn45" name="_ftnref45">[45]</a>. Ce projet démocratique s’opposant frontalement à la logique d’expertise qui s’est constituée dans les dernières décennies<a href="#_ftn46" name="_ftnref46">[46]</a>, il impacterait probablement le paradigme autoritaire de la gestion étatique des catastrophes : la nécessaire planification des risques ne peut faire l’économie du social, dont l’incorporation dans l’analyse chamboulerait toute l’organisation martiale de la réponse aux catastrophes – climatiques, industrielles, sanitaires etc. Ces propositions non-exhaustives s’inscrivent tout autant dans une orientation écologiste que celles qui entendent limiter l’émergence de nouveaux virus à l’avenir.</p>
<p>Des « bénéfices » écologiques évoqués ces derniers jours, des enseignements écologistes peuvent néanmoins être tirés. Tout d’abord, retarder l’émergence de nouveaux virus s’ajoute à la longue liste d’arguments pour stopper la destruction des milieux « sauvages ». Les écologistes ne peuvent ainsi vanter les très maigres maigres effets écologiques de l’épidémie puisque ceux-ci sont le résultat d’une trajectoire écocidaire des sociétés. C’est bien cette orientation générale qu’il faut infléchir, voire renverser. Ce n’est un secret pour personne : la réduction des émissions de CO2 en Chine n’est pas directement corrélée à la diffusion du coronavirus lui-même, mais bien à la baisse de l’activité productive du pays que la maladie qu’il provoque a entraînée, c’est-à-dire directement aux corps contaminés. Si les capitalistes n’avaient pas besoin d’humain-es et de leurs corps pour poursuivre leurs objectifs de profits, la propagation du virus n’aurait a priori pas d’effets économiques (du point de vue de la production), donc pas d’effets climatiques. L’impossibilité de fonctionnement du capitalisme quand les corps qu’il soumet ne sont plus fonctionnels (au sens capitaliste) révèle le darwinisme social sur lequel il s’appuie en permanence. Rappeler ces éléments semble extrêmement futile, alors que cela permet d’empiéter sur les récits hégémoniques qui gomment consciemment certains enjeux politiques fondamentaux de l’épidémie. Cette réintroduction de la dimension humaine dans la production de biens et services éclaire ce qu’il faut entraver si l’on se soucie vraiment de la « planète » : les intérêts du capitalisme fossile et de l’habiter colonial de la Terre qu’il perpétue. Ainsi, plutôt que de se reposer sur des épidémies qui viendraient « naturellement » réguler le développement des sociétés, il ne reste plus qu’à trouver d’autres moyens pour reproduire ce blocage tout en épargnant les humain-es !</p>
<p>Ces moyens ne sont évidemment plus à « trouver » puisqu’ils font déjà l’objet d’une vaste littérature discutant à la fois leurs aspects théoriques et stratégiques. Du côté théorique, les multiples propositions décroissantes offrent autant de pistes vers une société écologique. Mais toutes ne s’appuient pas sur les mêmes arguments politiques et n’auront pas les mêmes effets sociaux : articuler la nécessaire décroissance énergétique à un projet social ambitieux reste le principal défi qui nous attend<a href="#_ftn47" name="_ftnref47">[47]</a>. Une réflexion peut également être menée sur le « sauvage » au sens de ce sur quoi les sociétés humaines se gardent d’avoir la main<a href="#_ftn48" name="_ftnref48">[48]</a> : comment se tenir à l’écart de certains écosystèmes, notamment pour limiter l’émergence de nouveaux virus, sans tomber dans la logique coloniale dans laquelle se sont construits la majorité des espaces protégés ? La schématisation simpliste du problème comme sociétés luttant contre la nature est inopérante pour penser la cohabitation entre les sociétés humaines et les espèces habitant les mêmes milieux qu’elles. Du côté pratique, la grève ou plus généralement le sabotage offrent autant de prises à une réappropriation par les travailleur-ses du processus de production. Le secteur énergétique, particulièrement critique dans le contexte climatique actuel, pourrait de nouveau jouer le rôle de levier démocratique qu’il a eu lors de l’hégémonie énergétique du charbon<a href="#_ftn49" name="_ftnref49">[49]</a>, et que le choc de l’arrivée du pétrole a ensuite actionné dans l’autre sens. Ces quelques éléments stratégiques ne sauraient résoudre certaines tensions fondamentales qui s’expriment dans l’écologisation tardive des idéologies traditionnelles<a href="#_ftn50" name="_ftnref50">[50]</a>. Un travail considérable reste à faire, à la fois pour dépasser certaines impasses auxquelles fait face les mouvements sociaux et écologistes, mais aussi pour sortir l’écologie politique du bourbier politique et conceptuel dans lequel elle se trouve – le développement actuel d’une écologie réactionnaire est probablement le principal indicateur de l’existence de ce bourbier. Quelles que soient nos provenances idéologiques, il n’y a qu’à l’appui de cette restructuration démocratique que nous pourrons nous diriger vers une société écologique, libérée des multiples systèmes sociaux de domination entravant le développement d’une écologie politique.</p>
<p><a href="#_ftnref1" name="_ftn1">[1]</a> Reporterre (2020), <a href="https://reporterre.net/L-epidemie-de-coronavirus-fait-baisser-les-emissions-de-CO2-de-la-Chine-de-25"><em>L’épidémie de coronavirus fait baisser les émissions de CO2 de la Chine de 25 %</em></a></p>
<p><a href="#_ftnref2" name="_ftn2">[2]</a> Up’ Magazine (2020), <a href="https://up-magazine.info/index.php/planete/biodiversite/36483-bonne-nouvelle-pour-la-biodiversite-grace-au-coronavirus/"><em>Bonne nouvelle pour la biodiversité grâce au coronavirus ?</em></a></p>
<p><a href="#_ftnref3" name="_ftn3">[3]</a> Les « <a href="https://www.anses.fr/fr/content/les-coronavirus">coronavirus</a> » étant une famille de virus, il faudrait parler plus précisément de SARS-CoV-2. C’est ce dernier qui provoque chez les humain-es une maladie nommée COVID-19. N’étant pas infectiologue/épidémiologiste, ni même professionnel de santé, je parlerai ici de coronavirus pour désigner le virus (SARS-CoV-2) voire d’épidémie de coronavirus pour désigner l’épidémie de COVID-19 actuellement en cours dans le monde.</p>
<p><a href="#_ftnref4" name="_ftn4">[4]</a> Transmis par les animaux aux humain-es, voir <a href="https://www.cairn.info/revue-cahiers-d-anthropologie-sociale-2012-1-page-25.htm">ici</a>.</p>
<p><a href="#_ftnref5" name="_ftn5">[5]</a> Center for Biological Diversity (2019), <a href="https://biologicaldiversity.org/w/news/press-releases/pangolins-decline-deadly-poaching-continues-red-list-experts-find-2019-12-10/"><em>Pangolins Decline as Deadly Poaching Continues, Red List Experts Find</em></a></p>
<p><a href="#_ftnref6" name="_ftn6">[6]</a> Institut Pasteur (2012), <a href="https://www.pasteur.fr/fr/centre-medical/fiches-maladies/sras"><em>Fiche maladie du SRAS</em></a></p>
<p><a href="#_ftnref7" name="_ftn7">[7]</a> Voir l’explosion en France des recherches sur les soupes de chauve-souris <a href="https://trends.google.fr/trends/explore?q=soupe%20chauve%20souris&amp;geo=FR">via Google Trends</a>.</p>
<p><a href="#_ftnref8" name="_ftn8">[8]</a> Liselotte MAS (2020), <a href="https://observers.france24.com/fr/20200130-intox-chine-soupe-chauve-souris-rumeur-origine-coronavirus"><em>La soupe à la chauve-souris, un plat prisé en Chine ? Autopsie de la rumeur sur l’origine du coronavirus</em></a><em>, </em>Les Observateurs, France 24.</p>
<p><a href="#_ftnref9" name="_ftn9">[9]</a> Julie KERN (2020), <a href="https://www.futura-sciences.com/sante/actualites/coronavirus-coronavirus-mystere-origines-animales-epaissit-79290/"><em>Coronavirus : le mystère de ses origines animales s’épaissit</em></a>, Futura Santé</p>
<p><a href="#_ftnref10" name="_ftn10">[10]</a> Sonia SHAH (2020), <a href="https://www.monde-diplomatique.fr/2020/03/SHAH/61547"><em>Contre les pandémies, l’écologie</em></a></p>
<p><a href="#_ftnref11" name="_ftn11">[11]</a> Margaux MATHIS et Sylvie BRIAND (2019), <a href="https://www.revmed.ch/RMS/2019/RMS-N-649/Le-changement-climatique-les-epidemies-et-l-importancede-la-medecine-des-voyages"><em>Le changement climatique, les épidémies et l’importance de la médecine des voyages</em></a>, Revue Médicale Suisse.</p>
<p><a href="#_ftnref12" name="_ftn12">[12]</a> Malcom FERDINAND (2019), <em>Une écologie décoloniale. Penser l’écologie depuis le monde caribéen,</em> Seuil.</p>
<p><a href="#_ftnref13" name="_ftn13">[13]</a> Andres MALM (2017), « Les origines du capital fossile » in <em>L’anthropocène contre l’histoire</em>, La fabrique.</p>
<p><a href="#_ftnref14" name="_ftn14">[14]</a> Romain FELLI (2016), <em>La grande adaptation. Climat, capitalisme et catastrophe</em>, Seuil.</p>
<p><a href="#_ftnref15" name="_ftn15">[15]</a> Raffaele Alberto VENTURA (2020), <a href="https://legrandcontinent.eu/fr/2020/02/28/coronavrius-paranoia/"><em>Coronavirus, sommes-nous paranoïaques ?</em></a>, Le Grand Continent.</p>
<p><a href="#_ftnref16" name="_ftn16">[16]</a> Sébastien LE BELZIC (2020), <a href="https://www.youtube.com/watch?v=OQD_-2KI244"><em>Coronavirus : la Chine en quarantaine</em></a>, ARTE Reportage.</p>
<p><a href="#_ftnref17" name="_ftn17">[17]</a> Revue Chuang (2020), <a href="http://chuangcn.org/2020/02/social-contagion/"><em>Social Contagion. Microbiological Class War in China</em></a>, traduction française disponible <a href="https://dndf.org/?p=18327">ici</a>.</p>
<p><a href="#_ftnref18" name="_ftn18">[18]</a> C’est désormais l’intégralité du pays qui est confiné.</p>
<p><a href="#_ftnref19" name="_ftn19">[19]</a> L’envolée (2020), <a href="https://lenvolee.net/emeute-et-massacre-a-la-prison-de-modene-suite-aux-mesures-de-confinement-liees-au-covid-19/"><em>Emeute et massacre à la prison de Modène</em></a></p>
<p><a href="#_ftnref20" name="_ftn20">[20]</a> Philippe LAYMARIE (2020), <a href="https://blog.mondediplo.net/le-commandant-macron-declare-la-guerre-au"><em>Le commandant Macron déclare la guerre au coronavirus</em></a>, Défense en ligne.</p>
<p><a href="#_ftnref21" name="_ftn21">[21]</a> Regards (2020), <a href="http://www.regards.fr/la-midinale/article/frederick-keck-il-y-a-un-decalage-entre-la-petitesse-du-virus-et-l-ampleur-des">Entretien avec Frédéric KECK dans La Midinale</a></p>
<p><a href="#_ftnref22" name="_ftn22">[22]</a> Estienne RODARY (2019), <em>L’apartheid et l’animal. Vers une politique de la connectivité</em>, Wildproject.</p>
<p><a href="#_ftnref23" name="_ftn23">[23]</a> Clélia GASQUET-BLANCHARD (2012), <a href="http://geoconfluences.ens-lyon.fr/doc/transv/sante/SanteScient2.htm"><em>Lieux d’émergence et territoires de diffusion de la fièvre hémorragique à virus Ebola au Gabon et en République du Congo</em></a>, Géoconfluences</p>
<p><a href="#_ftnref24" name="_ftn24">[24]</a> Revue Chuang (2020), op. cit. Je reprends ici le titre dans un sens qui n’est pas nécessairement celui qui lui a été donné initialement.</p>
<p><a href="#_ftnref25" name="_ftn25">[25]</a> Florent GUENARD et Philippe SIMAY (2011), <em><a href="https://laviedesidees.fr/Du-risque-a-la-catastrophe.html">Du risque à la catastrophe</a></em>, La Vie des Idées</p>
<p><a href="#_ftnref26" name="_ftn26">[26]</a> Didier TORNY (2012), <a href="https://www.cairn.info/revue-reseaux-2012-1-page-45.html?contenu=article">« De la gestion des risques à la production de la sécurité. L’exemple de la préparation à la pandémie grippale »,</a> <em>Réseaux</em>, vol. 1, n°171, p. 45-66.</p>
<p><a href="#_ftnref27" name="_ftn27">[27]</a> A l’échelle européenne, <a href="https://www.lexpress.fr/actualite/monde/europe/migrants-le-coronavirus-le-pretexte-d-orban-pour-fermer-ses-frontieres_2120216.html">Viktor Orban</a> et <a href="https://www.valeursactuelles.com/politique/coronavirus-le-pen-veut-fermer-les-frontieres-macron-ironise-116555">Marine Le Pen</a> en sont de bons exemples.</p>
<p><a href="#_ftnref28" name="_ftn28">[28]</a> Pierre GILBERT (2020), <a href="https://lvsl.fr/coronavirus-la-demondialisation-ecologique-est-notre-meilleur-antidote/"><em>Coronavirus : la démondialisation écologique est notre meilleur antidote</em></a>, Le Vent Se Lève</p>
<p><a href="#_ftnref29" name="_ftn29">[29]</a> Jean JACOB (1999), <em>Histoire de l’écologie politique</em>, Albin Michel</p>
<p><a href="#_ftnref30" name="_ftn30">[30]</a> Armelle CHOPLIN et Olivier PLIEZ (2019), <em>La mondialisation des pauvres. Loin de Wall Street et de Davos</em>, Seuil.</p>
<p><a href="#_ftnref31" name="_ftn31">[31]</a> Stanislas VASAK et Eric CHAVEROU (2020), <a href="https://www.franceculture.fr/sciences/coronavirus-fermer-les-frontieres-nest-pas-efficace-les-virus-nont-pas-de-passeport"><em>Coronavirus : « Fermer les frontières n’est pas efficace, les virus n’ont pas de passeport ». Entretien avec Antoine Flahault</em></a>, France Culture</p>
<p><a href="#_ftnref32" name="_ftn32">[32]</a> Philippe RAHM (2020), <a href="https://aoc.media/opinion/2020/03/09/coronavirus-ou-le-retour-a-la-normale/"><em>Coronavirus ou le retour à la normale</em></a>, AOC.</p>
<p><a href="#_ftnref33" name="_ftn33">[33]</a> Florence BRETELLE-ESTABLET et Frédéric KECK (2014), <a href="https://journals.openedition.org/extremeorient/327">« Les épidémies entre « Occident » et « Orient »»</a>, <em>Extrême-Orient Extrême-Occident</em>, n°37, p. 5-19.</p>
<p><a href="#_ftnref34" name="_ftn34">[34]</a> Franck Daniel BATASSI (2020), <a href="https://www.237online.com/coronavirus-apeures-les-italiens-fuient-vers-lafrique/?utm_source=dlvr.it&amp;utm_medium=twitter">« Coronavirus : Apeurés, les italiens fuient vers l’Afrique »</a>, <em>237online</em>.</p>
<p><a href="#_ftnref35" name="_ftn35">[35]</a> Jonah Bromwich (2020), <a href="https://www.nytimes.com/2020/03/05/style/the-rich-are-preparing-for-coronavirus-differently.html?action=click&amp;module=Top%20Stories&amp;pgtype=Homepage"><em>The Rich Are Preparing for Coronavirus Differently</em></a>, New York Times</p>
<p><a href="#_ftnref36" name="_ftn36">[36]</a> Voir la carte et les statistiques de l’épidémie <a href="https://gisanddata.maps.arcgis.com/apps/opsdashboard/index.html#/bda7594740fd40299423467b48e9ecf6">ici</a>.</p>
<p><a href="#_ftnref37" name="_ftn37">[37]</a> Xavier OLESSA-DARAGON et Fiene Marie KUIJPER (2020), <a href="https://legrandcontinent.eu/fr/2020/03/07/bilan-coronavirus/"><em>Bientôt la phase 3 : un bilan en 10 points sur le Coronavirus</em></a>, Le Grand Continent.</p>
<p><a href="#_ftnref38" name="_ftn38">[38]</a> Emilie MASSEMIN (2020), <a href="https://reporterre.net/Coronavirus-pas-de-panique"><em>Coronavirus, pas de panique !</em></a>, Reporterre</p>
<p><a href="#_ftnref39" name="_ftn39">[39]</a> Chiffres indiqués sur le <a href="https://www.santepubliquefrance.fr/maladies-et-traumatismes/maladies-et-infections-respiratoires/infection-a-coronavirus/articles/infection-au-nouveau-coronavirus-sars-cov-2-covid-19-france-et-monde">site de Santé Publique France</a></p>
<p><a href="#_ftnref40" name="_ftn40">[40]</a> Xavier OLESSA-DARAGON et Fiene Marie KUIJPER (2020), op. cit.</p>
<p><a href="#_ftnref41" name="_ftn41">[41]</a> Laurent LAGROST et Didier PAYEN (2020), <a href="https://www.lequotidiendumedecin.fr/specialites/infectiologie/la-covid-19-est-un-reel-danger-deux-scientifiques-font-le-point-sur-le-coronavirus-sars-cov-2"><em>La Covid-19 est un réel danger !</em></a>, Le Quotidien du Médecin</p>
<p><a href="#_ftnref42" name="_ftn42">[42]</a> Eric TOUSSAINT (2020), <a href="https://www.cadtm.org/Non-le-coronavirus-n-est-pas-le-responsable-de-la-chute-des-cours-boursiers?fbclid=IwAR0ge0TmCHj0lxDTKIy2S5q30LWdtHnNp8CE-TRxw5dKn3j16weMoYiQs4Y"><em>Non, le coronavirus n’est pas le responsable de la chute des cours boursiers,</em></a> CADTM</p>
<p><a href="#_ftnref43" name="_ftn43">[43]</a> Reporterre (2020), <a href="https://reporterre.net/En-pleine-crise-du-coronavirus-les-compagnies-aeriennes-volent-a-vide-pour-ne-pas-perdre?fbclid=IwAR30GdW9z2GieTy-6rHdry_5HXN_Rmxg9gHmY1lq1SSYT7qkAyUcTdo-WG8"><em>En pleine crise du coronavirus, les compagnies aériennes volent à vide pour ne pas « perdre leur place »</em></a></p>
<p><a href="#_ftnref44" name="_ftn44">[44]</a> CNT-SO Disneyland Paris (2020), <a href="https://framasphere.org/p/8859016"><em>Coronavirus DLP</em></a></p>
<p><a href="#_ftnref45" name="_ftn45">[45]</a> Jean ZIN et Jérôme GLEIZES (2005), <em><a href="http://ecorev.org/spip.php?article381">Ecologie, travail et revenu</a></em>, EcoRev.</p>
<p><a href="#_ftnref46" name="_ftn46">[46]</a> André Gorz (1992), « L’écologie politique entre expertocratie et autolimitation » in <em>L’éloge du suffisant</em>, PUF. Disponible en ligne <a href="https://collectiflieuxcommuns.fr/?264-l-ecologie-politique-entre">ici</a>.</p>
<p><a href="#_ftnref47" name="_ftn47">[47]</a> Daniel TANURO (2010), <em>L’impossible capitalisme vert</em>, La Découverte.</p>
<p><a href="#_ftnref48" name="_ftn48">[48]</a> Virginie MARIS (2018), <em>La part sauvage du monde. Penser la nature dans l’Anthropocène</em>, Seuil.</p>
<p><a href="#_ftnref49" name="_ftn49">[49]</a> Timothy MITCHELL (2013), <em>Carbon democracy. Le pouvoir politique à l’ère du pétrole</em>, La Découverte</p>
<p><a href="#_ftnref50" name="_ftn50">[50]</a> Pierre CHARBONNIER (2020), <em>Abondance et liberté. Une histoire environnementale des idées politiques</em>, La Découverte</p>
