title: Ecological crises and equitable futures
url: https://esra.nz/ecological-crises-equitable-futures/
hash_url: 99c5bddeed5760b748ba9b219270d75d

<span class="post-featured-img"><img src="https://esra.nz/wp-content/uploads/2020/03/1184740878.jpg.0.jpg" class="attachment-full size-full wp-post-image" alt="" title=""/></span><p>Activism in the 20<sup>th</sup> century was largely dominated by struggles over labour and social justice. Conflicts between and within capitalism, socialism, communism and fascism were at the heart of many key events. In the 21<sup>st</sup> century, activism and political struggles surrounding labour and social justice will largely be framed by ecological crises, as climate change and the sixth mass extinction become major factors in instigating and perpetuating social conflict. This article explores four discourses that currently circulate within activist, popular and academic debates surrounding ecological futures. It considers some of their implications both globally and for Aotearoa New Zealand.</p>
<p>I begin by exploring the discourse of extinction, which argues that we are currently on course to eradicate humans from the planet in the near future, a position which is growing in popularity but that contradicts available scientific evidence.<a href="#_edn1" name="_ednref1"><sup>[1]</sup></a> Second, I consider the discourse of ecological apocalypse. While this discourse also discusses catastrophic events, the key departure from extinction is that apocalypse does not signify the end of existence, but involves the sweeping away of the present regime in favour of a dramatically different society. I argue that this discourse is particularly pertinent to contemporary rhetoric that links ecological crises to overpopulation.</p>
<p>In contrast to the bleakness of the first two discourses, technological solutionism contends that fears surrounding ecological futures are largely overblown as they allegedly fail to recognise that technological innovation will largely remedy any issues. This approach, which envisages ecological crises as a business opportunity rather than as a fundamental crisis of capitalist socio-economic organisation is largely wishful thinking. Even when technological solutionism is posited on the anti-capitalist left, it tends towards utopian thinking which fails to meaningfully engage with the material reality of ecological crises.</p>
<p>The final discourse I explore is that of degrowth. This emerging position emphasises the need for a transition towards socio-economic systems designed to reduce current levels of planetary overconsumption and fossil fuel dependence. Doing so democratically requires a social system that focusses on reducing inequalities at global, regional and national levels. This means allowing poorer countries to grow in order to develop functional systems for producing essential services such as healthcare and education, while advanced economies such as Aotearoa New Zealand deliberately and systematically reduce their ecological footprint. Consequently, degrowth productively outlines versions of a potential post-capitalist future that escapes the hopelessness of extinction and apocalypse whilst avoiding the utopian idealism of technological salvation.</p>
<p><strong>EXTINCTION</strong></p>
<p>We are on course for extinction. This is the dire and unambiguous prediction at the heart of the Extinction Rebellion movement which has brought the climate emergency back to the front pages of the global media. Climate activists are not alone in propagating this message. According to the United Nations Secretary-General António Guterres, ‘Climate change is the defining issue of our time—and we are at a defining moment. We face a direct existential threat’.<a href="#_edn2" name="_ednref2"><sup>[2]</sup></a> Such claims resonate with the discourse of the Anthropocene, a new geological epoch defined by human changes to the planet that are global in spatial scale and which will be perceptible in geological strata for millions of years.<a href="#_edn3" name="_ednref3"><sup>[3]</sup></a> Within the Anthropocene, a sixth mass extinction of life on Earth is already underway, with the rate of species extinction currently between one hundred and one thousand times the background rate.<a href="#_edn4" name="_ednref4"><sup>[4]</sup></a> The last mass extinction event was caused by an asteroid that struck the Earth and wiped out the dinosaurs 66 million years ago. Today ‘we’ have become that asteroid.</p>
<p>The Anthropocene has been widely criticised, however, as a discourse that problematically universalises responsibility for the multiple intertwined ecological crises we face today. This includes not just the climate emergency and the sixth mass extinction event, but disruptions to the nitrogen and phosphorus cycles, oceanic acidification, chemical pollution, land system change and disruption to the global hydrological cycle that provides freshwater.<a href="#_edn5" name="_ednref5"><sup>[5]</sup></a> Ecological crises are not the result of the actions of a single homogenous species, but primarily arise from the actions of a relatively small fraction of people. Taking climate change as an example, the poorest 50 percent of humans, over 3.5 billion people, are responsible for approximately 10 percent of greenhouse gas emissions, while the richest 10 percent are responsible for around 50 percent of emissions.<a href="#_edn6" name="_ednref6"><sup>[6]</sup></a> Blaming indigenous peoples or subsistence farmers for the hyper-consumption of the global rich is obviously unreasonable, yet this is precisely what occurs when an undifferentiated humanity is identified as the root cause of global ecological crises.</p>
<p>All too often bourgeois European and American environmental discourse presents a universal human subject which elides the material differences that place, class, ethnicity and gender inscribe. This results in a ‘we’ that in actuality only references a small fraction of disproportionately wealthy and powerful actually existing humans. This critique has been levelled at both scientific and political leaders who have enthusiastically adopted the terminology of the Anthropocene, as well as activist movements such as Extinction Rebellion, which is accused of being overwhelmingly white and middle-class.<a href="#_edn7" name="_ednref7"><sup>[7]</sup></a> Climate change and other ecological crises will impact different regions in very different ways. However, they are likely to be most harmful to poor and non-white humans, the same voices that are frequently erased by the homogenous ‘we’ of the Anthropocene.</p>
<p>Critical attention should also be paid to the ‘we’ that allegedly faces a direct existential threat from climate change. Different places will not be equally impacted by climate change. Indeed, projections for Aotearoa New Zealand are that 21<sup>st</sup> century temperature increases will be significantly lower than the global average, with increases occurring at approximately 75 percent of the global rate of warming.<a href="#_edn8" name="_ednref8"><sup>[8]</sup></a> While a four-degree global temperature rise would have catastrophic consequences for much of Africa, the Middle East, Central America, Australia and low-lying Pacific Islands, the National Institute of Water and Atmospheric Research reports that in Aotearoa New Zealand this would increase the number of crop growing days and pasture and forestry growth.<a href="#_edn9" name="_ednref9"><sup>[9]</sup></a> While there would also be significant negative climatic impacts, the fact that Aotearoa New Zealand is predicted to be among the less grievously afflicted places is precisely why Silicon Valley billionaires such as Peter Thiel are buying land on the South Island as a place to escape to in a future wrought by ecological devastation and the social unrest and upheaval that will accompany it.<a href="#_edn10" name="_ednref10"><sup>[10]</sup></a> While popular accounts claim that ‘we are facing extinction in the near future’, there is little scientific basis to support such catastrophism.<a href="#_edn11" name="_ednref11"><sup>[11]</sup></a> Barring all out nuclear or biological warfare—20<sup>th</sup> century threats that could be reignited by social conflict or collapse associated with ecological catastrophe—ecological crises will not make places such as Aotearoa New Zealand, Sweden, Ukraine, or Alaska uninhabitable.<a href="#_edn12" name="_ednref12"><sup>[12]</sup></a></p>
<p>Predictions of extinction fall prey to what Mark Fisher described as ‘capitalist realism’, an ideology whereby contemporary globalised capitalism is the only viable or even imaginable way of organising societies.<a href="#_edn13" name="_ednref13"><sup>[13]</sup></a> Consequently, as Fredric Jameson and Slavoj Žižek have stated, ‘It is easier to imagine the end of the world than the end of capitalism’. While a species-level extinction event for humanity is extremely unlikely in the near future, the inability to collectively imagine alternatives, coupled with a form of binary thinking, posits the only options as extermination or the status quo.</p>
<p><strong>APOCALYPSE</strong></p>
<p>A second imagined future posits ecological crises as an apocalyptic event. While some vernacular application of the term apocalypse have similar connotations to extinction, the term’s history lies in the Judeo-Christian theology of revelations, whereby prophetic figures (often angels) present chronologies leading from the bleakness of the present towards messianic changes. Such Manichean prophecies inevitably posit the triumph of God over evil and the forces of chaos, whereby the wickedness of the old world is swept away in order to make way for the righteousness of the world to come.<a href="#_edn14" name="_ednref14"><sup>[14]</sup></a></p>
<p>Whereas theological versions of apocalypse are ultimately hopeful about the future, at first glance, ecological versions seem darker. Recalling Thiel’s plan to escape to Aotearoa New Zealand in the face of ecological collapse, the envisioned future here is one whereby vast areas of the planet become largely or entirely uninhabitable by humans. Global climate changes at this scale will lead to a mass extinction of non-human life-forms who are unable to match the pace of ecological change. This situation almost certainly involves widespread social collapse, warfare and a refugee crisis on a scale that is scarcely imaginable. Given the hostility to re-homing around five million Syrian refugees in recent years, what will a response to one billion refugees look like? Increased levels of national and regional conflict, social unrest and breakdown, probably accompanied by increasingly xenophobic, totalitarian and dictatorial responses seeking to restore some kind of rule of law are likely. </p>
<p>Discourses of ecological apocalypse are less inclined to explicitly posit conflicts between good and evil, but suggest that beyond this temporary state of chaos, a new, ecologically enlightened, world can eventually emerge with a dramatically reduced human population. Discourses of overpopulation are by no means new. They can be traced back to the work of Thomas Malthus, who in 1798 argued that human populations tended towards exponential growth while food supply only increases linearly, meaning that without war, plague and other factors to constrain the population, mass famine based on population overshooting the carrying capacity of the land was inevitable.<a href="#_edn15" name="_ednref15"><sup>[15]</sup></a> Related ideas surrounding overpopulation have repeatedly arisen within environmentalist discourses. These include Paul Erlich’s claims of a looming ‘population bomb’ that erroneously predicted mass famine in the 1970s and 1980s,<a href="#_edn16" name="_ednref16"><sup>[16]</sup></a> the principles of deep ecology that advocate a drastic reduction in the human population for ecological systems to flourish<a href="#_edn17" name="_ednref17"><sup>[17]</sup></a> and contemporary campaign groups such as <em>Population Matters</em> that focus on overpopulation as a major driver of 21<sup>st</sup> century ecological crisis.<a href="#_edn18" name="_ednref18"><sup>[18]</sup></a></p>
<p>If the discourse of the Anthropocene problematically homogenises humans in order to distribute blame equally for ecological crises which are overwhelmingly the result of activities by certain groups of economically privileged humans, discourses surrounding overpopulation predominantly criticise those who contribute the least to these crises. ‘Developed’ nations such as Aotearoa New Zealand have low birth rates and population growth. In contrast, the least developed countries which typically have much higher infant mortality rates, far lower rates of education and lower access to contraception, tend to have the highest birth rates and levels of population growth. There is an inverse correlation between population growth and per capita greenhouse gas emissions. Nations with low birth rates such as Aotearoa New Zealand, Australia, the United States and Japan are amongst the most significant contributors to the climate crisis in terms of per capita emissions.<a href="#_edn19" name="_ednref19"><sup>[19]</sup></a> If we focus on population growth instead of per capita emissions we end up blaming the global poor for crises that are overwhelmingly caused by the global rich.</p>
<p>Overpopulation becomes a way of deflecting blame or responsibility for ecological crises; there is nothing that ‘we’ can do, the problem is simply that there are too many people on the planet and that is predominantly the fault of impoverished non-white people in the global South. These are the same people who are likely to be among the worst affected by ecological crises in the 21<sup>st</sup> century. Recalling the theological origins of the term apocalypse, contemporary environmental versions contain parallels, whereby apocalypse becomes a way of dramatically reducing the global human population. The new world that can arise out of this is one where it is imagined that levels of overconsumption similar to those enjoyed within developed nations today can become ecologically sustainable because most human life has been extinguished from the planet. This racist fantasy should be morally condemned in the strongest terms.</p>
<p>In this scenario, if those of us in geographically and economically privileged locations such as Aotearoa New Zealand take the attitude that we may be okay we are kidding ourselves. The breakdown of international trade would radically transform life in New Zealand. Neither would an insular and isolated subsistence society be a sure-fire way through such events. Simply expecting other nations to accept their lands becoming inhospitable to human life fails to recognise the range of dramatically risky but available options. For example, geo-engineering projects such as releasing vast quantities of sulphate aerosols into the stratosphere could effect a global dimming to counteract some of the worst impacts of climate change. However, one of the more likely potential side-effects would be ozone depletion, a problem that would hit Aotearoa New Zealand far harder than equatorial regions.<a href="#_edn20" name="_ednref20"><sup>[20]</sup></a> If we are content to allow climate change to be other peoples’ problem, with their regions set to become sacrificial zones, why should they refrain from displacing ecological catastrophe onto Aotearoa New Zealand?</p>
<p><strong> </strong><strong>SOLUTIONISM </strong></p>
<p>Whereas discourses of extinction and apocalypse suggest the near future will be almost unrelentingly bleak, a third future, where hope remains central, invokes forms of technological solutionism. This discourse contends that the paradigm of disruptive innovation associated with digital technologies and the information revolution will construct technological solutions to global ecological crises. Just as Malthus and Ehrlich’s predictions of imminent mass famine and social collapse failed to materialise, largely because of technological systems that increased food production, this discourse suggests that the 21<sup>st</sup> century will not be dominated by ecological catastrophe, as human ingenuity and technological innovation will engineer means to resolve ecological crises.</p>
<p>The dominant version of this discourse envisions venture capital funded start-ups, typically chaired by charismatic male entrepreneurs, designing smart, digital-focussed solutions to ecological crises. Emblematic of this are Tesla’s electric cars, which are accompanied by Elon Musk’s proclamations that he is at the forefront of a war against fossil fuels, yet which require the extraction of significant amounts of socially and ecologically problematic materials such as lithium and cobalt in addition to fossil fuels to produce (and which require electricity to run, much of which is currently produced by burning fossil fuels).<a href="#_edn21" name="_ednref21"><sup>[21]</sup></a> Here we see well-funded, slickly marketed start-ups and corporations maintain that the capitalist socio-economic logic that has created contemporary ecological crises is also the best means to address it. Far from representing a crisis of the capitalist mode of production and the expansionist and extractivist logics that underpin it, ecological crises are understood as a business opportunity, a way for canny entrepreneurs to ‘save the planet’ whilst becoming billionaires.<a href="#_edn22" name="_ednref22"><sup>[22]</sup></a></p>
<p>This approach is heavily indebted to what Richard Barbrook described as the Californian ideology. This perspective contends that information and communications technologies are deterministically democratising forces which will also significantly enrich those who mobilise them.<a href="#_edn23" name="_ednref23"><sup>[23]</sup></a> Recent years have seen widespread decline in the utopian rhetoric of digital democracy that accompanied the rise of social media platforms. Events such as the Cambridge Analytica scandal, the prevalence of digital disinformation and trolling, the trend towards automating inequality, the rise of the alt-right and the Christchurch Mosque shootings all demonstrate that networked digital media are not simply forces for good in the world.</p>
<p>Despite this, the ideology of technological solutionism remains a prominent fantasy that purportedly fixes Anthropocenic ecological crises. Such claims rely upon the aberrant associations that digital technologies are green, smart or immaterial. As a growing body of work clearly delineates, however, digital technologies are in fact ecologically calamitous artefacts, whose lifecycles are beset with significant issues surrounding energy requirements, material extraction and scarcity, labour and waste.<a href="#_edn24" name="_ednref24"><sup>[24]</sup></a> For technological solutionists, however, such critiques fail to comprehend the innovative power of technology and its capacity to transcend apparent limitations to growth. For example, near-future shortages of rare earth elements and metals are today spurring investment in the development of techniques for mining polymetallic nodules found on the ocean floor.<a href="#_edn25" name="_ednref25"><sup>[25]</sup></a> These fixes follow in the footsteps of fracking and oil extraction from tar sands, extractivist techniques that necessarily cause environmental damage and that inherently contain calamitous risks which are typically ignored by technological solutionists.</p>
<p>While technological solutionism is primarily associated with platform capitalism and the technocentric ideology of Silicon Valley, equally far-fetched plans are central to recent left-wing accelerationist literature. For example, according to Aaron Bastani the scarcity of terrestrial materials shall soon be resolved by mining asteroids.<a href="#_edn26" name="_ednref26"><sup>[26]</sup></a> While such logic does overcome the perpetual material limits of a finite planet—by appropriating resources from across and beyond the solar system—the probability that this will be anything but a neo-colonial science-fiction dream in the medium-term future is remote. Given the human and nonhuman stakes involved in already-present ecological crises, Bastani’s version of technological solutionism is no more credible than Musk’s.</p>
<p>In both cases, the fantasy of a future technological fix allows a complete disengagement from contemporaneous ecological crises. While technologies must undoubtedly be part of the arsenal used to address these crises, technological solutionism effectively ignores urgently needed social, cultural and political change in favour of the fantasy of technological salvation. Given the urgency of addressing these crises today, putting off action on the basis that extra-terrestrial mining, carbon capture and storage, geo-engineering and nuclear fusion may one day work is merely a way of collectively burying our heads in the sand.</p>
<p><strong>DEGROWTH</strong></p>
<p>The three ecological futures discussed so far, that is, extinction, apocalypse and salvation, present situations that are either highly problematic or highly unlikely. In this final section, I examine the emerging literature surrounding degrowth as an imagined future that seeks to meaningfully engage with scientific forecasts of ecological crises, therefore going beyond the utopian fantasy of technological salvation and the illogical despair of extinction, while also avoiding the xenophobic and racist politics that underpins discussions of overpopulation and apocalypse.</p>
<p>Degrowth offers a compelling vision for a more equitable future that puts managing Anthropocenic ecological crises at its centre, arguing that by redistributing resources more equitably, human and nonhuman welfare can be improved without economic growth. Abandoning the fantasy of infinite economic growth on a materially finite planet is a prerequisite for avoiding ecological catastrophe. While capitalism has historically relied upon the enclosure of commons and the artificial production of scarcity, the degrowth model seeks to promote commons and public ownership in order to manage resources in an ecologically responsible manner whilst also promoting more equal societies.</p>
<p>This perspective draws upon Kate Raworth’s concept of doughnut economics.<a href="#_edn27" name="_ednref27"><sup>[27]</sup></a> The outer circle of Raworth’s doughnut is composed of planetary boundaries based on Rockstrom et al., who outline nine ecological thresholds, beyond which lie significant potential risks and tipping points which may compromise the ability of future generations to thrive.<a href="#_edn28" name="_ednref28"><sup>[28]</sup></a> These planetary boundaries are climate change, ocean acidification, chemical pollution, nitrogen and phosphorus loading, freshwater, land-use change, biodiversity loss, air pollution and ozone depletion. While the model of planetary boundaries forms an ecological ceiling which if overshot is likely to have catastrophic consequences, Raworth adds a social foundation that forms an inner circle to the model. This consists of 12 variables based on the United Nations sustainable development goals.<a href="#_edn29" name="_ednref29"><sup>[29]</sup></a> A shortfall here indicates a failure to meet the minimum standards for social welfare and justice. These categories are food, water, energy, health, education, work and income, peace and justice, political voice, social equity, gender equality, housing and networks. Between the outer circle of the ecological ceiling and the inner circle of the social foundation lies the safe space for human societies to operate in ways that are both socially and ecologically just. This is the future that degrowth seeks to realise.</p>
<p>Degrowth is not a proposal to homogenously restrict consumption and economic growth. It recognises that we currently live in societies wracked by severe inequality. In order for poorer nations to be able to economically expand so that they are able to reach Raworth’s social foundation and eliminate extreme poverty, richer nations such as Aotearoa New Zealand would have to manage a process whereby materials use, greenhouse gas emissions, consumption and GDP are significantly reduced from current levels. This should not come as a surprise. In 2019 Earth overshoot day, the date at which one year’s worth of natural resources are consumed, was 29 July globally, but for developed countries this typically comes much earlier.<a href="#_edn30" name="_ednref30"><sup>[30]</sup></a> If the whole planet lived like Aotearoa New Zealand, for example, overshoot day would be 6 May, while for the United States overshoot day is as early as 15 March. Clearly this is not sustainable, nor is it realistic to assume that the required reductions in ecological impact can be met by improving efficiency through green growth and technological innovation.<a href="#_edn31" name="_ednref31"><sup>[31]</sup></a></p>
<p>Degrowth is fundamentally antithetical to capitalist economics. Under our current socio-economic system, a reduction in GDP is described as a recession, which is associated with a wide range of socially deleterious impacts: rising unemployment; laid off workers struggling to make ends meet; falling taxation revenues placing strains on public services such as healthcare and education; households, businesses and even nation-states becoming unable to pay rising debts; and the potential for financial crises and economic collapse. Degrowth, however, should not be understood as a contraction of the existing economic system, but as a transition to an altogether different, post-capitalist economy where ‘wealth’ is understood differently to current measures of GDP or GDP per capita. GDP-based measures fail to account for the vast amount of domestic labour that underpins the formal economy, which has been central to feminist political-economic critiques.<a href="#_edn32" name="_ednref32"><sup>[32]</sup></a> Equally, GDP as a measure of economic activity within an area, makes no discernment between desirable and undesirable economic activity, so undesirable events such as oil spills counterintuitively increase GDP.<a href="#_edn33" name="_ednref33"><sup>[33]</sup></a></p>
<p>Degrowth is designed to ensure that everyone has enough to lead a dignified and materially comfortable life while curtailing the drastic overconsumption that has led us towards an ecological precipice. This recognises that the dramatic growth of inequality over the past 40 years had led to a situation where a dramatic redistribution of wealth is required for a socially and ecologically just society. While for much of history increased economic wealth correlated with enhanced health, education and happiness, this is no longer the case in developed nations. For example, while the GDP per capita in Europe is around 40 percent lower than in the US, Europe outperforms the US when it comes to healthcare, education, happiness and most other social indicators. Although inequality has increased within Europe since the 1980s, European nations tend to be more equal than the US.<a href="#_edn34" name="_ednref34"><sup>[34]</sup></a> This suggests that in addition to being ecologically necessary, degrowth can be a strategy for creating a happier and more just society.</p>
<p>Alongside a call for a reduction in economic activity within developed nations, the second core principle of degrowth is a redistribution of existing wealth within nations such as Aotearoa New Zealand. Ecological economics literature surrounding degrowth argues that everyone’s basic needs can be met if policies are enacted that are designed to produce a more equitable society rather than the current socio-economic system which fuels overconsumption and social inequality with the underlying ethos of infinite economic growth on a finite planet. Policy suggestions to achieve this include policies designed to redistribute wealth and labour, such as a universal basic income, universal basic services and the expansion of universal social goods, while shortening the working week to more equally distribute available work.<a href="#_edn35" name="_ednref35"><sup>[35]</sup></a> Financing this redistribution of wealth and the expansion of social security will require policies such as enacting high rates of taxation on top incomes, a maximum wage policy, capital gains taxes, financial transaction taxes, increasing corporation tax, clamping down on existing strategies of personal and corporate tax avoidance and the implementation of progressive taxes on greenhouse gas emissions, waste production and industrial pollution.<a href="#_edn36" name="_ednref36"><sup>[36]</sup></a> Policy will also be needed to curb unnecessary overconsumption, such as legislating against planned obsolescence, bringing in a legal right to repair so as to improve the lifespan of goods and significantly constraining the advertising industry which primarily exists to manufacture consumer desires and which has proved highly successful at doing so. This focus on policy and legislation denotes that the state is a key actor in any transformation towards degrowth.<a href="#_edn37" name="_ednref37"><sup>[37]</sup></a></p>
<p>Enacting transitions towards degrowth and particularly doing so under the ecologically challenging conditions of the Anthropocene where extreme weather-related disasters and associated social issues will be frequent, will undoubtedly be difficult. Historically, people have fought for more—more bread, more rights, more wealth. Deliberately deciding to have less, albeit a radically more equal distribution of a smaller overall pie, will not be easy nor will it be an overnight transition. However, forming plans for a materially credible, ecologically sustainable, post-capitalist future is absolutely necessary if we are to avoid the likelihood of a future where the rich fortify themselves in relatively safe, highly militarized zones within temperate regions while most people are left in ruined ecologies located in sacrifice zones, existing well below the social foundation. While extinction falls prey to the fatalism of capitalist realism and technological salvation is a fantasy, degrowth is a strategy that should be pursued in order to avoid a future where ecological crises and social breakdown form an apocalyptic event that elicits nationalist, racist and xenophobic human responses.</p>
<p><strong>Sy Taffel</strong> is a Senior Lecturer in Media Studies and co-director of the Political Ecology Research Centre at Massey University, Aotearoa-New Zealand. He is the author of Digital Media Ecologies (Bloomsbury 2019). Sy’s research focuses on digital technology and the environment, digital media and society, automation, media and materiality, and digital labour.</p>
<p><strong>NOTES</strong></p>
<p><a href="#_ednref1" name="_edn1"><sup>[1]</sup></a> By the ‘near future’ I refer to literature arguing that species-level human extinction is probable within generations or even the next century. At geological durations, species-level extinction is highly probable, 99 percent of all the species that once lived on Earth are now extinct, but there is a huge difference between decades and hundreds-of-thousands of years.</p>
<p><a href="#_ednref2" name="_edn2"><sup>[2]</sup></a> António Guterres. UN Secretary-General’s remarks on climate change. Available at https://www.un.org/sg/en/content/sg/statement/2018-09-10/secretary-generals-remarks-climate-change-delivered</p>
<p><a href="#_ednref3" name="_edn3"><sup>[3]</sup></a> P.J. Crutzen and E.F. Stoermer. ‘The “Anthropocene”’,<em> Global Change Newsletter 41 </em>(2000): 17–18; Elizabeth Kolbert. ‘Enter the Anthropocene–age of man’, National Geographic <em>219</em>, no. 3 (2011): 60; Colin Waters et al., ‘The Anthropocene is functionally and stratigraphically distinct from the Holocene’, <em>Science</em> 351 (2016): 137–149.</p>
<p><a href="#_ednref4" name="_edn4"><sup>[4]</sup></a> Gerardo Ceballos et al. ‘Accelerated modern human–induced species losses: entering the sixth mass extinction’, <em>Science Advances</em> 1, no. 5 (2015).</p>
<p><a href="#_ednref5" name="_edn5"><sup>[5]</sup></a> Jason Moore. C<em>apitalism in the web of life: ecology and the accumulation of capital</em>. London: Verso, 2015; Christophe Bonneuil and Jean-Baptiste Fressoz. <em>The shock of the Anthropocene: the earth, history and us</em>. London: Verso, 2016.</p>
<p><a href="#_ednref6" name="_edn6"><sup>[6]</sup></a> Oxfam, <em>Extreme Carbon Inequality: Why the Paris climate deal must put the poorest, lowest emitting and most vulnerable people first</em>. Oxfam, 2015.</p>
<p><a href="#_ednref7" name="_edn7"><sup>[7]</sup></a> Eileen Crist. ‘On the poverty of our nomenclature’, <em>Environmental Humanities 3</em>, no. 1 (2013): 129–147; Andreas Malm and Alf Hornborg. ‘The geology of mankind? A critique of the Anthropocene narrative’, <em>The Anthropocene Review 1</em>, no. 1 (2014): 62–69; Tatiana Garavito and Nathan Thanki. ‘Stop asking people of color to get arrested to protest climate change’. Available at https://www.vice.com/en_us/article/mbm3q4/extinction-rebellion-xr-is-shaped-by-middle-class-white-people-it-does-not-serve-people-of-color</p>
<p><a href="#_ednref8" name="_edn8"><sup>[8]</sup></a> Ministry for the Environment. <em>Climate change projections for New Zealand: atmosphere projections based on simulations from the IPCC fifth assessment, 2nd edition</em>. Wellington: Ministry for the Environment, 2018.</p>
<p><a href="#_ednref9" name="_edn9"><sup>[9]</sup></a> NIWA. <em>Four degrees of global warming: effects on the New Zealand primary sector</em>. Wellington: Ministry for Primary Industries, 2013.</p>
<p><a href="#_ednref10" name="_edn10"><sup>[10]</sup></a> Mark O’Connell. ‘Why silicon valley billionaires are prepping for the apocalypse in New Zealand’, <em>The Guardian</em>, 15 February 2018. Available at https://www.theguardian.com/news/2018/feb/15/why-silicon-valley-billionaires-are-prepping-for-the-apocalypse-in-new-zealand</p>
<p><a href="#_ednref11" name="_edn11"><sup>[11]</sup></a> Catherine Ingram. ‘Facing extinction’, 2019. Available at https://www.catherineingram.com/FacingExtinction/; Rajendra Pachauri et al. <em>Climate change 2014: synthesis report. </em>Intergovernmental Panel on Climate Change, 2014.</p>
<p><a href="#_ednref12" name="_edn12"><sup>[12]</sup></a> However, this ‘we’ that will escape extinction in the short term is one centred on humans. The reality of the sixth great extinction is that many other species will not be so fortunate and, indeed, many have already disappeared.</p>
<p><a href="#_ednref13" name="_edn13"><sup>[13]</sup></a> Mark Fisher. <em>Capitalist realism: is there no alternative?</em> Winchester: Zero Books, 2009.</p>
<p><a href="#_ednref14" name="_edn14"><sup>[14]</sup></a> Bruno Latour et al. ‘Anthropologists are talking – about capitalism, ecology, and apocalypse’, <em>Ethnos</em> 83, no. 3 (2018): 587–606.</p>
<p><a href="#_ednref15" name="_edn15"><sup>[15]</sup></a> Thomas Malthus, Donald Winch and Patricia James. <em>Malthus: an essay on the principle of population</em>. Cambridge: Cambridge University Press, 1992.</p>
<p><a href="#_ednref16" name="_edn16"><sup>[16]</sup></a> Paul Ehrlich. <em>The population bomb</em>. San Francisco: Sierra Club Books, 1968.</p>
<p><a href="#_ednref17" name="_edn17"><sup>[17]</sup></a> Arne Naess. <em>Ecology, community and lifestyle: outline of an ecosophy</em>. Cambridge: Cambridge University Press, 1989.</p>
<p><a href="#_ednref18" name="_edn18"><sup>[18]</sup></a> Population Matters, https://populationmatters.org/</p>
<p><a href="#_ednref19" name="_edn19"><sup>[19]</sup></a> An average of 16.9 tonnes of Co2e per person in 2016 in Aotearoa New Zealand. Compared to many other developed nations, Aotearoa New Zealand has lower Co2 emissions, but much higher methane emissions.</p>
<p><a href="#_ednref20" name="_edn20"><sup>[20]</sup></a> P. Heckendorn et al. ‘The impact of geoengineering aerosols on stratospheric temperature and ozone’, <em>Environmental Research Letters</em> 4, no. 4 (2009): 45108–45112.</p>
<p><a href="#_ednref21" name="_edn21"><sup>[21]</sup></a> Sy Taffel. ‘Hopeful extinctions? Tesla, technological Solutionism and the Anthropocene’, <em>Culture Unbound: Journal of Current Cultural Research</em> 10, no. 2 (2018): 163–184.</p>
<p><a href="#_ednref22" name="_edn22"><sup>[22]</sup></a> Anna-Maria Murtola. ‘How the global tech elite imagine the future’, <em>ESRA</em>, 2018. Available at https://esra.nz/global-tech-elite-imagine-future/</p>
<p><a href="#_ednref23" name="_edn23"><sup>[23]</sup></a> Richar Barbrook and Andy Cameron. ‘The californian ideology’, <em>Science as Culture</em> <em>6</em>, no. 1 (1996): 44–72.</p>
<p><a href="#_ednref24" name="_edn24"><sup>[24]</sup></a> Jussi Parikka. <em>A geology of media</em>. Minneapolis: University of Minnesota Press, 2015; Sean Cubitt. <em>Finite media: environmental implications of digital technologies</em>. Durham: Duke University Press, 2016; Sy Taffel. <em>Digital media ecologies</em>. New York: Bloomsbury, 2019.</p>
<p><a href="#_ednref25" name="_edn25"><sup>[25]</sup></a> Rahul Sharma. <em>Deep-sea mining</em>. New York: Springer, 2017.</p>
<p><a href="#_ednref26" name="_edn26"><sup>[26]</sup></a> Aaron Bastani. <em>Fully automated luxury communism.</em> London: Verso, 2019.</p>
<p><a href="#_ednref27" name="_edn27"><sup>[27]</sup></a> Kate Raworth. <em>Doughnut economics: seven ways to think like a 21st-century economist</em>. Vermont: Chelsea Green Publishing, 2017.</p>
<p><a href="#_ednref28" name="_edn28"><sup>[28]</sup></a> Johan Rockström et al. ‘Planetary boundaries: exploring the safe operating space for humanity’, <em>Ecology and Society</em> 14, no. 2 (2009): 32.</p>
<p><a href="#_ednref29" name="_edn29"><sup>[29]</sup></a> United Nations. <em>Sustainable development goals</em>. Available at https://sustainabledevelopment.un.org/?menu=1300</p>
<p><a href="#_ednref30" name="_edn30"><sup>[30]</sup></a> Earth Overshoot Day. ‘Country overshoot days’, https://www.overshootday.org/newsroom/country-overshoot-days/</p>
<p><a href="#_ednref31" name="_edn31"><sup>[31]</sup></a> Jason Hickel and Giorgos Kallis. ‘Is green growth possible?’ <em>New Political Economy</em> (2019): 1–18.</p>
<p><a href="#_ednref32" name="_edn32"><sup>[32]</sup></a> Silvia Federici. <em>Revolution at point zero: housework, reproduction, and feminist struggle</em>. Oakland: PM Press, 2012.</p>
<p><a href="#_ednref33" name="_edn33"><sup>[33]</sup></a> Clifford Cobb, Ted Halstead and Jonathan Rowe. ‘If the GDP is up, why is America down?’ <em>The Atlantic</em> 276 (1995): 59–79.</p>
<p><a href="#_ednref34" name="_edn34"><sup>[34]</sup></a> Jason Hickel. ‘Degrowth: a theory of radical abundance’, <em>Real-World Economics Review</em> 87 (2019): 54–68.</p>
<p><a href="#_ednref35" name="_edn35"><sup>[35]</sup></a> Ibid; Nick Srnicek and Alex Williams. <em>Inventing the future: postcapitalism and a world without work</em>. London: Verso, 2015.</p>
<p><a href="#_ednref36" name="_edn36"><sup>[36]</sup></a> Giorgos Kallis. <em>Degrowth</em>. Newcastle-Upon-Tyne: Agenda Publishing, 2018.</p>
<p><a href="#_ednref37" name="_edn37"><sup>[37]</sup></a> Giacomo D’Alisa and Giorgos Kallis. ‘Degrowth and the state’, <em>Ecological Economics</em> 169 (2020): 106486.</p>
