title: How Long Does It Take to Hire Someone?
url: https://jacobian.org/2021/mar/11/hours-to-hire/
hash_url: e7dd6d41e04bcbf69d3bf09bce827e4c

<p>How many hours does it take to hire someone, from approval of the open position to their first day? It takes <strong>about 100 person-hours</strong>, and that’s about a best-case scenario.</p><p>It’s well-established that making a good hire is expensive. Most of that cost is time investment: recruiting, screening, interviewing, and negotiating all take a large amount of time. When I’m actively hiring, my rule is to set aside <strong>50% of my time</strong> to devote to hiring. But that’s just a rough heuristic; I wanted to know more specifically how long I (and my team) spent.</p><p>So, I tracked a recent hiring round to see. This is just one example, not scientific data or anything. It was a typical hiring round that went fairly smoothly, so these numbers probably represent something close to a best-case scenario.</p><p>We spent <strong>100 hours over 4 weeks</strong> to get to an offer. The round by the numbers:</p><ul class="list-items-tight"><li>60 applicants</li><li>15 got initial hiring manager screens</li><li>10 full interviews (4 interviews per candidate)</li><li>1 offer</li></ul><p>It’s a small applicant pool, but the per-applicant numbers are pretty solid and should scale to larger rounds.</p><p>Here’s how those 100 hours broke down:</p><table><thead><tr><th>Activity</th><th>Time spent</th><th>Total hours</th></tr></thead><tbody><tr><td>Writing JD</td><td>4 hours</td><td>4</td></tr><tr><td>Posting to job boards</td><td>1 hour</td><td>1</td></tr><tr><td>Resume review</td><td>10 minutes / application</td><td>10</td></tr><tr><td>Hiring manager screen</td><td>45 minutes / screen</td><td>11.25</td></tr><tr><td>Interview scheduling</td><td>1 hour / applicant</td><td>10</td></tr><tr><td>Interviews</td><td>3 × 1 hour / applicant</td><td>30</td></tr><tr><td>Interview - hiring manager</td><td>1.5 hours / applicant</td><td>15</td></tr><tr><td>Interview debriefs</td><td>15 minutes / applicant</td><td>2.5</td></tr><tr><td>Offer, negotiation, and paperwork</td><td>4 hours</td><td>4</td></tr><tr><td>Pre-onboarding work</td><td>8 hours</td><td>8</td></tr><tr><td></td><td><strong>Total</strong></td><td><strong>95.75</strong></td></tr></tbody></table><p>Of those hours:</p><ul><li>32.5 hours were other interviews' time, split among three people – so about 10 hours per non-hiring-manager interviewer.</li><li>The remainder, 63.25 hours, was my time – hiring manager time.</li></ul><p>Again, this is just one example, but I think it’s representative. I’ll be using this to better forecast how long future hires will take; I hope it’ll help you do the same!</p>
