title: It’s Very Unlikely Anyone Will Read This in 200 Years
url: https://www.gawker.com/culture/nobody-will-read-this-essay-in-200-years
hash_url: 0888271d03779999af533b991a8b76eb

<p>Recently, Yale philosophy professor Jason Stanley attracted a lot of derision for tweeting: “People are like, ‘he regards himself as self-important.’ No fucking shit. I would regard myself as an abject failure if people are still not reading my philosophical work in 200 years. I have zero intention of being just another Ivy League professor whose work lasts as long as they are alive.” Stanley deleted the tweets, but, unfortunately for him, they live on.</p><p>People found his pronouncements very funny because they were indeed self-important, but inevitably, a meta-discourse developed: what was so wrong about this ambition, after all? Shouldn’t we want to create something that will last hundreds if not thousands of years? Don’t we all want to live forever?</p><p>It’s natural to find the thought that what we build in our life will die with us disturbing. (Though forms of its lasting can also be distressing; in his poem “Posterity,” Philip Larkin imagines being summed up by an irritated, unenthusiastic future biographer with “Oh, you know the thing / That crummy textbook stuff from Freshman Psych.”) No one wants to die. To ourselves, we matter, and we want what we do to matter to somebody else. We want our sacrifices to be worth it in a transcendent sense, our pain to have a purpose, our achievements to be permanent. A handful of life paths — intellectual and artistic work in particular — are about trying to create, as Horace wrote, “a monument more lasting than bronze.” They are a calculated gamble that a life dedicated to the difficult and narrow path will continue after our death, however unrewarding it might have been to experience.</p><p>But that we even have Horace’s poetry to read is as much a caprice of fate as a function of his poetic virtue. Some manuscripts survive the collapse of civilization, others do not; it seems unlikely that these survivals and disappearances precisely track merit. We have Horace and we are missing most of Sappho. We have Horace and we are missing wide swathes of Aeschylus. We have Horace but we do not have the complete works of Aristotle. Why some texts survive and not others can be a matter of historical record, but it is not necessarily a measure of their virtue. Survival is ultimately a matter of greatness, yes, but just as much, it’s about luck.</p><p>At some point in life, we come to realize that we exist in a context. If you are a scientist, you might make a small but useful contribution in your subfield, a subfield that is impossible to explain to anybody else. If you write short stories for literary magazines and exist in that ecosystem, you may not really exist to people outside of it. And — for most of us — our lives form part of the circumference of that context. We live a little while and then we go into the ground. Our children, if we have them, remember us, their children remember us a little less, their children even less, and so on until we are part of a school genealogy project.</p><p>Stanley strikes me as a man who thinks he has exhausted his own context. (Whether he has or not is not something I could know.) From academic work he’s splashed out to popular writing, which has its own rewards and its own disappointments. Something strange but true is that for all their similarities, the worlds of academic and public writing mostly have contempt for each other. Trying to win at both games is quite possible, but it means, also, feeling judged.</p><p>This is not supposed to be armchair psychoanalysis: I just mean that Stanley’s ambition has nowhere to go.  If you want to be Kant or Wittgenstein, no amount of willing can get you there. You need something else. What makes the wish not to be “just another Ivy League professor” a tragicomical statement is that institutions like the Ivies are not meant to make or house Kants or Wittgensteins, let alone Platos, anymore than the Iowa Writers’ Workshop aims to make Tolstoys. They are meant to make survivors — of the careerist type. You can climb all the way to the top of your profession only to find you’re simply standing around and that this was all you were ever trained to do. Some people will be great anyway. But the system is not meant for them.</p>

<h2 data-md-text-align="center">***</h2>

<p>I’ve always liked the idea that people who create great art do so under a kind of inspiration. In practical terms they have nothing to say: they created an independent existence that now speaks for itself. Such a belief is entirely compatible with the idea that to be a vessel of greatness requires training and work, and also compatible with artists being idiots. But I think there’s something to this, even when the work is intellectual, not artistic: that when things are really working, you do not feel that you are doing them. Something is working itself out through you and coming to be through you. Your job is not to get in the way.</p><p>I suppose another way of putting this position is that excellence requires a mix of arrogance and humility; arrogance as to your capabilities, humility toward the work. Arrogance says that you can and will accomplish your desires; humility understands that a greatness that transcends excellence, let alone survives, is not actually in your hands. You have to submit: to the truth, to the real, toward the bends and knots of what is coming to be through you. This is hardly less grandiose and mockable than Stanley’s original statement — I just think that it’s more true. I want something that is real to come to be through me.</p><p>It is also true that while the best writing I’ve done  corresponds to this description, I do not think any of the type of writing I do is likely to last longer than my lifespan, if even that long. Non-fiction writing, in its popular and scholarly varieties, is largely parasitic on the real thing — the real thing being art. Art wrestles with problems of obscurity and immortality; art testifies to the transcendent horizon. Little essays, no matter how clever, fade as soon as they are born; big books, even before. It’s no mistake I’ve referenced two poems already, or considered framing this entire piece through a novel like George Eliot’s <em>Middlemarch</em>, or Marilynne Robinson’s <em>Gilead</em>, or any of the works that are about realizing our life will simply diffuse outward, into other lives, other futures. We plant trees and have children and write books and paint and sculpt and compose and we hope for all of these things a life that is more than fleeting.</p><blockquote class="rs Dh">Institutions like the Ivies are not meant to make or house Kants or Wittgensteins, let alone Platos, anymore than the Iowa Writers’ Workshop aims to make Tolstoys.</blockquote><p>Most scholarship is also not going to live forever. Is it therefore not worth doing? I wouldn’t say so. It’s worth it to maintain gardens and repair buildings and restore artworks. No one’s work lives forever on its own. It stays alive because someone keeps it so. Here again, greatness requires humility: other people’s. The task of thinking is worthwhile even if your thoughts prove to be of limited usefulness. The tasks of reading, of appreciation, of interpretation, are worthwhile, even if next year there is a new essay that supersedes yours, or a new book. If we have chosen to live our lives this way, it is because something about it strikes us as the best way we can spend our time.</p><p>There was a story that went around about a teacher of mine that went like this: <em>why</em>, he asked his class, composed mostly of business types, <em>is it that people build monuments?</em> Someone in the class answers: to testify to great deeds. <em>Really?</em> my teacher replied. <em>Have you ever read the text on a monument? </em>New answer: No, we haven’t, but they testify to the human spirit. <em>OK</em>, my teacher said. <em>But one day the sun is going to blow up and we’re all going to die. What use is a monument then?</em></p><p>I like this story and tell it often, because, to me, it is almost cheerfully bleak, but also, it is in its own way about the futility of futility. Human works mean nothing outside a human frame of reference. None of them can stand up to the sun blowing up and all life dying, because nothing can mean anything then; “meaning,” as such, will not exist. And part of that frame of reference is death and transience. The answers to the monument question are not wrong. But pigeons will shit on your monument and teenagers will make out there and the rain will fall and none of this will ever take into account who you were or what you did. You are background for the living now. It is their turn.</p>

<h2 data-md-text-align="center">***</h2>

<p>Don’t we all want to live forever? Yes, of course. And I think it is no personal consolation that without death we would have, as a species, no future. Sure, somebody has to make way for the next generation, but does it have to be me? Sure, the cycles of life are lovely to contemplate, but can’t I stand outside of them?</p><p>I don’t know why the answer is no. I know that the answer being “no” has never been satisfying, and we know this because of the ancient texts that have one way or another survived in the way we all hope our work will survive. We know there is no respite from this question in seeking wisdom because the entire book of Ecclesiastes is about this. There is no reassurance and no final verdict. There might be a next life, there might be a remade world in which none of this matters, but it is also quite possible that such places will have no need for art or philosophy, though I do find it hard to imagine a fleshly paradise without dancing. For us, right here, there’s only the work and the living, and making space for it, or not.</p><p>Between the two of us, I think Jason Stanley has a better chance of being read in 200 years; but I don’t think either of us have a great chance, really. The writer working now who I think has the best chance of being read long into the future is Sheila Heti, in point of fact. But I do think that work that is transformative, illuminating, and true comes from humbling yourself; from saying, I don’t matter. But this does. For however long it lives, it does.</p>

<p><em>B.D. McClay is an essayist and critic.</em></p>
