title: Le pillage de la communauté des logiciels libres
url: https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221
hash_url: 8d9cffcd9bdc116b8934310706def4bc

<p><span class="mot-lettrine"><span class="lettrine">E</span>n</span> marge de l’industrie des nouvelles technologies, dans les années 1990, un autre monde numérique émerge. Des développeurs bénévoles distants géographiquement se structurent en communautés pour construire de manière collaborative des logiciels concurrents des offres dites «<small class="fine"> </small>propriétaires<small class="fine"> </small>» : le système d’exploitation Linux, le serveur Web Apache ou le lecteur multimédia VLC en sont des exemples connus. Ils abandonnent les droits exclusifs sur leur production non seulement parce qu’ils perçoivent des bénéfices non financiers (plaisir, apprentissage, réputation, offres d’emploi), mais aussi pour des raisons morales : une licence dite «<small class="fine"> </small>copyleft<small class="fine"> </small>» (comme la licence publique générale, GPL) accorde aux utilisateurs les droits d’exécution, de copie, de modification et de distribution du code informatique. Elle impose aussi le maintien de ces libertés dans toutes les versions dérivées du logiciel<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb1" class="spip_note" rel="appendix" title="Lire Philippe Rivière, « Logiciels libres : et pourtant, ils tournent », (...)" id="nh1">1</a>)</span>. Où en est aujourd’hui le mouvement du logiciel libre<small class="fine"> </small>?</p>
<p>La réponse n’incite guère à l’optimisme : il a été coopté, intégré et récupéré par les colosses de la Silicon Valley, Google, Apple, Facebook, Amazon et Microsoft (Gafam). Au point que les logiciels open source (pour «<small class="fine"> </small>code source ouvert<small class="fine"> </small>», un terme adopté dans le milieu industriel pour parler du logiciel libre sans parler de… libertés<small class="fine"> </small>! <span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb2" class="spip_note" rel="appendix" title="Evgeni Morozov, « The meme hustler », The Baffler, n° 22, Cambridge (...)" id="nh2">2</a>)</span>) se trouvent désormais au cœur de l’économie numérique. Selon un sondage réalisé en 2018 auprès de 1 200 professionnels de l’informatique, plus de neuf applications sur dix contiennent des fragments de programmes issus du monde «<small class="fine"> </small>libre<small class="fine"> </small>»<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb3" class="spip_note" rel="appendix" title="Keenan Szulik, « Open source is everywhere », Tidelift, 12 avril  (...)" id="nh3">3</a>)</span>. L’intégration débute au début des années 2000 chez IBM et s’achève en 2018 avec le rachat par Microsoft de la plate-forme de développement collaborative GitHub pour 7,5 milliards de dollars. Les entreprises paient certains développeurs, profitent du travail gratuit des bénévoles, et les intellectuels critiques qui voyaient dans le «<small class="fine"> </small>libre<small class="fine"> </small>» un outil d’émancipation en sont pour leurs frais<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb4" class="spip_note" rel="appendix" title="Lire Sébastien Broca, « L’étrange destin du logiciel libre », Le Monde (...)" id="nh4">4</a>)</span>.</p>
<p>Dans ce processus d’appropriation, deux acteurs ont joué un rôle essentiel de passerelle entre le monde des entreprises et celui des projets<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb5" class="spip_note" rel="appendix" title="Cf. Benjamin Birkinbine, Incorporating the Digital Commons : Corporate (...)" id="nh5">5</a>)</span>. En premier lieu, GitHub, la plate-forme de stockage de lignes de code libre, créée en 2005 et devenue un nœud central fort de quelque 40 millions d’utilisateurs et de 190 millions de dépôts. Cette centralité même a découragé les activistes «<small class="fine"> </small>libristes<small class="fine"> </small>» de la quitter après son rachat par Microsoft. Le succès de GitHub découle de son modèle collaboratif et du fait que les contributions bénévoles, recensées sur les profils individuels des développeurs, constituent de fait leur curriculum vitae.</p>
<p>L’autre acteur-clé est la Fondation Linux. Lancée en 2000 pour garantir un emploi indépendant au créateur américano-finlandais du système d’exploitation libre Linux, M. Linus Torvalds, elle devait prémunir le projet de toute dépendance à une entreprise. Son activité consiste à faciliter l’usage de Linux en produisant des spécifications techniques, du code et des certifications professionnelles. Sur le plan juridique, il s’agit d’un consortium à but non lucratif qui défend les intérêts des entreprises membres, parmi lesquelles on retrouve… la plupart des Gafam. Le développement de son activité donne le vertige : alors qu’elle menait, en 2013, 10 projets, générait 23 millions de dollars de revenus et comptait 39 employés, la Fondation Linux enregistrait cinq ans plus tard 156 projets, 81 millions de dollars de revenus et 178 employés<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb6" class="spip_note" rel="appendix" title="Bradford Biddle, « Linux Foundation is eating the world », Journal of Open Law, (...)" id="nh6">6</a>)</span>.</p>
<p>Dans son abondante communication, la fondation insiste sur l’importance de la documentation et de la sécurité afin de <i>«<small class="fine"> </small>professionnaliser<small class="fine"> </small>»</i> le développement et de rassurer les entreprises non technologiques qui utilisent des logiciels libres. Elle veille à donner une image rassembleuse : lors de ses conférences à gros budget, des intervenants d’Intel ou de GitHub prennent la défense des pauvres «<small class="fine"> </small>devs<small class="fine"> </small>» (développeurs) chinois empêchés de contribuer aux biens communs par les autorités. Surtout, la Fondation Linux martèle l’idée qu’entreprises et projets collaboratifs forment une «<small class="fine"> </small>communauté<small class="fine"> </small>». Ce même terme de <i>community</i> se retrouve systématiquement dans les présentations d’intervenants des sociétés marchandes pour souligner la convergence d’intérêts entre bénévoles et salariés contribuant au même projet<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb7" class="spip_note" rel="appendix" title="Mathieu O’Neil, Xiaolan Cai, Laure Muselli, Fred Pailler et Stefano (...)" id="nh7">7</a>)</span>. Les entreprises qui publient du code sur GitHub insistent également sur la «<small class="fine"> </small>gouvernance communautaire<small class="fine"> </small>» de leurs projets, car n’importe qui peut soumettre une modification à l’approbation de l’auteur originel — ce qui permet à des sociétés commerciales de conserver le dernier mot tout en singeant l’horizontalité… On retrouve enfin la même vision d’une «<small class="fine"> </small>communauté unie<small class="fine"> </small>» dans les articles de médias spécialisés traitant de la coproduction entre sociétés commerciales et projets bénévoles.</p>
<p>Une telle concordance ne doit rien au hasard. Cette inversion orwellienne du sens associé à des termes positifs comme «<small class="fine"> </small>communauté<small class="fine"> </small>», «<small class="fine"> </small>collaboration<small class="fine"> </small>» et «<small class="fine"> </small>ouverture<small class="fine"> </small>» constitue une caractéristique du capitalisme de surveillance<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb8" class="spip_note" rel="appendix" title="Lire Soshana Zuboff, « Un capitalisme de surveillance », Le Monde diplomatique, (...)" id="nh8">8</a>)</span>. En réalité, les intérêts des communautés bénévoles et des entreprises prédatrices ne se rejoignent que dans la mesure où les premières subissent une prédation numérique croissante de la part des secondes. Les Gafam captent, par exemple, les recherches produites avec le monde universitaire : entre 2014 et 2019, 78,3<small class="fine"> </small>% des 17 405 publications d’employés de Microsoft furent coécrites avec des chercheurs<small class="fine"> </small>; au cours de la même période, l’entreprise obtint 76 109 brevets, dont seulement 0,2<small class="fine"> </small>% furent partagés<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb9" class="spip_note" rel="appendix" title="Cf. Cecilia Rikap et Bengt-Ake Lundvall, « Big tech, knowledge predation and (...)" id="nh9">9</a>)</span>. Une autre technique consiste pour les entreprises à multiplier les offres de recherche et développement (R&amp;D) auprès des jeunes développeurs<small class="fine"> </small>; une fois les innovations dévoilées par leurs auteurs, l’entreprise coupe les ponts et crée sa propre version. Les divisions d’Alphabet (maison mère de Google), les laboratoires Google ATAP et Google X, en ont fait leur spécialité, mais Facebook n’est pas en reste<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb10" class="spip_note" rel="appendix" title="The Wall Street Journal, New York, 9 août 2017 ; Fortune, New York, 15 juin  (...)" id="nh10">10</a>)</span>.</p>
<p>Pourquoi les licences copyleft comme la GPL n’ont-elles pas protégé le monde «<small class="fine"> </small>libre<small class="fine"> </small>» des attaques des Gafam<small class="fine"> </small>? D’abord parce que Google les a récupérées — avant de les torpiller. L’entreprise californienne a en effet construit sa domination en faisant de Linux le socle des téléphones Android. Or la licence publique obligeait Google à publier le code source des modifications qu’il apportait à ce logiciel libre. Du moins jusqu’à ce que la société fondée par Larry Page et Sergey Brin développe son propre système d’exploitation, Fuchsia, et lui associe une licence non copyleft.</p>
<p>La GPL a également pâti du développement de l’informatique en nuage <i>(cloud),</i> c’est-à-dire du stockage et du traitement des données sur des serveurs centralisés plutôt que sur les ordinateurs des utilisateurs. En effet, la plupart des licences copyleft, y compris la licence publique générale, ne garantissent l’accès, la modification et la redistribution du code source des logiciels que s’ils sont distribués aux utilisateurs, autrement dit s’ils sont transférés et installés sur leurs ordinateurs. Mais elles n’opèrent pas quand le logiciel tourne sur les serveurs des Gafam : le copyleft ne s’active pas, car le logiciel n’est pas distribué mais utilisé à distance. Le monde «<small class="fine"> </small>libre<small class="fine"> </small>» a bien tenté de créer des licences copyleft efficaces contre la «<small class="fine"> </small>cloudification<small class="fine"> </small>», avec, par exemple, la licence publique générale Affero, mais Google a combattu celle-ci bec et ongles. Si elle avait été adoptée par de nombreux acteurs, cette licence aurait forcé Google et consorts à partager le code source des logiciels qui tournent sur leurs serveurs, même pour les utilisateurs qui interagissent avec ces logiciels à distance. Le mastodonte de la Silicon Valley a donc purement et simplement interdit son utilisation dans ses produits<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb11" class="spip_note" rel="appendix" title="« AGPL policy », Google Open Source." id="nh11">11</a>)</span>.</p>
<p>En matière de logiciel libre, les entreprises technologiques ne présentent pas une attitude monolithique. L’examen des propos tenus par leurs employés lors de trois grandes conférences open source révèle une division claire entre, d’un côté, les grands groupes de type Gafam et, de l’autre, les sociétés de taille plus réduite. Face au modèle économique et aux prétentions communautaires des premières, les secondes affichent une vision critique et plus axée sur la soutenabilité des projets. Leurs représentants insistent sur l’importance des licences et du respect des principes «<small class="fine"> </small>libristes<small class="fine"> </small>», quand les employés des Gafam répètent que la question ne présente aujourd’hui plus guère d’intérêt pour une majorité de contributeurs.</p>
<p>Le partage et la transparence constituent deux valeurs fondatrices du logiciel libre. Si les Gafam consacrent tant de temps et de ressources à nourrir l’illusion de leur appartenance à l’univers collaboratif bénévole, c’est qu’elles savent leur position moralement intenable. Pour les combattre il faut donc répéter cette vérité : les principes fondateurs du logiciel libre sont systématiquement et cyniquement bafoués par ces entreprises. Mais vers quelle cible faut-il diriger cette critique<small class="fine"> </small>? Le grand public<small class="fine"> </small>? Les développeurs<small class="fine"> </small>?</p>
<p>Le grand public se soucie peu des principes du logiciel libre<small class="fine"> </small>; il se montre en revanche sensible aux questions de vie privée et de surveillance. À la faveur des scandales qui entachent la réputation des Gafam, il pourrait graduellement adopter les plates-formes et services décentralisés issus du monde «<small class="fine"> </small>libre<small class="fine"> </small>», à l’instar de l’«<small class="fine"> </small>archipélisation<small class="fine"> </small>» que propose l’association Framasoft pour nouer des partenariats entre structures de natures différentes, du standard ouvert Matrix pour la communication en temps réel sécurisée et décentralisée, ou encore de Nextcloud, solution d’hébergement de fichiers et de collaboration à l’architecture ouverte<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb12" class="spip_note" rel="appendix" title="Cf. https://framasoft.org ; https://matrix.org ; https://nextcloud.com" id="nh12">12</a>)</span>. Le réalisme commande toutefois de reconnaître que ces solutions, malgré leur succès ponctuel, ne peuvent rivaliser avec l’offre de services quasi infinie proposée par les Gafam.</p>
<p>Si le combat n’a jamais été équilibré, le statut d’employé de certains développeurs open source dans les grandes entreprises et le discours dominant qui définit l’innovation uniquement en termes d’investissements privés et de start-up paralysent la résistance. Les communautés des «<small class="fine"> </small>libristes<small class="fine"> </small>» se sont traditionnellement constituées comme des entités collectives pour répondre à des tentatives d’appropriation de programmes. La situation appelle un large débat en leur sein. Quand Oracle acquiert Sun Microsystems en 2010, l’opération menace certains projets open source soutenus par Sun, et des membres de la communauté décident de constituer une version libre alternative du système de gestion de base de données MySQL, qu’ils rebaptisent alors MariaDB. Mais soustraire ainsi à l’appropriation toute l’infrastructure numérique d’Internet bâtie sur des logiciels libres (tels que Linux, Kubernetes, et plus généralement toute la pile logicielle sur laquelle reposent les <i>clouds</i> commerciaux), et par là même les moteurs de recherche, réseaux sociaux et autres plates-formes de service destinés aux entreprises ou au grand public, n’est guère envisageable sans soutien public.</p>
<p>À rebours de la culture des deux acteurs, il s’agit à présent de connecter le libre et l’État. Dans un contexte d’automatisation et de chômage croissants se posent la question de la reconnaissance des contributions volontaires et celle de l’articulation entre les secteurs coopératifs, étatiques et privés. Les Économistes atterrés et Bernard Stiegler ont par exemple proposé des variantes de «<small class="fine"> </small>droits communs du travail<small class="fine"> </small>», qui permettraient à celles et ceux qui contribuent aux communs d’accumuler des droits d’accès à des services sociaux<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2022/01/O_NEIL/64221#nb13" class="spip_note" rel="appendix" title="Cf. Calimaq (Lionel Maurel), « Droits communs du travail et droit au travail (...)" id="nh13">13</a>)</span>. La communauté du logiciel libre peut-elle se constituer en entité politique qui réfléchit, au-delà du logiciel, sur la société dans son ensemble<small class="fine"> </small>? Peut-elle se confronter aux orthodoxies productivistes, au développement infini de la puissance de calcul<small class="fine"> </small>? Tout le passé indique le contraire. Son succès, pourtant, en dépend.</p>
