title: A 'Green' Search Engine Sees Danger-and Opportunity-in the Generative AI Revolution
url: https://www.wired.com/story/search-engine-ecosia-generative-ai-revolution/
hash_url: b3accd4d0eb51c1628b85144224efa04

<p><span class="lead-in-text-callout">In the era</span> of <a href="https://www.wired.com/story/fast-forward-the-chatbot-search-wars-have-begun/">search wars</a> fought between giants, it’s tough to be small. Berlin-based Ecosia offers a search engine for the climate-conscious, promising to be carbon-negative by investing all of its profits into planting trees—more than 180 million of them since it launched in 2009. It’s not likely to topple Google, but it has won a stable clientele of around 20 million users with that green branding and by repackaging search results from Microsoft’s Bing. But after a decade of little change in the search business, everything is now in flux, <a href="https://www.wired.com/story/chatgpt-opened-a-new-era-in-search-microsoft-could-ruin-it/">thanks to generative AI</a>. “I’ve never seen so much change in the market as in the last six months,” says Christian Kroll, Ecosia’s CEO.</p><p class="paywall">The tumult has forced Ecosia to rethink its business plan in order to compete with new chatbot-like search engines built on <a href="https://www.wired.com/story/how-chatgpt-works-large-language-model/">large language models</a>. Today, the company began switching from providing results exclusively from Microsoft’s Bing, as it has for the past 14 years, to primarily sourcing them from Google—though it will still syndicate some Bing results via marketing company System 1. At the beginning of the year, Kroll says, Ecosia “got some signals from Microsoft that kind of triggered us to be a bit more on the lookout for other potential providers.” In March, Microsoft <a href="https://www.wired.com/story/chatgpt-opened-a-new-era-in-search-microsoft-could-ruin-it/">hiked its prices</a> for search results, which was “a wake-up call for alternative search engines,” according to Kroll. Microsoft declined to comment.</p><p class="paywall">Ecosia switched partners in hopes of finding a way to participate in the profound shift in how people search the internet triggered by AI. The company is only testing its partnership with Google and isn’t immediately going to be using the search giant’s AI tools—though it hopes to do so in future.</p><p class="Container-bkChBi byNLHx"></p><p class="paywall">For a small provider like Ecosia, the recent disruption in search could be an opportunity to reach new markets and offer new services to users and advertisers. But the shifting landscape is also fraught with challenges. Although there are startups working on AI-powered search, the category is still mostly a competition between giants. AI-generated search results also create new legal and ethical issues for providers to solve. And for a search engine that gives away all of its profits to fight climate change, there’s the problem of a step-change in energy use needed to power generative-AI.</p><p class="paywall">“This complexity means we have a lot more topics to deal with now,” Kroll says. “As a small company we have to place our bets carefully. Google and Microsoft have a lot more coins that they can spend in the casino.”</p><p class="paywall">Microsoft, which has invested a reported $13 billion into <a href="https://www.wired.com/tag/chatgpt/">ChatGPT</a> developer OpenAI, launched a <a href="https://www.wired.com/story/my-strange-day-with-bings-new-ai-chatbot/">chatbot-style interface for Bing in February</a>. A month later, Google <a href="https://www.wired.com/story/google-bard-chatbot-rolls-out-to-battle-chatgpt/">launched its Bard chatbot</a> in the US and UK. Conversational generative AI like ChatGPT changes the way a user interacts with search, and the way that results are presented. The last generation of search engines responded to a user’s query with a list of links to other media where they could find a detailed answer. AI-powered search attempts to answer the question for itself.</p>
