title: Ask vs guess culture
url: https://jeanhsu.substack.com/p/ask-vs-guess-culture
hash_url: ba42826808418339bdc0364586bea5bf

<p>Have you had someone ask you for a favor that seemed unreasonable — a referral you didn’t want to make, a long-term stay at your place, a sizable cash loan? But because they asked, you felt obliged to seriously consider it, to try to meet their request, even if it put you in a space of discomfort? Maybe you carry out the favor, but it sours your relationship, and when it all comes out, that person says, “Well why’d you agree to it? You could have just said no!”</p><p>But you feel resentful that that person even put you in a position to have to say, “Sorry we’re a bit busy that week so don’t have space for you to stay with us,” or “I can’t loan you that money at the moment”?</p><p>Congratulations, you’ve just encountered a clash between ask culture and guess culture.</p><p><span>The idea of ask vs guess culture was </span><a href="https://ask.metafilter.com/55153/Whats-the-middle-ground-between-FU-and-Welcome#830421" rel>shared online</a><span> in 2007 by a user </span><em>tangerine</em><span> on Metafilter. When I first read it years ago, a lightbulb moment went off, and many frustrations and conflicts I had while growing up made much more sense in this framework. </span></p><p>Despite this idea’s longevity, I find that it’s still a new-to-many and incredibly useful concept to revisit, so here’s a little exploration of ask vs guess culture at home and at work.</p><p><span>Ask culture and guess culture are </span><em>vastly</em><span> different in behavior and expectations. Here are some highlights:</span></p><ul><li><p>Ask for what you want, even if it seems out of reach or like a big unreasonable request</p></li><li><p>Take care of your own needs, and others will take care of theirs</p></li><li><p>It’s fine to make requests that people will probably say no to</p></li><li><p>People say yes to requests that they truly feel good about, say no to ones they don’t</p></li></ul><ul><li><p>Only ask for something if you’re already pretty sure the other person will say yes</p></li><li><p>Read an abundance of indirect contextual cues to determine if your request is reasonable to make</p></li><li><p>It’s rude to put someone in a position where they have to say no to you</p></li><li><p>If the appropriate feelers and context are set, you will never have to make your request at all.</p></li></ul><p>It’s easiest to understand the differences between ask culture and guess culture through examples, so here are two examples with a moving situation — you’re moving soon and hope to save a few bucks with the help of your friends.</p><p>You post on Facebook sharing that you’re moving and make a list of things you could use help with: moving boxes and tape, packing help, usage of a truck/van, and physical labor on moving day. You reach out to a few local friends asking if they’re available on moving day. A few people respond on Facebook with moving supplies, and a friend comes over to help with packing, but no one is available to help on moving day, so you end up renting a moving van and hiring a few movers.</p><p>Your friend is typically free on the weekends, so you ask them if they’re available to help you on moving day. You ask another friend what they’re up to, and they have family visiting, so you don’t mention that you need help with moving. Another friend has access to a pickup truck, and you dropped off some soup recently when they were sick, so you mention that you’re moving next weekend. They ask if you’d like to borrow their truck, which you defer saying you don’t want to inconvenience them, but when they offer again, you accept.</p><p><hr></p><p>Depending on whether you gravitate more towards ask or guess culture as your default, one of these scenarios may sound very uncomfortable. </p><p>If you’re more a guess-culture person, asking people for help without knowing their circumstances can feel rude or intrusive. Broadcasting publicly your need for help can feel awkward and vulnerable.</p><p>If you’re more of an ask-culture person, the guess-culture example of juggling everyone’s specific scenarios and the historical context of favors probably seems exhausting. Dropping hints in the hopes that you won’t even have to make your request can feel extra passive and manipulative.</p><p>I probably operate somewhere in-between ask and guess culture — defaulting to guess culture when I’m low-functioning but aspiring to be more and more ask-culture. </p><p>I was raised deeply in guess culture, as many Asians and Asian-Americans are. The Japanese proverb that “the nail that sticks up gets nailed down” reinforces the idea of social collectivism and keeping your individual needs and wants to yourself — values that are shared by many Asian culture. My parents rarely had to make explicit asks of me, because the expectations around values and behavior were communicated through indirect messaging, often by tone of voice or through stories about other people. </p><p>Western society is very much ask culture. A classic example can be found in proverbs. “A squeaky wheel gets the grease” is an American proverb, enforcing the ideas of individualism and that asking for what you want will benefit you. </p><p>The generational clash between ask and guess culture can be frustrating and exhausting. Years ago, my brother and I were in San Diego visiting our aunt and uncle. The plan was for my grandma to come down from Los Angeles, so we could all spend time together, but our grandma had last minute minor surgery to recover from and had to stay put in LA. “So we should drive up to see her, right?” my brother and I discussed. But all of the older relatives insisted we did not, suggesting that instead we see the sights in San Diego, that we take the kids to Sea World, that the traffic would be awful and that a 2 hour drive would turn into 5 hours, that it’d be dangerous. </p><p><span>This all seemed ridiculous to us, so instead we drove the two hours, keeping our plan </span><em>secret</em><span> until we pulled up into our grandma’s driveway, so that no one could resist and thwart our plan. We had a lovely visit, and my mom later thanked us for making the drive. </span></p><p>This is guess culture — and it’s a lot of saying not really what you actually want, and it’s a lot of reading between the lines to try to figure out what people want.</p><p><span>Deciding what to eat for dinner with guess-culture people isn’t as simple as asking people what they want to eat for dinner, because they will not tell you what they </span><strong>actually</strong><span> want to want to eat for dinner. They will say “oh, whatever you want,” or “whatever is easiest.” And when you insist that you really really want to know what they want to eat for dinner, and if it’s too much work, you’ll do something else instead, the response you receive will already be a compromised version of what they want, taking into account the preferences of everyone else in the house, what the kids will eat, and the leftovers in the fridge.</span></p><p>Thoughtful? Yes. But frustrating if you actually want an honest answer of what someone wants. You may be better off listing options and gauging their response to each one.</p><p>For guess-culture people, thinking about what it is you want can feel absolutely foreign, and for me, it’s been a years-long practice to continue to tap into and understand what I want, before I then try to take others’ needs into account.</p><p>At a high level, western corporate work operates almost entirely in ask culture. But people working at these companies often operate in or were raised in guess culture, which as you might expect, is ripe for feeling misunderstood and frustrated.</p><p><span>Last week, I shared about normalizing </span><a href="https://jeanhsu.substack.com/p/do-you-keep-your-wishes-secret" rel>sharing what we want in life and at work</a><span>, so that they might actually be supported in coming true. Ask vs guess culture is another lens at looking at asking for what you want at work.</span></p><p>Being guess-culture in an ask-culture work environment looks like hoping someone will tap you to become a manager because you’re clearly the best person for the job. </p><p>It also looks like being frustrated when others loudly express enthusiasm about taking on a new project on the roadmap and are given the opportunity to lead it, when you were also interested in it and maybe dropped some hints about it being somewhat interesting.</p><p>At a certain point, guess culture is not going to work for you, and you’ll feel under-acknowledged and overlooked. If you want to get more of what you want out of your work situation, you’ll have to lean more into ask culture. </p><p>But ask culture is vulnerable, because the requests you’re making are ones that feel out of reach, and requires being ok with people saying no to you, often. It requires putting things out there that you want help with, and trusting that people will say no to you instead of helping you resentfully.</p><p>Maybe just understanding the framework is already helpful, but here are a few small ways you can start to nudge yourself into ask culture.</p><ul><li><p>Ask for help on something you’re feeling stuck on. Guess-culture people will worry that they’re interrupting someone, or someone will be annoyed if they’re in the middle of something. If it feels more comfortable, you could say, “Let me know when is good for a half-hour working session today or tomorrow.”</p></li><li><p>Want to publish something on the company blog or give a talk at an upcoming event? Try asking. If “Hey can I give a talk at the next event?” feels too uncomfortable, try “Hey I’m really interested in giving a talk at a future event. What are you looking for?” or “I’d love to give a talk about &lt;topic&gt;, what do you think?”</p></li><li><p>Get more comfortable with people saying no to you. If people are not saying no to you, you’re probably still only asking for things that you already know people will say yes to (which is guess culture). Ask for more budget, ask for an uncomfortable amount of PTO, ask for professional development budget, ask to purchase only vaguely-work-related books on your company card.</p></li><li><p><span>Ask yourself, </span><a href="https://jeanhsu.substack.com/p/if-you-could-have-your-way" rel>“If I could have my way…”</a><span>, which is a useful hack to bypass thinking about others’ needs and honing in on exactly what you want. Use this to think about your role, your next project, your work schedule, your title, your salary and equity, your team. From that thought exercise, ask for some things you want.</span></p></li></ul><p><em>Does this framework behind ask vs guess culture provide any clarity to you around past or current frustrations? When have you experienced clashes between ask and guess culture?</em></p>
