title: ‘Snow Fall’ at 10: How It Changed Journalism
url: https://www.nytimes.com/2022/12/23/insider/snow-fall-at-10-how-it-changed-journalism.html
hash_url: cba96d83d96944c55675cb073fcfc60d

<section>
<div class="css-53u6y8"><p class="css-798hid etfikam0"><a class="css-yywogo" href="https://www.nytimes.com/series/times-insider" title="">Times Insider</a> explains who we are and what we do and delivers behind-the-scenes insights into how our journalism comes together.</p><p class="css-at9mc1 evys1bk0">Ten years ago this week, in December 2012, “<a class="css-yywogo" href="https://www.nytimes.com/projects/2012/snow-fall/index.html#/?part=tunnel-creek" title="">Snow Fall: The Avalanche at Tunnel Creek</a>,” an ambitious multimedia feature about a deadly avalanche in Washington State that year, took the journalism world by storm. In less than a week after it was published online, the article, which was broken up into six chapters and combined more than 15,000 words with video interviews, interactive graphics and animated simulations, was viewed by more than 3.5 million people. <a class="css-yywogo" href="https://www.theatlantic.com/technology/archive/2012/12/new-york-times-snow-fall-feature/320253/" title="" rel="noopener noreferrer" target="_blank">The Wire heralded it as a pivotal moment in journalism.</a></p><p class="css-at9mc1 evys1bk0">The article opens with a full-screen video, playing on a loop, of snow blowing off a mountain. As a reader scrolls, text, video and images appear. The article also uses simulations to trace the path of skiers who became trapped; these models were built with LIDAR elevation data and satellite imagery.</p><p class="css-at9mc1 evys1bk0">The feature, which was reported by the Times journalist John Branch over six months, was produced by a team of 11, including Hannah Fairfield, the current Climate editor who helped guide the process of building the piece; Jacky Myint, the principal designer on the project; and Jeremy White and Joe Ward, Graphics editors who created ambitious visual elements for it. “Snow Fall” won the 2013 Pulitzer Prize in Feature Writing and a Peabody Award.</p></div><aside class="css-ew4tgv" aria-label="companion column"></aside></div><div></div><div class="css-s99gbd StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-at9mc1 evys1bk0">The project helped open the door for more compelling combinations of multimedia and text in the New York Times newsroom — and at publications across the country.</p></div><aside class="css-ew4tgv" aria-label="companion column"></aside></div><div><figure class="sizeMedium css-7rkrfl" aria-label="media" role="group" data-testid="VideoBlock"><div class="css-bsn42l"><span class="css-1dv1kvn">Video</span><div class="css-11kuxu4" style="width:100%;padding-bottom:61.53846153846154%;overflow:hidden"><div class="css-122y91a"><img src="https://static01.nyt.com/images/2022/12/24/insider/24snowfall-still-3/24snowfall-still-3-superJumbo-v2.jpg" class="css-c7hxrg" alt="Cinemagraph"/><video data-testid="cinemagraph" src="https://vp.nyt.com/video/2022/12/22/105131_1_24itt-video-3_wg_720p.mp4" class="cinemagraph_video css-c7hxrg" muted="" loop="" autoplay="" playsinline=""></video></div></div></div><figcaption class="css-y5g5d7 e1maroi60"><span class="css-jevhma e13ogyst0">The project combined text with interactive graphics, animated simulations, video and more.</span></figcaption></figure></div><div class="css-s99gbd StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-at9mc1 evys1bk0">“The multimedia elements work together with the written component, so the narrative feels seamless,” said Steve Duenes, a deputy managing editor for The Times. He was the paper’s Graphics director at the time of “Snow Fall”’s publication and helped develop the core presentation concept for the project.</p><p class="css-at9mc1 evys1bk0">The positive response to the project in journalism circles — and the enthusiastic support of masthead editors at The Times — heightened the newsroom’s ambitions for future interactive projects, Mr. Duenes said. But rather than investing six months into building another “Snow Fall,” the Graphics and Digital News Design teams took what they had learned from the process of creating “Snow Fall” and streamlined it.</p><p class="css-at9mc1 evys1bk0">“We learned how to do many of the things we did in ‘Snow Fall’ with a smaller group,” Mr. White said.</p><p class="css-at9mc1 evys1bk0">In the past year, The Times has published dozens of ambitious interactive journalism packages, including a <a class="css-yywogo" href="https://www.nytimes.com/interactive/2022/07/08/nyregion/bronx-fire-nyc.html" title="">3-D model</a> that <a class="css-yywogo" href="https://www.nytimes.com/2022/07/09/insider/reconstructing-the-bronx-apartment-fire.html" title="">reconstructs</a> how a fire in a Bronx high-rise in January killed 17 people and a visual investigation that revealed Russia’s battlefield failures via audio clips from intercepted phone calls that soldiers made to relatives at home. The collaborative workflow among reporters, video journalists, designers and Graphics editors on desks across the newsroom that was integral to producing those pieces has a distant relationship to “Snow Fall,” Mr. Duenes said.</p></div><aside class="css-ew4tgv" aria-label="companion column"></aside></div><div></div><div class="css-s99gbd StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-at9mc1 evys1bk0">“It reinforced the idea that the report needed to be more visual in the future,” he said of the project.</p><p class="css-at9mc1 evys1bk0">The Graphics desk has grown substantially since “Snow Fall.” And no longer are charts, maps and animations considered last-minute sweeteners for completed articles.</p><p class="css-at9mc1 evys1bk0">“The Graphics desk has a lot more autonomy to drive stories now,” Mr. White said, citing the Pulitzer Prize-winning <a class="css-yywogo" href="https://www.nytimes.com/2021/06/24/insider/covid-tracking-data.html" title="">Covid-19 tracking project</a> as one example of a piece that was led by the desk. “We’re becoming involved early on in the process and adding value in ways we haven’t in the past.”</p><p class="css-at9mc1 evys1bk0">Mr. Duenes also noted that “Snow Fall” helped budding designers and engineers see themselves as potential journalists.</p><p class="css-at9mc1 evys1bk0">“It generated the idea among people with visual skills that journalism might be a place for them,” Mr. Duenes said. “Not people who were experts at the moment, but people in school who could see an overlap between an area where they had talent and the discipline of visual journalism.”</p></div><aside class="css-ew4tgv" aria-label="companion column"></aside></div><div><figure class="sizeMedium css-7rkrfl" aria-label="media" role="group" data-testid="VideoBlock"><div class="css-bsn42l"><span class="css-1dv1kvn">Video</span><div class="css-11kuxu4" style="width:100%;padding-bottom:53.10674455655868%;overflow:hidden"><div class="css-122y91a"><img src="https://static01.nyt.com/images/2022/12/24/insider/24snowfall-still-2/24snowfall-still-2-superJumbo-v2.png" class="css-c7hxrg" alt="Cinemagraph"/><video data-testid="cinemagraph" src="https://vp.nyt.com/video/2022/12/22/105130_1_24itt-video-2_wg_720p.mp4" class="cinemagraph_video css-c7hxrg" muted="" loop="" autoplay="" playsinline=""></video></div></div></div><figcaption class="css-y5g5d7 e1maroi60"><span class="css-jevhma e13ogyst0">“Snow Fall” used video, playing on a loop, to help immerse readers in the reporting.</span></figcaption></figure></div><div class="css-s99gbd StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-at9mc1 evys1bk0">The visual teams at The Times are making progress on new waves of digital design challenges, such as how to structure sweeping interactive projects for an audience that reads articles primarily — or sometimes exclusively — on their phones. (Mr. Duenes said it was not unusual to see nearly three-quarters of people who read a particular Times interactive project now doing so on a mobile device.)</p></div><aside class="css-ew4tgv" aria-label="companion column"></aside></div><div></div><div class="css-s99gbd StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-at9mc1 evys1bk0">Looking back, Mr. White said, the tools and techniques in “Snow Fall” now seem a bit rudimentary. (“If we were to redo ‘Snow Fall’ today,” he said, “we’d have new techniques, we’d be using faster devices and it would be a mobile-first story.”) But the collaborative framework and the pursuit of a seamless combination of words and visuals, like that of “Snow Fall,” continue to guide many visual projects.</p><p class="css-at9mc1 evys1bk0">“Before ‘Snow Fall,’ there was a tendency to be wary of doing too much digital experimentation,” said Andrew Kueneman, the editor of Digital News Design. “When it came down to delivering an article, it was a piece of written journalism, first and foremost. But ‘Snow Fall’ made it clear you can do something really different.”</p>
</section>
