title: The Full-Stack Employee and The Glorification of Generalization
url: https://modelviewculture.com/news/the-full-stack-employee-and-the-glorification-of-generalization
hash_url: 2aa766d71bb3e37848e5a079f35fc14d

<p>Recently, a Medium <a href="https://archive.today/ohggn">think piece</a> hailed the rise of the full-stack employee. Unlike the full-stack engineer, who can seamlessly go from HTML to database scaling, the full-stack employee doesn’t just concentrate on code. Instead, they’re simultaneously good at <i>all</i> the tech things, and also <i>especially</i> adept in one particular area (which may vary according to the individual). Social media, storytelling, project management, design, code…you name it, they’ve got it covered. Passably, anyhow.</p>
<p>If this sounds vaguely familiar, that’s because the concept isn’t entirely new. Traditionally, these types of employees have been called generalists, “jacks of all trades”. Or more recently, the <a href="https://archive.today/TKaYK">T-shaped professional</a>.</p>
<p>Differing from past interpretations, however, is the suggestion that “full-stack” employees aren’t just defined by the skills that they bring to the table: they’re set apart by specific and innate habits, working styles and personality traits. And that’s where it gets problematic.</p>
<h2><b>A conflation of lifestyle with skills</b></h2>
<p>There isn’t anything inherently special about generalizing vs. specializing; they happen to be two different ways to build a career. Yet in the brave new world of full-stack employees, one must have “an insatiable appetite for new ideas, best practices, and ways to be more productive and happy,” be looking for a way to “make their mark” on the world, and live a life of “always-on connectedness.”</p>
<p>Hidden inside that “full-stack employee” manifesto is the idea that tech equals work and work equals life. Despite all the talk of learning and growing, the full-stack employee is primarily focused on conquering domains <i>within the tech industry</i>. But there have always been ways to impact the world <a href="http://www.nytimes.com/2015/04/12/opinion/sunday/david-brooks-the-moral-bucket-list.html?_r=1">outside the workplace</a>. Unfortunately, the continuous pursuit of professional skillsets tends to diminish the boundaries between work and everything else, leaving you with less and less time to actually grow as a human being.</p>
<p>To build upon the ideology, full-stack employees are painted as polymaths, though it’s unclear how devoting the full sum of your time and talent to a tech company is an indicator of innate genius. One person doing the job of three points to unusual dedication in only the most optimistic reading; it more likely demonstrates a culture of (non-compensated) overwork, high-pressure environments and limited team support. Further, chalking one career path up to natural giftedness smacks of hubris and is insulting to those who excel in specialization. What makes this option that much more special?</p>
<p>Distilling polymaths to “people who do multidisciplinary work” is also a mischaracterization. Typically, if someone were interested in becoming a polymath, they would strive to educate themselves in <i>all</i> aspects of living and thinking… not just those their employer dictates as relevant. Robert Heinlein famously described this in practice as a person who is “able to change a diaper, plan an invasion, butcher a hog, conn a ship, design a building, write a sonnet, balance accounts, build a wall, set a bone, comfort the dying, take orders, give orders, cooperate, act alone, solve equations, analyze a new problem, pitch manure, program a computer, cook a tasty meal” and more.</p>
<p>Developing multiple areas of knowledge in a limited line of work doesn’t make you a polymath – it just makes you a different kind of employee.</p>
<h2><b>What it means to hire a full-stack employee</b></h2>
<p>From a practical standpoint, businesses just starting out are often limited in funding: hiring generalists becomes an attractive and economical option. The current trend, however, indicates growing companies hiring only for full-stack employees because that’s “the culture.”</p>
<p>Intentional or not, the hiring process becomes rife for discriminatory practices as bias fills in for the vagaries and impossibilities of the “perfect hire”. The tech industry has already been shown to favor the <a href="http://www.newrepublic.com/article/117088/silicons-valleys-brutal-ageism">30-and-under</a> crowd and <a href="http://www.thedailybeast.com/articles/2014/08/22/we-need-to-talk-about-silicon-valley-s-racism.html">white</a> <a href="http://www.fastcompany.com/3031101/the-future-of-work/the-new-subtle-sexism-toward-women-in-the-workplace">men</a>, and there’s no indication that a focus on “full-stack” employees will offer more inclusion. When you include behaviors like “being online all the time” as core to the hiring criteria, you’re basically just asking for candidates who can work <i>all the time</i> – a de facto ban on people who have children, caretaking responsibilities and frankly, any other non-work interests and obligations.</p>
<p>The idealistic image of the full-stack employee often turns into a prop for bypassing thoughtful hiring practices. Rather than considering the degree of skill needed in each area and the potential tradeoffs of maintaining a broad requirements list, companies can simply turn to the fantasy and reject candidates with one handy refrain: “Oh, they weren’t a <i>true </i>full-stack employee…” the latest twist on the loathed <i>culture fit.</i></p>
<p>In the end, generalizing or specializing has always been a matter of choice and circumstance, and in the real world, talent is as diverse and variate as we are. It’s hard enough to succeed at work, make good hires and create inclusive workplaces – do we really need to be the chasing the latest random attributes and shifting trends of yet another re-brand on the “perfect tech employee”?</p>
