title: On Confidence
url: http://ashleynh.me/on-confidence/
hash_url: 2d27064e915b27b1ce3ac3c5e88938e1

<p>I recently participated in a panel on how to be an effective engineer for Code2040, a nonprofit organization striving to close the achievement gap by providing pathways for minorities to have successful careers in technology. The audience was a group of engineering interns, all from underrepresented backgrounds and working in the Bay Area for the summer. During the panel, I was asked to name something that has had the largest impact on my career success thus far. I said confidence, a response that was intentionally abstract.</p>

<p>Marginalized tech workers are often told they need to do more in order to achieve the successes of the majority or get the same treatment. Directives such as "Lean In!", "Negotiate!", "Network!", and "Find Mentors!" are preached heavily. It's as if doing one or all of these things will help make up for some sort of innate deficiency that is preventing marginalized tech workers from benefitting in a system the majority say is a meritocracy. Although this is a comforting fairy tale - because who doesn't want to believe that marginalized people are one behavioral adjustment from prosperity - it disregards the very nuanced privileges that enable majority people to be ambitious without fear of blowback. In other words, it's irresponsible to tell a marginalized person to apply a "one size fits all" strategy to their career. These strategies are recommended with good intentions, but without a clear blueprint or the acknowledgement that applying one may not yield the same benefit, most of this direction feels out of touch. Why is it always incumbent upon the marginalized to fix themselves in order to be treated with respect?</p>

<h3 id="whydoesconfidencematter">Why Does Confidence Matter?</h3>

<p>Our confidence is tested throughout life. It can be incredibly difficult to believe in yourself, and have unquantifiable knowledge of your worthiness when colleagues have low expectations of your technical abilities. Marianne Williamson's famous quote "...who am I to be brilliant, gorgeous, talented, and fabulous?" resonates. The tech field is a breeding ground for imposter syndrome. The more underrepresented you are, the larger the feeling you don't belong. </p>

<p>For marginalized tech workers, confidence doesn't manifest as projecting an ability to do something you can’t really do, or a lack of basic self-awareness. Marginalized people have plenty of self-awareness. We're constantly reminded at work that we exist on the fringe of the culture. Well-meaning colleagues invite us to opportunities based on our minority status, damaging our self-esteem and making us question our qualifications. As great as diversity in technology initiatives by companies can be, they also come dangerously close to insinuating that the very people they hope to attract are only there because “diversity.” Confidence for the marginalized looks a lot like simply believing you deserve a seat at the table, and have earned it through ability instead of filling a recruiting quota. </p>

<p>Subconsciously, confidence is the thread underlying your decision-making and behavior. Confident tech workers have an inner belief that they can learn, grow, and understand technical concepts. As a result, they approach difficult problems as a positive learning experience - regardless of outcome. Because they are secure in their abilities, confident tech workers don't worry about the optics of looking bad when they're wrong - so they readily admit mistakes. Being secure makes them unafraid to ask for help when needed. And when they do ask for help, confident tech workers expect to understand the explanation provided. In fact, they'll continue asking questions until they receive an explanation that makes sense to them. Confident tech workers know their ideas are worthwhile, so they speak to colleagues at a calm, relaxed pace. And most important, they recognize the tremendous value they bring to an organization - so they ensure a commensurate compensation. This is not the piece that tells marginalized tech workers to simply "be more confident," because I don't want to imply that it's easy. </p>

<h3 id="howhasconfidencebeenbuiltinmyownlife">How Has Confidence Been Built In My Own Life?</h3>

<p>I responded confidence to the panel prompt, because it has been the driving force behind my most important career decisions. Actually, it would be more correct to say that confidence has affected every single interaction - interpersonal or otherwise - that I've had at work. Unsurprisingly, I've been most effective as an engineer when I've believed in myself. After a few years of working at Apple, I knew I wanted the challenge of working with a small team of people focused on delivering a consumer-facing product. But self-doubt began to creep into my thoughts, and I questioned whether I was a strong enough engineer to be a meaningful contributor to a startup. Fortunately, I had a couple of experienced friends that believed I would be a great asset to a small team, in spite of the worrisome words coming out of my mouth. I respected each of them, so their encouragement forced me to believe in myself. </p>

<p>Surrounding myself with a great community of people has been one of the best assets to building my confidence. Whether you call them friends, partners, mentors, or coaches - it's imperative to have access to people that you can relate to, who believe in your abilities and allow you to lean on them for support. My support network helps me to recharge from the stresses of being a marginalized tech worker by allowing me to vent frustrations, express worries, and relax in their presence. When I feel the loneliness of being a marginalized tech worker, these individuals remind me that I'm not in uncharted territory. They also serve the important role of helping to rebuild my confidence in those destructive moments of self-doubt. Knowing that I have their support and advice helps me feel a sense of security.</p>

<p>Another way that I've helped to build my confidence is by adopting a growth mindset. Recognizing that engineering is a skill and therefore one that I can improve upon is a relatively new mindset shift for me. My introduction to programming started with the book "C++ in 21 Days" when I was in 6th grade. Being the type-A kid that I was, I decided that I was going to learn C++ in exactly 21 days. Though I had no idea what C++ was, I was doing a good job learning it until I got to "Day 8" - pointers. Up to that point in my life, school was easy. Yet here was this book with concepts in it that felt like a brick wall preventing me from moving on to the next day! I began to feel like I didn't possess the natural talent to excel as a programmer. </p>

<p>Years later, when I did well in programming classes in high school and college, a part of me was dismissive of those results. Because of that initial experience programming, I was subconsciously held back by the fear of finding another brick wall concept that I wouldn't be able to grasp. It's taken a decade to reverse this thinking and stop having a fixed mindset about my engineering abilities, but it's been worth the effort. Now, because I believe that I can grow as an engineer, I'm motivated to invest in myself. The intrinsic belief that I can get better keeps me confidently striving in my career for more responsibility and new challenges.</p>

<p>After the initial panic that comes with taking on a new professional challenge, I deal with the accompanying stress, anxiety, and self-doubt by managing the one thing in my control - my preparation. In October 2014, I did my first technical talk in Moscow, Russia. Though the opportunity terrified me and had me questioning everything, including whether I was qualified to give the talk and whether the audience would listen to a marginalized tech worker - I knew it was something I needed to try. To cope with the self-doubt, I made sure that the delivery of my content was as good as possible by practicing relentlessly. Knowing that I had all thirty-five minutes of my talk memorized gave me the personal internal comfort that I could handle some of the possible failure scenarios in my head. When it did come time to present, one of those failure scenarios actually manifested. The large in-stage monitor with my presentation notes flickered in and out before turning off for long periods of time. But because I had over-prepared, I was able to calmly hide this technical glitch from the audience and deliver my talk as rehearsed.</p>

<p>Finally, it's important to recognize the importance of scheduling time for yourself, to do things you enjoy outside of work. I know that I feel my best and most confident when I stay active, so I foster habits like eating healthy and working out. I've noticed that setting and diligently pursuing my personal training milestones gives me the feeling that I can similarly pursue and accomplish my professional goals. In short, doing things outside of work that make you feel better, can actually make you feel better about work. Figure out what brings you joy and makes you feel good about yourself, then set aside time, and go do those activities. </p>

<h3 id="howcanyoubuildtheconfidenceofthosearoundyou">How Can You Build the Confidence of Those Around You?</h3>

<p>The culture at work plays a significant role in the confidence of marginalized tech workers. I have worked in environments before where I felt like I couldn't be wrong or admit that I wasn't familiar with a technical concept because of the physical displays of dismissiveness, like deep sighing, I received from my bosses. I've also felt as though I had a very limited number of mistakes that I could make before people stopped respecting my professional technical opinion. And I knew that I had exceeded the number of allowed mistakes when I began to get undermined constantly. Instead of respecting my opinion, my bosses would ask me to validate my conclusions by seeking out the professional opinions of majority tech workers in their network. This combination of low expectations for technical ability, and constant second-guessing creates toxic, unwelcoming environments. </p>

<p>Afford marginalized colleagues the same respect given to majority workers by default. Assume your co-workers from underrepresented backgrounds possess domain expertise in the roles they were hired to fill. Be more supportive friends and colleagues by being open to their feedback, and believing their experiences. Acknowledge the additional stress and cognitive overhead that your colleagues may be experiencing because they're underrepresented, and ask how they could feel more welcome at work.</p>

<p>Finally, avoid inviting marginalized colleagues to partake in an opportunity because of their minority status. I understand that these invitations are well-intentioned, but saying "we need more of (your marginalized group), would you like to attend?" is not only lazy, it's offensive. That message has done two things. It's reduced the invitee to feeling like they don't have any qualifications beyond being from an underrepresented background, and it's put a burden on their choice of whether to accept. If the opportunity is worthwhile, the marginalized tech worker will struggle with whether to accept and deal with the guilt of feeling like they received an undeserved benefit, or decline an otherwise good career move. Instead of leading an event invitation with a mention of how the invitee will improve the diversity of the lineup, why not mention all of the great work that person has done to get themselves noticed in the first place. Yes, marginalized tech workers are from underrepresented backgrounds - but stop making this the focus of the pitch.</p>

<p>There is no one thing that can be done to make the industry better for marginalized tech workers, but by cultivating a supportive network, adopting a growth mindset, focusing on preparation, and taking care of ourselves outside of work, we have a better chance of confidently facing the challenges ahead.</p>
