title: The Year I Didn’t Retweet Men
url: https://medium.com/the-only-woman-in-the-room/the-year-i-didnt-retweet-men-79403a7eade1
hash_url: 948b699571618407de121851cb91b272

<div class="section-content"><div class="section-inner sectionLayout--insetColumn"><p name="cbf8" id="cbf8" class="graf graf--p graf--leading">In its early days, Twitter used to have a suggested user list, people whose Twitter accounts were recommended to people signing up for the service. If you got added to the list, you ended up a bit like the crappy software that’s preinstalled on Windows laptop — casual users of technology would just get you as part of the experience and might not even know how to unfollow your account.</p><p name="c0d6" id="c0d6" class="graf graf--p graf-after--p">That happened to me and as a result, today I’ve got almost half a million Twitter followers. Maybe half of them are people who chose to follow me, for whatever reason, and half of them got me as an inexplicable nerdy Indian dude shoehorned in with the Kardashians and Rob Delaneys that came bundled with their Twitter account. More importantly, according to Twitter’s analytics tools, over 3/4 of my Twitter followers are men.</p><figure name="95de" id="95de" class="graf graf--figure graf-after--p"><div class="aspectRatioPlaceholder is-locked" style="max-width: 500px; max-height: 164px;"><div class="aspectRatioPlaceholder-fill" style="padding-bottom: 32.800000000000004%;"></div><div class="progressiveMedia js-progressiveMedia graf-image" data-image-id="1*FEk3B9bNDieeH4BLvWrLng.png" data-width="500" data-height="164"><img src="https://cdn-images-1.medium.com/freeze/max/60/1*FEk3B9bNDieeH4BLvWrLng.png?q=20" crossorigin="anonymous" class="progressiveMedia-thumbnail js-progressiveMedia-thumbnail"><canvas class="progressiveMedia-canvas js-progressiveMedia-canvas"></canvas><img class="progressiveMedia-image js-progressiveMedia-image" data-src="https://cdn-images-1.medium.com/max/1600/1*FEk3B9bNDieeH4BLvWrLng.png"><noscript class="js-progressiveMedia-inner"><img class="progressiveMedia-noscript js-progressiveMedia-inner" src="https://cdn-images-1.medium.com/max/1600/1*FEk3B9bNDieeH4BLvWrLng.png"></noscript></div></div><figcaption class="imageCaption">Twitter Analytics breakdown of @anildash followers by gender, February 12, 2014</figcaption></figure><p name="d763" id="d763" class="graf graf--p graf-after--figure">More than a year ago, I began to look at a different aspect of my Twitter experience, the identities of the people whom <em class="markup--em markup--p-em">I </em>follow. Part of the reason was that we’ve been building this tool called <a href="https://thinkup.com/" data-href="https://thinkup.com/" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">ThinkUp</a>, which is all about being more thoughtful about the way we use our social networks. But part of it was my growing sense of social responsibility about what messages I choose to share and amplify, and whose voices and identities I strive to bring to a broader audience.</p><p name="df85" id="df85" class="graf graf--p graf-after--p graf--trailing">At the time, there were tools (since gone offline) that would imprecisely estimate the gender of people you follow by using lists of names commonly used by various genders, and they showed that I was following roughly 52% men and 48% women, not counting accounts that belonged to organizations. These tools do not account for other genders or identities, and I have not been able to find software which does, so I only have statistics which represent gender as a binary, unfortunately. (Like my cofounder Gina Trapani, I don’t believe in <a href="http://smarterware.org/7388/the-case-against-drop-down-identities" data-href="http://smarterware.org/7388/the-case-against-drop-down-identities" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">drop-down identities</a>, so I’d welcome software that better models the actual people I’m connected to.)</p></div></div></section><section name="eeaa" class="section section--body section--last"><div class="section-divider"><hr class="section-divider"></div><div class="section-content"><div class="section-inner sectionLayout--insetColumn"><p name="a2c1" id="a2c1" class="graf graf--p graf--leading">In the midst of this research, I found the <a href="http://twee-q.com/" data-href="http://twee-q.com/" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">Twee-Q</a> tool, another imprecise-but-useful bit of software which showed a guessed gender for people whose voices I was amplifying through retweets. I don’t remember the exact calculation, but at the time, I believe my RTs were about 80% men.</p><p name="afd2" id="afd2" class="graf graf--p graf-after--p">I followed a nearly equal ratio of women and men, but retweeted men <strong class="markup--strong markup--p-strong">three times as often</strong> as I retweeted women. This, despite my knowing how underrepresented women’s voices are in the areas I obsess over, such as technology and policy and culture. I could do better.</p><h3 name="cf79" id="cf79" class="graf graf--h3 graf-after--p">Prince and the Resolution</h3><p name="eecc" id="eecc" class="graf graf--p graf-after--h3">Thus, my new year’s resolution in 2013 was to only retweet women.</p><p name="c813" id="c813" class="graf graf--p graf-after--p">This turned out to be the easiest resolution I’ve ever made. I didn’t post about it because there was no reason to, and the only exception to the rule was when there were organizations or advocacy efforts whose accounts were either substantially ungendered or whose online presence I knew was staffed by women.</p><p name="f2f4" id="f2f4" class="graf graf--p graf-after--p">The only significant challenge to this rule that I faced in 2013 was the <a href="https://twitter.com/3rdeyegirl" data-href="https://twitter.com/3rdeyegirl" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">@3rdeyegirl</a> account, which was nominally staffed by Prince’s (all-woman) band 3rd Eye Girl, but which I knew was also often ghost-written by Prince. For the most part, the account posted nothing substantial enough to be worth retweeting, so I didn’t think about it until August, when <a href="http://www.stereogum.com/1437942/prince-joins-twitter/news/" data-href="http://www.stereogum.com/1437942/prince-joins-twitter/news/" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">Prince made official</a> his presence on the account. So I retweeted his first tweet and then went back to observing my rule.</p>
<h3 name="2107" id="2107" class="graf graf--h3 graf-after--p">So, What Happened?</h3><p name="80ae" id="80ae" class="graf graf--p graf-after--h3">Maybe the most surprising thing about this experiment in being judicious about whom I retweet is how <em class="markup--em markup--p-em">little</em> has changed. I just pay a little bit of attention before I tap on the icon in my Twitter app, but it’s been effortless to make the switch, and has gotten me far more “thanks for the retweet!” messages than I used to get.</p><p name="4740" id="4740" class="graf graf--p graf-after--p">More broadly, I found the only times I even had to think about it were very male-dominated conversations like the dialogue around an Apple gadget event. Even there, I’d always find women saying the same (or better!) things about the moment whose voices I could amplify instead of the usual suspects. And for the bigger Twitter moments I love, like award shows and cultural events, there are an infinite number of women’s voices to choose from.</p><p name="a3bf" id="a3bf" class="graf graf--p graf-after--p">One thing that has happened, and I’m not sure if it’s attributable to my change in retweet behavior, is that I’ve been in far more conversations with women, and especially with women of color, on Twitter in the past year. That’s led to me following more women, and has caused a radical shift in how I <em class="markup--em markup--p-em">perceive</em> my time on Twitter, even though its actual substance isn’t that different.</p><p name="dc36" id="dc36" class="graf graf--p graf-after--p">When my peers in the tech industry complain that “everyone” is talking about some inane meme or horrible tech story, I find it’s much less dominant in my stream. Conversely, when conversations such as <a href="http://storify.com/niche/solidarity-is-for-white-women" data-href="http://storify.com/niche/solidarity-is-for-white-women" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">#SolidarityIsForWhiteWomen</a> or <a href="http://notyourasiansidekick.com/" data-href="http://notyourasiansidekick.com/" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">#NotYourAsianSidekick</a> or, say, any airing of <em class="markup--em markup--p-em">Scandal</em> takes place, the dialogue seems to be in surround sound, much more pervasive and all-encompassing than the usual “tucked away in the sidebar of another article” treatment such voices get.</p><p name="7aef" id="7aef" class="graf graf--p graf-after--p">For me, for my <em class="markup--em markup--p-em">experience</em>, it’s better. I feel happier about the time I spend on Twitter, and it’s made me try to be more thoughtful, and more disciplined with other things I do in my time online. Some of those things are structural, like playing with repeated refrains within tweets, and some were more experimental, like testing patterns of posting at certain times or with certain rhetorical devices. I retweeted the <a href="http://twitter.com/stopandfrisk" data-href="http://twitter.com/stopandfrisk" class="markup--anchor markup--p-anchor" rel="nofollow noopener" target="_blank">@stopandfrisk</a> account daily for weeks, and found that people who knew me in the tech world, who hadn’t been familiar with the issue, were suddenly bringing it up unprompted in meetings. I’d struggled with doing so at first (Stop and Frisk isn’t run by a woman, features a profile photo of Michael Bloomberg, and is an issue that primarily impacts men), but given that so many women care so deeply about the issue, it didn’t seem at all in contradiction with the spirit of my overall experiment in retweeting women.</p><p name="d69f" id="d69f" class="graf graf--p graf-after--p">More to the point, I wouldn’t have thought of a sustained campaign of amplifying voices as being meaningful <em class="markup--em markup--p-em">without</em> first having chosen to be mindful of who I retweet. A necessary side effect of this effort was that I stopped hate-retweeting, the practice where somebody like me who has a lot of followers retweets the message of someone they disagree with, so that people can pile on them in disagreement. It’s a fairly odious tactic, and I’m embarassed that I’d done it in the past. Once I was only amplifying voices that were worth hearing, it faded away.</p><h3 name="2407" id="2407" class="graf graf--h3 graf-after--p">Give it a try.</h3><p name="27a0" id="27a0" class="graf graf--p graf-after--h3">Based on my experiences, my recommendation to others is simple: Give it a try. If you’re inclined, try being mindful of whose voices you share, amplify, validate and promote to others. For me, it was giving a platform to women where I wasn’t able to mansplain the things they were already saying, but instead just sharing out their own thoughts in their own words. It may be by issue, or by identity, or by community, or some other consideration.</p><p name="53e2" id="53e2" class="graf graf--p graf-after--p graf--trailing">But we spend so very much of our time on these social networks, and there’s so much we can do to right the wrongs we’ve seen in other media, through simple, small actions. This one’s been a delightful and fun place to start.</p></div></div></section>
