title: 30 years on, what’s next #ForTheWeb?
url: https://webfoundation.org/2019/03/web-birthday-30/
hash_url: a4b5360bdc2248e66f9810dc029a2125

<p><i><span style="font-weight: 400;">A l’occasion du trentenaire du web, notre Fondateur et l'Inventeur du web, Sir Tim Berners-Lee réfléchit sur le changement apporté à notre monde par le web et ce qu’il faut faire pour construire un meilleur web qui est au service de l’humanité. Merci de partager en utilisant  #Web30 et #ForTheWeb </span></i></p><hr /><p><span style="font-weight: 400;">Aujourd’hui, trente ans après ma proposition initiale de système de gestion de l’information, la moitié du monde est en ligne. C’est le moment de célébrer le chemin parcouru, mais aussi de réfléchir au chemin qu’il nous reste à parcourir.</span></p><p><span style="font-weight: 400;">Le Web est devenu </span><span style="font-weight: 400;">une place publique, une bibliothèque, un cabinet de médecin, un magasin, une école, un studio de design, un bureau, un cinéma, une banque et bien plus encore. </span><span style="font-weight: 400;">Bien sûr, avec chaque nouvelle fonctionnalité, chaque nouveau site web, le fossé entre ceux qui sont en ligne et ceux qui ne le sont pas augmente. Il est donc d’autant plus impératif de rendre le Web accessible à tous.</span></p><p><span style="font-weight: 400;">Et si le Web a créé des opportunités, donné une voix aux groupes marginalisés et simplifié notre vie quotidienne, il a également créé des opportunités pour les fraudeurs, et donné une voix à ceux qui propagent la haine et facilitent la perpétration de toutes sortes de crimes.</span></p><p><span style="font-weight: 400;">Sur fond de reportages sur la mauvaise utilisation du Web, il est compréhensible que de nombreuses personnes aient peur et se demandent si le Web est vraiment une force au service du bien. Mais compte tenu de tout ce que le Web a changé au cours des trente dernières années, il serait défaitiste et dénué d’imagination de supposer que le Web tel que nous le connaissons ne peut pas être amélioré dans les trente prochaines années. Si nous renonçons à construire un Web meilleur aujourd’hui, ce n’est pas le Web qui nous aura fait défaut. C’est nous qui aurons fait défaut au Web.</span></p><p><span style="font-weight: 400;">Pour résoudre tout problème, il faut le décrire et le comprendre clairement. Je vois en gros trois sources de dysfonctionnement qui affectent le Web d’aujourd’hui :</span></p><ol><li><span style="font-weight: 400;">Les intentions délibérées et malveillantes, comme le piratage et les attaques d’État, les comportements criminels et le harcèlement en ligne.</span></li><li><span style="font-weight: 400;">Une conception de système qui crée des incitations perverses dans lesquelles la valeur des utilisateurs est sacrifiée, comme des modèles de revenus basés sur la publicité qui récompensent commercialement les pièges à clics et la propagation virale de la désinformation.</span></li><li><span style="font-weight: 400;">Les conséquences négatives involontaires d’une conception bienveillante, telles que le ton indigné et divergent, et la qualité du discours en ligne.</span></li></ol><p><span style="font-weight: 400;">La première catégorie est impossible à éradiquer complètement, mais il est possible de créer un code et des lois pour minimiser ces comportements, comme cela a toujours été le cas hors ligne, dans le monde réel. La deuxième catégorie nous oblige à repenser les systèmes de manière à modifier les incitations. Et la dernière catégorie nécessite des recherches pour comprendre les systèmes existants et modéliser de nouveaux systèmes possibles, ou modifier ceux dont nous disposons déjà.</span></p><p><span style="font-weight: 400;">On ne peut pas se contenter de tenir pour responsable un gouvernement, un réseau social ou l’esprit humain. Les récits simplistes risquent d’épuiser notre énergie tandis que nous poursuivons les symptômes de ces problèmes au lieu de nous concentrer sur leurs causes profondes. Pour agir comme il faut, nous devrons nous rassembler en tant que communauté web mondiale.</span></p><p><span style="font-weight: 400;">À certains moments cruciaux, les générations qui nous ont précédés se sont mobilisées pour travailler en commun à un avenir meilleur. Avec la Déclaration universelle des droits de l’homme, divers groupes de personnes ont pu se mettre d’accord sur des principes essentiels. Avec le droit de la mer et le traité de l’espace, nous avons préservé de nouvelles frontières pour le bien commun. Aujourd’hui également, à mesure que le Web remodèle notre monde, nous avons la responsabilité de nous assurer que celui-ci soit reconnu comme un droit fondamental et construit pour le bien public. C’est pourquoi la </span><a href="https://www.webfoundation.org"><span style="font-weight: 400;">Fondation Web</span></a><span style="font-weight: 400;"> collabore avec les gouvernements, les entreprises et les citoyens pour créer un nouveau </span><a href="https://contractfortheweb.org/fr/"><span style="font-weight: 400;">Contrat pour le Web.</span></a></p><p><span style="font-weight: 400;">Ce contrat a été lancé à Lisbonne lors du Web Summit, réunissant un groupe de personnes qui sont d’avis que nous devons établir des normes, lois et standards clairs qui sous-tendent le Web. Ceux qui le soutiennent souscrivent à ses principes de départ et élaborent ensemble des engagements spécifiques dans chaque domaine. Aucun groupe ne doit y travailler seul, et toute contribution sera appréciée. Les gouvernements, les entreprises et les citoyens contribuent tous, et notre but est d’arriver à un résultat dans le courant de cette année.</span></p><p><span style="font-weight: 400;">Les gouvernements doivent traduire les lois et les réglementations à l’ère numérique. Ils doivent s’assurer que les marchés restent compétitifs, innovants et ouverts. Ils ont la responsabilité de protéger les droits et les libertés des personnes en ligne. Nous avons besoin de champions du Web ouvert au sein des gouvernements - de fonctionnaires et d’élus qui prendront des mesures lorsque les intérêts du secteur privé menaceront le bien public et qui défendront le Web ouvert.</span></p><p><span style="font-weight: 400;">Les entreprises doivent faire davantage pour s’assurer que la recherche du profit à court terme ne se fasse pas au détriment des droits humains, de la démocratie, des faits scientifiques ou de la sécurité publique. Les plates-formes et les produits doivent être conçus dans le respect de la confidentialité, de la diversité et de la sécurité. Cette année, plusieurs employés du secteur de la technologie ont pris position pour réclamer de meilleures pratiques commerciales. Nous devons encourager cet esprit.</span></p><p><span style="font-weight: 400;">Et surtout, les citoyens doivent tenir les entreprises et les gouvernements pour responsables de leurs engagements et exiger qu’ils respectent le Web en tant que communauté mondiale dont les citoyens sont au cœur. Si nous n’élisons pas des politiciens qui défendent un Web libre et ouvert, si nous ne faisons pas notre part pour favoriser des conversations en ligne constructives et saines, si nous continuons à donner notre consentement sans exiger que nos droits en matière de données soient respectés, nous nous déchargeons de notre responsabilité à inscrire ces questions à l’agenda des priorités de nos gouvernements.</span></p><p><span style="font-weight: 400;">La lutte pour le Web est l’une des causes les plus importantes de notre époque. Aujourd’hui, la moitié du monde est en ligne. Il est plus urgent que jamais de veiller à ce que l’autre moitié ne soit pas laissée de côté et à ce que tout le monde contribue à un Web propice à l’égalité, aux opportunités et à la créativité. </span></p><p><span style="font-weight: 400;">Le contrat pour le Web ne doit pas être une liste de solutions rapides, mais un processus qui marque un changement dans la manière dont nous comprenons notre relation avec notre communauté en ligne. Il doit être suffisamment clair pour servir de guide pour la voie à suivre, mais suffisamment souple pour s’adapter au rythme rapide des changements technologiques. C’est notre passage de l’adolescence numérique à un avenir plus mature, responsable et inclusif.</span></p><p><span style="font-weight: 400;">Le Web est à tous, et nous détenons collectivement le pouvoir de le changer. Ce ne sera pas facile. Mais en rêvant un peu et en travaillant beaucoup, nous pouvons créer le Web que nous voulons.</span></p><p><strong>Sir Tim</strong></p>
