title: Je ne prends plus l’avion (et vous devriez considérer de faire pareil)
url: https://joachimesque.com/blog/2019-04-10-je-ne-prends-plus-l-avion
hash_url: b24b62b1c3d676ee0a613bb74d8f9d06

<p>Le mois dernier, je suis allé à une réunion de famille. J’y ai vu des cousins que je n’avais pas croisés depuis dix ans, et j’en ai même rencontré que je n’avais vu qu’une fois ou deux en vrai… Ce genre de situation est toujours curieuse, mais là ça l’était pour une raison particulière : tous les membres de ma famille, même les plus éloignés, savaient une chose à mon propos, même si je ne savais pas grand chose d’eux. Je suis le cousin qui a voyagé pendant un an autour du monde, et donc ils savent qui je suis.</p>
<p>Et donc j’ai dû parler de mon voyage : la durée, le trajet, mon pays préféré… faut pas le leur dire, mais j’ai des réponses toutes faites depuis tout ce temps qu’on me pose les mêmes questions, quand on me les pose je me mets un peu en pilote automatique pour tout raconter.</p>
<p>Mais il y a une question sur laquelle j’ai beaucoup évolué depuis mon retour.</p>
<p><q>Qu’est-ce que tu n’as pas aimé et que tu aurais changé si tu avais pu ?</q></p>
<p>À cette question-là, il y a dix ans, j’aurais répondu <q>Rien, c’était très bien.</q> Maintenant, c’est plutôt <q>J’aurais pas pris l’avion.</q></p>
<p>Parce que voilà, l’avion ça pollue. C’est peut-être pas ce qui pollue le plus au monde, mais c’est un des pollueurs les plus emblématiques de l’époque actuelle, et l’usage de l’avion va croissant.</p>
<h2>Pourquoi se passer d’avion</h2>
<p>Je ne sais pas s’il y a besoin de rappeler qu’un trajet en avion pollue des dizaines de fois plus qu’un trajet en train ou que les avions émettent autant de gaz à effet de serre que plusieurs pays d’Europe réunis. En Europe, pour la première fois, le 10e plus gros émetteur de CO<sub>2</sub> c’est la compagnie aérienne <em>low-cost</em> RyanAir, à la fin d’une liste dominée par les centrales à charbon<sup/>. L’avion n’est plus une pollution anodine.</p>
<p>Cet article de Pascale Krémer pour Le Monde, <a href="https://www.lemonde.fr/m-perso/article/2019/02/22/l-avion-plaisir-coupable-de-l-ecolo-voyageur_5426851_4497916.html">L’avion, plaisir coupable de l’écolo voyageur</a><sup/>), éclaire très bien le dilemme des gens qui ont conscience des enjeux environnementaux, mais qui veulent quand même leurs vacances à Bangkok ou leur week-end à Porto. Je ne suis pas convaincu des conseils donnés à la fin pour <em>réduire</em> son empreinte ; certains sont particulièrement peu pertinents : <em>Rester le plus longtemps possible pour amortir le coût carbone du vol</em> par exemple, les gaz à effet de serre sont libérés dans l’atmosphère quelle que soit la durée de ton voyage. Mais le sujet est là : on ne peut pas se préoccuper de l’environnement et avoir l’esprit tranquille quand on prend l’avion, surtout pour les loisirs.</p>
<p>La démocratisation de l’avion et l’essor du tourisme, comme toute industrie, n’ont pu se produire qu’au détriment de l’environnement. C’est même ironique : un des attraits du tourisme c’est de découvrir la nature, mais notre action contribue à la destruction de cette nature. Chaque vol qui décolle, c’est du CO<sub>2</sub> en plus, un dérèglement un peu plus accentué, et donc une qualité de vie un peu moins élevée pour les gens qui vont nous succéder sur cette planète. <em>Prendre l’avion, c’est voler aux générations futures.</em></p>
<h2>Notre responsabilité face aux générations futures</h2>
<p>Tout un champ de pensée émerge quant à l’éthique des pratiques polluantes : de plus en plus de gens considèrent que faire perdurer des pratiques polluantes devient aussi grave que nier leurs effets sur le réchauffement climatique, et que le déni climatique devrait être considéré comme crime contre l’humanité. L’industrie pétrolière par exemple, qui connaissait dès les années 70 l’existence du réchauffement climatique<sup/>, et qui a pourtant fait du lobbying pour des aides publiques, le développement de l’automobile et de l’aérien (dont les carburants de ce dernier ne sont pas taxés), a une part considérable de responsabilité dans les maux causés à des millions de personnes<sup/>. Les multinationales et les gouvernements doivent être tenus pour responsables de cette grande braderie du futur de l’humanité.</p>
<p>Mais moi qui prône ici ou ailleurs la responsabilisation des systèmes qui nous gouvernent — ou surtout le démantèlement des systèmes les plus dangereux pour l’environnement, comme le capitalisme libéral, l’impérialisme économique ou le culte de la croissance (en n’oubliant pas les biais extractivistes du capitalisme d’état qu’on fait passer pour du communisme), comment rester digne et fidèle à moi-même si je continue à avoir des comportements polluants ? L’action personnelle est indissociable de l’action globale. Il faut ralentir drastiquement et durablement l’industrie aéronautique, et ça passera en partie par une diminution du nombre de gens qui accepteront de se rendre complices de la pollution engendrée par cette industrie. Cette diminution de la quantité de voyageurs pourra être orchestrée par une plus grande taxation des transports aériens, en commençant par le carburant, qui n’est pas assez taxé. Les bénéfices tirés de ces taxes pourront être réinjectés dans le train, pour que le mode le plus polluant soit plus cher que le mode le moins polluant, et qu’on puisse voir un report de passagers d’un mode à l’autre.</p>
<h2>Nos réticences à se passer de l’avion</h2>
<p>J’ai eu des discussions sur le sujet, où il m’a été expliqué que <em>faire le choix de ne pas voler</em> était un privilège. « <em>Il faut avoir des vacances plus longues pour pouvoir prendre le train.</em> » Soit. Traverser l’Europe ça prend du temps en train, et il n’y a pas de terminal TGV à Bali, c’est ballot. Mais qu’on soit bien clairs : <strong>faire le choix de voler est un privilège</strong>, surtout dans le cadre des loisirs. Être dans une position où on peut envisager d’aller à Belgrade ou à Riga à l’occasion d’un jour férié, c’est un privilège.</p>
<p>Il peut être difficile de prendre conscience de cette dimension lorsqu’une carrière ou une vie de famille dépend de la mobilité apportée par l’avion. Devoir traverser la France deux fois par semaine pour des réunions de travail, par exemple, ça peut paraître comme une compromission acceptable au sein d’une vie peu polluante ; de même qu’avoir une famille sur plusieurs continents peut être difficile à vivre sans la possibilité de se réunir facilement en personne. Il est évident que ces situations ne vont pas conduire à des choix faciles : l’environnement ne pèse souvent pas très lourd face à un salaire ou nos relations avec nos proches.</p>
<p>Si l’argument économique de la protection de l’environnement peut paraitre logique (plus on protège le climat, moins on aura de dérèglements et de catastrophes, et donc on pourra garder un peu de stabilité)<sup/>, il n’est pas intégré dans les logiques d’entreprises<sup/>. Les voyages et déplacements professionnels en avion ne sont pas remis en question, le plus rapidement possible pour ne pas faire perdre d’argent à l’entreprise — même si au final l’impact financier des dérèglements climatiques et de la pollution seront portés par l’ensemble de la société. Et ça n’est malheureusement pas facile de faire valoir ces arguments auprès des chefs et des comptables des grands groupes… alors on accepte des postes où on sait qu’on devra faire des aller-retours en avion à l’autre bout du pays. Refuser le poste c’est un choix que beaucoup ne peuvent pas faire, et imposer un nombre de kilomètres limité dans l’année n’est pas forcément envisageable dans les logiques d’entreprises. Tout ça au final pour assister à des réunions qui auraient pu être des emails. Bref, c’est toute la culture des entreprises qui doit être changée (ça peut être fait à coup de régulations) et on doit aussi faire évoluer notre rapport au travail, afin que les entreprises ne puissent plus nous imposer des comportements contraires aux intérêts de la planète.</p>
<p>L’argument qui fait de la famille une cause de dépendance à l’avion est plus dur à mettre à plat. Autant les nœuds économiques peuvent être dénoués en changeant de système de valeur, autant on ne peut pas appliquer le même coup d’épée au nœud gordien des relations familiales et interpersonnelles. La famille, c’est important. C’est la structure de société la plus basique et c’est un lien avec le futur. Le problème, c’est que le futur, et notre société, sont mis directement en danger par les changements climatiques. La sagesse populaire dit qu’un <em>tiens</em> vaut deux <em>tu l’auras</em>, donc on préfère faire attention à ce qui existe, plutôt qu’à ce qui pourrait exister. D’où le manque de réalisation que ce qu’on fait à l’environnement <em>aujourd’hui</em> va empirer la vie de nos enfants et petits-enfants <em>demain</em>. Et encore, je dis ça, mais les effets des changements climatiques se font déjà sentir partout autour du monde. Donc le choix qui se fait maintenant, c’est être un bon descendant en allant voir ses parents et grand-parents en avion, ou être un bon ancêtre en n’utilisant plus l’avion et en agissant pour que ses enfants et petits-enfants n’aient pas à vivre plus de catastrophes que ce qui se produit déjà.</p>
<p>Personnellement, mon travail ne m’oblige pas à prendre l’avion, et j’habite dans le même pays que mes parents, donc ces questions difficiles ne se posent pas, ce sont des choix auxquels je ne suis pas confronté. Je laisserai donc chacune et chacun se faire son avis, sur ce qui est acceptable, éthique ou important.</p>
<h2>Arrêter l’avion impacte moins nos vies que changer d’autres habitudes</h2>
<p>Je parle dans cet article de l’industrie aéronautique (et par extension de l’industrie touristique), parce que c’est un des leviers les plus <em>faciles</em> pour diminuer son impact environnemental<sup/>. Déjà, voler n’est pas accessible à toutes les bourses, c’est un luxe. Se priver d’autres produits, pratiques ou services polluants pour des raisons monétaires (vêtements pas chers…) est plus difficile, et selon les cas quasiment impossible, que de choisir les Deux-Sèvres plutôt que Tokyo pour les vacances.</p>
<p>En plus de ça, voler n’est pas une habitude aussi forte que nos autres pratiques polluantes (viande tous les jours) ; se séparer d’une habitude prend de la motivation et du temps. Se séparer de l’habitude de voler prend moins d’effort et a un impact significatif sur notre impact énergétique (un vol transatlantique aller-retour dépense autant de CO<sub>2</sub> qu’une année de consommation quotidienne de viande).</p>
<p>Et finalement, ça ne remet pas en question <em>toutes</em> nos habitudes, juste celles qui touchent à un domaine précis : les vacances, les loisirs ; il n’y a pas d’effet domino, comme par exemple avec la voiture, dont la remise en question va toucher à des questions de lieu de travail et d’opportunités de carrière, de lieu de vie et d’étalement urbain, de proximité des services publics, etc.</p>
<p>Pour moi, l’arrêt de l’avion n’a pas posé trop de problème. J’ai accepté que je n’irai sans doute jamais en Inde ou en Australie. C’est pas non plus un gros sacrifice, étant donné que je n’avais pas prévu de le faire. J’ai comptabilisé mes vols de ces dix dernières années (environ 50 000 km), calculé le carbone lâché dans l’atmosphère (entre 12 et 17 tonnes selon les estimations),  puis j’ai utilisé l’outil de <a href="http://trees.org/carboncalculator/">trees.org</a> pour compenser ces dépenses. Ça fait des années que je donne à <a href="http://trees.org/">Trees.org</a>, je leur fais confiance. Un de ces jours il faudrait que je recherche un peu mieux sur les options pour compenser son carbone. Mais la meilleure méthode, c’est encore de ne pas émettre de CO<sub>2</sub> dans l’atmosphère.</p>
<p>Dorénavant, mes voyages ne se feront qu’en transports terrestres<sup/>. Le truc génial, c’est que j’habite en Europe, et que des centaines de destinations incroyables sont accessibles en train, bus ou vélo. Il faudrait juste que les compagnies ferroviaires arrêtent de fermer des lignes locales, et augmentent le nombre de trains de nuit. En tous cas, je suis certain de ne pas m’ennuyer.</p>
<h2><q>Mais je fais d’autres choses tous les jours pour l’environnement, donc j’ai le droit de prendre l’avion pour mes vacances</q></h2>
<p>Non, ça n’est pas une bonne raison.</p>
<p>Décider de ne plus prendre l’avion est un premier pas, et c’est un pas nécessaire pour qui veut réduire son impact environnemental, et donc sa part de responsabilité dans la destruction de nos milieux de vie. Ne pas considérer sérieusement ce choix est une faute morale, et un acte de déni climatique.</p>
<hr/>
<p>Merci aux relecteurs et relectrices, et toutes les personnes qui m’ont fait part de leurs remarques et ont fait avancer ma réflexion sur le sujet.</p>
<p>Discussions sur le Fediverse : <a href="https://boitam.eu/@joachim/101902436394301649">https://boitam.eu/@joachim/101902436394301649</a> et <a href="https://boitam.eu/@joachim/101903261632660723">https://boitam.eu/@joachim/101903261632660723</a><br/>
Discussion sur Twitter : <a href="https://twitter.com/joachimesque/status/1116043349880909825">https://twitter.com/joachimesque/status/1116043349880909825</a></p>
<hr/>
<ol>
<li><a id="fn1"/><a href="https://www.bloomberg.com/news/articles/2019-04-01/ryanair-is-first-airline-to-become-a-top-10-polluter-in-europe">https://www.bloomberg.com/news/articles/2019-04-01/ryanair-is-first-airline-to-become-a-top-10-polluter-in-europe</a> </li>
<li><a id="fn2"/><a href="https://old.reddit.com/r/france/comments/attf83/lavion_plaisir_coupable_de_l%C3%A9colo_voyageur/eh3fi7n/"/><a href="https://old.reddit.com/r/france/comments/attf83/lavion_plaisir_coupable_de_l%C3%A9colo_voyageur/eh3fi7n/">https://old.reddit.com/r/france/comments/attf83/lavion_plaisir_coupable_de_l%C3%A9colo_voyageur/eh3fi7n/</a> </li>
<li><a id="fn3"/>Voir <a href="https://www.theguardian.com/environment/2017/feb/28/shell-knew-oil-giants-1991-film-warned-climate-change-danger">https://www.theguardian.com/environment/2017/feb/28/shell-knew-oil-giants-1991-film-warned-climate-change-danger</a>, <a href="https://exxonknew.org/">https://exxonknew.org/</a> ou <a href="http://www.climatefiles.com/">http://www.climatefiles.com/</a> pour plus d’infos sur ce qu’Exxon savait. </li>
<li><a id="fn4"/>Parmi ces maux on peut retenir : les événements climatiques « inhabituels » qui deviennent notre quotidien (cyclones catastrophiques dans les Caraïbes, au Mozambique ou aux Philippines), tempêtes et vagues de froid qui sacrifient les récoltes, feux de forêts dans le sud de l’Europe, en Californie ou en Australie…), la montée des eaux (Miami en fait les frais, mais le Bangladesh aussi), les maladies liées à la dégradation de l’air (asthme et allergies chez les jeunes enfants, cancers, …), cette liste n’en finit pas. </li>
<li><a id="fn5"/><a href="https://news.nationalgeographic.com/2017/09/climate-change-costs-us-economy-billions-report/"/><a href="https://news.nationalgeographic.com/2017/09/climate-change-costs-us-economy-billions-report/">https://news.nationalgeographic.com/2017/09/climate-change-costs-us-economy-billions-report/</a> </li>
<li><a id="fn6"/>La logique capitaliste est derrière ces logiques d’entreprises, ce qui veut dire que les entreprises ne changeront de comportement que si le capitalisme est réformé, et qu’on lui retire tout ce qui le rend si dangereux (notamment la capacité à endommager un environnement pour en extraire des matières premières, sans avoir à payer les réparations) </li>
<li><a id="fn7"/>Évidemment, la SNCF rend le tout beaucoup plus difficile en proposant des billets de train trois fois plus chers que les trajets équivalents en avion, en supprimant les petites lignes de desserte locale (qui est un des avantages énormes du train), ou en supprimant les trains de nuit (qui permettent de mitiger le désagrément d’un temps de trajet plus long). </li>
<li><a id="fn8"/>les voiliers aussi ça me dirait, mais ça prend du temps </li>
</ol>
