title: Rebooter le web sans changer de logiciel économique ?
url: https://scinfolex.com/2018/10/09/rebooter-le-web-sans-changer-de-logiciel-economique/
hash_url: c64681d68c21bbe9a8c631d52096776b

<p>Il y a dix jours, Tim Berners-Lee a publié un billet intitulé « <i><a href="https://medium.com/@timberners_lee/one-small-step-for-the-web-87f92217d085">One Small Step for the Web</a></i> » dans lequel il annonce qu’il se met en retrait de ses fonctions au W3C. Il y déclare avoir pris cette décision pour consacrer l’essentiel de son temps au projet <a href="https://en.wikipedia.org/wiki/Solid_(web_decentralization_project)">Solid (Social Linked Data)</a> qu’il développe depuis plusieurs années en nourrissant l’espoir de rebooter le web sur des bases plus saines. Cette annonce fait suite à <a href="https://www.businessinsider.fr/tim-berners-lee-le-web-a-desservi-humanite">une interview donnée cet été à Vanity Fair</a>, dans laquelle Tim Bernes-Lee se disait « <i>effondré</i> » face au constat que « <i>le web a desservi l’humanité au lieu de la servir</i> » :</p>
<blockquote><p><i>Nous avons démontré que le Web avait échoué au lieu de servir l’humanité, comme il était censé le faire, et qu’il avait échoué par de nombreux aspects. </i><i><strong>La centralisation croissante du Web</strong></i><i>, dit-il, a fini par produire – sans volonté délibérée de ceux qui l’ont conçu – un phénomène émergent à grande échelle qui est anti-humain.</i></p></blockquote>
<p>Je pense que Tim Berners-Lee a très mûrement pesé ses mots en choisissant le qualificatif « d’anti-humain », dans le sens où il estime que les maux liés à la centralisation sur les grandes plateformes – l’exploitation abusive des données personnelles, les atteintes à la vie privée, la manipulation des informations type <i>fake news</i> ou la surveillance étatique de masse – sont si graves qu’ils nous font littéralement perdre une part de notre humanité.</p>
<p>Pour lutter contre cette tendance à la centralisation, le projet Solid cherche à créer un nouveau standard qui permette de «<i><a href="https://usbeketrica.com/article/solid-le-projet-de-tim-berners-lee-pour-sauver-internet">séparer les données des applications et des serveurs qui les utilisent</a></i>». Chaque individu pourrait ainsi reprendre le contrôle sur ses données à partir d’un POD (Personal Online Data) : un espace souverain dans lequel les données sont stockées et auquel les applications tierces viendraient s’interfacer en évitant que les informations soient accumulées dans des « silos », comme c’est le cas actuellement avec les GAFAM. Solid ressemble donc <a href="https://www.nextinpact.com/news/105762-cozy-cloud-ouvert-a-tous-on-a-teste-plateforme-stockage-et-reprise-en-main-donnees.htm">à des projets comme Cozy Cloud</a>, par exemple, à la différence qu’il ajoute à l’hébergement personnel des données une couche de web sémantique pour offrir un standard d’interopérabilité entre les différentes applications, d’où la dénomination de <i>Social Linked Data</i> (données sociales liées).</p>
<h3><img data-attachment-id="12340" data-permalink="https://scinfolex.com/2018/10/09/rebooter-le-web-sans-changer-de-logiciel-economique/solid/" data-orig-file="https://scinfolex.files.wordpress.com/2018/10/solid.png" data-orig-size="1024,596" data-comments-opened="1" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="solid" data-image-description="" data-medium-file="https://scinfolex.files.wordpress.com/2018/10/solid.png?w=300" data-large-file="https://scinfolex.files.wordpress.com/2018/10/solid.png?w=691&amp;h=402" class="aligncenter wp-image-12340" src="https://scinfolex.files.wordpress.com/2018/10/solid.png?w=691&amp;h=402" alt="" srcset="https://scinfolex.files.wordpress.com/2018/10/solid.png?w=691&amp;h=402 691w, https://scinfolex.files.wordpress.com/2018/10/solid.png?w=150&amp;h=87 150w, https://scinfolex.files.wordpress.com/2018/10/solid.png?w=300&amp;h=175 300w, https://scinfolex.files.wordpress.com/2018/10/solid.png?w=768&amp;h=447 768w, https://scinfolex.files.wordpress.com/2018/10/solid.png 1024w" sizes="(max-width: 691px) 100vw, 691px"/></h3>
<h3/>
<p><span id="more-12338"/></p>
<h3>En mode Start-up et capital-risque ?</h3>
<p>Sur le fond, on peut se réjouir de voir une personnalité comme Tim Berners-Lee ne pas se résigner à la domination des grandes plateformes, que beaucoup se contentent aujourd’hui de chercher à « réparer » en compensant les dégâts humains considérables qu’elles produisent, par exemple en prônant <a href="http://affordance.typepad.com/mon_weblog/2018/09/qui-veut-proteger-democratie.html">des solutions comme l’ouverture de leurs algorithmes</a>. Mais j’avoue avoir reçu une douche froide en lisant que si Tim Berners-Lee avait mis en veille ses fonctions au W3C, c’était en réalité pour s’investir dans la société Inrupt, qu’il présente lui-même comme une « <i>start-up</i> » :</p>
<blockquote><p>Il faudra beaucoup d’efforts pour construire une nouvelle plateforme pour Solid et favoriser son adoption à grande échelle, mais je pense que nous avons assez d’énergie pour amener le monde à un nouveau point de bascule.</p>
<p>J’ai donc pris un congé sabbatique du MIT, j’ai réduit mon implication quotidienne avec le World Wide Web Consortium (W3C) et j’ai fondé une société appelée inrupt où je vais guider la prochaine étape du web de manière très directe. Inrupt sera l’infrastructure qui permettra à Solid de prospérer. Sa mission est de fournir l’énergie commerciale et un écosystème pour aider à protéger l’intégrité et la qualité du nouveau web basé sur Solid.</p>
<p>Il existe de nombreux exemples dans le domaine de l’open-source qui ont énormément bénéficié de la contribution d’une entreprise bien financée. Alors que la communauté open-source est source d’initiative et d’innovation, les internautes de tous les jours et les entreprises recherchent souvent des applications et des services auprès d’une entité commerciale qui fournit également un soutien technique et des services commerciaux auxiliaires essentiels.</p></blockquote>
<p>Quand on cherche un peu, on se rend compte qu’Inrupt a été financée par <a href="http://glasswing.vc/">Glasswing Ventures</a>, un pourvoyeur de capital-risque plutôt spécialisé dans l’intelligence artificielle. Or ce montage financier pose question et aussi pertinente que puisse être la solution technique proposée par Solid, on peut déplorer que Tim Berners-Lee cherche ainsi à rebooter le web sans changer le « logiciel économique » qui a joué un rôle pourtant prééminent dans les dérives qu’il souhaite combattre.</p>
<p>Dans <a href="https://blog.freedombone.net/solid-venture">un billet ironiquement intitulé </a><i><a href="https://blog.freedombone.net/solid-venture">«Solid Venture</a></i>», le développeur Bob Mottram fait part de ses doutes quant à cette implication de la société Inrupt dans le projet, en faisant valoir que, contrairement à ce que dit Tim Berners-Lee, la synergie entre Open Source et entreprises classiques n’est pas « neutre » et qu’elle a pu conduire dans le passé à des dérives :</p>
<blockquote><p>J’ai de la sympathie pour tout ce qui tente de redécentraliser le web et de le remettre dans un état où tout le monde ne se retrouve pas enfermé une poignée de bases de données, comme cela s’est passé avec le web 2.0. Mais être soutenu par du capital-risque n’est pas un bon signe. Chercher à produire du code public avec du capital-risque semble toujours déboucher sur l’un des deux résultats suivants :</p>
<ul>
<li>L’entreprise échoue et le projet devient abandonware ;</li>
<li>L’entreprise réussit et les utilisateurs des logiciels se retrouvent piégés par un arrangement commercial très artificiel et généralement désagréable qu’ils détestent.</li>
</ul>
<p>[…]</p>
<p>Dans la sphère des logiciels, la dépendance au capital-risque aboutit généralement à des stratégies qui forcent les gens à souscrire des abonnements ou à des revirements de licence dans le sens de la propriétarisation ou encore à adopter le modèle de « l’open core » dans lequel la base du code est laissée ouverte, mais réduite à un croupion inutile, tandis que tout ce qui a de la valeur prend la forme de modules complémentaires ou de versions destinées au marché des entreprises. Ou bien vous finissez simplement par vous vendre à Microsoft et à Google et ils vous arrêtent pour supprimer un concurrent potentiel à leurs produits. Cela s’est produit bien des fois</p></blockquote>
<p>Et c’est bien ce qui pose problème avec l’initiative de Tim Berners-Lee. Si Solid vient à rencontrer du succès (ce que l’on peut souhaiter), qu’est-ce qui nous garantit que la société Inrupt ne changera pas brutalement de modèle (comme <a href="https://scinfolex.com/2009/09/12/petit-oiseau-devient-gourmand-a-propos-des-nouvelles-conditions-dutilisation-de-twitter/">Twitter l’a par exemple fait en 2009</a>) ? La présence de Tim Berners-Lee à son board constitue-t-elle à elle seule une sécurité suffisante ? Il faudrait être bien naïf pour le croire, car tout inventeur du web qu’il est, il peut très bien se faire mettre en minorité au sein de sa propre structure et il n’est pas non plus immortel. Le risque d’un rachat par un des grands Leviathans du web comme Apple, Google ou Facebook n’est donc pas une hypothèse à écarter comme fantasmatique (NB : la même question se pose d’ailleurs aussi avec <a href="https://www.qwant.com/?l=fr">un acteur comme Qwant</a>, alternatif dans son modèle économique et son objectif de protéger la vie privée de ses utilisateurs, mais tout à fait classique dans la structure de son capital…).</p>
<h3>Conception « enchantée » du marché</h3>
<p>Cette volonté de chercher à refonder le web en mode « start-up » me paraît relever d’une conception « enchantée » du marché et de la concurrence, comme si les puissances économiques qui ont fait naître les plateformes toxiques avec lesquelles nous nous débattons n’allaient pas être en mesure de trouver le moyen d’adultérer une initiative comme Solid en cas de succès. Ce n’est pas un hasard si la « plateformisation » du web, qui est intervenue au milieu des années 2000 avec la vague du Web 2.0, a coïncidé avec la montée en puissance de la <a href="https://iris-recherche.qc.ca/blogue/quest-ce-que-la-financiarisation-de-leconomie">financiarisation de l’économie</a>. Certes, aucune entreprise n’est éternelle et la concurrence peut amener la chute de géants que l’on croyait bien établis. Mais pour l’instant, cette <a href="https://fr.wikipedia.org/wiki/Destruction_cr%C3%A9atrice">dynamique « schumpétérienne » du marché</a> nous a-t-elle apporté autre chose que du pire, car si MySpace et Yahoo ont fini par péricliter, c’est pour que Facebook et Google les remplacent !</p>
<p>Solid semble de ce point de vue reposer en partie sur <a href="https://www.fypeditions.com/resoudre-laberration-du-solutionnisme-technologique-evgeny-morozov/">le « solutionnisme technologique » dénoncé par l’essayiste Evgueny Morozov</a>, qui pousse à croire qu’un <i>Deus Ex Machina</i> pourrait encore nous sauver sans prendre en compte les sur-déterminations économiques de la tendance à la centralisation. C’est pourtant une chose que le juriste Eben Moglen, l’un des pères avec Richard Stallman de la GNU-GPL, <a href="http://www.h-online.com/open/features/Interview-Eben-Moglen-Freedom-vs-the-Cloud-Log-955421.html">avait parfaitement pointé dès 2010</a> :</p>
<blockquote><p>Si les services se centralisent, c’est pour des raisons commerciales. Il y a dans un simple historique de navigateur Web un potentiel qui est monétisable, parce qu’il fournit le moyen de mettre en place une forme de surveillance, attrayante tant pour les marchands que pour les gouvernements pour le contrôle social qu’elle permet. Ainsi le web, lorsqu’il s’appuie sur une architecture essentiellement basée sur le système client-serveur, devient un dispositif de surveillance au-delà des services qu’il fournit. Et la surveillance devient cette fonctionnalité cachée à l’intérieur de tout ce que nous recevons gratuitement.</p></blockquote>
<h3>Ce qui s’est (mal) passé avec le web sémantique…</h3>
<p>Alors certes, le projet Solid est intrinsèquement conçu pour éviter l’exploitation des données personnelles, son code a été placé en Open Source et il s’appuie sur les technologies du web sémantique pensées pour prévenir la concentration des données dans des silos fermés. Mais le destin même du web sémantique devrait nous alarmer, car comme le montre bien Gautier Poupeau <a href="http://www.lespetitescases.net/au-dela-des-limites-que-reste-t-il-concretement-du-web-semantique">dans un billet publié sur son blog cette semaine</a>, il n’a pas été non plus épargné ces dernières années par la tendance à la centralisation, notamment avec la place centrale prise peu à peu par <a href="">le projet Wikidata</a> :</p>
<blockquote><p>Les objectifs initiaux de Wikidata ont été rapidement dépassés, car <strong>ce projet répondait à de nombreux défauts des autres projets existants</strong> en la matière. Par rapport à Dbpedia, il présentait l’avantage d’être mis à jour en temps réel (Dbpedia est mis à jour tous les 6 mois…), d’offrir une qualité de service bien supérieure et de proposer une structuration des données plus rigoureuse, dbpedia étant issu de données dont l’objectif n’était pas celui d’alimenter une base de données structurées à l’origine. Comparé à <a href="http://www.lespetitescases.net/retour-sur-freebase-a-la-lumiere-du-web-of-data">Freebase</a>, initiative lancée par la société <a href="https://en.wikipedia.org/wiki/Metaweb">Metaweb </a><a href="https://googleblog.blogspot.com/2010/07/deeper-understanding-with-metaweb.html">rachetée par Google</a> en 2010, ce projet présentait l’avantage d’être porté par une communauté libre clairement établie. Bref, Wikidata est devenu LE projet de base de connaissances libre et ouvert que tout le monde attendait : <strong>le chaînon manquant de la gestion des connaissances</strong>. […]</p>
<p>Ironie de l’histoire, alors que le Linked Open Data souhaitait mettre en relation des données hétérogènes et décentralisées chez différents fournisseurs, il aura suffi de 5 ans pour que les utilisateurs commencent à recentraliser leurs données au sein d’un espace unique.</p></blockquote>
<p>Wikidata est porté par la fondation Wikimedia (qui n’a pas de but lucratif) et on pourrait donc penser que ce retour de la centralisation n’est pas lié à des déterminations économiques. Mais Gautier Poupeau explique que cette re-centralisation du web sémantique tient essentiellement à la manière dont un acteur comme Google est parvenu à instrumentaliser cette technologie :</p>
<blockquote><p><i>[…] pour vous convaincre de l’importance de ce projet, il suffit de voir l’implication de Google : </i><i><a href="https://www.generation-nt.com/wikidata-donnees-structurees-wikipedia-actualite-1562481.html">mécène du projet à l’origine</a></i><i>, ils ont recruté son </i><i><a href="http://simia.net/wiki/Denny">développeur principal</a></i><i>, </i><i><a href="https://twitter.com/vrandezo">Denny Vrandečić</a></i><i>, lorsque le projet a été stabilisé. Et pour cause : grâce au rachat de la société Metaweb, Google a disposé non seulement d’une technologie de graphe scalable (qui </i><i><a href="https://web.archive.org/web/20160305041722/http://mql.freebaseapps.com/ch02.html">ne suivait pas non plus précisément le modèle RDF</a></i><i>…) mais aussi d’une base de connaissances déjà conséquente. C’est sur cette base que Google a commencé à construire le </i><i><a href="https://www.blog.google/products/search/introducing-knowledge-graph-things-not/">Knowledge graph</a></i><i>, un autre exemple de base de connaissances centralisé bâti sur le modèle de graphe sans utiliser RDF. Ils ont rapidement compris qu’ils ne pourraient convaincre la communauté de poursuivre l’alimentation de Freebase, car cela revenait à travailler directement pour eux. Ils ont donc intelligemment proposé de </i><i><a href="https://searchengineland.com/google-close-freebase-helped-feed-knowledge-graph-211103">reverser le contenu de Freebase dans Wikidata</a></i><i> et ils ont accompagné la mise en place de Wikidata. Permettre l’éclosion de Wikidata, c’était aussi pour Google un moyen d’assurer une mise à jour de son graphe de connaissance, même si bien évidemment Wikidata n’est pas </i><i><a href="https://ai.google/research/pubs/pub45634">la seule source de ce knowledge graph</a></i><i>.</i></p>
<p><i>[…] Tout ça pour ça ? Permettre aux moteurs de recherche de récupérer plus facilement de la donnée structurée pour améliorer la visibilité des résultats de recherche (et surtout leur permettre d’alimenter leur knowledge graph à moindre frais…).</i></p></blockquote>
<p>Tout ceci n’est pas sans lien avec <a href="https://scinfolex.com/2018/06/24/les-communs-numeriques-sont-il-condamnes-a-devenir-des-communs-du-capital/">ce que j’écrivais en juin dernier</a> à propos de la tendance des Communs numériques à dégénérer au fil du temps en « Communs du Capital ». Certes un projet comme Wikidata ne peut être « racheté » par un acteur comme Google pour en faire sa propriété exclusive. Mais même lorsque des ressources sont ainsi rendues « inappropriables », on assiste souvent à ce que Michael Hardt appelle dans un article récent <a href="http://revueperiode.net/lextraction-du-commun-paradigme-du-capital/">une « extraction du Commun », processus qu’il décrit comme étant le « paradigme du capital »</a>. Revisitant la <a href="https://www.cairn.info/revue-actuel-marx-2011-1-page-15.htm">notion marxiste de « subsomption sous le capital »</a>, il explique comment le système parvient généralement à satelliser ce qu’il ne peut directement avaler.</p>
<p>Faute d’un recul suffisant sur ces tendances structurantes dans l’environnement numérique, le projet Solid paraît donc d’emblée mal engagé. Via la société Inrupt, il offre une proie facile au Capital, tandis que les technologies du web sémantique sur lesquels il s’appuie sont déjà travaillées par un processus de recentralisation, en raison de puissantes sur-déterminations économiques.</p>
<h3>Qui savait au début qu’il y aurait une fin ?</h3>
<p>Avons-nous réellement envie de suivre Tim Berners-Lee sur le chemin qu’il nous propose ? Ne peut-on déjà prévoir à ce reboot du web une fin similaire à celle que le premier web a subi ? Il y a dans cette démarche une certaine naïveté qui fait penser à ces écologistes croyant encore que la planète pourra être sauvée sans remettre en cause en profondeur les principes de l’économie de marché. Car tout comme l’Anthropocène est en réalité <a href="https://revuelespritlibre.org/anthropocene-ou-capitalocene-quelques-pistes-de-reflexion">un Capitalocène</a>, la centralisation du web n’est pas un processus « naturel » ou inhérent à une mystérieuse « nature de l’homme » ou des choses. C’est un stade de l’histoire du Capital, que certains désignent à juste titre par le vocable de «c<a href="https://usbeketrica.com/article/l-affaire-cambridge-analytica-symptome-du-capitalisme-de-surveillance">apitalisme de surveillance</a>».</p>
<p>Tim Berners-Lee paraît de ce point de vue assez représentatif de certaines errances de la pensée du Libre et de l’Open. Cela tient à ce que j’appelle « l’agnosticisme économique » de ce courant de pensée, qui n’a jamais été capable de pousser jusqu’au bout sa critique de l’économie de marché. Le temps des synergies décrites initialement comme « heureuses » entre Open Source et entreprises paraît à présent bien loin et ce n’est plus uniquement sur la couche technique des standards qu’il faut agir pour espérer une refondation d’internet. C’est à mon sens à présent du côté des réflexions sur <a href="https://blogs.mediapart.fr/coopcycle/blog/250817/coopcycle-une-cooperative-contre-luberisation">la convergence entre les Communs numériques et l’économie solidaire</a> qu’il faut se tourner pour trouver des modèles qui – tout en s’inscrivant dans la sphère économique – pensent d’emblée la limitation de la lucrativité et le réencastrement des acteurs de marché dans des finalités sociales.</p>
