title: Sudweb 2018, test de format : Casper et les pratiques collaboratives
url: https://xavcc.github.io/casper-sudweb-2018/
hash_url: d907fe7b98ad8d369ff23d0f864dae0c

<p>SudWeb 2018 était la 8ème édition de « La conférence Web surtout Humaine » dont le format et lieu d’occurence sont remis à zéro chaque année. Cette édition eut donc cours à Anduze dans le Gard avec une journée de conférences et une journée au format forum ouvert. Une importance considérable fut également donnée aux temps <em>non-programmés</em> comme illustré dans <a href="https://xavcc.github.io/tissage-sudweb">cet article</a>.</p> <p>Pour cette édition, nous avions décidé, Julia Barbelane, Érick Gardin (tous deux de la thym Sudweb) et moi, de proposer et tester un format différent d’une conférence classique afin d’illustrer au mieux le postulat proposé sur les pratiques collaboratives et l’apprentissage. Nous avons tenté de nous écarter d’une intervention descendante d’une unique personne <em>sachante</em> diffusant de l’information à un auditoire statique pour aller vers un essai de collaboration pair à pair, pendant une partie au moins de la séance, entre le public et la personne intervenante.</p> <p>Voici nos humbles lignes de recette que nous invitons à copier, réutiliser, modifier, tester, contribuer (le fichier source est accessible <a href="https://github.com/XavCC/xavcc.github.io/blob/master/_posts/2018-05-30-casper-sudweb-2018.md">ici via github</a>, car ce format est sous licence libre Creative Commons By SA 4.0 Julia Barbelane, Érick Gardin, Xavier Coadic.</p> <h4 id="table-des-contenus">Table des contenus</h4> <ol> <li><a href="#intention">Intention</a></li> <li><a href="#objectifs">Objectifs</a></li> <li><a href="#articulation-de-la-séance">Articulation de la séance</a></li> <li><a href="#description-du-cercle-samoan-adapté">Description du cercle Samoan adapté</a>  </li> <li><a href="#conclusion-de-la-séance">Conclusion de la séance</a></li> <li><a href="#texte-de-conclusion-prononcé-à-sudweb-2018">Texte de conclusion prononcé à SudWeb 2018</a></li> <li><a href="#remerciements">Remerciements</a></li> <li><a href="#notes-supplménetaires">Notes supplémentaires</a></li> </ol> <h2 id="intention">Intention</h2> <p>Nous avons pris le parti de tenter de transmettre des savoir-faire et des savoir-être à un public tout en invitant ce public à participer activement à l’expérience et au vécu collectif lors d’une séance initialement programmée comme une conférence au format classique.</p> <p>Ceci visait à donner exemples et corps au postulat qu’être quasi-invisible dans des communautés de pratiques collaboratives permet d’apprendre beaucoup de compétences, de se protéger soi-même et d’autres personnes, de partager de nombreux acquis et bien d’autres valeurs.</p> <p>C’est également une volonté d’expérimenter lors de ce sudweb un prototype de format d’intervention et de participation plus dynamique et plus productif qu’un discours éclair à une seule personne sur scène face à un groupe désirant apprendre et/ou pratiquer.</p> <h2 id="objectifs">Objectifs</h2> <ol> <li>Vivre une expérience collective</li> <li>Mettre en place les circonstances et conditions de rencontre entre les personnes présentes (soir suivant l’atelier, forum ouvert du lendemain, Etc.)</li> <li>Transformer cette expérience en acquisition de savoir-faire et savoir-être</li> </ol> <h2 id="articulation-de-la-séance">Articulation de la séance</h2> <ol> <li>Introduction par la personne intervenante</li> <li>Cercle Samoan adapté pour vécu d’expérience Casper <ul> <li>6 à 12 personnes</li> <li>Sercle Samoan adapté placé au centre de l’assemblée présente</li> <li><strong>20 minutes</strong> de cercle <ul> <li>le Cercle Samoan expérimente le test avec la personne intervenante incluse dans la ronde</li> <li>Le public note en silence les conditons et circonstances d’apprentissage du cercle samoan</li> </ul> </li> </ul> </li> </ol> <p><img src="/assets/images/samoan-circle.png" alt=""/></p> <figcaption class="caption">Illustration de Cercle Samoan classique, enviescolaire.fr | licence CC BY</figcaption> <ol> <li>Improvisation de l’intervenant⋅e : <strong>10 minutes</strong> <ul> <li>Rappel au public : Conservez vos observations et notes pour l’après séance.</li> <li>l’intervenant⋅e rebondit sur ce qui vient d’être vécu lors du cercle, ex : « J’ai observé cela à l’instant, ça me rappelle… » <ul> <li>Pour donner plus de profondeur au processus d’acquisition de savoir-faire et savoir-être</li> <li>Pour illustrer avec des potentiels plus impactants</li> </ul> </li> </ul> </li> <li>Oral de retour d’expérience : <strong>15 minutes</strong> <ul> <li>Explication du processus</li> <li>Intérêts de ce processus</li> <li>Questionnements, doutes et limites</li> </ul> </li> <li>Séance de questions : <strong>10 minutes</strong></li> </ol>
<h2 id="description-du-cercle-samoan-adapté">Description du Cercle Samoan adapté</h2> <p>Au départ le Sercle Samoan est une méthode de débat visant au plus simplement à permettre à chacun d’intervenir volontairement sans en ressentir l’obligation ; d’écouter les arguments ou les idées de l’autre ; d’éveiller l’esprit critique sur les questions liées au changement climatique ; permettre aux timides de ne pas s’exprimer, limiter les bavardages et bruits parasistes.</p> <div class="side-by-side"> <div class="toleft"> <img class="image" src="/assets/images/2-Concentric-circles.png" alt="Alt Text"/> <figcaption class="caption">Figuration du cerlce samoan classique</figcaption> </div> <div class="toright"> <p>Les personnes du premier cercle se faisant face, les personnes du public regardant également vers le centre des cercles concentriques. Le débat en Cercle Samoan se déroule en deux parties : la première est le débat proprement dit, la deuxième est une évaluation de cette technique par le groupe lui-même. Puis, reconstituer un seul et grand cercle pour permettre aux participant⋅e⋅s d’échanger sur la méthode du Cercle Samoan et ce indépendamment du sujet qui a été débattu. Pendant une dizaine de minutes, chacun est invité à s’exprimer librement sur l’expérience vécue pour au final valider collectivement l’idée d’utiliser et de pratiquer à nouveau cette méthode</p> </div> </div> <p>Dans notre adaptation du Cercle Samoan, l’objectif est de s’approcher lors de la première partie de la séance, le plus possible de ce système collectif :</p> <p><img src="/assets/images/processus.jpg" alt=""/></p> <p>La table samoane adaptée sera donc :</p> <ul> <li>composée de 6 à 12 personnes</li> <li>placée durant la durée du test à l’emplacement où l’intervenant⋅e devait se tenir pour la conférence</li> <li>Les participant⋅e⋅s sont non pas face à face mais épaule contre épaule le regard tourné vers l’extérieur du cercle afin de pas (trop) voir des caractéristiques physiques des autres membres de la ronde samoane.</li> <li>La personne prévue à l’origine pour la conférence peut pariciper au cercle samoan adapté à condition de se mettre sur un pied d’égalité avec les autres individus</li> </ul> <h3 id="objectifs-du-cercle">Objectifs du cercle</h3> <ul> <li>Créer des interactions entre les personnes du public</li> <li>Sortir de la posture conférence descendante d’une personne vers une groupe</li> <li>Montrer que le groupe est tout aussi légitime sur le sujet abordé</li> <li>Illustrer le postulat de l’intervention et le thème choisi par une preuve par la démonstration en direct</li> <li>Inciter aux rencontres et échanges en groupe après la séance</li> </ul> <h3 id="déroulé-du-cercle-adpaté">Déroulé du cercle adpaté</h3> <p>Le cercle samoan est initialment une ronde dans laquelle les personnes en présence sont assises face à face, telle que pouvant regarder vers l’intérieur du cercle. Le public entoure le cercle samoan pouvant également regarder vers le centre des deux cercles concentriques.</p> <p>Dans le test que nous avons effectué à sudweb 2018, nous avons renversé la configuration du cercle samoan en installant les personne de la première ronde dos à dos, permettant ainsi de regarder vers l’extérieur et vers le public, visant ainsi à pseudo-anomyser (Casper) chaque participant⋅e à cette ronde.</p> <p>Le public, lui, entoure ce premier cercle regardant ainsi le déroulé de ce cercle et se trouvant en condition de réception à niveau de l’information orale et non-orale.</p> <p>Appel par l’intervenant⋅e de 6 à 12 personnes volontaires pour venir participer à l’expérience en expliquant les contraintes que cela implique (contact physique, captation vidéo), et en expliquant qu’elles et ils vont être actrices et acteurs d’une expérience de processus de transmission de savoir, être ou faire, en étant presque invisibles les unes et uns par rapport aux autres.</p> <p>Appel à l’assemblée de prendre attention particulière et notes par observations silencieuses, des circonstances et conditions et petites choses qui permettent cette transmission de savoir-faire et savoir-être durant le cercle.</p> <p>Si une personne désire quitter le cercle samoan elle le peut à tout à moment et ainsi une autre personne pourra prendre sa place.</p> <p>Si une personne désire faire l’experience les yeux fermés, elle a le droit.</p> <p>La première question posée aux personnes dcu cercle :</p> <blockquote> <p>« <em>Qu’avez-vous appris comme savoir faire ou savoir être dernièrement ? Je parle là bien de savoir et non simplement d’une information acquise, c’est à dire que ce savoir est passé par l’observation, l’hyptohése, le test ou prototypage, le resultat, l’interpretation, la conclusion ou confrontation.</em> »</p> </blockquote> <p>Petit tour des acquis récents à voix haute, l’intervenant⋅e prend notes de ce qui est évoqué.</p> <p>Ensuite,</p> <blockquote> <p>« <em>Qui désire essayer de transmettre ce qu’il a appris en essayant de le faire reproduire ou comprendre pourquoi il a appris aux membres du groupe en les guidant sans bouger de sa place ?</em>»</p> </blockquote> <p>Il s’agira de faciliter au mieux la où les personnes qui tenteront l’expérience, y compris en fournissant si besoin aux personnes du cercle feuille, stylo, ordinateur (session invité of course), truc à assembler, ficelle, pour tenter de suivre les instructions de celle ou de celui qui tente de transmettre son acquis.</p> <p>Le fait de ne pas se voir face à face pour les personnes du cercle pousse chacune à des efforts de pédagogie, d’ingéniosité, d’attention et d’intention, de bientraitance, envers les autres.</p> <p>Le cercle extérieur, par son silence, est en posture privilégiée pour relever les circonstances et conditions qui sont très difficilement remarquables par les membres du cercle adapté du fait de l’intensité du vécu émotionnel.</p> <p>Pour les respect du timing, en plus du timer présent dans la salle, une aide extérieure serait précieuse pour aider la personne intervenante qui se retrouve ici à passer de conférencière à facilitatrice.</p> <p>À la fin de ce premier temps, ne pas oublier les remerciements aux participant⋅e⋅s, et d’expliquer que les observations et notes par l’assemblée doivent être conservées précieusement pour la fin de l’intervention. Inviter les personnes du cercle adapté à rejoindre leur place.</p> <p>Il est temps d’effectuer la reprise des notes sur “les savoirs acquis récemment par ces personnes et comment ou surtout pourquoi ils et elles ont appris quelque chose”, afin de rebondir en (pseudo) improvisation sur différentes expériences Casper vécues. Un moment gesticulé, qui peut être inspiré de la méthode conférence gesticulée, visant des retours d’expériences vécues par l’intervenant⋅e en rebondissant ce qui vient d’être testé pour appuyer, ex : « J’ai observé cela à l’instant, ça me rappelle… »</p> <ul> <li>Explication du protocole, exemple Casper lors de SudWeb 2018</li> <li>Intérêts de ce protocole, exemple Casper lors de SudWeb 2018</li> <li>Questionnements, doutes et limites</li> </ul>
<h2 id="conclusion-de-la-séance">Conclusion de la séance</h2> <blockquote> <p><em>Lien vers la vidéo de la séance</em> : <a href="https://vimeo.com/272441064">https://vimeo.com/272441064</a></p> </blockquote> <p>Il s’agit du moment le plus formel de cette recette expérimentale ; dans ce sens il nous a semblé justifié et intéressant de conclure par un texte plus travaillé et didactique permettant au public de cerner avec de nouveaux horizons le postulat de départ et le thème de la séance.</p> <p>Tentons de privilégier un oral scénique, certes, mais pouvant chercher la soutenance du propos amont bien plus que viser un discours promotionnel.</p> <p>Bien qu’il est libre à chaque personne d’improviser plus ou moins largement cette partie finale, dans le cadre de sudweb nous avons pris le parti d’écrire un texte qui nous sert, ci-dessous, d’exemple illustrant notre intention de format ainsi que de retranscription de la séance vécue.</p>
<h2 id="texte-de-conclusion-prononcé-à-sudweb-2018">Texte de conclusion prononcé à SudWeb 2018</h2> <p>« Ce que je tente, par ce court instant d’expérience collective, de vous faire passer par le vécu est un aperçu d’un processus ou protocole que j’appelle Casper.</p> <p>En reprenant les exemples de pratiques collaboratives dans des communautés diverses que je viens vous citer, j’ai rapidement cultivé le sentiment qu’être quasi invisible ; après tout presque tout le monde connaît Casper mais personne ne sait qui est la personne sous le drap blanc ; permet un confort situationnel, relationnel, les libertés de faire et d’apprendre. Cela évite d’une certaine manière d’être jugé pour ce que l’on parait et d’être apprécié et reconnu pour ce que l’on fait et comment l’on se comporte dans ces processus de transmission et de production, de production de savoir ou autre production.</p> <p>Je crois sincèrement que si j’ai pu avoir autant de choses à apprendre c’est par ce processus Casper, mais surtout autant de moments incroyables à vivre. Car par ce protocole, je ne venais pas empiéter sur l’intimité d’une personne ou sur la culture propre à un petit groupe de persone.</p> <p>Mais j’avoue volontiers que plus on partage plus on apprend. Reste à savoir ce que partage un Casper.</p> <p>Finalement, en biodesign, informatique, écologie, sécurité des communications…, si le “comment” l’on apprend est important, si le contenu de ce que l’on apprend est important, je conserve la postulat Platonicien que c’est le “Pourquoi” l’on apprend qui est d’importance primordiale et que c’est bien souvent ce “pourquoi” que nous cernons avec difficulté et approximation.</p> <p>C’est aussi pour cela, que je vous invite dès ce soir ou demain pendant le forum ouvert à venir à la rencontre des personnes qui ont fait cette séance avec vos observations pour échanger avec elles et confronter vos informations. Qui sait, peut-être que cela créera une configuration sociale particulière où se produit une rencontre entre des entités individuées qui s’engagent intentionnellement à la conception d’une représentation commune, c’est-à-dire à responsabilité partagée (c’est la définition scientifique du tiers-lieu que j’empreinte au Dr en sociologie Antoine Burret). Prolongeant ainsi ensemble cette réflexion et expérience Casper.</p> <p>Pour ce qui est d’un gentil fantôme qui partage aussi lorsqu’il apprend, peut-être que cela se situe dans les racines de son drap qui masque une partie tout du moins de ses fragilités, protégeant également par pudeur autrui, laissant ainsi cours à une volonté profonde de sincérité et d’abnégation. Est-ce cela se dévouer à un idéal collectivement avant de servir nos miroirs aux vanités tout en se nourrissant des savoirs et moments profondément humains ? C’est bien là une des questions que je vous pose. Une abnégation peut vous prendre jusqu’aux tripes et au cœur je l’avoue et je vous mets en garde.</p> <p>Il y a évidemment des limites à ce processus ou ce protocole. Dont la première serait qu’être une sorte de fantôme dans des instants d’humanité intense peut mener à des rapports impersonnels, en apparence certainement. Une situation particulière qui peut destabiliser les autres personnes, et même dans le pire des cas heurter une ou plusieurs personnes qui auraient l’impression d’être dans un rapport de partage déséquilibré ou non respectueux de certaines conventions sociales actuelles. Il faudra alors, en posture de Casper, faire appel à toutes ces ressources propres d’intelligence collective pour éviter ces ressentiments. Apprendre et transmettre ne sont pas actes égoïstes qui ne satisferaient qu’à l’exigence d’une seule personne.</p> <p>Apprendre à apprendre en permanence et contribuer à un commun, pas uniquement un idéal commun, mais à des ressources libres entretenues et cultivées par des communautés, avec leurs règles auto-éditées, transparentes et fédérées avec d’autres instances paires. Des ressources comme la connaissance libre, la science libre, le logiciel libre, l’eau, la biodiversité… Chercher à se détacher de l’égo (autant que faire se peut) pour proposer de nouvelles productions plus adaptées et soutenables, c’est cela qui m’amène aujourd’hui à vous proposer de creuser ou de déconstruire ensemble le protocole Casper. Dans un monde qui glisse à grande vitesse vers l’hyper données de l’intime, avec des industries qui surfent sur des vagues de personnification à l’extrême, face aux postures de star auto proclamée, ce processus Casper peut aussi être un immense bol d’oxygène.</p> <p>Ainsi, pour conclure ces quelques minutes ensemble et vous inviter aux rencontres ce soir ou demain afin d’approfondir ces fameuses circonstances et conditions évoquées auparavant, je ferais une paraphrase du serment du jeu de paume</p> <blockquote> <p>« <em>Faisons ici et maintenant le serment de nous rencontrer et de nous réunir sans se juger à l’apparence et ce à chaque fois que les circonstances l’exigent ; et de nous séparer que lorsque nous aurons transmis à autrui un savoir-faire et un savoir-être renforçant les libertés et la diversité de toutes et tous</em> » ?</p> </blockquote>
<h2 id="remerciements">Remerciements</h2> <ul> <li>Julia Barbelane et Érick Gardin pour avoir co-conçu ce format</li> <li>La thym SudWeb pour permettre à ces temps d’exister</li> <li><a href="https://github.com/borisschapira">Boris Schapira</a>, <a href="https://github.com/Julia-barbelane">Julia</a>, <a href="https://github.com/Mily1000V">Mily1000V</a> pour les corrections à cette page</li> <li>Toutes les personnes croisées à SudWeb 2018</li> </ul>
<h2 id="notes-supplémentaires">Notes supplémentaires</h2> <p>J’ai également écrit sur des moments <em>off</em> de partages et de sujets lors de sudweb 2018, ces notes vous sont accessibles <a href="https://xavcc.github.io/tissage-sudweb">ici</a></p>
