title: « Vivez à vos risques et périls, mais vivez dociles et prévisibles »
url: http://jefklak.org/vivez-a-vos-risques-et-perils-mais-vivez-dociles-et-previsibles/
hash_url: db2c574ef79ba59a6f46898fd3843c55

<div class="single-box clearfix entry-content"><div class="intro"><p class="textbody">Valérie Marange, philosophe, psychanalyste et praticienne Feldenkrais, a participé aux mouvements d’intermittents et précaires. Dans « L’éthique du bouffon <sup class="footnote"><a href="#fn-6167-1" id="fnref-6167-1">1</a></sup> » en 2001 puis dans « L’intermittent et l’immuable <sup class="footnote"><a href="#fn-6167-2" id="fnref-6167-2">2</a></sup> » en 2007, elle analyse les falsifications des idées de Michel Foucault opérées par deux bouffons du néolibéralisme: François Ewald, ancien assistant du philosophe et colégataire de son œuvre, et Denis Kessler, alors n<sup>o</sup> 2 du Medef. Leur article « Les noces du risque et de la politique <sup class="footnote"><a href="#fn-6167-3" id="fnref-6167-3">3</a></sup> » pose les bases de la contre-réforme de la protection sociale portée par l’organisation patronale pendant les années 2000, avec l’aide de ses alliés syndicaux – CFDT en tête. Ils y font l’éloge de l’« <em>économie politique du risque</em> » et d’une éthique travailliste où le contrat social « <em>trouve sa vérité dans l’assurance</em> ». Retour sur l’individualisation de la responsabilité et le gouvernement par la peur que véhicule l’idéologie néolibérale du risque.</p><p class="textbody">Cet entretien est issu du quatrième numéro de la revue papier <em><a href="http://jefklak.org/revue-papier/" target="_blank" rel="noopener">Jef Klak</a></em>, « <a href="http://jefklak.org/chval-de-course-numero-4/" target="_blank" rel="noopener">Ch’val de course</a> », encore disponible en librairie.</p></div><p class="pdf-link">Télécharger l’article en <a href="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Marange_SiteJK.pdf">PDF</a>.</p><div class="epigraph"><p class="textbody">« Et l’on disserte sur l’attitude des Français face au risque, leur frilosité, la vaine exigence du risque zéro. Car le risque est manifestement aussi au centre de la morale moderne. D’un côté, certains dénoncent la démoralisation d’un peuple de rentiers (de l’État-providence), souhaitent que l’on donne à nouveau avantage au risque sur la rente, vantent l’esprit d’entreprise et voient, finalement, dans la plus grande capacité, individuelle et collective, à prendre des risques un progrès de la civilisation. De l’autre côté, on dénonce l’ultralibéralisme de ceux qui voudraient nous replonger dans le risque, remettre en risque les individus alors qu’on était précisément parvenu à les en protéger. Comme si la tendance progressiste se mesurait sur le seul vecteur de la sécurité, comme si la prise de risques était par elle-même foncièrement dangereuse. […]
Parler de risque renvoie à une morale de l’action plus que de l’abstention. C’est en ce sens qu’on oppose risque et rente. Autour du risque se divisent deux grandes formes d’existence: ceux qui acceptent le risque, le revendiquent, assument leur condition d’animal voué au risque et ceux qui le refusent, l’évitent, cherchent à s’en protéger – les courageux et les frileux. Notre culture a plutôt célébré les premiers que les seconds: le chasseur, le guerrier, l’aventurier, l’entrepreneur, l’inventeur, le chercheur, le pionnier, l’investisseur, l’homme politique, plutôt que le rentier, le fonctionnaire. »</p><p class="epigraphsignature">Denis Kessler et François Ewald,<br/>
« Les noces du risque et de la politique »,<br/>
<em>Le Débat</em>, n<sup>o</sup> 109, avril 2000</p></div>
<h3 class="section">Dans les années 2000, François Ewald et Denis Kessler mettent le risque au cœur de la refondation sociale portée par le Medef. Quel est précisément le rôle du risque dans cette histoire?</h3><p class="textbody">Avant d’entrer comme conseiller au Medef (Mouvement des entreprises de France), Ewald était directeur de la communication à la Fédération française des sociétés d’assurance (FFSA), dont Kessler était directeur. Or, ce sont les sociétés d’assurance qui ont opéré la recomposition politique du patronat – la transformation du vieux CNPF (Conseil national du patronat français) en Medef – ainsi que sa conquête des corridors de l’État.</p><p class="textbody">Ewald a découvert le risque en travaillant sur l’État-providence <sup class="footnote"><a href="#fn-6167-4" id="fnref-6167-4">4</a></sup>. Il en a fait le moteur de l’histoire et de la moralisation de l’espèce humaine. Et c’est très pratique, ça héroïse la précarisation des conditions d’existence ainsi que l’agir irresponsable du capitalisme contemporain, en leur donnant un habillage existentialiste. Le risque serait l’éthique du nouveau capitalisme. Le problème, c’est qu’en mettant le risque au centre, non pour le prévenir, mais aussi en invitant à l’aimer, le désirer, on flirte non seulement avec une hyper-normalisation des styles de vie, mais aussi avec l’exposition à la mortalité, voire avec le gouvernement par la catastrophe, comme l’a magistralement démontré Naomi Klein <sup class="footnote"><a href="#fn-6167-5" id="fnref-6167-5">5</a></sup>.</p><p><img class="aligncenter size-full wp-image-6170" src="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite1.jpg" alt="" srcset="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite1.jpg 750w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite1-300x218.jpg 300w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite1-600x436.jpg 600w" sizes="(max-width: 750px) 100vw, 750px"/></p><h3 class="section">Dans les fictions victoriennes du XIX<sup>e</sup> siècle, la pauvreté est aussi une pauvreté morale, ce qui revient à dire au pauvre: « C’est de ta faute. » Dans sa dimension morale, la notion de risque permet justement un nouveau partage entre les <em>bons pauvres </em>riscophiles (les courageux, prêts à tout pour avoir un emploi) et les <em>mauvais pauvres </em>riscophobes (les assistés, frileux et démotivés)…</h3><p class="textbody">C’est en effet le raisonnement de Kessler et Ewald, du reste tout à fait anti-foucaldien: Foucault n’a cessé de lutter contre ce genre de ligne de partage dans le peuple <sup class="footnote"><a href="#fn-6167-6" id="fnref-6167-6">6</a></sup>, et d’insister sur la dimension moralisatrice du capitalisme. Dès l’<em>Histoire de la folie à l’âge classique</em>, où le partage de la folie et de la raison concerne d’abord l’improductivité, jusqu’à son cours au Collège de France sur le biopouvoir <sup class="footnote"><a href="#fn-6167-7" id="fnref-6167-7">7</a></sup>, où il est question de la violence normalisatrice de la subjectivation entrepreneuriale.</p><p class="textbody">En réalité, ceux que le Medef désigne aujourd’hui comme « mauvais pauvres » sont souvent ceux qui prennent le plus de risques, ceux qui ont pris acte de la fin du plein-emploi et le voient comme une chance pour sortir par le haut des sociétés disciplinaires. C’est le cas des intermittents. Le régime d’indemnisation de l’intermittence permet de prendre des risques, mais avec une certaine sécurité de revenus. Dans les années 1960, il s’agissait d’un système structuré pour maintenir la disponibilité des techniciens de l’audiovisuel, sans être obligé de les payer en permanence. Il a été détourné par les jeunes en rupture avec le salariat, qui voulaient créer leur propre économie alternative, tout en inventant des styles de vie poétique. L’intermittence a alors été vécue comme une espèce de subvention à la personne, plus égalitaire et moins arbitraire que la subvention au projet. Le Medef s’acharne sur les intermittents depuis deux décennies, parce qu’il cherche à imposer le travail « indépendant » comme modèle – sans congés payés, sans arrêt maladie, sans assurance chômage –, mais assujetti à l’économie restreinte <sup class="footnote"><a href="#fn-6167-8" id="fnref-6167-8">8</a></sup>, soit l’inverse de la sécurité et de l’autonomie relative ouverte par le régime des intermittents.</p><p><img class="aligncenter size-full wp-image-6171" src="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite2.jpg" alt="" srcset="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite2.jpg 750w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite2-300x218.jpg 300w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite2-600x436.jpg 600w" sizes="(max-width: 750px) 100vw, 750px"/></p><h3 class="section">Kessler et Ewald invitent au « reengineering<em> de la gestion collective des risques</em> » et à la « <em>ré-institution du social</em> » <sup class="footnote"><a href="#fn-6167-9" id="fnref-6167-9">9</a></sup>. Mais ne travaillent-ils pas surtout à réduire la protection sociale?</h3><p class="textbody">Au départ, l’État-providence visait à protéger contre le risque, contre l’accident. Son histoire commence avec les accidents du travail – notamment dans les mines au xix<sup>e</sup> siècle. On est aujourd’hui entré dans un nouveau stade de privatisation à la fois des fonctions protectrices de l’État et des ressources naturelles – avec l’extractivisme <sup class="footnote"><a href="#fn-6167-10" id="fnref-6167-10">10</a></sup> à tout crin –, où plus rien ne doit être gratuit. Tout ce qui débordait l’économie restreinte, au sens de Mauss (le don), Bataille (la dépense), mais aussi de l’économie écologiste <sup class="footnote"><a href="#fn-6167-11" id="fnref-6167-11">11</a></sup>, les « externalités » en d’autres termes, doivent être réintégrées dans le système et devenir payantes. Tout ce qui était donné devient payant, tout ce qui était garanti par l’État doit rapporter de l’argent. La mise en avant du risque comme valeur prend place dans ce cadre. Pour dégager un maximum de bénéfices, il y a une inflation des risques que le système de production-consommation-soin nous fait courir, qui deviennent globaux et catastrophiques. On marche à la riscophilie intégrale: que le monde périsse, c’est quand même ce qui sera le plus rentable!</p><p class="textbody">Il y a là une logique de rentabilité, mais aussi de gouvernance des esprits par le danger, par la peur et par la dette. Cela fonctionne comme la production de la dette: les risques de l’existence, comme dit Ewald, et les périodes d’improductivité, ne doivent plus s’appuyer sur les systèmes de garanties collectives, mais sur l’assurance privée et l’endettement. Plus profondément, cela relève d’une logique de la dette contre celle du don <sup class="footnote"><a href="#fn-6167-12" id="fnref-6167-12">12</a></sup>, c’est-à-dire sur l’idée que l’existence n’est pas un droit, mais une dette.</p><p><img class="aligncenter size-full wp-image-6172" src="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite3.jpg" alt="" srcset="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite3.jpg 750w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite3-300x218.jpg 300w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite3-600x435.jpg 600w" sizes="(max-width: 750px) 100vw, 750px"/></p>
<h3 class="section">Qu’a permis cette pensée de la protection sociale?</h3><p class="textbody">Ce discours accompagne la privatisation progressive de la protection sociale. Actuellement, la Sécu ne couvre plus que la moitié des dépenses de soin, 50 % des frais de santé sont pris en charge par des organismes privés, ce qui est quand même un gros hold-up<em>, </em>au bénéfice des assurances privées prenant parfois le masque des « mutuelles ». La crise des hôpitaux publics est aussi organisée pour favoriser le développement d’établissements de soin privés. Et pas seulement pour les riches! J’ai par exemple fréquenté la clinique de l’Estrée, dans la banlieue nord entre Saint-Denis et Sarcelles. Elle est surnommée la « clinique de l’extrême » par les praticiens de santé: un hôpital privé pour pauvres, qui a poussé au milieu de nulle part, dans une zone mal couverte par le système des hôpitaux publics, avec des niveaux de soin, d’attente, d’accueil, qui correspondent à une clientèle pauvre…</p>
<h3 class="section">Comment fonctionnait l’assurance sociale au départ?</h3><p class="textbody">Avant la Sécurité sociale, la protection mutuelle est issue du mouvement ouvrier: les gens se sont organisés par branches et ont fondé des caisses de solidarité pour faire face à la maladie, l’accident, etc. La protection sociale est devenue ensuite une revendication ; puis, peu avant la Seconde Guerre mondiale, et surtout après, la Sécurité sociale, le système des retraites et des instances paritaires (comme l’Unedic) a été mis en place au niveau national.</p><p class="textbody">Les ordo-libéraux <sup class="footnote"><a href="#fn-6167-13" id="fnref-6167-13">13</a></sup> allemands et les libéraux outre-Atlantique ont commencé à penser la contre-révolution de l’assurance sociale dès les années 1930. En France, les attaques commencent avec Giscard et Barre. Aux États-Unis, cette contre-révolution est déjà bien avancée dans les années 1970. Foucault a analysé ces mécanismes, notamment dans ses études sur le biopouvoir, à un moment où l’on n’en parlait quasiment pas politiquement. Puis François Ewald les a formalisés, en prétendant s’appuyer sur Foucault – ce qu’il fait d’une certaine manière, mais pour le renverser.</p>
<h3 class="section">Toute une pensée néolibérale prend appui sur Foucault pour défendre l’« autonomie » contre l’État-providence.…</h3><p class="textbody">Foucault a bien décrypté les néolibéraux. Et ils se reconnaissent dans ce décryptage. Après, il est certain qu’il y a une dimension libérale dans la pensée de Foucault – c’est son côté dissident – qui se déploie dans le contexte bipolarisé entre le monde capitaliste et le socialisme soviétique, et non dans un espace de pensée unique comme aujourd’hui. Les subjectivités issues du refus du travail et des disciplines (que représentent politiquement l’opéraisme <sup class="footnote"><a href="#fn-6167-14" id="fnref-6167-14">14</a></sup> italien et les mouvements soixante-huitards, et philosophiquement quelqu’un comme Foucault) n’avaient pas envie de choisir l’Union soviétique contre le capitalisme. On analysait les limites normalisatrices des systèmes de protection étatique. Le communisme « réel » était un système disciplinaire, pour le moins. L’archéologie critique des disciplines, de la psychiatrie et de la prison, ne pouvait donc qu’être en dissidence, version moderne des « contre-conduites ».</p><p><img class="aligncenter size-full wp-image-6173" src="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite4.jpg" alt="" srcset="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite4.jpg 750w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite4-300x218.jpg 300w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite4-600x436.jpg 600w" sizes="(max-width: 750px) 100vw, 750px"/></p><p class="textbody">Aujourd’hui, on affiche souvent une certaine naïveté par rapport à ces questions. Par exemple, les gens qui protestent contre la démolition privatiste de la psychiatrie sont souvent de bonne foi, ils ont souvent participé à l’histoire de la psychothérapie institutionnelle <sup class="footnote"><a href="#fn-6167-15" id="fnref-6167-15">15</a></sup>, qui a été un véritable mouvement de révolution au sein de la psychiatrie et de l’hôpital. Mais celle-ci est restée relativement marginale, et la majorité de la population a continué à vivre la psychiatrie comme une contrainte normative et infantilisante. Elle n’a pas essaimé non plus dans d’autres domaines de l’institution sanitaire et sociale, telles que les Ehpad (maisons de retraite) ou les foyers d’hébergement pour handicapés. Ainsi, la fonction d’hospitalité et de protection de l’hôpital n’est pas vraiment défendue, parce qu’on ne peut pas défendre les institutions que l’on n’a pas véritablement investies. Les usagers ont du mal à se reconnaître dans les luttes des soignants contre le nouveau pouvoir managérial, qui joue des contradictions entre les usagers et le pouvoir médical.</p><p class="textbody">En réalité, la pensée foucaldienne prend appui sur les luttes autonomes des gens concernés par les micro-pouvoirs médicaux, familiaux, sexuels, etc., au-delà du seul enjeu de la propriété des moyens de production. Elle procède donc à une sorte de généalogie du capitalisme comme système de moralisation et de gouvernement des comportements, au-delà des seuls enjeux socio-économiques.</p>
<h3 class="section">Comment marche le détournement de Foucault par Ewald et Kessler? Qu’est-ce qu’ils oublient, qu’est-ce qu’ils retiennent?</h3><p class="textbody">Foucault définit très précisément sa ligne dans un article paru dans le mensuel de la CFDT <sup class="footnote"><a href="#fn-6167-16" id="fnref-6167-16">16</a></sup> en 1983, intitulé « Une demande infinie face à un système fini », et repris dans les <em>Dits et Écrits.</em> Dans cet entretien, Foucault interroge certes le modèle de la santé parfaite, l’illusion selon laquelle à partir du moment où une technique a été inventée, elle doit pouvoir être disponible à tout moment, à tout endroit, pour toute demande. D’où le titre. Mais ensuite, il expose clairement que, vis-à-vis du système de soin, il y a deux dangers, deux modes de dépendance possibles: celui de la tutelle et celui de l’abandon. Il parle d’« <em>un effet de mise en dépendance par intégration et un effet de mise en dépendance par marginalisation et exclusion</em> ». Et c’est très important qu’il le formule ainsi, par rapport à la réflexion sur le risque et la dépendance, parce qu’il parle aussi de dépendance concernant l’exclusion de la protection sociale. Il énonce clairement que l’on doit viser le maximum d’autonomie pour le maximum de sécurité. Il y a là un idéal, bien sûr. Il sait très bien que c’est l’objet d’une tension, d’une lutte permanente. Il ne pense pas le schéma d’une gouvernance qui s’appliquerait d’en haut sans qu’il y ait des forces qui se combattent. D’ailleurs, son élaboration de la question du pouvoir, en médecine comme ailleurs, a toujours été liée aux luttes sur ces terrains-là.</p><p class="textbody">Là où le glissement et la ruse d’Ewald sont grossières, c’est quand il évacue la critique de la « <em>mise en dépendance par marginalisation</em> ». Il fait comme si le seul risque énoncé par Foucault était celui de la tutelle étatique. En fait, ce débat témoigne de l’extrême confusion dans laquelle nous sommes aujourd’hui concernant la question de l’autonomie, que l’idéologie néolibérale nous amène à confondre avec l’absence de liens. C’est quelque chose que je vois constamment dans mon métier: des gens qui cherchent à se désaliéner d’un certain nombre de tutelles (familiales, sociales, etc.) – je suis là pour les y aider –, mais avec une vision magique de l’autonomie. Comme si l’être humain pouvait faire abstraction de ce que ses besoins et désirs le lient à un grand nombre d’autres êtres, humains et non humains. En réalité, le système crée beaucoup de surdépendance, mais aussi beaucoup d’isolement, voire des oppositions délétères entre différentes couches de la population, entre générations notamment.</p><p><img class="aligncenter size-full wp-image-6174" src="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite5.jpg" alt="" srcset="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite5.jpg 750w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite5-300x218.jpg 300w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite5-600x436.jpg 600w" sizes="(max-width: 750px) 100vw, 750px"/></p>
<h3 class="section">Il est difficile de penser un mode d’émancipation dans un appareil d’État selon la pensée de Foucault. Comment penser le rapport entre les individus et le pouvoir?</h3><p class="textbody">La théorie du pouvoir chez Foucault n’est qu’une théorie des relations: le pouvoir n’existe pas comme centre, il n’existe qu’en tant que système de relations et en tant que gouvernement de conduites. Et une conduite des conduites passe toujours par la subjectivité.</p><p class="textbody">Dans l’histoire, il y a eu différents modes de conduite des conduites. Les disciplines <sup class="footnote"><a href="#fn-6167-17" id="fnref-6167-17">17</a></sup> en constituent un moment, qui va de l’âge classique au travail fordiste et stakhanoviste. C’est le moment où le corps docile de l’ouvrier répète 500 000 fois le même geste – ce qui existe encore évidemment, en Chine plus qu’ici. Avec le biopouvoir, on n’est plus là-dedans, on est dans l’<em>entreprise de soi</em>, et le « contrôle », qui est un paradigme différent, un autre mode de gouvernementalité. Cela ne passe plus par la discipline, mais justement par la prise de risque individuelle et par l’illusion de l’autonomie de sa conduite. Aujourd’hui, on est pris dans un capitalisme cognitif et affectif <sup class="footnote"><a href="#fn-6167-18" id="fnref-6167-18">18</a></sup> qui embarque les subjectivités, non pas tant sur un mode disciplinaire, mais beaucoup plus sur le mode de la motivation <sup class="footnote"><a href="#fn-6167-19" id="fnref-6167-19">19</a></sup>, soit une mobilisation de l’intérieur des sujets, comme le font les religions.</p>
<h3 class="section">Quel est le rôle du risque dans cette nouvelle forme de gouvernementalité?</h3><p class="textbody">L’idéologie néolibérale du risque est en train de former les générations qui arrivent sur le marché du travail avec un énorme sentiment d’insécurité. On fait croire qu’on donne de l’indépendance, alors qu’en réalité, cela instaure une énorme dépendance à la machine. Et c’est le but! Pas du tout de créer de l’autonomie. C’est un retournement de la pensée libérale. Foucault est très pertinent sur la différence entre libéralisme et néolibéralisme, qui est la différence entre « <em>laisser aller, laisser faire</em> » et « <em>faire aller, faire faire</em> ». Schématiquement, cette différence réside dans l’injonction permanente à la productivité – où la notion de risque est moteur. Un ensemble de procédures contribuent à maintenir une espèce d’angoisse continue. Il faut que tu aies tout le temps la frousse de perdre ton statut, ton emploi, d’être mal noté par les systèmes d’évaluation dans les entreprises, etc.</p>
<h3 class="section">Comme dans les assurances, où ils veulent instaurer un système de malus en fonction de comportements à risques, comme le fait de fumer.</h3><p class="textbody">D’ores et déjà, tu n’as pas du tout le même accès aux mutuelles selon l’âge, les antécédents médicaux… Pour les prêts immobiliers, n’en parlons pas. C’est ça aussi, l’idéologie du risque: s’assurer de conduites très régulières, très normées, au nom de la prévention du risque. Le discours sur le risque est truffé d’injonctions paradoxales: « <em>Vivez à vos risques et périls, mais vivez docile et prévisible</em>. » Et surtout il « dés-écologise » la notion de risque, puisque l’enjeu, c’est l’imputation des risques: tu assumes la responsabilité des risques que tu prends, tu ne vas tout de même pas la faire porter à quelqu’un d’autre! Encore moins à la société! On va donc chercher à débusquer tout ce qui est de ton niveau de responsabilité, tout ce que ne va pas couvrir l’assurance. Le mot « risque » est mis en exergue pour ce qu’il véhicule de positif, le côté chevaleresque, héroïque… Cela peut tenter un certain nombre de gens: « C’est glorieux de vivre dans le risque! » Mais en réalité, ce n’est pas du tout ce qui est attendu. Ce qui est attendu, c’est de tenir ses promesses, c’est-à-dire de se comporter de manière <em>responsable</em>, comme quand tu as contracté une assurance: tu as lu le contrat d’un bout à l’autre, tu sais précisément dans quoi tu t’es engagé, à quoi t’en tenir si tu prends des risques inappropriés – par exemple, boire au volant.</p><p class="textbody">Cette notion de responsabilité implique autre chose dont on ne parle pas souvent, mais qui est central dans la gouvernance actuelle: la question de la subsidiarité. C’est-à-dire à quelle échelle placer telle ou telle responsabilité: qui est responsable de quoi? Cette notion de subsidiarité est par exemple utilisée par les institutions européennes: qu’est-ce qui dépend de l’Europe? Tout ce qui ne dépend pas d’échelons en dessous. Et quels sont ces échelons? L’État national, la région, le département, le canton, la commune et, au bout du compte, l’individu lui-même – la plus petite unité de subsidiarité.</p><p class="textbody">La refondation sociale, pensée contre la prétendue « <em>démoralisation</em> » induite par la couverture sociale collective, est une individualisation extrême de la responsabilité et de la prise de risque. Chacun devrait être un système quasi autosuffisant, ce qui veut dire, paradoxalement, bien adapté, bien branché à la machine globale dont on est tous invité à être dépendant. Parce qu’en revanche, quand tu veux effectivement travailler de manière vraiment autonome, c’est quand même un petit peu compliqué. Je le dis en connaissance de cause, parce que je fais partie de la seule profession libérale qui n’est pas réglementée, la psychanalyse. Ce qui est absolument une survivance – et qui n’est garantie que parce qu’il y a des lacaniens très méchants qui ont montré les dents au moment où l’État a voulu réglementer, et même interdire une pratique qui ne se laisse pas décrire par des protocoles de type industriel. En réalité, la vraie prise de risques, au sens noble de l’engagement sans s’abriter derrière une autorité, est pour ainsi dire proscrite dans nos systèmes de plus en plus réglementés et protocolisés, notamment dans le secteur de la santé.</p><p><img class="aligncenter size-full wp-image-6175" src="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite6.jpg" alt="" srcset="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite6.jpg 750w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite6-300x217.jpg 300w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite6-600x434.jpg 600w" sizes="(max-width: 750px) 100vw, 750px"/></p>
<h3 class="section">Les performances des salariés sont quant à elles sans cesse évaluées, mesurées…</h3><p class="textbody">Il y a des modes de management qui ne fonctionnent qu’au projet et à l’évaluation: les personnes se voient attribuer des missions, on regarde comment elles remplissent leurs objectifs, à quelle vitesse, etc. Certaines formes de vie subissent une pression hallucinante, qu’il n’est pas évident de déjouer. Comment les employés arrivent-ils à ne pas se laisser totalement domestiquer? J’ai une patiente qui est consultante en entreprise et qui est très forte pour traîner des pieds, pour déjouer les contraintes, trouver des planques à l’intérieur de ces univers où tu es censé ne fonctionner qu’au projet. C’est Bartleby puissance mille. Elle dit: « <em>On achète notre espérance de vie.</em> » Ce n’est pas faux: les gens ont de plus en plus d’infarctus, de maladies professionnelles…</p>
<h3 class="section">Il y a aussi une espèce de mise au même niveau de tous les risques. Quand on parle à un acrobate de sa riscophilie et qu’on le compare à un <em>trader</em> par exemple, il rappelle que s’il tombe, c’est lui qui se casse la jambe. Alors qu’un <em>trader</em> qui prend des risques dans ses opérations financières ne peut pas en mesurer les conséquences pratiques. Il y a une perte d’échelle <sup class="footnote"><a href="#fn-6167-20" id="fnref-6167-20">20</a></sup>…</h3><p class="textbody">Absolument. C’est toujours la même désécologisation de la pensée du risque, en elle-même porteuse de catastrophes, résultat d’un enchaînement imprévisible de causes. La pensée actuelle du risque, comme celle de la dépendance, ressemble à l’épistémologie de l’alcoolisme telle que la définit Bateson <sup class="footnote"><a href="#fn-6167-21" id="fnref-6167-21">21</a></sup>, c’est-à-dire comme illusion du contrôle – alors qu’on joue précisément avec des forces qui nous dépassent, qu’on ne contrôle pas. Le problème de l’alcoolique, c’est qu’il croit contrôler sa consommation. Dans ce sens, l’acrobate et le <em>trader</em> peuvent se ressembler subjectivement, mais l’acrobate joue avec un nombre de variables beaucoup plus limités, bien que la force de la gravitation l’excède largement! En tous cas, ce fantasme de contrôle est le problème de la prise de risque, et non sa solution, comme on voudrait nous le faire croire. La question n’est pas seulement la dépendance, mais l’ignorance de celle-ci. L’autonomie se conquiert dans la conscience des liens, non dans leur déni.</p>
<h3 class="section">Tout à l’heure, nous parlions d’<em>entreprise de soi</em>. Dans le film d’Harun Farocki, <em>Apprendre à se vendre</em> <sup class="footnote"><a href="#fn-6167-22" id="fnref-6167-22">22</a></sup>, on suit des stages pour chômeurs ou managers, qui cherchent à développer ce savoir-faire. N’est-ce pas cette compétence que tout le monde est censé acquérir, celle qui fait vraiment le partage: moins entre riscophiles et riscophobes, qu’entre ceux qui arrivent à faire une performance singulière d’eux-mêmes et les autres?</h3><p class="textbody">Oui. Dans les années 2000, on parlait de « devenir artiste du travail ». Mais par exemple, si tu veux te faire une place dans l’économie du hip-hop, il faut avoir une subjectivité très <em>warrior</em>, ou des appuis très forts, ou les deux. Ceux qui viennent me voir sont ceux qui ratent. Ils veulent se faire une place, mais ils sont trop timides ou dépressifs. Si tu n’es pas dans une espèce d’apologie permanente de toi-même, tu es mort. Il faut être capable d’une performance énorme et la notion de performance est au cœur de cette histoire de risque. Même à la marge, chez les « sans place », ce modèle performatif est intégré dans les tactiques d’auto-valorisation qui peuvent voisiner avec des raisonnements magiques. Mais il y a aussi de vraies tentatives collectives pour opposer d’autres modèles de valorisation et d’accueil du vivant, des « <em>espaces de douceur</em> » comme disait Guattari. Les générations des quarantenaires et des plus jeunes ont bien intégré cette dimension dans leurs luttes, en même temps qu’ils sont bien plus surexposés au risque que les enfants du babyboom. Mais les comportements à risque sont souvent présents, avec le sentiment d’illégitimité, ainsi qu’une forme de bravade contre les normes sanitaires, qui peut, abréger beaucoup les vies… Sans compter, chez certains, une fascination pour l’agir violent, peut-être parfois nécessaire, mais parfois simplement sacrificiel.</p><p><img class="aligncenter size-full wp-image-6176" src="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite7.jpg" alt="" srcset="http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite7.jpg 750w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite7-300x217.jpg 300w, http://jefklak.org/wordpress/wp-content/uploads/2018/03/Consignes_Securite7-600x434.jpg 600w" sizes="(max-width: 750px) 100vw, 750px"/></p>
<h3 class="section">Quels sont les effets de l’individualisation des responsabilités sur les subjectivités?</h3><p class="textbody">Cette idéologie s’attaque à l’idée de droit à l’existence: elle officialise le fait que tout le monde n’aurait pas le même, qu’il y a des vies qui ne sont pas légitimes ou qui ont à prouver qu’elles le sont. Certains l’intériorisent de telle façon qu’ils ne vont pas faire attention à eux-mêmes. Une personne qui se fait très mal et traîne longtemps avant d’aller se soigner est quelqu’un dont le sentiment de la valeur de sa propre conservation est atteint, quelqu’un qui a des curseurs assez bas à l’égard des niveaux d’alerte auxquels il doit faire attention pour préserver sa santé. Un tel <em>laisser-tomber du corps</em> est assez répandu aujourd’hui, de façon massive chez les SDF, plus subtile chez d’autres précaires. Il ne s’agit pas de tout psychologiser – le droit à l’existence est une question massive et politique, mais qui concerne aussi la clinique.</p><p class="textbody">La vie humaine a besoin d’être légitimée collectivement. Elle a besoin de l’Autre pour cela, à la fois matériellement et symboliquement. L’auto-engendrement, l’auto-légitimation, c’est ce que tentent généralement les gens qui ont été mal engendrés, mal nés, mais ça ne fonctionne pas très bien, en tous cas pas sans Autre pour te soutenir. Un artiste qui a grandi entouré de parents qui s’émerveillaient de chaque petite chose qu’il pondait a moins de mal à être dans une démarche d’auto-valorisation, parce qu’il a été très bien engendré, très bien légitimé – très bien <em>né</em>, autrement dit. Être bien né est une notion à laquelle on ne prête pas assez attention aujourd’hui. À un moment donné, je me suis rendu compte que Nelson Mandela avait été élevé pour être un roi: cela n’ôte rien à son courage, mais il est quand même très bien né. On est tous plus ou moins bien nés, pour certaines raisons sociales, familiales, accidentelles, etc. Et il y a bien des manières d’être mal né, mal accueilli sur Terre.</p>
<h3 class="section">Quels sont les liens entre la pensée d’Ewald et Kessler sur le risque et la légitimation d’une existence?</h3><p class="textbody">Aujourd’hui, la désécologisation des risques oblige chacun à surjouer l’auto-affirmation de son droit à l’existence. Cela produit à la fois une normalisation des conduites – on a très peur de ne pas être dans les clous et de ne pas mériter de vivre – et de l’exclusion, voire de l’auto-abandon dans certains cas – donc de la riscophilie. On l’a d’ailleurs observé dans de nombreux cadres: par exemple, des études sur les subjectivités des travailleurs du nucléaire – sur comment ils se protègent du risque – ont permis d’identifier des comportements <em>kamikazes</em> de certains salariés, comme tremper les pieds dans la piscine radioactive <sup class="footnote"><a href="#fn-6167-23" id="fnref-6167-23">23</a></sup>.</p><p class="textbody">Dans son article « L’enfant mal-accueilli et sa pulsion de mort <sup class="footnote"><a href="#fn-6167-24" id="fnref-6167-24">24</a></sup> », le psychanalyste Sándor Ferenczi décrit très bien comment un enfant mal accueilli voit se déchaîner ses pulsions de mort – qui peuvent l’entraîner dans ce qu’on appellerait aujourd’hui des « conduites à risque ». On peut les appeler comme cela, si l’on veut, mais il faut bien souligner le rapport à la mort. Et on observe aujourd’hui une multiplication des <em>mentalités de survivants</em>, c’est-à-dire des gens mal accueillis avec un fort rapport à la mort, à la haine. Ils affirment leur existence sur un mode revanchard, dans le ressentiment. C’est frappant comme les Français qui ont participé aux attentats en France sont souvent des enfants de l’assistance publique, avec des traumatismes cumulatifs concernant le simple fait de leur existence et liant petite et grande histoire. Ne pas avoir été appelé à la vie, ne pas être accueilli dans la vie, c’est quelque chose dont on met une vie entière à se remettre, en faisant éventuellement beaucoup de dégâts au passage – d’abord sur soi-même, mais aussi en niant l’existence de l’autre, de diverses façons. C’est ce que fabrique le néolibéralisme, avec son discours illusoire sur le risque et l’indépendance, et son fantasme de contrôle du tout. Son horizon, c’est la catastrophe, mais aussi la guerre comme enchaînement catastrophique, la production de subjectivités de guerre <sup class="footnote"><a href="#fn-6167-25" id="fnref-6167-25">25</a></sup>. L’idée fausse selon laquelle chacun doit et peut garantir seul son propre droit à l’existence est en elle-même productrice de guerre, de subjectivités <em>traders</em> ou kamikazes, suicidaires et criminelles.</p><p>C’est pourquoi, au niveau des micro-institutions que nous fabriquons – qu’il s’agisse d’un « centre social autonome » ou tout simplement d’un cabinet de psychanalyse –, il me semble important de penser pour notre propre compte non seulement les questions du risque et de l’autonomie, mais aussi, plus profondément, celle des différents modes de l’affirmation de l’existence, plus ou moins joyeux ou soigneux, dans ce qu’ils construisent comme imaginaire de soi et de l’autre.</p></div>
